--Product K3 update

--Fixing configuration tipology names for "plugins"
UPDATE DPAD_WEB_CONFIGURATION SET TIPOLOGY='meteo' WHERE TIPOLOGY='plugin.meteo';
UPDATE DPAD_WEB_CONFIGURATION SET TIPOLOGY='rss' WHERE TIPOLOGY='plugin.rss';
UPDATE DPAD_WEB_CONFIGURATION SET TIPOLOGY='browser' WHERE TIPOLOGY='plugin.browser';

--Adding default location for meteo
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='Roma' WHERE NAME='plugin_meteo_location';

--Adding new "options" branch on setup administration branch
-- $K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS','_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS','GROUP',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'menu_data_type=MENU-ROOT|toolbar_type=SYSTEM',NULL,'dpadGroup',NULL,'SYSTEM');
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_SETUP_GROUP$','$K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$',200);

--Moving "email" settings into options and fixing permissions
--UPDATE DPADD_OBJECT_RELATION SET PARENTOBJ_ID='$K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$',ORDER_NUM='10' WHERE PARENTOBJ_ID='$K3_ADMINISTRATION_SETUP_GROUP$' AND CHILDOBJ_ID='$K3_ADMINISTRATION_SETUP_URL_MAIL$';
-- INSERT INTO DPADD_OBJECT_RELATION (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL, RELATION_WEB_TIPOLOGY ) VALUES(NULL, '$SYSTEM_USERGROUP_ADMIN$', '$K3_ADMINISTRATION_SETUP_URL_MAIL$', 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', NULL, NULL, 'USERGROUP_RELATION' );
-- INSERT INTO DPADD_OBJECT_RELATION (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL, RELATION_WEB_TIPOLOGY ) VALUES(NULL, '$SYSTEM_USERGROUP_MANAGER$', '$K3_ADMINISTRATION_SETUP_URL_MAIL$', 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', NULL, NULL, 'USERGROUP_RELATION' );

--Adding new items in "options" branch
-- $K3_ADMINISTRATION_SETUP_OPTIONS_HOME_URL$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_HOME','_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_HOME','URL',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'../system/config_settings_tipology.php?tipology=home',NULL,'dpadUrl',NULL,'SYSTEM');
-- $K3_ADMINISTRATION_SETUP_OPTIONS_METEO_URL$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_METEO','_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_METEO','URL',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'../system/config_settings_tipology.php?tipology=meteo',NULL,'dpadUrl',NULL,'SYSTEM');
-- $K3_ADMINISTRATION_SETUP_OPTIONS_RSS_URL$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_RSS','_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_RSS','URL',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'../system/config_settings_tipology.php?tipology=rss',NULL,'dpadUrl',NULL,'SYSTEM');
-- $K3_ADMINISTRATION_SETUP_OPTIONS_BROWSER_URL$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_BROWSER','_DPAD_PRODUCT_K3_ADMINISTRATION_SETUP_OPTIONS_BROWSER','URL',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'../system/config_settings_tipology.php?tipology=browser',NULL,'dpadUrl',NULL,'SYSTEM');
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$','$K3_ADMINISTRATION_SETUP_OPTIONS_HOME_URL$',5);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$','$K3_ADMINISTRATION_SETUP_OPTIONS_METEO_URL$',50);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$','$K3_ADMINISTRATION_SETUP_OPTIONS_RSS_URL$',55);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_SETUP_GROUP_OPTIONS$','$K3_ADMINISTRATION_SETUP_OPTIONS_BROWSER_URL$',60);

--Adding new options for home customization
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_redirect_to_favourites','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_REDIRECT_TO_FAVOURITES','0','home',0,NULL,'yesno',1);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_show_meteo_actual','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_SHOW_METEO_ACTUAL','1','home',0,NULL,'yesno',5);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_show_meteo_forecast','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_SHOW_METEO_FORECAST','1','home',0,NULL,'yesno',6);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_background_use_meteo','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_BACKGROUND_USE_METEO','1','home',0,NULL,'yesno',10);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_background_image','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_BACKGROUND_IMAGE','','home',0,NULL,'textbox',11);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_show_clock_date','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_SHOW_CLOCK_DATE','1','home',0,NULL,'yesno',15);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_show_clock_time','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_SHOW_CLOCK_TIME','1','home',0,NULL,'yesno',16);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'home_close_menu','_DPAD_PRODUCT_K3_CONFIGURATION_HOME_CLOSE_MENU','1','home',0,NULL,'yesno',20);

--Updating custom versioning
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='0.5.5 (Rev.8650)' WHERE NAME='custom_versioning';

--Versioning
UPDATE DPAD_WEB_PRODUCT SET VERSION='0.1.9' WHERE NAME='K3';