{% extends "core/templates/config_database.tpl" %}

{%block block_pageTitle %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE") }}{% endblock %}
{% set pageSubmitButtonLabel %}{%block block_pageSubmitButtonLabel %}{{ getConstant('_DPAD_GENERAL_EXECUTE') }}{% endblock %}{% endset %}

{% block block_help %}{{ page.page_help }}{% endblock %}

{% block block_form0_title %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_TITLE") }}{% endblock %}
{% block block_form0_body %}
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="export" onclick="iM.getScope(this).setOperation('database','export',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_file_database_container').slideUp('fast');" /><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_EXPORT")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_EXPORT_DESC") }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="import" onclick="iM.getScope(this).setOperation('database','import',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_file_database_container').slideDown('fast');"/><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_IMPORT")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_IMPORT_DESC") }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line" id="operation_import_file_database_container" style="display:none">
		<input type="file" id="import_database_file" name="import_database_file" style="margin-left: 40px">
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="restore" onclick="iM.getScope(this).setOperation('database','restore',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_file_database_container').slideUp('fast');"/><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_RESTORE")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_RESTORE_DESC") }}
		<div class="template-clear"></div>
	</div>
{% endblock %}

{% block block_form1_title %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_PLANVIEW_TITLE") }}{% endblock %}
{% block block_form1_body %}
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="export" onclick="iM.getScope(this).setOperation('planview','export',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_planview_file_container').slideUp('fast');" /><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_EXPORT")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_SETUP_PLANVIEW_EXPORT_DESC") }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="import" onclick="iM.getScope(this).setOperation('planview','import',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_planview_file_container').slideDown('fast');"/><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_IMPORT")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_SETUP_PLANVIEW_IMPORT_DESC") }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line" id="operation_import_planview_file_container" style="display:none">
		<input type="file" id="import_planview_file" name="import_planview_file" style="margin-left: 40px">
		<div class="template-clear"></div>
	</div>
{% endblock %}

{% block block_form2_title %}{{ getConstant("_DPAD_THEME_ADMIN_BACKUPRESTORE_SCRIPTS") }}{% endblock %}
{% block block_form2_body %}
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="export" onclick="iM.getScope(this).setOperation('scripts','export',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_scripts_file_container').slideUp('fast');" /><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_EXPORT")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_BACKUPRESTORE_SCRIPTS_EXPORT_DESC") }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<input type="radio" name="operation" id="operation" value="import" onclick="iM.getScope(this).setOperation('scripts','import',$(this));$(iM.getScope(this).getScopeSelector()).find('#operation_import_scripts_file_container').slideDown('fast');"/><u>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_IMPORT")}}</u>: {{ getConstant("_DPAD_THEME_ADMIN_BACKUPRESTORE_SCRIPTS_IMPORT_DESC") }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line" id="operation_import_scripts_file_container" style="display:none">
		<input type="file" id="import_scripts_file" name="import_scripts_file" style="margin-left: 40px">
		<div class="template-clear"></div>
	</div>
{% endblock %}
