{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_EIB_CONFIG_TITLE")}}{% endblock %}
{% block block_help %}{{getConstant("_DPAD_DBCONSTANT_CONFIG_EIB_COMMUNICATION_HELP")}}{% endblock %}

{% set form0_name = "config_eib_physical_address" %}
{% set form0_action = "../eib/dpadaction.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_submitButtonLabel = getConstant('_DPAD_GENERAL_SAVE') %}
{% set form0_closeButtonLabel = getConstant('_DPAD_GENERAL_CANCEL') %}
{% set form0_body %}
<fieldset id="physical_address">
	<legend>{{getConstant("_DPAD_THEME_ADMIN_EIB_CONFIG_ADDRESS_SUBTITLE")}}</legend>
        <div class="field-line">
                <label for="address">{{getConstant("_DPAD_THEME_ADMIN_EIB_CONFIG_ADDRESS_FIELD_LABEL")}}</label>
		<input type="textbox" name="address" id="address" value=""/>
		<div class="template-clear"></div>
	</div>
        <input type='hidden' name="op" id="op" value="update_eibd_physical_address"/>
</fieldset>
{% endset %}

{% set forms = {"config_eib_physical_address":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}
{% block block_scope %}
{% include "scope.config_eib_communication.tpl" %}
{% endblock %}
