{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{page.title}}{% endblock %}
{% block block_help %}{{page.help}}{% endblock %}

{% set form0_name = "config_ets_remote_form" %}
{% set form0_action = "../eib/ets_remote_config.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_submitButtonLabel = getConstant('_DPAD_GENERAL_SAVE') %}
{% set form0_closeButtonLabel = getConstant('_DPAD_GENERAL_CANCEL') %}
{% set form0_body %}

<input type="hidden" name="submit" id="submit" value="1"/>
<fieldset>
	<legend>{{getConstant("_DPAD_DBCONSTANT_ETSREMOTER_CONFIGURATION_SUBTITLE")}}</legend>
	<div class="field-line">
		<label for="username">{{getConstant("_DPAD_GENERAL_USERNAME")}}</label>
		<input type="text" name="username" id="username" value="{{page.username}}"/>
		<div class="template-clear"></div>
		<label for="password">{{getConstant("_DPAD_GENERAL_PASSWORD")}}</label>
		<input type="text" name="password" id="password" value="{{page.password}}"/>
		<div class="template-clear"></div>
		<label for="host">{{getConstant("_DPAD_DBCONSTANT_ETSREMOTER_CONFIGURATION_OPTION_HOSTIP")}}</label>
		<input type="text" name="host" id="host" value="{{page.host}}"/>
		<div class="template-clear"></div>
		<label for="range">{{getConstant("_DPAD_DBCONSTANT_ETSREMOTER_CONFIGURATION_OPTION_RANGEIP")}}</label>
		<input type="text" name="range" id="range" value="{{page.range}}"/>
		<div class="template-clear"></div>
	</div>
</fieldset>	
{% endset %}

{% set forms = {"config_ets_remote_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_formsCustomContent %}
{% endblock %}

{% block block_scope %}
{% include "scope.config_ets_remote.tpl" %}
{% endblock %}
