{% extends "scope.editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_customFunctions %}
{{ parent() }}

this._updateSourceType=function(id,value,oDomElement){
	var source_values_type='';
	switch(value){
		case '{{getConstant("_DPAD_TUTONDO_SOURCE_INTERFACETYPE_S2R2UT")}}':
			source_values_type='%STIFF%';
		break;
		default:
			source_values_type='{{getConstant("_DPAD_TUTONDO_SOURCE_INTERFACETYPE_S2R2UT")}}';
		break;
	}
	var query='SELECT COUNT(ID) AS COUNTER FROM DPADD_OBJECT WHERE (MSP>0 AND MSP<5) AND TYPE=\'{{getConstant("_DPAD_CLASS_TYPE_TUTONDOSOURCE")}}\' AND VALUES_TYPE LIKE \''+source_values_type+'\';';
	dbManager.executeSQL(query,Math.random(),$.proxy(this._updateSourceTypeCallback,this,id,value,oDomElement));
}

this._updateSourceTypeCallback=function(iObjID,valueToSet,oDomElement,result_array){
	var counter=result_array[0]['COUNTER'];
	var oSource=objM.getObj(iObjID);
	var is_readable=0;
	var rendering_id=-1;
	if(	(oSource.msp<5 && counter==0)||									
		(oSource.msp<5 && counter==1 && oSource.values_type!='')||		
		(valueToSet=='')||												
		(oSource.msp>4 && valueToSet!='{{getConstant("_DPAD_TUTONDO_SOURCE_INTERFACETYPE_S2R2UT")}}')
	){
		objM.updateFieldObj(oSource.id,'values_type',valueToSet);
		if(valueToSet!='')rendering_id='(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE \'%{{getConstant("_DPAD_TUTONDO_PHPCLASS_SOURCE")}}%\' AND VALUES_TYPE=\''+valueToSet+'\')';
		objM.updateFieldObj(oSource.id,'rendering_id',rendering_id);
		switch(valueToSet){
			case '{{getConstant("_DPAD_TUTONDO_SOURCE_INTERFACETYPE_S2R2UT")}}':
				is_readable=1;
			break;
			default:
				is_readable=0;
			break;
		}
		objM.updateFieldObj(oSource.id,'is_readable',is_readable);
	} else {
		$(oDomElement).val(oSource.values_type);
		themeManager.showMessage('{{getConstant("_DPAD_DBCONSTANT_TUTONDO_CHECKSOURCETYPE_FAILURE")|encode4jscript}}','warning');
	}
}

{% endblock %}