<jsIncludes>
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jsDpadDrawHtml.js","js") }}
{{ html_includejs("jquery.ui.draggable.min.js","js") }}
{{ html_includejs("jquery.ui.droppable.min.js","js") }}
{{ html_includejs("jquery.ui.sortable.min.js","js") }}
{{ html_includejs("jquery.selectboxes.js","js") }}
</jsIncludes>
<jsScopeScripts>
this.id=null;
this.isInitialized = false;
this.themeForRuntime = themeManager.getName('runtime');

{{ jsBlock({
	'operation':"declaration",
	'block_name':"block_renderings",
	'block_render_container_selector':"this.getScopeSelector()+' #block_renderings_div'",
	'prototype_container':"$(this.getScopeSelector()).find('#block_renderings_container_prototype').html();",
	'prototype_header':"$(this.getScopeSelector()).find('#block_renderings_header_prototype > tbody').html();",
	'prototype_item':"$(this.getScopeSelector()).find('#block_renderings_item_prototype > tbody').html();"
}) }}

this.block_renderings.results_filter_func=function(datas)
{	
	return (datas.obj.is_visible=='1');
}

this.onLoad=function(){
	themeManager.waitplease_display(true);
	this.coverShowHide(true);
	this.renderingInit();
}

this.renderingInit = function()
{
	var query = "SELECT * FROM DPADD_RENDERING WHERE IS_VISIBLE='1' ORDER BY OWNED_BY ASC,PHPCLASSES ASC,VALUES_TYPE ASC,NAME ASC";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.renderingInitCallback,this));
}

this.renderingInitCallback=function(result_array){
	
	{# TODO:
		Checking module license presence for items;
		this check MUST be done server side...
		please correct ASAP
	#}
	var _aPhpclasses=[{% for module,module_infos in _global.global_modules_array %}{% if(not checkModulePresence(module)) %}{% for phpclass,phpclass_infos in _global.global_class_array %}{% if phpclass_infos.module == module %}'{{ phpclass }}',{% endif %}{% endfor %}{% endif %}{% if loop.last %}'__fake'{% endif %}{% endfor %}];
	var _aTmp=new Array();
	
	for(var i in result_array){
		var _aRow=result_array[i];
		var _aCurrentPHPClasses=(_aRow.PHPCLASSES?_aRow.PHPCLASSES.split(' '):[]);
		for(var j in _aCurrentPHPClasses){
			var _sCurrentPHPClass=_aCurrentPHPClasses[j];
			if(_sCurrentPHPClass){
				if ($.inArray(_sCurrentPHPClass,_aPhpclasses)!=-1){
				} else {
					_aTmp.push(_aRow);
				}
			}
		}
	}
	result_array=_aTmp;
	
	{# Preparing data before rendering #}
	for(var i in result_array)
	{
		switch(result_array[i]["PHPCLASSES"])
		{
			case "dpadEibObject ":
				switch(result_array[i]["VALUES_TYPE"])
				{
					case "1":
					case "2P":
					case "7M":
					case "7S":
					case "8P":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_1BIT')}}";
						break;
					case "8C":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_2BIT')}}";
						break;
					case "2C":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_4BIT')}}";
						break;
					case "2V":
					case "6":
					case "13":
					case "14":
					case "101":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_8BIT')}}";
						break;
					case "5":
					case "10":
					case "102":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_16BIT')}}";
						break;
					case "3":
					case "4":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_24BIT')}}";
						break;
					case "9":
					case "11":
					case "12":
					case "103":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_32BIT')}}";
						break;
					case "15":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_112BIT')}}";
						break;
					case "100":
						result_array[i]["BITLENGTH"] = "{{getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH_48BIT')}}";
						break;
				}
				break;
			default:
				result_array[i]["BITLENGTH"] = "";
				break;
		}
	}
	this.block_renderings.themeForRuntime = this.themeForRuntime;
	{{ jsBlock({
		'operation':'render',
		'block_name':'block_renderings'
	}) }}
	this.onLoadFinalize();
}

this.onLoadFinalize=function(){
	this.isInitialized = true;
	themeManager.waitplease_display(false);
	this.userInteractionEnableDisable(true);
	this.coverShowHide(false);
}

this.onUnload=function(){
}

{# This function returns an human-readable version of PHPClasses associated to given rendering #}
this.getPhpClasses = function(phpclasses)
{
	var arrClasses = phpclasses.split(" ");
	var arrLabels = new Array();
	for(var i in arrClasses)
	{
		if(arrClasses[i]!='')	arrLabels.push(rM.getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_'+arrClasses[i].toUpperCase()));
	}
	return arrLabels.join(", ");
}

{# Following functions create a human readable version of values #}
this.optionLabelsToString = function(optionLabels,maxNum){
	    var arrLabels=new Array();
	    var tmp_array=optionLabels.replace('string.','').split(',');
	    for(var tmp in tmp_array){
		    var data=tmp_array[tmp].split('=>');
		    if(!data[0]||!data[1])continue;
		    var label = data[0]+':'+data[1].replace(/"/g,'').replace(/SPACE/g,' ');
		    
		    if(label == "")	continue;
		    arrLabels.push(label);
	    }
	    if(tmp_array.length <= maxNum){
		    return arrLabels.join(", ");
	    }
	    else{
		    return arrLabels[0] + " ... " + arrLabels[arrLabels.length-1];
	    }
}

this.optionRangeToString = function(minValue,maxValue,stepValue){
	    var rangeStr = "";
	    if(parseInt(maxValue)==999999999)
	    {
			rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_ANY')|encode4jscript }}";
	    }
	    else
	    {
			if(minValue=="")	minValue = 0;
			if(maxValue!="")
			{
				rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_FROM')|encode4jscript }} " + minValue + " ";
				rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_TO')|encode4jscript }} " + maxValue + " ";
			}
			if(stepValue!="")	rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_STEP')|replace({'<br/>':' '})|encode4jscript }} " + stepValue + " ";
	    }
	    return rangeStr;
}

{# This function clones given rendering #}
this.renderingClone = function(rendId)
{
	this.userInteractionEnableDisable(false);
	themeManager.waitplease_display(true);
	var query = "INSERT INTO DPADD_RENDERING (TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS) SELECT TYPE,TIPOLOGY,'{{getConstant("_DPAD_GENERAL_COPY")}} ' || NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,'LOCAL',OPTION_ACTIONS FROM DPADD_RENDERING WHERE ID='"+rendId+"';SELECT last_insert_rowid();";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.renderingCloneCallback,this,rendId));
}

this.renderingCloneCallback = function(oldRendId,result_array)
{
	var newRendId = result_array;
	
	var query = "INSERT INTO DPADD_RENDERING_VIEW_PROTOTYPE (RENDERING_ID,VIEW,PROTOTYPE_ID) SELECT '"+newRendId+"',VIEW,PROTOTYPE_ID FROM DPADD_RENDERING_VIEW_PROTOTYPE WHERE RENDERING_ID='"+oldRendId+"';";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.renderingCloneCallbackCallback,this));
}

this.renderingCloneCallbackCallback = function()
{
	this.renderingInit();
}

{# This function removes given rendering #}
this.renderingRemove = function(rendId)
{
	themeManager.waitplease_display(true);
	var query = "DELETE FROM DPADD_RENDERING WHERE ID='"+rendId+"';DELETE FROM DPADD_RENDERING_VIEW_PROTOTYPE WHERE RENDERING_ID='"+rendId+"';";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.renderingRemoveCallback,this,rendId));
}
this.renderingRemoveCallback = function(rendId,result_array)
{
	this.block_renderings.remove_row(rendId);
	themeManager.waitplease_display(false);
}

this.addNewToBlock=function(sBlockName,sNum){
	var iNum=(isNaN(sNum)?1:parseInt(sNum));
	var oBlock=this[sBlockName];
	var aData={};
	{# Copying data on a new variable #}
	for(var i in oBlock._addNewSchema.obj)aData[i]=oBlock._addNewSchema.obj[i];
	{# Parsing Prototypes if needed #}
	for(var i in aData){
		aData[i]=oBlock.parse_prototype(aData[i]);
	}
	objM.createObj(aData.TYPE,aData,$.proxy(this._addNewToBlock_relation,this,sBlockName,iNum));
}

this._addNewToBlock_relation=function(sBlockName,iNum,aData){
	var oBlock=this[sBlockName];
	oBlock.add_row(aData);
	if(oBlock.row_relation_array!=null){
		var sRelationType=this[sBlockName].getRelationType();
		var parentId=(sRelationType=='parent_child'?this.id:aData['ID']);
		var childId=(sRelationType=='parent_child'?aData['ID']:this.id);
		var aDataRelation={
			PARENTOBJ_ID:parentId,
			CHILDOBJ_ID:childId,
			RELATION_WEB_TIPOLOGY:objM.getRelationType(objM.getObj(parentId).phpclass,objM.getObj(childId).phpclass)
		};
		objM.createRelation(aDataRelation,$.proxy(this._addNewToBlock_relationCallback,this,sBlockName,iNum));
	}
	else this._addNewToBlock_relationCallback(sBlockName,iNum);
}

this._addNewToBlock_relationCallback=function(sBlockName,iNum,aDataRelation){
	var oBlock=this[sBlockName];
	if(oBlock.row_relation_array!=null){
		oBlock.add_row(null,aDataRelation);
		oBlock.render_row(oBlock.row_relation_array.length-1);
		oBlock.update_rows_order();
	}
	else oBlock.render_row(oBlock.row_array.length-1);
	iNum--;
	if(iNum>0)this.addNewToBlock(sBlockName,iNum);
}

{% include "include.workspace_page_functions.tpl" %}

{% block block_customFunctions %}
{% endblock %}
</jsScopeScripts>