{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{parent()}}
	{{html_includejs("jsDpadBlock.js","js")}}
{% endblock %}

{% block block_customDeclarations %}
    this.op = "reboot";
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
        {{ parent() }}
        {#Updating help #}
        this.initHelp();
	        
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
{% endblock %}

{% block block_formButtonSubmitCompleted %}
{{ parent() }}
this.userInteractionEnableDisable(true);
{% endblock %}

{% block block_formButtonSubmit %}
switch(this.op){
	case "restart_dpadd":
            this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_GENERAL_DPADD_RESTART_SUCCESS_MSG")|encode4jscript }}","info",60);
	break;
}
this.userInteractionEnableDisable(false);

{{parent()}}
{% endblock block_formButtonSubmit %}

{% block block_formSubmitCallback %}
    {{parent()}}	
    themeManager.waitplease_display(false);

    {# Managing operation #}	
    switch(this.op)
    {
        case "reboot":
        
            {# Scheduling a window reload after reboot #}
            setTimeout("themeManager.windowReload()",120*1000);
            
            break;
        
        case "restart_dpadd":
    
            {# Enabling GESA #}
            themeManager.enableGESA(true);

            {# Note: We get here after complete dpadd restart #}
            this.hideMessage(this.messageId);
            this.userInteractionEnableDisable(true);

            break;
    }
    
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

this.setOperation = function(op){
    this.op = op;
    $(this.getScopeSelector()).find("#op").val(op);
}

{% endblock block_customFunctions %}

{% block block_existModifiedForms %}
	return true;
{% endblock %}

{% block getFirstModifiedForm %}
return this.forms[0];
{% endblock getFirstModifiedForm %}

{% block block_formSubmitCallback_iterateOnModifiedForms %}
{% endblock block_formSubmitCallback_iterateOnModifiedForms %}

