{% extends "core/templates/scope.user_login.tpl" %}

{% block showMessage %}
var messageTs = new Date().getTime();
var messageId = "message_" + messageTs;
var messageContainer = $(this.getScopeSelector()).find("#messages");
messageContainer.html('<div id="' + messageId + '" class="field-note">' + message + '</div>');
messageContainer
	.find("#" + messageId)
	.show()
;
if( typeof(timeout)!='undefined' ){
	setTimeout(this.getScope(true) + ".hideMessage('" + messageId + "')",(timeout * 1000));
}
{% endblock showMessage %}

{% block _loginRequestSuccess %}
var _oXML = rM.XML(xml);
var _iResult = parseFloat( _oXML.get('result') );
var _sMessage = _oXML.get('message');
this.getUserPassword().val('');
if( _iResult!='{{ getConstant('_DPAD_RESULT_NOERROR') }}' ){
	this._loginRequestError(null,_sMessage);
} else {
	this.showMessage('{{ getConstant('_DPAD_THEME_USER_LOGIN_MESSAGE_AUTHSUCCESS')|encode4jscript }}','info',10);
	nM.getNavigator('navigator_general').setActive(false);
	var _sUserID = parseFloat( _oXML.get('userID') );
	themeManager.triggerEvent('logging_in',[_sUserID]);
}
{% endblock _loginRequestSuccess %}

{% block updateTrustedTimer %}
nM.getNavigator('navigator_general').setActive(false);
{% endblock updateTrustedTimer %}

{% block customScripts %}
{# This function hides message with given ID #}
this.hideMessage=function(){
	var messageContainer=$(this.getScopeSelector()).find("#messages");
	messageContainer.html('');
}
{% endblock customScripts %}