{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"label","dbField":"description","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBDEVICE_FIELD_DESCRIPTION"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"description") %}
	{% set detailsFields = {"type":"textbox","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBDEVICE_FIELD_MSP"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"msp") %}
	{% set detailsFields = {"type":"rendering_picker","dbField":"rendering_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"rendering_id") %}
	{% set detailsFields = {"type":"checkbox","dbField":"enable_flag","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBDEVICE_FIELD_ENABLE_FLAG"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"enable_flag") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
{% endblock %}

{% block block_layout_children %}
{% endblock block_layout_children %}

{% block block_children %}
{% endblock block_children %}

{% block block_parents %}
{% endblock block_parents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parent_scenes") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}