{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"label","dbField":"description","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),"mode":"expert","category":"general","visible":true}|pushInto(detailsFields,"description") %}
	{% set detailsFields = {"type":"label","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_MSP"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"msp") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
	<div id="block_obj_parents_eibobject_div" mode="expert"></div>
{% endblock %}

{% block block_layout_children %}
{% endblock block_layout_children %}

{% block block_layout_activeEvents %}
{% endblock block_layout_activeEvents %}

{% block block_layout_passiveEvents %}
{% endblock block_layout_passiveEvents %}

{% block block_children %}
{% endblock block_children %}

{% block block_activeEvents %}
{% endblock block_activeEvents %}

{% block block_passiveEvents %}
{% endblock block_passiveEvents %}

{% block block_parents %}

	{% block block_parents_eibobject %}
	<div>
		{% set blockTitleId = "parents_eibobject" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_EIBOBJECT_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_EIBOBJECT_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "D_O.TYPE='EIBOBJECT'" %}
		{% set blockColumns = {} %}
		{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"width":"60%","type":"label","visible":true,"mode":"base"}|pushInto(blockColumns,"name") %}
		{% set blockColumns = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_MSP"),"width":"20%","type":"label","visible":true,"mode":"base","align":"center"}|pushInto(blockColumns,"msp") %}
		{% set blockColumns = {"dbField":"access_mode","origin":"relation","label":getConstant("_DPAD_EIB_OBJECT_DETAILS_ACCESSMODE"),"width":"20%","type":"select","visible":true,"mode":"base","align":"center","options":{"READ-WRITE":getConstant("_DPAD_DBCONSTANT_ACCESSMODE_READWRITE"),"READ-ONLY":getConstant("_DPAD_DBCONSTANT_ACCESSMODE_READONLY"),"WRITE-ONLY":getConstant("_DPAD_DBCONSTANT_ACCESSMODE_WRITEONLY")}}|pushInto(blockColumns,"access_mode") %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_parents_eibobject %}

{% endblock block_parents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {} %}
	{% set blocks = {
		"id":"parents_eibobject",
		"relation_type":"child_parent",
		"filter_expression":"datas.obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_EIBOBJECT") ~ "'",
		"drop_accept_expression":"obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_EIBOBJECT") ~ "'"
	}|pushInto(blocks,"parents_eibobject") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}