{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields_options %}
{% endblock block_details_content_fields_options %}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_GROUP_DPADGROUP_HELP") }}{% endblock block_details_help_text %}

{% block block_details_content_fields %}
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"textbox","dbField":"description","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),"mode":"expert","category":"general","visible":true}|pushInto(detailsFields,"description") %}
	{% set detailsFields = {"type":"select","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GROUP_FIELD_MSP"),"mode":"base","category":"behaviour","visible":true,"options":page.group_templates,"options_max_length":100,"options_max_length":100}|pushInto(detailsFields,"msp") %}
	{% set detailsFields = {"type":"background_picker","dbField":"options.background_image_path","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GROUP_FIELD_OPTIONALP_BACKGROUND"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"background") %}
	{% set detailsFields = {"type":"image_picker","dbField":"image_path","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GROUP_FIELD_IMAGE_PATH"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"image_path") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.orientation_enabled","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GROUP_ENABLE_COMPASS"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"options.orientation_enabled") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_visible") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.show_menu","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GROUP_SHOW_MENU"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"options.show_menu") %}
	{# PIN MANAGEMENT #}
	{% set detailsFields = {"type":"checkbox","dbField":"has_grant","label":getConstant("_DPAD_OBJECT_DETAILS_HAS_GRANT_FLAG"),"mode":"expert","category":"flags","visible":true,"onChange":"var _value=(jQuery(this).is(':checked')?1:0);objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'has_grant',_value);iM.getScope(this).showGrantHashcodeFields(_value);"}|pushInto(detailsFields,"has_grant") %}
	{# {% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_OLD"),"value":jsHtmlData('grant_hashcode'),"mode":"expert","category":"flags","visible":false}|pushInto(detailsFields,"grant_hashcode_old") %} #}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_NEW"),"mode":"expert","category":"flags","visible":false,"mask":"9?99999"}|pushInto(detailsFields,"grant_hashcode_new") %}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_REPEAT"),"mode":"expert","category":"flags","visible":false,"mask":"9?99999","onChange":"if(iM.getScope(this).validateGrantHashcode(" ~ jsHtmlData('id') ~ "))objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'grant_hashcode',iM.getScope(this).encodeGrantHashcode(this.value));"}|pushInto(detailsFields,"grant_hashcode_repeat") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_parents %}
	{% block block_parents_scenes %}{% endblock %}
	{{ parent() }}
{% endblock block_parents %}

{% block block_activeEvents %}
{% endblock block_activeEvents %}
	
{% block block_passiveEvents %}
{% endblock block_passiveEvents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {"id":"parents_group","relation_type":"child_parent","filter_expression":"datas.obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_GROUP") ~ "'","drop_accept_expression":"obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_GROUP") ~ "'"}|pushInto(blocks,"parents_group") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}