{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_PBXELEMENT_DPADPBXTRUNK_HELP") }}{% endblock block_details_help_text %}{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_PBX_PBXTRUNK_OPTIONALP_USERNAME"),
			"mode":"base",
			"category":"general",
			"visible":true,
			"mask":"9?99999",
			"onChange":"iM.getScope(this).validateField($(this),'voipnumber',function(field,objId){objM.updateFieldObj(objId,'msp',field.val())})"
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}


{% block block_details_header_actionButtons_customButtons %}
<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
{% endblock block_details_actionButtons_customButtons %}