{% extends "editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_CS %}
	{% include "CS.pess.tpl" %}
{% endblock block_CS %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"textbox","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_DETAILS_MSP"),"mode":"base","category":"general","visible":true,"mask":"99999999"}|pushInto(detailsFields,"msp") %}
	{# PIN MANAGEMENT #}
	{% set detailsFields = {"type":"checkbox","dbField":"has_grant","label":getConstant("_DPAD_OBJECT_DETAILS_HAS_GRANT_FLAG"),"mode":"base","category":"flags","visible":true,"onChange":"var _value=(jQuery(this).is(':checked')?1:0);objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'has_grant',_value);iM.getScope(this).showGrantHashcodeFields(_value);"}|pushInto(detailsFields,"has_grant") %}
	{# {% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_OLD"),"value":jsHtmlData('grant_hashcode'),"mode":"expert","category":"flags","visible":false}|pushInto(detailsFields,"grant_hashcode_old") %} #}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_NEW"),"mode":"base","category":"flags","visible":false}|pushInto(detailsFields,"grant_hashcode_new") %}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_REPEAT"),"mode":"base","category":"flags","visible":false,"onChange":"if(iM.getScope(this).validateGrantHashcode(" ~ jsHtmlData('id') ~ "))objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'grant_hashcode',iM.getScope(this).encodeGrantHashcode(this.value));"}|pushInto(detailsFields,"grant_hashcode_repeat") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_areas_div"></div>
	<div id="block_obj_children_functions_div"></div>
	<div id="block_obj_children_inputs_div"></div>
	<div id="block_obj_children_outputs_div"></div>
	<div id="block_obj_children_h24alarms_div"></div>
	<div id="block_obj_children_warnings_div"></div>
{% endblock %}

{% block block_children %}
	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input id="objs_number" type="text" />&nbsp;<input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',$(this).prev(\'input\').val());" /></div>' %}

	{% block block_children_areas %}
	<div>
		{% set blockTitleId = "children_areas" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_AREAS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_AREAS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_AREA') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_MSP_HEADER"),"width":"5%","type":"textbox","visible":true,"style":"display:" ~ jsHtmlFunc("objM.getObj(" ~ jsHtmlData('id') ~ ")._isMspVisible() ? 'block' : 'none'")},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_areas %}

	{% block block_children_functions %}
	<div>
		{% set blockTitleId = "children_functions" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_FUNCTIONS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_FUNCTIONS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_FUNCTION') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_MSP_HEADER"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_functions %}
	{% block block_children_h24alarms %}
	<div>
		{% set blockTitleId = "children_h24alarms" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_H24ALARMS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_H24ALARMS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_H24ALARM') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_MSP_HEADER"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_h24alarms %}
	{% block block_children_outputs %}
	<div>
		{% set blockTitleId = "children_outputs" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_OUTPUTS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_OUTPUTS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_OUTPUT') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_MSP_HEADER"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_outputs %}
	{% block block_children_inputs %}
	<div>
		{% set blockTitleId = "children_inputs" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_INPUTS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_INPUTS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_INPUT') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_MSP_HEADER"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_inputs %}
	{% block block_children_warnings %}
	<div>
		{% set blockTitleId = "children_warnings" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_WARNINGS_TITLE") %}
		{% set blockTitleCustomHtml = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="var _iScope=iM.getScope(this);var _iCounter=objM.getObj(_iScope[\'block_obj_children_warnings\'].reference_id).getChildren({filters:{object:{type:\'' ~ getConstant('_DPAD_PESS_TYPE_CENTRAL_WARNING') ~ '\'}}}).length;if(_iCounter==0)_iScope.addNewToBlock(\'block_obj_children_warnings\',17);" /></div>' %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_CENTRAL_CHILDREN_WARNINGS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_CENTRAL_WARNING') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"100%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_warnings %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_relations_item_action_remove %}
<td class="grid-line-action"><div class="grid-action-trash" title="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_BUTTON_REMOVE') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).trashObjFromBlock('{{ jsHtmlBlock('name') }}',{{ jsHtmlRowRelation('id') }},{{ jsHtmlObj('id') }});event.stopPropagation();}"></div></td>
{% endblock block_relations_item_action_remove %}

{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"children_areas":{
			"id":"children_areas",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_PESS_TYPE_AREA') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_PESS_DEFAULT_NAME_FOR_AREA') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_AREA') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_PESS_PHPCLASS_AREA') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_PESS_PHPCLASS_AREA'),
					'TYPE':getConstant('_DPAD_PESS_TYPE_AREA'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_AREA') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'HAS_GRANT':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").has_grant;"),
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='area_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_functions":{
			"id":"children_functions",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_PESS_TYPE_FUNCTION') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_PESS_DEFAULT_NAME_FOR_FUNCTION') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_FUNCTION') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_PESS_PHPCLASS_FUNCTION') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_PESS_PHPCLASS_FUNCTION'),
					'TYPE':getConstant('_DPAD_PESS_TYPE_FUNCTION'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_FUNCTION') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'HAS_GRANT':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").has_grant;"),
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='function_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_h24alarms":{
			"id":"children_h24alarms",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_PESS_TYPE_H24ALARM') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_PESS_DEFAULT_NAME_FOR_H24ALARM') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_H24ALARM') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_PESS_PHPCLASS_H24ALARM') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_PESS_PHPCLASS_H24ALARM'),
					'TYPE':getConstant('_DPAD_PESS_TYPE_H24ALARM'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_H24ALARM') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'HAS_GRANT':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").has_grant;"),
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='h24alarm_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_outputs":{
			"id":"children_outputs",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_PESS_TYPE_OUTPUT') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_PESS_DEFAULT_NAME_FOR_OUTPUT') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_OUTPUT') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_PESS_PHPCLASS_OUTPUT') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_PESS_PHPCLASS_OUTPUT'),
					'TYPE':getConstant('_DPAD_PESS_TYPE_OUTPUT'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_OUTPUT') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'HAS_GRANT':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").has_grant;"),
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='output_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_inputs":{
			"id":"children_inputs",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_PESS_TYPE_INPUT') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_PESS_DEFAULT_NAME_FOR_INPUT') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_INPUT') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_PESS_PHPCLASS_INPUT') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_PESS_PHPCLASS_INPUT'),
					'CURRENT_VALUE':'0',
					'TYPE':getConstant('_DPAD_PESS_TYPE_INPUT'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_PESS_TYPE_INPUT') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'HAS_GRANT':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").has_grant;"),
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='input_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},	
		"children_warnings":{
			"id":"children_warnings",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_PESS_TYPE_CENTRAL_WARNING') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"_DPAD_DBCONSTANT_PESS_DEFAULT_NAME_FOR_CENTRALWARNING_" ~ jsHtmlFunc("rM.strPad('" ~ jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningIndex(" ~ jsHtmlRowIndex() ~ ");") ~ "',3,'0')"),
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_PESS_PHPCLASS_CENTRAL_WARNING') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_PESS_PHPCLASS_CENTRAL_WARNING'),
					'TYPE':getConstant('_DPAD_PESS_TYPE_CENTRAL_WARNING'),
					'MSP':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningIndex(" ~ jsHtmlRowIndex() ~ ");"),
					'IS_WRITABLE':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningWritableFlag('" ~ jsHtmlRowIndex() ~ "')"),
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='centralwarning_" ~ jsHtmlFunc("rM.strPad('" ~ jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningIndex(" ~ jsHtmlRowIndex() ~ ");") ~ "',3,'0')") ~ "'"
				}
			}
		}
		
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}