{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_SYSCMDWAIT_DPADSYSCMDWAIT_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"rendering_picker","dbField":"rendering_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"rendering_id") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_children %}
{% endblock block_layout_children %}

{% block block_layout_activeEvents %}
{% endblock block_layout_activeEvents %}

{% block block_layout_passiveEvents %}
{% endblock block_layout_passiveEvents %}

{% block block_children %}
{% endblock block_children %}

{% block block_activeEvents %}
{% endblock block_activeEvents %}

{% block block_passiveEvents %}
{% endblock block_passiveEvents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("events_passive") %}
	{% set blocks = blocks|unSet("events_active") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}