{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_TITLE")}}{% endblock %}

{% set form0_name = "eiblog_search_form" %}
{% set form0_format = "json" %}
{% set form0_body %}

	<h4 class="template-opened-h4">
		<div class="menu-icon-node"></div>
		<div class="h4-title">
			{{getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_SEARCH_TITLE")}}</span>
		</div>
	</h4>
	
	<div class="template-container-fields" style="display:block">
		<fieldset id="knx" mode="base" enabled="true">
			<div class="field-line" enabled="true" >
				<label for="srcaddr" style="width:auto;margin-right:2px">{{ getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_SEARCH_SRCADDRESS") }}</label>
				<input type="textbox" style="float:left;width:75px" id="srcaddr" name="srcaddr" onChange="iM.getScope(this).pagerSeek(1)" onkeypress="iM.getScope(this).detect_enter_keypress(event);"/>
				<label for="dstaddr" style="width:auto;margin-right:2px">{{ getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_SEARCH_DSTADDRESS") }}</label>
				<input type="textbox" style="float:left;width:75px" id="dstaddr" name="dstaddr" onChange="iM.getScope(this).pagerSeek(1)" onkeypress="iM.getScope(this).detect_enter_keypress(event);"/>
				<label for="payload" style="width:auto;margin-right:2px">{{ getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_SEARCH_PAYLOAD") }}</label>
				<input type="textbox" style="float:left;width:75px" id="payload" name="payload" onChange="iM.getScope(this).pagerSeek(1)" onkeypress="iM.getScope(this).detect_enter_keypress(event);"/>
				<label for="date_from" style="width:auto;margin-right:2px">{{ getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_SEARCH_DATE_FROM") }}</label>
				<input type="textbox" style="float:left;width:75px" id="date_from" name="date_from" mask="9999-99-99" onChange="iM.getScope(this).pagerSeek(1)" onkeypress="iM.getScope(this).detect_enter_keypress(event);"/>
				<label for="date_to" style="width:auto;margin-right:2px">{{ getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_SEARCH_DATE_TO") }}</label>
				<input type="textbox" style="float:left;width:75px" id="date_to" name="date_to" mask="9999-99-99" onChange="iM.getScope(this).pagerSeek(1)" onkeypress="iM.getScope(this).detect_enter_keypress(event);"/>
				<div class="template-clear"></div>
			</div>

		</fieldset>

		<div class="field-buttons-container">
			<input id="button_refresh" type="button" class="field-button-green" value="{{getConstant('_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_REFRESH')}}" onclick="var scope = iM.getScope(this); if(scope.realtimeMode!=true){scope.logRefresh()}"/>
			<input id="button_export_csv" type="button" class="field-button-yellow" value="{{getConstant('_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_EXPORT_CSV')}}" onclick="var scope = iM.getScope(this);scope.logExport('csv')"/>
			<input id="button_export_trx" type="button" class="field-button-yellow" value="{{getConstant('_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_EXPORT_TRX')}}" onclick="var scope = iM.getScope(this);scope.logExport('trx')"/>
			<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onclick="iM.getScope(this).formButtonClose()"/>
		</div>
		
		<iframe id="eiblog_export_download_iframe" style="display:none" src=""></iframe>
	</div>

{% endset %}


{% set form1_name = "eiblog_results_form" %}
{% set form1_format = "json" %}
{% set form1_body %}
	<div id="help" style="display:none">{{getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HELP")}}</div>
	
	<h4 class="template-opened-h4">
		<div class="menu-icon-node"></div>
		<div class="h4-title">
			<span id="eiblog_items_tot"></span>
		</div>
		<div class="h4-title-custom-html" style="width:75%">
			<div class="h4-add-object field-button-action" style="float:none">
				<input id="button_realtime" class="field-button-gray" type="button" enabledisable="ignore" style="float:right;text-align:center" value="{{getConstant('_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_REALTIME')}}" onClick="iM.getScope(this).realtimeToggle()"/>
				<input id="button_empty" class="field-button-gray" type="button" enabledisable="ignore" style="float:right;text-align:center;opacity:0.5;margin-right:2px" value="{{getConstant('_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_EMPTY')}}" onClick="iM.getScope(this).logEmpty()"/>
				<input id="button_refresh" class="field-button-green" type="button" enabledisable="ignore" style="float:right;text-align:center;margin-right:2px" value="{{getConstant('_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_REFRESH')}}" onClick="var scope = iM.getScope(this); if(scope.realtimeMode!=true){scope.logRefresh()}"/>
				<div id="pager" style="float:right" >
					{{getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_SHOW_PAGE")}}
					<input id="button_prev" class="field-button-gray" type="button" enabledisable="ignore" style="margin-right:2px;width:20px" value="&#124;&lsaquo;" onClick="var scope = iM.getScope(this); if(scope.realtimeMode!=true){scope.pagerPrev()}"/>
					<input id="objs_number" type="text" onChange="iM.getScope(this).pagerSeek(this.value)" style=""/>
					<input id="button_next" class="field-button-gray" type="button" enabledisable="ignore" style="margin-right:2px;width:20px" value="&rsaquo;&#124;" onClick="var scope = iM.getScope(this); if(scope.realtimeMode!=true){scope.pagerNext()}"/>
					{{getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_BUTTON_SHOW_PAGE_OF")}}
					<span id="page_tot"></span>&nbsp;&nbsp;
				</div>
				<div class="template-clear"></div>
			</div>
		</div>
	</h4>
	
	<div id="eiblog_container"></div>
	
	<div style="display:none">

		{% set blockColumns = {} %}
		{% set blockColumns = {
			"label":"",
			"width":"4%",
			"type":"label",
			"align":"center",
			"visible":true,
			"value":jsHtmlRowIndex()
		}|pushInto(blockColumns,"counter") %}
		{% set blockColumns = {
			"dbField":"date",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_DATE"),
			"width":"9%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"date") %}
		{% set blockColumns = {
			"dbField":"time",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_TIME"),
			"width":"9%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"time") %}
		{% set blockColumns = {
			"dbField":"sourceaddress",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_SRCADDR"),
			"width":"9%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"sourceaddress") %}
		{% set blockColumns = {
			"dbField":"destaddress",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_DSTADDR"),
			"width":"9%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"destaddress") %}
		{% set blockColumns = {
			"dbField":"destname",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_DSTNAME"),
			"width":"20%",
			"type":"label",
			"align":"left",
			"visible":true
		}|pushInto(blockColumns,"destname") %}
		{% set blockColumns = {
			"dbField":"eistypeformatted",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_EISTYPE"),
			"width":"20%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"eistypeformatted") %}
		{% set blockColumns = {
			"dbField":"payloadencoded",
			"origin":"db",
			"label":getConstant("_DPAD_DBCONSTANT_EIBDATALOG_VIEW_HEADER_PAYLOAD"),
			"width":"15%",
			"type":"label",
			"align":"center",
			"visible":true,
			"value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').payloadGetFormatted('"~jsHtmlData("eistyperaw")~"','"~jsHtmlData("payloadencoded")~"','"~jsHtmlData("payloadraw")~"')")
		}|pushInto(blockColumns,"payloadencoded") %}

		<div id="block_eiblog_container_prototype">
			<div class="grid-table">
				<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0" style="table-layout:fixed;"></table>
			</div>
		</div>
		<table id="block_eiblog_header_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
				{% for key,column in blockColumns %}
				<th style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
				{% endfor %}
			</tr>
		</table>
		<table id="block_eiblog_item_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
				{% for key,column in blockColumns %}
					{% if column.visible == "true" %}
					<td style='{% if column.align %}text-align:{{column.align}};{% endif %}' enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">
						{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlData('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField %}
						{% if column.value is not empty %}
							{% set columnFieldValue = column.value %}
						{% else %}
							{% if column.origin == "db" %}
								{% set columnFieldValue = jsHtmlData(column.dbField) %}
							{% elseif column.origin == "relation" %}
								{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
							{% endif %}
						{% endif %}
						<div style="{{column.style}}">{{ jsHtml({"as":column.type,"id":columnFieldName,"value":columnFieldValue}) }}</div>
					</td>
					{% endif %}
				{% endfor %}
			</tr>
		</table>
	</div>
{% endset %}

{% set forms = {'name':form0_name,'title':form0_title,'format':form0_format,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}|pushInto(forms,"eiblog_search_form") %}
{% set forms = {'name':form1_name,'title':form1_title,'format':form1_format,'closeButtonLabel':form1_closeButtonLabel,'body':form1_body}|pushInto(forms,"eiblog_results_form") %}

{% block block_customContent %}

{% endblock %}

{% block block_formsButtons %}
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.eiblog_view.tpl" %}
{% endblock %}