{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{getConstant("_DPAD_DBCONSTANT_URL_IMPORT_ETS")}}{% endblock %}

{% set form0_name = "ets_import_form" %}
{% set form0_action = "../eib/ets_import.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<div id="ets_import_step_specific_content"></div>
	
	<input type="hidden" name="format" id="format" value="json"/>
	<input type="hidden" name="step" id="step" value="1"/>
{% endset %}

{% set forms = {"ets_import_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

	<div style="display:none">
	{% include "ets_import_step1.tpl" %}
	{% include "ets_import_step3.tpl" %}
	{% include "ets_import_step4.tpl" %}
	{% include "ets_import_step5.tpl" %}
	</div>
	
	<div class="field-buttons-container">
		{% block block_customContent_Buttons %}
		<input id="button_submit" type="button" class="field-button-green" value="{{getConstant("_DPAD_GENERAL_WIZARD_BUTTON_NEXT")}}"  onClick="iM.getScope(this).formButtonSubmit()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant("_DPAD_GENERAL_CLOSE")}}"  onClick="iM.getScope(this).formButtonClose()"/>
		<input id="button_etsrules_reload" type="button" class="field-button-yellow" value="{{getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_SECTION_ETS_RULES_BUTTON_RELOAD")}}" onclick="iM.getScope(this).buttonEtsRulesReload()" style="display:none"/>
		{#<input id="button_etsrules_orphans_refresh" type="button" class="field-button-yellow" value="{{getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_SECTION_ETS_RULES_BUTTON_ORPHANS_REFRESH")}}" onclick="iM.getScope(this).rulesOrphansBlockRender()" style="display:none"/>#}
		<input id="button_etsrules_edit" type="button" class="field-button-orange" value="{{getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_SECTION_ETS_RULES_BUTTON_EDIT")}}" onclick="iM.getScope(this).buttonEtsRulesEdit()" style="display:none"/>
		{% endblock block_customContent_Buttons %}
		<input type="hidden" name="upload" id="upload" value="upload" tag="action"/>
		<input type="hidden" name="import" id="import" value="import" tag="action"/>
		<input type="hidden" name="next" id="next" value="next" tag="action"/>
	</div>
	
{% endblock %}

{% block block_help %}{% endblock %}

{% block block_formsButtons %}{% endblock %}
{% block block_pageTitleButtons %}{% endblock %}

{% block block_scope %}
{% include "scope.ets_import.tpl" %}
{% endblock %}