<div id="block_renderings_div"></div>

{% set blockTitleId = "renderings" %}
{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_SUBTITLE") %}
{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HELP") %}
{% set blockInitState = "opened" %}
{% set blockColumns = {} %}
{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_NAME"),"width":"25%","type":"label","visible":true,"mode":"base"}|pushInto(blockColumns,"name") %}
{% set blockColumns = {"dbField":"image_path","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_IMAGE_PATH"),"width":"5%","type":"image","align":"center","style":"width:25px;","value":"../../themes/" ~ jsHtmlBlock('themeForRuntime') ~ "/images/rendering/" ~ jsHtmlData('image_path'),"visible":true,"mode":"base"}|pushInto(blockColumns,"image_path") %}
{% set blockColumns = {"dbField":"phpclasses","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_PHPCLASSES"),"width":"15%","type":"label","visible":true,"mode":"base","value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getPhpClasses('" ~ jsHtmlData('phpclasses') ~ "')")}|pushInto(blockColumns,"phpclasses") %}
{% set blockColumns = {"dbField":"bitlength","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_BITLENGTH"),"width":"10%","type":"label","visible":true,"mode":"base"}|pushInto(blockColumns,"bitlength") %}
{% set blockColumns = {"dbField":"values","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_VALUES"),"width":"35%","align":"left","type":"label","visible":true,"mode":"base","htmlCustom":jsHtmlIf(
			jsHtmlData('has_options') ~ "==1",
			jsHtmlFunc("iM.getScopeFromActiveView('workspace').optionLabelsToString('" ~ jsHtmlData('option_labels') ~ "',5)"),
			jsHtmlFunc("iM.getScopeFromActiveView('workspace').optionRangeToString('" ~ jsHtmlData('min_state') ~ "','" ~ jsHtmlData('max_state') ~ "','" ~ jsHtmlData('step_state') ~ "')")
		)}|pushInto(blockColumns,"values") %}
{% set blockColumns = {"dbField":"owned_by","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_OWNED_BY"),"width":"10%","type":"label","visible":true,"mode":"base","align":"center","value":jsHtmlFunc("rM.getConstant('_DPAD_THEME_ADMIN_LISTRENDERINGS_HEADER_OWNED_BY_" ~ jsHtmlData('owned_by') ~ "')")}|pushInto(blockColumns,"owned_by") %}

<div style="display:none">
	<div id="block_renderings_container_prototype">
		<h4 class="template-opened-h4">
			<div class="menu-icon-node"></div>
			<div class="h4-title">{{blockTitle}}</div>
			<div class="h4-title-custom-html"></div>
		</h4>
		<div class="template-container-fields" style="display:block">
			<div class="grid-table">
				<table id="block_renderings_container_results" cellspacing="0" cellpadding="0"></table>
			</div>
		</div>
	</div>
	<table id="block_renderings_header_prototype">
		<tr id="block_renderings_list_column_headers">
			<th class="grid-line-action"></th>
			<th class="grid-line-action"></th>
			<th class="grid-line-action"></th>
			{% for key,column in blockColumns %}
				<th column='{{key}}' style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}{% if column.visible != "true" %}display:none;{% else %}display:table-cell;{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
			{% endfor %}
		</tr>
	</table>
	<table id="block_renderings_item_prototype">
		<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}" class="{{ jsHtmlIf(jsHtmlData('is_visible') ~ '==1','visible','hidden') }}">
			<td class="grid-line-action"><div class="grid-action-mod" title="{{ getConstant('_DPAD_SYSTEM_GENERAL_MODIFY')  }}" onclick="if('{{ jsHtmlData('owned_by') }}'=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_EDIT_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};wM.tabCreateNew('{{ jsHtmlData('name',true) }}','{{ jsHtmlData('id') }}','iM.openInstance(\'../system/editrendering.php|id={{ jsHtmlData('id') }}\',null,null,\'workspace\');');"></div></td>
			<td class="grid-line-action"><div class="grid-action-copy" onClick="iM.getScope(this).renderingClone({{ jsHtmlData('id') }})"></div></td>
			<td class="grid-line-action"><div class="grid-action-del" title="{{ getConstant('_DPAD_GENERAL_DELETE')  }}" onclick="if('{{ jsHtmlData('owned_by') }}'=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).renderingRemove('{{ jsHtmlData('id') }}');event.stopPropagation();}"></div></td>
			{% for key,column in blockColumns %}
				{% if column.visible == "true" %}
					<td column='{{ key }}' style="{% if column.align %}text-align:{{ column.align }};{% endif %}display:{% if column.mode == 'expert' %}{{ jsHtmlIf('wM.expertMode','table-cell','none') }}{% else %}{% if column.visible != "true" %}none{% else %}table-cell{% endif %}{% endif %}" enabled="true" mode="{% if column.mode is not empty %}{{ column.mode }}{% else %}base{% endif %}">
					{% set columnFieldName='item_' ~ jsHtmlData('id') ~ '_' ~ column.origin ~ '_' ~ column.dbField|replace({'.':'_'}) %}
				{% if column.value is not empty %}
					{% set columnFieldValue = column.value %}
				{% else %}
					{% if column.origin == "db" %}
						{% set columnFieldValue = jsHtmlData(column.dbField) %}
					{% elseif column.origin == "relation" %}
						{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
					{% endif %}
				{% endif %}
				{% if column.title is not empty %}
					{% set columnFieldTitle = column.title %}
				{% else %}
					{% set columnFieldTitle = columnFieldValue %}
				{% endif %}
				{% if column.type == "checkbox" %}
					{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
				{% elseif column.type == "customOrTextbox" or column.type == "drop" %}
					{% set columnFieldValueJs = "drawM.getValue('" ~ columnFieldName ~ "',iM.getScope(this).getScopeSelector())" %}
				{% else %}
					{% set columnFieldValueJs = "this.value" %}
				{% endif %}
				{% if column.onChange is not empty %}
					{% set columnFieldOnChange = column.onChange %}
				{% elseif column.origin == "db" %}
					{% set columnFieldOnChange = "objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~"'," ~ columnFieldValueJs ~ ");" %}
				{% elseif column.origin == "relation" %}
					{% set columnFieldOnChange = "objM.updateFieldRelation(" ~ jsHtmlRowRelation('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
				{% endif %}
				{% if column.type == "warning" %}
					{% set columnFieldWarning = "<img src='" ~ theme.baseurl ~ "image/IconWARN.png' style='vertical-align:middle' alt='"~column.warningMsg~"' title='"~column.warningMsg~"'>" %}
					{{ jsHtmlIf(column.warningCondition,columnFieldWarning,'') }}
				{% else %}
					{% if column.htmlCustom is not empty %}
						{{ column.htmlCustom }}
					{% else %}
						{{ jsHtml({
							"as":column.type,
							"id":columnFieldName,
							"options":column.options,
							"value":columnFieldValue,
							"title":columnFieldTitle,
							"onChange":columnFieldOnChange,
							"onLoad":column.onLoad,
							"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))" ~ columnFieldOnChange,
							"style":column.style,
							"min":column.min,
							"max":column.max,
							"step":column.step,
							"themeSrc":theme.baseurl,
							"customAs":column.customAs
						}) }}
					{% endif %}
				{% endif %}
				</td>
				{% endif %}
			{% endfor %}
		</tr>
	</table>
</div>
	
{# SCOPE RELATION BLOCKS DECLARATION #}
{# Including scope #}
{% block block_scope %}
{% set blocks = {
	"id":"renderings",
	"filter_expression":"",
	"drop_accept_expression":""
}|pushInto(blocks,"renderings") %}
{% include ["scope.listrenderings.tpl"] %}
{% endblock block_scope %}