{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_TITLE")}}{% endblock %}

{% set form0_name = "scripts_list_form" %}
{% set form0_action = "../scripting/listscripts.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_body %}
	<h4 class="template-opened-h4"><div class="menu-icon-node"></div>{{ getConstant("_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_SAMPLE_SCRIPTS_TITLE") }}</h4>
	<div class="template-container-fields" style="display:block">
		<div id="samples_container" class="grid-table">
			<table cellspacing="0" cellpadding="0">
				<tr id="samples_list_column_headers">
					<th class="grid-line-action"></th>
					<th class="grid-line-action"></th>
					<th width="100%">{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_HEADER_NAME")}}</th>
				</tr>
				{% for key,script in page.samples %}
					<tr>
						<td class="grid-line-action"><div class="grid-action-mod" onclick="iM.getScope(this).scriptEdit('{{script}}','samples');event.stopPropagation();"></div></td>
						<td class="grid-line-action"><div class="grid-action-copy" onclick="iM.getScope(this).scriptCopy('{{script}}','samples');event.stopPropagation();"></div></td>
						<td width="100%">{{script}}</td>
					</tr>
				{% endfor %}
			</table>
		</div>
	</div>
	
	<h4 class="template-opened-h4"><div class="menu-icon-node"></div>{{ getConstant("_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_CUSTOM_SCRIPTS_TITLE") }}</h4>
	<div class="template-container-fields" style="display:block">
		<div id="scripts_container" class="grid-table">
			<table cellspacing="0" cellpadding="0">
				<tr id="scripts_list_column_headers">
					<th class="grid-line-action"></th>
					<th class="grid-line-action"></th>
					<th class="grid-line-action"></th>
					<th width="100%">{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_HEADER_NAME")}}</th>
				</tr>
				{% for key,script in page.scripts %}
					<tr>
						<td class="grid-line-action"><div class="grid-action-del" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).scriptRemove('{{ script }}');event.stopPropagation();}"></div></td>
						<td class="grid-line-action"><div class="grid-action-mod" onclick="iM.getScope(this).scriptEdit('{{ script }}');event.stopPropagation();"></div></td>
						<td class="grid-line-action"><div class="grid-action-copy" onclick="iM.getScope(this).scriptCopy('{{ script }}');event.stopPropagation();"></div></td>
						<td width="100%"><input type="textbox" value="{{script}}" onChange="iM.getScope(this).scriptRename($(this),'{{script}}',this.value)"/></td>
					</tr>
				{% endfor %}
			</table>
		</div>
	</div>
	
	<input type='hidden' name='op' id='op' value=''/>
	<input type='hidden' name='parameter' id='parameter' value=''/>
	<input type='hidden' name='folder' id='folder' value='scripts'/>
{% endset %}
{% set forms = {"scripts_list_form":{'name':form0_name,'title':form0_title,'format':form0_format,'method':form0_method,'action':form0_action,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}{% endblock %}

{% block block_help %}{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_HELP")}}{% endblock %}
{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_BUTTON_ADDNEW')}}" onClick="iM.getScope(this).scriptAddNew()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		<input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_BUTTON_ADDNEW')}}" onClick="iM.getScope(this).scriptAddNew()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.listscripts.tpl" %}
{% endblock %}