{% include "scope.navigation_tree.tpl" %}

<div class="menu-group-title">
	{% block block_menu_group_title %}
	<div class="menu-icon-group icon-node-selected"></div>
	<div id="tree-title" class="menu-group-title-text">{{getConstant("_DPAD_THEME_NAVIGATION_TREE_TITLE")}}</div>
	<div id="menu-node-close"></div>	
	<div id="menu-node-expand"></div>	
	<div class="template-clear"></div>
	{% endblock block_menu_group_title %}
</div>
<div id="navigation_tree_container" class="menu-group-content">
	<div id="navigation_tree_toolbar" class="menu-group-toolbar">
		<div id="toolbar-button-addnew" title="{{getConstant('_DPAD_GENERAL_NEW')}}" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('addnew')">
			<img src="{{theme.baseurl}}image/IconToolbarNew.png" alt="{{getConstant('_DPAD_GENERAL_NEW')}}"/>
		</div>
		<div id="toolbar-button-edit" title="{{getConstant('_DPAD_SYSTEM_GENERAL_MODIFY')}}" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('edit')">
			<img src="{{theme.baseurl}}image/IconToolbarEdit.png" alt="{{getConstant('_DPAD_SYSTEM_GENERAL_MODIFY')}}"/>
		</div>
		<div id="toolbar-button-delete" title="{{getConstant('_DPAD_GENERAL_DELETE')}}" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('delete')">
			<img src="{{theme.baseurl}}image/IconToolbarDelete.png" alt="{{getConstant('_DPAD_GENERAL_DELETE')}}"/>
		</div>
		<div id="toolbar-button-clone" title="{{ getConstant('_DPAD_DBCONSTANT_GENERAL_DUPLICATE') }}" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('clone')">
			<img src="{{theme.baseurl}}image/IconToolbarCopy.png" alt="{{ getConstant('_DPAD_DBCONSTANT_GENERAL_DUPLICATE') }}"/>
		</div>
	</div>
</div>


<div id="navigation_tree_cover" class="menu-group-content-cover"></div>

{# Block Prototypes #}
<div style="display:none;" >
	<div id="navigation_tree_container_prototype"><ul id="{{ jsHtmlBlock('name') }}_container_results"></ul></div>
	<div id="navigation_tree_row_prototype">
	{% block block_treeItemPrototype %}
		<li id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}" class="{{ jsHtmlIf(jsHtmlData('is_visible') ~ "==1",'visible','hidden') }}" tag="{{ jsHtmlData('id') }}" tipology="{{ jsHtmlData('type') }}" parent_node="{{ jsHtmlRowRelation('parentobj_id') }}" owner="{{ jsHtmlData('owned_by') }}" module="{{ jsHtmlObj('options.menu_data_module_owner') }}" toolbar="{{ jsHtmlObj('options.toolbar_type') }}" allow_edit="{{ jsHtmlObj('options.allow_edit') }}" allowed_new_types="{{ jsHtmlObj('options.allowed_new_types') }}" loaded="false" status="collapsed">
			<div id="name" item_id="{{ jsHtmlData('id') }}" onclick="iM.getScope(this).treeItemPressed({{ jsHtmlData('id') }})" >
				<div class="menu-node-title">{{ jsHtmlIf("'" ~ jsHtmlData('type') ~ "'=='" ~ getConstant('_DPAD_CLASS_TYPE_EIBOBJECT') ~ "'",jsHtmlObj('getFormattedMsp()'),'') }} {{ jsHtmlData('name') }}<label class="menu-node-unsaved-changes"> *</label></div>
				<div class="menu-node-mark-open" onclick="event.stopPropagation();"></div>
				<div class="menu-node-inline-edit" title="{{getConstant('_DPAD_SYSTEM_GENERAL_MODIFY')}}" onclick="iM.getScope(this).treeItemEdit({{ jsHtmlData('id') }});event.stopPropagation();"></div>
				{% block block_treeItemPrototype_additionalContent %}{% endblock %}
			</div>
			<div id="tree_item_{{ jsHtmlData('id') }}_childs"></div>
		</li>
	{% endblock block_treeItemPrototype %}
	</div>
	<div id="navigation_tree_row_header">
	{% block block_treeItemHeader %}
	{% endblock block_treeItemHeader %}
	</div>
</div>
