{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{getConstant("_DPAD_DBCONSTANT_REPORTING_IMPORT_EXPORT_PAGE_TITLE")}}{% endblock %}
{% set pageSubmitButtonLabel %}{%block block_pageSubmitButtonLabel %}{{ getConstant('_DPAD_GENERAL_EXECUTE') }}{% endblock %}{% endset %}

{% set form0_name = "log_import_export_form" %}
{% set form0_action = "../reporting/track_import_export.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<fieldset enabled="true" mode="base" step="1">
		<div class="field-line">
			<input type="radio" name="op" id="op" value="export" onclick="iM.getScope(this).op='export';$(iM.getScope(this).getScopeSelector()).find('#operation_import_file_container').slideUp('fast');" />{{getConstant("_DPAD_DBCONSTANT_REPORTING_IMPORT_EXPORT_OPERATION_EXPORT_LABEL")}}
			<div class="template-clear"></div>
		</div>
		<div class="field-line">
			<input type="radio" name="op" id="op" value="import" onclick="iM.getScope(this).op='import';$(iM.getScope(this).getScopeSelector()).find('#operation_import_file_container').slideDown('fast');"/>{{getConstant("_DPAD_DBCONSTANT_REPORTING_IMPORT_EXPORT_OPERATION_IMPORT_LABEL")}}
			<div class="template-clear"></div>
		</div>
		<div class="field-line" id="operation_import_file_container" style="display:none">
			<input type="file" id="csv_file" name="csv_file" style="margin-left: 40px">
			<div class="template-clear"></div>
		</div>
	</fieldset>
	<iframe id="log_export_download_iframe" style="display:none" src=""></iframe>
{% endset %}

{% set forms = {"log_import_export_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_help %}{% endblock %}

{% block block_scope %}
{% include "scope.reporting_log_import_export.tpl" %}
{% endblock %}