{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_TITLE") }}{% endblock %}

{% set pageSubmitButtonLabel %}{% block block_pageSubmitButtonLabel %}{{ getConstant('_DPAD_SYSTEM_UPDATE_PACKAGES_UPDATE_BUTTON') }}{% endblock %}{% endset %}
{% set pageCloseButtonLabel %}{% block block_pageCloseButtonLabel %}{{ getConstant('_DPAD_GENERAL_CLOSE') }}{% endblock %}{% endset %}

{% block block_help %}{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_HELP") }}{% endblock %}

{% set form0_name = "update_module_form" %}
{% set form0_action = "../system/update_module.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "json" %}
{% set form0_submitButtonLabel = getConstant('_DPAD_SYSTEM_UPDATE_PACKAGES_UPDATE_BUTTON') %}
{% set form0_closeButtonLabel = getConstant('_DPAD_GENERAL_CLOSE') %}
{% set form0_body %}
    <div id="update_module_step_specific_content"></div>
{% endset %}

{% set forms = {"update_module_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

	<div style="display:none">
	{% set form_button_submit_label = form0_submitButtonLabel %}
	{% set form_button_cancel_label = form0_closeButtonLabel %}
	{% include "update_module_step2.tpl" %}
	{% include "update_module_step3.tpl" %}
	{% include "update_module_step4.tpl" %}
	{% include "update_module_step6.tpl" %}
	</div>
{% endblock %}

{% block block_formsButtons %}{% endblock %}

{% block block_scope %}
{% include "scope.update_module.tpl" %}
{% endblock %}