{# Importing Macro #}
{% import "tool.html.tpl" as draw %}
{# Including core template #}
{% include "scope.user_login.tpl" %}
{# Login box #}
<div id="header">{{ getConstant('_DPAD_THEME_USER_LOGIN_TITLE') }}</div>
<div class="user_login_containing_div">
    <form name="form_user_login" id="form_user_login">
	    <fieldset>
		    <legend>{{ getConstant('_DPAD_THEME_USER_LOGIN_SUBTITLE') }}</legend>
		    <div class="field-line">
				<label for="username">{{ getConstant('_DPAD_THEME_USER_LOGIN_USERNAME') }}:</label>
				<input type="text" name="username" id="username" value="" {% if browser.isMobile %}autocapitalize="off" autocorrect="off"{% endif %} />
				<div class="template-clear"></div>
		    </div>
		    <div class="field-line">
				<label for="username">{{ getConstant('_DPAD_THEME_USER_LOGIN_PASSWORD') }}:</label>
				<input type="password" name="password" id="password" value="" onKeyPress="var oScope=iM.getScope(this);if(oScope.detectEnterOnKeypress(event))oScope.loginRequest();" {% if browser.isMobile %}autocapitalize="off" autocorrect="off"{% endif %} />
				<div class="template-clear"></div>
		    </div>
			<div class="field-line">
				<label for="username">{{ getConstant('_DPAD_THEME_USER_REMEMBER_ME') }}:</label>
				{{ draw.html({
					'draw_as': 'checkbox',
					'id': 'remember_me',
					'value': 1
				}) }}
				<div class="template-clear"></div>
		    </div>
	    </fieldset>
	    <div id="messages" class="field-note-container"></div>
		<div class="field-note-container">
		    <div id="trusted_login_timer"></div>
		</div>
	    <div class="field-buttons-container">
		<input id="button_login" type="button" class="field-button-green" value="{{ getConstant('_DPAD_GENERAL_LOGIN') }}" onclick="iM.getScope(this).loginRequest()"/>
	    </div>
    </form>
</div>
