{# Gateway/Process configuration list #}
{% set _elementConfigurationList = {
		'EIBGateway':{
			'table':'DPAD_EIB_CONFIGURATION',
			'CSs':{
				'ABBIGS':{
					'name':'ABBIGS',
					'type':'EIB',
					'description':getConstant('_DPAD_DBCONSTANT_EIB_CS_ABBIGS')|encode4jscript,
					'options':{
						'DPAD_EIB_IGS_MULTICASTADDRESS':{
							'as':'textbox',
							'name':'DPAD_EIB_IGS_MULTICASTADDRESS',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_MULTICASTADDRESS')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IGS_MULTICASTPORT':{
							'as':'textbox',
							'name':'DPAD_EIB_IGS_MULTICASTPORT',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_MULTICASTPORT')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IGS_MULTICASTTTL':{
							'as':'checkbox',
							'name':'DPAD_EIB_IGS_MULTICASTTTL',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_MULTICASTTTL')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IGS_LOOPBACKENABLE':{
							'as':'checkbox',
							'name':'DPAD_EIB_IGS_LOOPBACKENABLE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_LOOPBACK_ENABLE')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IGS_SOURCE_ADDRESS_ZONE':{
							'as':'textbox',
							'name':'DPAD_EIB_IGS_SOURCE_ADDRESS_ZONE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_ADDRESS_ZONE')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IGS_SOURCE_ADDRESS_LINE':{
							'as':'textbox',
							'name':'DPAD_EIB_IGS_SOURCE_ADDRESS_LINE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_ADDRESS_LINE')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IGS_SOURCE_ADDRESS_DEVICE':{
							'as':'textbox',
							'name':'DPAD_EIB_IGS_SOURCE_ADDRESS_DEVICE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IGS_ADDRESS_DEVICE')|encode4jscript,
							'defaultValue':''
						}
					}
				},
				'SIEMENSIPR':{
					'name':'SIEMENSIPR',
					'type':'EIB',
					'description':getConstant('_DPAD_DBCONSTANT_EIB_CS_SIEMENSIPR')|encode4jscript,
					'options':{
						'DPAD_EIB_IPR_MULTICASTADDRESS':{
							'as':'textbox',
							'name':'DPAD_EIB_IPR_MULTICASTADDRESS',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_MULTICASTADDRESS')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IPR_MULTICASTPORT':{
							'as':'textbox',
							'name':'DPAD_EIB_IPR_MULTICASTPORT',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_MULTICASTPORT')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IPR_MULTICASTTTL':{
							'as':'checkbox',
							'name':'DPAD_EIB_IPR_MULTICASTTTL',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_MULTICASTTTL')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IPR_LOOPBACKENABLE':{
							'as':'checkbox',
							'name':'DPAD_EIB_IPR_LOOPBACKENABLE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_LOOPBACKENABLE')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IPR_SOURCE_ADDRESS_ZONE':{
							'as':'textbox',
							'name':'DPAD_EIB_IPR_SOURCE_ADDRESS_ZONE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_ADDRESS_ZONE')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IPR_SOURCE_ADDRESS_LINE':{
							'as':'textbox',
							'name':'DPAD_EIB_IPR_SOURCE_ADDRESS_LINE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_ADDRESS_LINE')|encode4jscript,
							'defaultValue':''
						},
						'DPAD_EIB_IPR_SOURCE_ADDRESS_DEVICE':{
							'as':'textbox',
							'name':'DPAD_EIB_IPR_SOURCE_ADDRESS_DEVICE',
							'description':getConstant('_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_ADDRESS_DEVICE')|encode4jscript,
							'defaultValue':''
						}
					}
				},
				'EIBEIBD':{
					'name':'EIBEIBD',
					'type':'EIB',
					'description':getConstant('_DPAD_DBCONSTANT_EIB_CS_EIBEIBD')|encode4jscript,
					'options':{}
				}
			}
		}
} %}
{{ _elementConfigurationList|json_encode() }}