{# Gateway/Process configuration list #}
{% set _elementConfigurationList ={
	'HESANXGateway':{
		'table':'DPAD_HESANX_CONFIGURATION',
		'CSs':{
			'HESANXSERIAL':{
				'name':'HESANXSERIAL',
				'type':'HESANX',
				'description':getConstant('_DPAD_DBCONSTANT_HESANX_CS_HESANXSERIAL')|encode4jscript,
				'options':{
					'DPAD_HESANX_SERIALDEVICE':{
						'as':'select',
						'name':'DPAD_HESANX_SERIALDEVICE',
						'description':getConstant('_DPAD_DBCONSTANT_HESANX_CONFIGURATION_SERIALDEVICE')|encode4jscript,
						'defaultValue':getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript,
						'options':{
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_0'))|encode4jscript,
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_1')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_1'))|encode4jscript,
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL_LABEL'))|encode4jscript
						}
					}
				}
			},
			'HESANXETHERNET':{
				'name':'HESANXETHERNET',
				'type':'HESANX',
				'description':getConstant('_DPAD_DBCONSTANT_HESANX_CS_HESANXETHERNET')|encode4jscript,
				'options':{
					'DPAD_HESANX_ETHERNET_ADDRESS':{
						'as':'textbox',
						'name':'DPAD_HESANX_ETHERNET_ADDRESS',
						'description':getConstant('_DPAD_DBCONSTANT_HESANX_CONFIGURATION_ETHERNET_ADDRESS')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_HESANX_CONFIGURATION_ETHERNET_ADDRESS_DEFAULTVALUE')|encode4jscript,
					},
					'DPAD_HESANX_ETHERNET_PORT':{
						'as':'textbox',
						'name':'DPAD_HESANX_ETHERNET_PORT',
						'description':getConstant('_DPAD_DBCONSTANT_HESANX_CONFIGURATION_ETHERNET_PORT')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_HESANX_CONFIGURATION_ETHERNET_PORT_DEFAULTVALUE')|encode4jscript,
					}
				}
			}
		}
	}
} %}
{{ _elementConfigurationList|json_encode() }}