{# Gateway/Process configuration list #}
{% set _elementConfigurationList ={
	'HESAEVOGateway': {
		'table': 'DPAD_HESAEVO_CONFIGURATION',
		'CSs': {
			'HESAEVOSERIAL': {
				'name': 'HESAEVOSERIAL',
				'type': 'HESAEVO',
				'description': getConstant('_DPAD_DBCONSTANT_HESAEVO_CS_HESAEVOSERIAL')|encode4jscript,
				'options': {
					'DPAD_HESAEVO_SERIALDEVICE':{
						'as': 'select',
						'name': 'DPAD_HESAEVO_SERIALDEVICE',
						'description': getConstant('_DPAD_DBCONSTANT_HESAEVO_CONFIGURATION_SERIALDEVICE')|encode4jscript,
						'defaultValue': getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript,
						'options': {
							( getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript): getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_0') )|encode4jscript,
							( getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_1')|encode4jscript): getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_1') )|encode4jscript,
							( getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL')|encode4jscript): getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL_LABEL') )|encode4jscript
						}
					}
				}
			}
		}
	}
} %}
{{ _elementConfigurationList|json_encode() }}