{% import "tool.html.button.tpl" as htmlButton %}
{% import "tool.html.button.action.tpl" as htmlButtonAction %}
{% import "tool.html.checkbox.custom.tpl" as htmlCheckboxCustom %}
{# Including core template #}
{% include "scope.backup_management.tpl" %}
<div id="backup_management_help" class="wizard_section_help_containing_div">{{page.page_help}}</div>
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="95%">
	<tr id="action_buttons" >
		<td class="wizard_section_title_containing_cell">
			<p class="wizard_section_title_normal">
				{{page.page_title}}
			</p>
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButton.button({
				'id':'back_button',
				'class':'form_button',
				'value':getConstant("_DPAD_GENERAL_BLOCK_ACTION_BACK"),
				'onClick':'iM.getScope(this).back();'
			}) }}
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButtonAction.buttonAction({
				'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP"),
				'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
				'onClick':'themeManager.show_help($(this),$(iM.getScope(this).getScopeSelector()).find(\'#backup_management_help\'));'
			}) }}
		</td>
	</tr>
	<tr>
		<td colspan="3">
		<div class="wizard_section_external_containing_div">
		<table class="wizard_section_containing_table_hilight">
			<tr>
				<td>
					<table width="100%">
						<tr>
							<td>
								<p class="wizard_section_title_normal">{{getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_TITLE")}}</p>
							</td>
						</tr>
						<tr>
							<td>
								<form id="database_management_form" name="config_database_form" method="post" action="../system/database_management.php">
									<table class="box_containing_table" cellspacing="0" cellpadding="0">
										<tr>
											<td class="box_ul_containing_cell">&nbsp;</td>
											<td class="box_u_containing_cell">&nbsp;</td>
											<td class="box_ur_containing_cell">&nbsp;</td>
										</tr>
										<tr>
											<td class="box_l_containing_cell">&nbsp;</td>
											<td class="box_c_containing_cell">
												<div id="file_picker_scrollable_container" >
													<table style="width:100%;" cellpadding="5" cellspacing="5">
														<tr>
															<td width="5%" style="vertical-align:top;">
																{{ htmlCheckboxCustom.checkboxCustom({
																	'id':'operation_database_export',
																	'value':0,
																	'style':'cursor:pointer',
																	'onClick':'iM.getScope(this).operation_select($(this),\'database\',\'export\');$(iM.getScope(this).getScopeSelector()).find(\'#import_database_file\').slideUp(\'fast\');',
																	'themeSrc':theme.datas.current_baseurl
																}) }}
															</td>
															<td style="vertical-align:top;padding-top:5px">
																<b>{{getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_EXPORT_DB")}}</b>
															</td>
														</tr>
														<tr>
															<td width="5%" style="vertical-align:top;">
																{{ htmlCheckboxCustom.checkboxCustom({
																	'id':'operation_database_import',
																	'value':0,
																	'style':'cursor:pointer',
																	'onClick':'iM.getScope(this).operation_select($(this),\'database\',\'import\');$(iM.getScope(this).getScopeSelector()).find(\'#import_database_file\').slideDown(\'fast\');',
																	'themeSrc':theme.datas.current_baseurl
																}) }}
															</td>
															<td style="vertical-align:top;padding-top:5px">
																<b>{{getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_IMPORT_DB")}}</b><br/>
																<input type="file" id="import_database_file" name="import_database_file" class="wizard_textbox_medium" style="display:none">
															</td>
														</tr>
														<tr>
															<td width="5%" style="vertical-align:top;">
																{{ htmlCheckboxCustom.checkboxCustom({
																	'id':'operation_database_restore',
																	'value':0,
																	'style':'cursor:pointer',
																	'onClick':'iM.getScope(this).operation_select($(this),\'database\',\'restore\');$(iM.getScope(this).getScopeSelector()).find(\'#import_database_file\').slideUp(\'fast\');',
																	'themeSrc':theme.datas.current_baseurl
																}) }}
															</td>
															<td style="vertical-align:top;padding-top:5px">
																<b>{{getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_RESTORE_FACTORY_PARAMETERS")}}</b>
															</td>
														</tr>
													</table>
												</div>
											</td>
											<td class="box_r_containing_cell">&nbsp;</td>
										</tr>
										<tr>
											<td class="box_bl_containing_cell">&nbsp;</td>
											<td class="box_b_containing_cell">&nbsp;</td>
											<td class="box_br_containing_cell">&nbsp;</td>
										</tr>
									</table>
								<input type="hidden" id="operation" name="operation" value=""/>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<p class="wizard_section_title_normal">{{getConstant("_DPAD_SUPERVISION_PLANVIEW_MANAGEMENT_TITLE")}}</p>
							</td>
						</tr>
						<tr>
							<td>
								<form id="planview_management_form" name="config_database_form" method="post" style="opacity:0.2;" action="../supervision/planview_management.php">
									<table class="box_containing_table" cellspacing="0" cellpadding="0">
										<tr>
											<td class="box_ul_containing_cell">&nbsp;</td>
											<td class="box_u_containing_cell">&nbsp;</td>
											<td class="box_ur_containing_cell">&nbsp;</td>
										</tr>
										<tr>
											<td class="box_l_containing_cell">&nbsp;</td>
											<td class="box_c_containing_cell">
												<div id="file_picker_scrollable_container" >
													<table style="width: 100%;" cellpadding="5" cellspacing="5">
														<tr>
															<td width="5%" style="vertical-align:top;">
																{{ htmlCheckboxCustom.checkboxCustom({
																	'id':'operation_planview_export',
																	'value':0,
																	'style':'cursor:pointer',
																	'onClick':'iM.getScope(this).operation_select($(this),\'planview\',\'export\');$(iM.getScope(this).getScopeSelector()).find(\'#import_planview_file\').slideUp(\'fast\');',
																	'themeSrc':theme.datas.current_baseurl
																}) }}
															</td>
															<td style="vertical-align:top;padding-top:5px">
																<b>{{getConstant("_DPAD_SUPERVISION_PLANVIEW_MANAGEMENT_EXPORT_BACKGROUND")}}</b>
															</td>
														</tr>
														<tr>
															<td width="5%" style="vertical-align:top;">
																{{ htmlCheckboxCustom.checkboxCustom({
																	'id':'operation_planview_import',
																	'value':0,
																	'style':'cursor:pointer',
																	'onClick':'iM.getScope(this).operation_select($(this),\'planview\',\'import\');$(iM.getScope(this).getScopeSelector()).find(\'#import_planview_file\').slideDown(\'fast\');',
																	'themeSrc':theme.datas.current_baseurl
																}) }}
															</td>
															<td style="vertical-align:top;padding-top:5px">
																<b>{{getConstant("_DPAD_SUPERVISION_PLANVIEW_MANAGEMENT_IMPORT_BACKGROUND")}}</b><br/>
																<input type="file" id="import_planview_file" name="import_planview_file" class="wizard_textbox_medium" style="display:none">
															</td>
														</tr>
													</table>
												</div>
											</td>
											<td class="box_r_containing_cell">&nbsp;</td>
										</tr>
										<tr>
											<td class="box_bl_containing_cell">&nbsp;</td>
											<td class="box_b_containing_cell">&nbsp;</td>
											<td class="box_br_containing_cell">&nbsp;</td>
										</tr>
									</table>
								<input type="hidden" id="operation" name="operation" value=""/>
								</form>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td style="vertical-align:bottom">
					{{ htmlButton.button({
						'class':'form_button',
						'value':getConstant("_DPAD_GENERAL_EXECUTE"),
						'onClick':'iM.getScope(this).perform_operation();'
					}) }}
				</td>
			</tr>
		</table>
		<div class="wizard_section_corner_external_ul">&nbsp;</div>
		<div class="wizard_section_corner_external_ur">&nbsp;</div>
		<div class="wizard_section_corner_external_bl">&nbsp;</div>
		<div class="wizard_section_corner_external_br">&nbsp;</div>
		</div>
		</td>
	</tr>
</table>