{% include "externalframe.doctype.tpl" %}
<html>
<head>
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/style.css" />
{# Client-side scripts #}
{# Script_Includes: Begin #}
	{{ page.script_includes }}
{# Script_Includes: End #}
	<script src="../system/script/lib/jsDpadFunctions.js" type="text/javascript"></script>
	<script type='text/javascript'>
		var theme_use_frames = true;
		{{ page.script }}
		var idcaller = '{{ client.remote_addr }}';
		var soap_webservice = '{{ client.protocol }}{{ client.remote_addr }}{% if client.remote_port %}:{{ client.remote_port }}{% endif %}/{{ client.web_root }}/{{ client.soap_webservice }}';
		var theme_current_basepath = '{{ theme.datas.current_baseurl_images }}';
		var client_is_local = {{ !client.is_public }};
		var context = '{{ page.context }}';
		function showDetails(url, div_style, frame_style){
			window.parent.showDetails(url, div_style, frame_style);
		}
		function hideDetails(){
			window.parent.hideDetails(url);
		}
		function showMessage(message,level,timeout){
		    window.parent.showMessage(message,level,timeout);
		}
		function hideMessage(){
		    window.parent.hideMessage();
		}
	{# This function is called at body onLoad() #}
		function page_load(){
			body_load();
			{{ page.onLoad }};
			var themeManager=parent.themeManager;
	{# Adding listener for mousewheel event #}
			if(parent.$ && parent.$(window).mousewheel){
				parent.$(window).mousewheel(function(event,delta,deltaX,deltaY){
					var element=window;
					var scrollTo=0;
					if(delta>0)scrollTo=parent.$(element).scrollTop()-50;
					else scrollTo=parent.$(element).scrollTop()+50;
					if(scrollTo<0)scrollTo=0;
					parent.$(element).scrollTop(scrollTo);
				});
			}
			parent.themeManager.waitplease_display(false);
		}
	{# This function is called at body onBeforeUnLoad() #}
		function page_beforeunload(){
			parent.themeManager.waitplease_display(true);			
			{{page.onBeforeUnLoad}};
		{# Disabling page refresh calls #}
			objPageRefreshManager.enableRefreshCalls = false;
		{# Setting variable stating that page is going to be unloaded #}
			page_unloading = true;
		{# Waiting for requestState pending calls to finish #}
			var maxWaitRetries = 20;
			var waitRetryCounter = 0;
		{# Waiting for SOAP calls to be completed #}
			while(objPageRefreshManager.requestInProgress && waitRetryCounter<=maxWaitRetries){
					pause_execution(10);
					waitRetryCounter++;
			}
			freeGlobalVars();
		{# Forcing Garbage Collector on IE #}
			if (typeof CollectGarbage == 'function'){
					CollectGarbage();
			}
		{# On Firefox the sequence of events is different: OnClick, Href, OnBeforeUnload #}
		} 
	{# This function is called at body onUnLoad() #}
		function page_unload(){
			parent.themeManager.waitplease_display(true);
				{{ page.onUnLoad }};
		}
	</script>
</head>
<body class="body_content_containing_ownedby_iframe" onLoad="page_load();" onBeforeUnload="page_beforeunload();" onUnLoad="page_unload();" >
    <table width="100%" height="100%" border=0 cellpadding=0 cellspacing=0>
	<tr>
	    <td class="body_content_containing_cell" colspan="2">
			{{page.body.content}}
	    </td>
	</tr>
    </table>
    {% if page.waitplease_show_flag %}
    <div id="waitplease_div" name="waitplease_div" class="body_waitplease_containing_div">
		<table align="center" height="100%">
			<tr height=49%">
				<td></td>
			</tr>
			<tr>
				<td class="waitplease_containing_cell" >
					{{page.waitplease_message}}
				</td>
			</tr>
			<tr height=49%">
				<td></td>
			</tr>
		</table>
    </div>
    {% endif %}
</body>
</html>
