{% extends "administration_page.tpl" %}
{% import "tool.html.tpl" as draw %}

{%block block_pageTitle %}{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_TITLE") }}{% endblock %}

{% set form0_name %}{% block block_form0_name %}time_form{% endblock %}{% endset %}
{% set form0_action %}{% block block_form0_action %}../system/config_system.php{% endblock %}{% endset %}
{% set form0_method %}{% block block_form0_method %}POST{% endblock %}{% endset %}
{% set form0_format %}{% block block_form0_format %}xml{% endblock %}{% endset %}
{% set form0_title %}{% block block_form0_title %}{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_TITLE_DATATIME") }}{% endblock %}{% endset %}
{% set form0_body %}
	{% block block_form0_body %}
		<input type="hidden" id="submit_set_date" name="submit_set_date" value="1"/>
		<table width="100%" >
			<tr>
				<td>
					<table class="box_containing_table" cellspacing="0" cellpadding="0">
						<tr>
							<td class="box_ul_containing_cell">&nbsp;</td>
							<td class="box_u_containing_cell">&nbsp;</td>
							<td class="box_ur_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_l_containing_cell">&nbsp;</td>
							<td class="box_c_containing_cell">
								<table width="100%" >
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_TIMEHOUR") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'textbox',
												'id':'time_to_set',
												'value':page.time,
												'title':getConstant("_DPAD_DBCONSTANT_GENERAL_TETXBOX_TIME_DESCRIPTION"),
												'onChange':"iM.getScope(this).formModified(this);'"
											}) }}
										</td>
									</tr>
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'textbox',
												'id':'date_to_set',
												'value':page.date,
												'title':getConstant("_DPAD_BCONSTANT_GENERAL_TETXBOX_DATE_DESCRIPTION"),
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM") }}
										</td>
										<td class="config_system_value_td" >
											{% if page.senddatadgram_action %}
												{% set temp_senddatadgram_action=page.senddatadgram_action %}
											{% else %}
												{% set temp_senddatadgram_action=getConstant("_DPAD_LOCAL_SENDDATADGRAM_NEVER") %}
											{% endif %}
											{% set temp_var={
													(getConstant("_DPAD_LOCAL_SENDDATADGRAM_NEVER")):getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_NEVER"),
													(getConstant("_DPAD_LOCAL_SENDDATADGRAM_ONLOADMACHINE")):getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ONLOADMACHINE"),
													(getConstant("_DPAD_LOCAL_SENDDATADGRAM_ONMODIFYDATETIME")):getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ONMODIFYDATETIME"),
													(getConstant("_DPAD_LOCAL_SENDDATADGRAM_ONCRONTAB")):getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ONCRONTAB")
												}
											%}
											{{ draw.html({
												'draw_as':'radio',
												'id':'senddatadgram_action',
												'_items_per_row':1,
												'value':temp_senddatadgram_action,
												'options':temp_var,
												'onChange':"iM.getScope(this).toggleDgramActions(this);iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
									<tr id="config_system_dgram_knx_time" style="display:none;" >
										<td class="config_system_label_td" style="text-align:center;" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ADDRESS_TIME") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'select',
												'id':'senddatadgram_time_object_msp',
												'value':page.senddatadgram_time_object_msp,
												'options':page.senddatadgram_time_object_array,
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
									<tr id="config_system_dgram_knx_date" style="display:none;" >
										<td class="config_system_label_td" style="text-align:center;" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ADDRESS_DATE") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'select',
												'id':'senddatadgram_date_object_msp',
												'value':page.senddatadgram_date_object_array,
												'options':page.senddatadgram_date_object_msp,
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
									<tr id="config_system_dgram_knx_dayofweek" style="display:none;" >
										<td class="config_system_label_td" style="text-align:center;"  >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_WEEKLYREBOOT_DAYSOFWEEK") }}
										</td>
										<td class="config_system_value_td" >
											<table width="100%" >
												<tr>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_MONDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_TUESDAY") }}</small>
													</td>
													<td>
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_WEDNESDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_THURSDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_FRIDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_SATURDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_SUNDAY") }}</small>
													</td>
												</tr>
												<tr>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_1',
															'value':page.senddatadgram_daysofweek_1,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_2',
															'value':page.senddatadgram_daysofweek_2,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_3',
															'value':page.senddatadgram_daysofweek_3,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_4',
															'value':page.senddatadgram_daysofweek_4,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_5',
															'value':page.senddatadgram_daysofweek_5,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_6',
															'value':page.senddatadgram_daysofweek_6,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'senddatadgram_daysofweek_0',
															'value':page.senddatadgram_daysofweek_0,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr id="config_system_dgram_knx_dayofweek_time" style="display:none;" >
										<td class="config_system_label_td" style="text-align:center;"  >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_TIMEHOUR") }}
										</td>
										<td class="config_system_value_td" >
											<table>
												<tr id="config_system_dgram_knx_time_hour" >
													<td>
														{{ getConstant("_DPAD_DBCONSTANT_GENERAL_AT") }}
													</td>
													<td>
														{{ draw.html({
															'draw_as':'textbox',
															'id':'time_senddatadgram',
															'value':page.time_senddatadgram,
															'title':getConstant("_DPAD_DBCONSTANT_GENERAL_TETXBOX_TIME_DESCRIPTION"),
															'onClick':"iM.getScope(this).toggleDayOfWeekTime(this);",
															'onChange':"iM.getScope(this).formModified(this);",
														}) }}
														<input type="hidden" id="enable_time_specific" name="enable_time_specific" value="{{ page.enable_time_specific }}" />
													</td>
													<td>
													</td>
												</tr>
												<tr id="config_system_dgram_knx_time_periodic" >
													<td>
														{{ getConstant("_DPAD_DBCONSTANT_GENERAL_EACH") }}
													</td>
													<td class="config_system_value_td" >
														{{ draw.html({
															'draw_as':'textbox',
															'id':'time_each_minutes_senddatadgram',
															'value':page.time_each_minutes_senddatadgram,
															'title':getConstant("_DPAD_DBCONSTANT_GENERAL_TETXBOX_TIME_EACH_MINUTE_DESCRIPTION"),
															'onClick':'iM.getScope(this).toggleDayOfWeekTime(this);',
															'onChange':"iM.getScope(this).formModified(this);",
														}) }}
														<input type="hidden" id="enable_time_periodic" name="enable_time_periodic" value="{{ page.enable_time_periodic }}" />
													</td>
													<td>
														{{ getConstant("_DPAD_GENERAL_MINUTES") }}
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
							<td class="box_r_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_bl_containing_cell">&nbsp;</td>
							<td class="box_b_containing_cell">&nbsp;</td>
							<td class="box_br_containing_cell">&nbsp;</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	{% endblock %}
{% endset %}

{% set form1_name %}{% block block_form1_name %}time_zone_form{% endblock %}{% endset %}
{% set form1_action %}{% block block_form1_action %}../system/config_system.php{% endblock %}{% endset %}
{% set form1_method %}{% block block_form1_method %}POST{% endblock %}{% endset %}
{% set form1_format %}{% block block_form1_format %}xml{% endblock %}{% endset %}
{% set form1_title %}{% block block_form1_title %}{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_TITLE_TIMEZONE") }}{% endblock %}{% endset %}
{% set form1_body %}
	{% block block_form1_body %}
		<input type="hidden" id="submit_set_timezone" name="submit_set_timezone" value="1"/>
		<table width="100%" >
			<tr>
				<td>
					<table class="box_containing_table" cellspacing="0" cellpadding="0">
						<tr>
							<td class="box_ul_containing_cell">&nbsp;</td>
							<td class="box_u_containing_cell">&nbsp;</td>
							<td class="box_ur_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_l_containing_cell">&nbsp;</td>
							<td class="box_c_containing_cell">
								<table width="100%">
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CURRENT_TIMEZONE_AREA") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'select',
												'id':'timezone_area',
												'onChange':"iM.getScope(this).formModified(this);iM.getScope(this).updateTimezoneCity();"
											}) }}
										</td>
									</tr>
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CURRENT_TIMEZONE_CITY") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'select',
												'id':'timezone_city',
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
								</table>
							</td>
							<td class="box_r_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_bl_containing_cell">&nbsp;</td>
							<td class="box_b_containing_cell">&nbsp;</td>
							<td class="box_br_containing_cell">&nbsp;</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	{% endblock %}
{% endset %}

{% set form2_name %}{% block block_form2_name %}time_ntpdate_form{% endblock %}{% endset %}
{% set form2_action %}{% block block_form2_action %}../system/config_system.php{% endblock %}{% endset %}
{% set form2_method %}{% block block_form2_method %}POST{% endblock %}{% endset %}
{% set form2_format %}{% block block_form2_format %}xml{% endblock %}{% endset %}
{% set form2_title %}{% block block_form2_title %}{{getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_NTPDATECONFIG_TITLE")}}{% endblock %}{% endset %}
{% set form2_body %}
	{% block block_form2_body %}
		<input type="hidden" id="submit_set_ntpdate" name="submit_set_ntpdate" value="1"/>
		<table width="100%" >
			<tr>
				<td>
					<table class="box_containing_table" cellspacing="0" cellpadding="0">
						<tr>
							<td class="box_ul_containing_cell">&nbsp;</td>
							<td class="box_u_containing_cell">&nbsp;</td>
							<td class="box_ur_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_l_containing_cell">&nbsp;</td>
							<td class="box_c_containing_cell">
								<table width="100%">
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_NTPDATE_SERVER") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'textbox',
												'id':'ntpdate_server',
												'value':page.ntpdate_server,
												'title':getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_NTPDATE_SERVER_DESCRIPTION"),
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_NTPDATE_EVERYXMINUTES") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'textbox',
												'id':'ntpdate_everyxminutes',
												'value':page.ntpdate_everyxminutes,
												'title':getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_NTPDATE_EVERYXMINUTES_DESCRIPTION"),
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
								</table>
							</td>
							<td class="box_r_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_bl_containing_cell">&nbsp;</td>
							<td class="box_b_containing_cell">&nbsp;</td>
							<td class="box_br_containing_cell">&nbsp;</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	{% endblock %}
{% endset %}

{% set form3_name %}{% block block_form3_name %}time_reboot_form{% endblock %}{% endset %}
{% set form3_action %}{% block block_form3_action %}../system/config_system.php{% endblock %}{% endset %}
{% set form3_method %}{% block block_form3_method %}POST{% endblock %}{% endset %}
{% set form3_format %}{% block block_form3_format %}xml{% endblock %}{% endset %}
{% set form3_title %}{% block block_form3_title %}{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_WEEKLYREBOOT_TITLE") }}{% endblock %}{% endset %}
{% set form3_body %}
	{% block block_form3_body %}
		<input type="hidden" id="submit_set_weeklyreboot" name="submit_set_weeklyreboot" value="1"/>
		<table width="100%" >
			<tr>
				<td>
					<table class="box_containing_table" cellspacing="0" cellpadding="0">
						<tr>
							<td class="box_ul_containing_cell">&nbsp;</td>
							<td class="box_u_containing_cell">&nbsp;</td>
							<td class="box_ur_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_l_containing_cell">&nbsp;</td>
							<td class="box_c_containing_cell">
								<table width="100%">
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_WEEKLYREBOOT_DAYSOFWEEK") }}
										</td>
										<td class="config_system_value_td" >
											<table width="100%" >
												<tr>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_MONDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_TUESDAY") }}</small>
													</td>
													<td>
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_WEDNESDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_THURSDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_FRIDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_SATURDAY") }}</small>
													</td>
													<td style="text-align:center;" >
														<small>{{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_SUNDAY") }}</small>
													</td>
												</tr>
												<tr>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_1',
															'value':page.reboot_daysofweek_1,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_2',
															'value':page.reboot_daysofweek_2,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_3',
															'value':page.reboot_daysofweek_3,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_4',
															'value':page.reboot_daysofweek_4,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_5',
															'value':page.reboot_daysofweek_5,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_6',
															'value':page.reboot_daysofweek_6,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
													<td style="text-align:center;" >
														{{ draw.html({
															'draw_as':'checkbox',
															'id':'reboot_daysofweek_0',
															'value':page.reboot_daysofweek_0,
															'themeSrc':theme.datas.current_baseurl,
															'onChange':"iM.getScope(this).formModified(this);"
														}) }}
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="config_system_label_td" >
											{{ getConstant("_DPAD_DBCONSTANT_GENERAL_AT") }}
										</td>
										<td class="config_system_value_td" >
											{{ draw.html({
												'draw_as':'textbox',
												'id':'time_reboot',
												'value':page.time_reboot,
												'title':getConstant("_DPAD_DBCONSTANT_GENERAL_TETXBOX_TIME_DESCRIPTION"),
												'onChange':"iM.getScope(this).formModified(this);"
											}) }}
										</td>
									</tr>
								</table>
							</td>
							<td class="box_r_containing_cell">&nbsp;</td>
						</tr>
						<tr>
							<td class="box_bl_containing_cell">&nbsp;</td>
							<td class="box_b_containing_cell">&nbsp;</td>
							<td class="box_br_containing_cell">&nbsp;</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	{% endblock %}
{% endset %}

{% set forms = {"form0":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body},"form1":{'name':form1_name,'action':form1_action,'method':form1_method,'title':form1_title,'format':form1_format,'submitButtonLabel':form1_submitButtonLabel,'closeButtonLabel':form1_closeButtonLabel,'body':form1_body},"form2":{'name':form2_name,'action':form2_action,'method':form2_method,'title':form2_title,'format':form2_format,'submitButtonLabel':form2_submitButtonLabel,'closeButtonLabel':form2_closeButtonLabel,'body':form2_body},"form3":{'name':form3_name,'action':form3_action,'method':form3_method,'title':form3_title,'format':form3_format,'submitButtonLabel':form3_submitButtonLabel,'closeButtonLabel':form3_closeButtonLabel,'body':form3_body}} %}

{% block block_customContent %}
{% endblock %}

{% block block_scope %}
{% include "scope.config_system.tpl" %}
{% endblock %}