{# Config Theme Options Template #}
{% import "tool.html.button.tpl" as htmlButton %}
{% import "tool.html.button.action.tpl" as htmlButtonAction %}
{# Including core template #}
{% include "scope.config_theme_options.tpl" %}
<div id="config_theme_options_help" class="wizard_section_help_containing_div">{{page.page_help}}</div>
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="95%">
	<tr id="action_buttons" >
		<td class="wizard_section_title_containing_cell">
			<p class="wizard_section_title_normal">
				{{page.page_title}}
			</p>
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButton.button({
				'id':'back_button',
				'class':'form_button',
				'value':getConstant("_DPAD_GENERAL_BLOCK_ACTION_BACK"),
				'onClick':'iM.getScope(this).back();'
			}) }}
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButtonAction.buttonAction({
				'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP"),
				'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
				'onClick':"themeManager.show_help($(this),$(iM.getScope(this).getScopeSelector()).find('#config_theme_options_help'));"
			}) }}
		</td>
	</tr>
	<tr>
		<td colspan="4">
			<div class="wizard_section_external_containing_div">
				<table class="wizard_section_containing_table_hilight">
					<tr>
						<td style="vertical-align:top">
							<table id="theme_options" style="width: 100%;">
							</table>
						</td>
					</tr>
					<tr>
						<td style="vertical-align:bottom">
							{{ htmlButton.button({
								'class':'form_button',
								'value':getConstant("_DPAD_GENERAL_SAVE"),
								'onClick':'iM.getScope(this).updateThemeOptions();'
							}) }}
						</td>
					</tr>
				</table>
				<div class="wizard_section_corner_external_ul">&nbsp;</div>
				<div class="wizard_section_corner_external_ur">&nbsp;</div>
				<div class="wizard_section_corner_external_bl">&nbsp;</div>
				<div class="wizard_section_corner_external_br">&nbsp;</div>
			</div>
		</td>
    </tr>
</table>


<div id="theme_options_container" >
</div>