{% extends "debug.window.tpl" %}
{% block title %}{{ url }}{% endblock %}
{% block body %}
<h1>PHP Debug Console  - {{ url }}</br>Total Time {{ execution_time|number_format }} seconds</h1>
{% if _GET %}
<h2>GET vars</h2>
<table id="table_assigned_vars">
	{% for key,value in _GET %}
       <tr class="{% if (loop.index%2)==0 %}odd{% else %}even{% endif %}">   
       <th>${{ key|escape }}</th>
       <td>{{ value }}</td></tr>
    {% endfor %}
</table>
{% endif %}
{% if _POST %}
<h2>POST vars</h2>
<table id="table_assigned_vars">
	{% for key,value in _POST %}
       <tr class="{% if (loop.index%2)==0 %}odd{% else %}even{% endif %}">   
       <th>${{key|escape}}</th>
       <td>{{value}}</td></tr>
    {% endfor %}
</table>
{% endif %}
<h2>PHP Actions (load time in seconds)</h2>
<div>
{% for key,debug in debug_output %}
  {{debug.date}}
  <span class="exectime">
	({{debug.execution_time}})
  </span>
  -
  <font color=brown>[{{debug.current_page}}]</font>
  {{debug.error_msg}}
  {{debug.error_code}}
  <br>
{% endfor %}
</div>
{% endblock %}