{# Including core template #}
{% import "tool.html.button.tpl" as htmlButton %}
{% include "scope.diagnostic.tpl" %}
<div id="diagnostic_help" class="wizard_section_help_containing_div">{{page.page_help}}</div>
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="95%">
	<tr id="action_buttons" >
		<td class="wizard_section_title_containing_cell">
			<p class="wizard_section_title_normal">
				{{page.page_title}}
			</p>
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButton.button({
				'id':'back_button',
				'class':'form_button',
				'value':getConstant("_DPAD_GENERAL_BLOCK_ACTION_BACK"),
				'onClick':"iM.getScope(this).back();"
			}) }}
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButtonAction.buttonAction({
				'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP"),
				'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
				'onClick':"themeManager.show_help($(this),$(iM.getScope(this).getScopeSelector()).find('#diagnostic_help'));"
			}) }}
		</td>
	</tr>
	<tr>
		<td colspan="3">
			<div class="wizard_section_external_containing_div">
				<table class="wizard_section_containing_table_hilight">
					<tr>
						<td>
							<table width="100%">
								<tr>
									<td>
										<p class="wizard_section_title_normal">{{getConstant("_DPAD_SYSTEM_DIAGNOSTIC_SYSTEM_CONFIG_TITLE")}}</p>
									</td>
								</tr>
								<tr>
									<td>
										<table width="100%" >
											<tr>
												<td>
													<table class="box_containing_table" cellspacing="0" cellpadding="0">
												<tr>
													<td class="box_ul_containing_cell">&nbsp;</td>
													<td class="box_u_containing_cell">&nbsp;</td>
													<td class="box_ur_containing_cell">&nbsp;</td>
												</tr>
												<tr>
													<td class="box_l_containing_cell">&nbsp;</td>
													<td class="box_c_containing_cell">
														<table width="100%" >
															<tr>
																<td width="50%" >
																	{{getConstant("_DPAD_SYSTEM_DIAGNOSTIC_SYSTEM_CONFIG_SERIAL_NUMBER")}}
																</td>
																<td width="50%" >
																	{{getMachineSerialNumber()}}
																</td>
															</tr>
															<tr>
																<td width="50%" >
																	{{getConstant("_DPAD_SYSTEM_DIAGNOSTIC_SYSTEM_CONFIG_HARDWARE_CODE")}}
																</td>
																<td width="50%" >
																	<small>{{getSystemCode()}}</small>
																</td>
															</tr>
															<tr>
																<td width="50%" >
																	{{getConstant("_DPAD_SYSTEM_DIAGNOSTIC_SYSTEM_CONFIG_VERSION_CUSTOM")}}
																</td>
																<td width="50%" >
																	{{getSetting(constant("_DPAD_DB_WEB_OPTION_CUSTOM_VERSIONING"),false)}}
																</td>
															</tr>
														</table>
													</td>
													<td class="box_r_containing_cell">&nbsp;</td>
												</tr>
												<tr>
													<td class="box_bl_containing_cell">&nbsp;</td>
													<td class="box_b_containing_cell">&nbsp;</td>
													<td class="box_br_containing_cell">&nbsp;</td>
												</tr>
											</table>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td style="vertical-align:bottom">
							{{ htmlButton.button({
								'class':'form_button',
								'value':getConstant("_DPAD_GENERAL_EXPORT"),
								'onClick':'iM.getScope(this).diagnostic_file_export();'
							}) }}
						</td>
					</tr>
				</table>
				<div class="wizard_section_corner_external_ul">&nbsp;</div>
				<div class="wizard_section_corner_external_ur">&nbsp;</div>
				<div class="wizard_section_corner_external_bl">&nbsp;</div>
				<div class="wizard_section_corner_external_br">&nbsp;</div>
			</div>
		</td>
    </tr>
</table>