{% extends "administration_page.tpl" %}

{# Including scope template #}
{% include "scope.file_picker.tpl" %}


{% block block_formsCustomContent %}
<tr><td>
	<div class="file_picker_containing">
	<div id="tutondo_container" class="file_picker_container">
	<div id="file_picker_help" class="wizard_section_help_containing_div">{{page.page_help}}</div>
	<div id="upload-confirm" title="{{getConstant('_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_ALERT_TITLE')}}">
		<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>{{getConstant('_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_ALERT_DESCRIPTION')}}</p>
	</div>

			{% if page.show_action_upload or page.show_action_remove %}
			<form id="file_form" name="file_form" method="post" action="../system/file_picker.php">
			{% endif %}
			<table heigth="100%" width="100%" >
			{% if page.show_action_upload %}
				<tr>
					<td width="50%" >
						<div class="file_picker" >
							<b>{{getConstant('_DPAD_GENERAL_UPLOAD')}}</b><br/>
							<input type="file" id="upload_file" name="upload_file" class="file_picker_input" {% if not client.is_public %}style="display:none"{% endif %} multiple>
						</div>
					</td>
					<td width="50%" >
						<table id="uploaded_files"></table>
					</td>
				</tr>
			{% endif %}
				<tr>
					<td {% if client.is_public %}colspan="2"{% else %}width="50%"{% endif %} >
						<div id="file_dropzone">
						<table class="box_containing_table" cellspacing="0" cellpadding="0">
							<tr>
								<td class="box_ul_containing_cell">&nbsp;</td>
								<td class="box_u_containing_cell">&nbsp;</td>
								<td class="box_ur_containing_cell">&nbsp;</td>
							</tr>
							<tr>
								<td class="box_l_containing_cell">&nbsp;</td>
								<td class="box_c_containing_cell">
										<table width="100%" height="100%" >
											<tr>
												<td>
													<div id="file_picker_scrollable_container" >
														<div id="file_picker_list" >
														</div>
													</div>
												</td>
												{% if not client.is_public %}
												<td width="5%">
													{include_core_func
														file="prototype.html_action_button.tpl"
														onMouseDown="iM.getScope(this).scrollUpFileUploaded();"
														onMouseUp="iM.getScope(this).scrollStopFileUploaded();"
														onMouseOut="iM.getScope(this).scrollStopFileUploaded();"
														image_path=theme.datas.current_baseurl ~ "images/actions/up_arrow.png"
													}
													{include_core_func
														file="prototype.html_action_button.tpl"
														onMouseDown="iM.getScope(this).scrollDownFileUploaded();"
														onMouseUp="iM.getScope(this).scrollStopFileUploaded();"
														onMouseOut="iM.getScope(this).scrollStopFileUploaded();"
														image_path=theme.datas.current_baseurl ~ "images/actions/down_arrow.png"
													}
												</td>
												{% endif %}
											</tr>
										</table>
								</td>
								<td class="box_r_containing_cell">&nbsp;</td>
							</tr>
							<tr>
								<td class="box_bl_containing_cell">&nbsp;</td>
								<td class="box_b_containing_cell">&nbsp;</td>
								<td class="box_br_containing_cell">&nbsp;</td>
							</tr>
						</table>
						</div>
					</td>
					{% if (not client.is_public) and page.show_action_upload %}
					<td width="50%">
						<table class="box_containing_table" cellspacing="0" cellpadding="0">
							<tr>
								<td class="box_ul_containing_cell">&nbsp;</td>
								<td class="box_u_containing_cell">&nbsp;</td>
								<td class="box_ur_containing_cell">&nbsp;</td>
							</tr>
							<tr>
								<td class="box_l_containing_cell">&nbsp;</td>
								<td class="box_c_containing_cell">
									<table width="100%" height="100%" >
										<tr>
											<td width="25%" >
												<table width="100%">
													<tr>
														<td>
															{{getConstant('_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_SOURCES')}}
														</td>
													</tr>
													<tr>
														<td>
															<ul>
																<li onClick="iM.getScope(this).seekFromFilePath('/tmp/media/usb-stick','toupload_files');" >{{getConstant('_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_SOURCE_USB')}}</li>
															</ul>
														</td>
													</tr>
												</table>
											</td>
											<td width="70%" >
												<div id="file_to_upload_scrollable_container" >
													<div id="file_to_upload_list" >
													</div>
												</div>
											</td>
											<td width="5%">
													{include_core_func
														file="prototype.html_action_button.tpl"
														onMouseDown="iM.getScope(this).scrollUpFileToUpload();"
														onMouseUp="iM.getScope(this).scrollStopFileToUpload();"
														onMouseOut="iM.getScope(this).scrollStopFileToUpload();"
														image_path=theme.datas.current_baseurl ~ "images/actions/up_arrow.png"
													}
													{include_core_func
														file="prototype.html_action_button.tpl"
														onMouseDown="iM.getScope(this).scrollDownFileToUpload();"
														onMouseUp="iM.getScope(this).scrollStopFileToUpload();"
														onMouseOut="iM.getScope(this).scrollStopFileToUpload();"
														image_path=theme.datas.current_baseurl ~ "images/actions/down_arrow.png"
													}
											</td>
										</tr>
									</table>
								</td>
								<td class="box_r_containing_cell">&nbsp;</td>
							</tr>
							<tr>
								<td class="box_bl_containing_cell">&nbsp;</td>
								<td class="box_b_containing_cell">&nbsp;</td>
								<td class="box_br_containing_cell">&nbsp;</td>
							</tr>
						</table>
					</td>
					{% endif %} 
				</tr>
			</table>
			{% if page.show_action_upload or page.show_action_remove %}
			<input type="hidden" id="upload_path_to" name="upload_path_to" value=""/>
			{% if page.show_action_upload %}
			<input type="hidden" id="upload" name="upload" value="0"/>
			{% endif %}
			<input type="hidden" id="upload_local" name="upload_local" value="0"/>
			<input type="hidden" id="upload_local_file" name="upload_local_file" value="0"/>
			<input type="hidden" id="upload_local_path_from" name="upload_local_path_from" value="0"/>
			{% if page.show_action_remove %}
			<input type="hidden" id="delete" name="delete" value="0"/>
			<input type="hidden" id="delete_file_name" name="delete_file_name" value="0"/>
			{% endif %}
			{% endif %}
			</form>
			{% endif %}
	<div id="block_file_container_prototype" style="display:none;" ><table id="{{ jsHtmlBlock('name') }}_container_results" width="100%" ></table></div>
	<table id="block_file_toupload_row_prototype" style="display:none;" ><tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRow('id') }}" ><td class="wizard_results_item_cell" ><a id="{{ jsHtmlBlock('name') }}_file_{{ jsHtmlRow('id') }}_label" class="element_idle" onClick="iM.getScope(this).clickElement($(this),'{{ jsHtmlBlock('name') }}',{{ jsHtmlRow('id') }});" href="#" >{{ jsHtmlRow('name') }}</a></td>{% if page.show_action_remove %}<td class="wizard_results_item_cell" align="right" >{include_core_func file="prototype.html_action_button.tpl" description=getConstant('_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_TRASH) image_path=theme.datas.current_baseurl ~ "images/actions/trash.png" onClick="iM.getScope(this).deleteFile('{{ jsHtmlBlock('name') }}',{{ jsHtmlRow('id') }});"}</td>{% endif %}</tr></table>
	<table id="block_file_uploaded_row_prototype" style="display:none;" ><tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRow('id') }}" ><td class="wizard_results_item_cell" align="center" onClick="iM.getScope(this).clickElement($(this),'{{ jsHtmlBlock('name') }}',{{ jsHtmlRow('id') }});" title="{{ jsHtmlRow('name') }}" ><img id="image_picker_preview_image_{{ jsHtmlRow('id') }}" class="image_picker_preview_image" src="{{ jsHtmlRow('path_url') }}" alt="{{ jsHtmlRow('name') }}" onmousedown="if(event.preventDefault)event.preventDefault();return false;" /></td><td class="wizard_results_item_cell" >{{ jsHtmlRow('name') }}</td>{% if page.show_action_remove %}<td class="wizard_results_item_cell" align="right" >{include_core_func file="prototype.html_action_button.tpl" description=getConstant('_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_TRASH') image_path=theme.datas.current_baseurl ~ "images/actions/trash.png" onClick="iM.getScope(this).deleteFile('{{ jsHtmlBlock('name') }}',{{ jsHtmlRow('id') }});"}</td>{% endif %}</tr></table>
</td></tr>
{% endblock block_formsCustomContent %}