{% block block_relations %}
	<div style="display:none">
		<div id="block_obj_{{ blockTitleId }}_container_prototype">
			{% block block_relations_container %}
				{% if blockSearchFilter is empty %}{% set blockSearchFilter = "1" %}{% endif %}
				<div id="{{ jsHtmlBlock('name') }}_help" class="wizard_section_help_containing_div">{{ blockHelp }}</div>
				<table width="100%">
				    <tr>
					<td class="wizard_section_title_containing_cell">
					    <p
						id="{{ blockTitleId }}"
						class="wizard_section_title_normal"
						onClick="iM.getScope(this).section_hilight($(this),'#{{ jsHtmlBlock('name') }}_container_results');iM.getScope(this).setSearchFilter($(this),'{{ blockSearchFilter|replace({"'":"\\'"}) }}','[id^=\'block_obj_\'][id$=\'_container_results\']:not([id^=\'block_obj_details\'])');iM.getScope(this).{{ jsHtmlBlock('_objVarName') }}.refresh();"
					    >
					    {{ blockTitle }}
					    </p>
					</td>
					<td class="wizard_section_button_containing_cell">
						<div class="form_smallbutton_blue">
						    <img src="{{ theme.datas.current_baseurl }}images/actions/help.png" class="form_action_button" onclick="iM.getScope(this).show_help($(this),'#{{ jsHtmlBlock('name') }}_help');"/>
						</div>
					</td>
				    </tr>
				    <tr>
					<td colspan="2">
					    <div class="wizard_section_external_containing_div">
						<table id="{{ jsHtmlBlock('name') }}_container_results" width="100%" cellpadding="0" cellspacing="0" border="0" class="wizard_section_containing_table_normal" require_right_panel="true"></table>
						<div class="wizard_section_corner_external_ul">&nbsp;</div>
						<div class="wizard_section_corner_external_ur">&nbsp;</div>
						<div class="wizard_section_corner_external_bl">&nbsp;</div>
						<div class="wizard_section_corner_external_br">&nbsp;</div>
					    </div>
					</td>
				    </tr>
				</table>			
			{% endblock block_relations_container %}
		</div>
		<table id="block_obj_{{blockTitleId}}_header_prototype">
			{% block block_relations_header %}
				<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
					{% for key,column in blockColumns %}
						{% if column.visible == "true" %}
						<td class="wizard_results_header_cell" {% if column.width %}width="{{ column.width }}"{% endif %} nowrap style='{% if column.align %}text-align:{{column.align}}{% endif %}' >{{column.label}}</td>
						{% endif %}
					{% endfor %}
					<td class="wizard_results_header_cell" width="10%" colspan="2">{{ getConstant("_DPAD_SYSTEM_GENERAL_ACTIONS")|upper }}</td>
				</tr>
			{% endblock block_relations_header %}
		</table>
		<table id="block_obj_{{ blockTitleId }}_item_prototype">
			{% block block_relations_item %}
				<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRowRelation('id') }}">
					{% for key,column in blockColumns %}
						{% if column.visible == "true" %}
						<td class="wizard_results_item_cell" {% if column.width %}width="{{ column.width }}"{% endif %} nowrap style='{% if column.align %}text-align:{{column.align}}{% endif %}' >
							{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlRowRelation('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField|replace({'.':'_'}) %}
								{% if column.value is not empty %}
										{% set columnFieldValue = column.value %}
								{% else %}
								{% if column.origin == "db" %}
									{% set columnFieldValue = jsHtmlData(column.dbField) %}
								{% elseif column.origin == "relation" %}
									{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
								{% endif %}
												{% endif %}
												{% if column.type == "checkbox" %}
														{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
												{% else %}
														{% set columnFieldValueJs = "this.value" %}
												{% endif %}
												{% if column.onChange != "" %}
													{% set columnFieldOnChange = column.onChange %}
												{% elseif column.origin == "db" %}
													{% set columnFieldOnChange = "objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
												{% elseif column.origin == "relation" %}
													{% set columnFieldOnChange = "objM.updateFieldRelation(" ~ jsHtmlRowRelation('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ")" %}
												{% endif %}
							Disegno: min->{{ column.min_value }},step->{{ column.step_value }},max->{{ column.max_value }}<br>
							{{ jsHtml({
								"as":column.type,
								"id":columnFieldName,
								"min":column.min,
								"step":column.max,
								"max":column.step,
								"options":column.options,
								"value":columnFieldValue,
								"onChange":columnFieldOnChange,
								"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))" ~ columnFieldOnChange ~ ")"
							}) }}
						</td>
						{% endif %}
					{% endfor %}
					<td width="3%" class="wizard_results_item_cell" nowrap style='text-align:center'>
					{#
						{include_core_func
							file="prototype.html_action_button.tpl"
							id="sortable_handler"
							description=$smarty.const._DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_SORT
							image_path="`$theme.baseurl`images/actions/updown_arrow.png"
						}
					#}
					</td>
					<td width="3%" class="wizard_results_item_cell" nowrap style='text-align:center'>
					{#
						{include_core_func
							file="prototype.html_action_button.tpl"
							description=$smarty.const._DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_REMOVE
							image_path="`$theme.baseurl`images/actions/remove_item.png"
							onClick="if(confirm('`$smarty.const._DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM`'))`$smarty.ldelim`iM.getScope(this).removeRel('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlRowRelation('id') }});event.stopPropagation();`$smarty.rdelim`"
						}
					#}
					</td>
				</tr>
			{% endblock block_relations_item %}
		</table>
	</div>
{% endblock block_relations %}