{% extends "scope.editobject.generic.tpl" %}

{#
	_updateConditionUI must be called twice because the system renders all the blocks 2 times with a concurrency...
#}

{% block block_blocksRenderCallback_details %}
	{{ parent() }}
	this._updateConditionUI(this.id);
{% endblock block_blocksRenderCallback_details %}

{% block block_onLoadFinalize %}
	{{ parent() }}
	this._updateConditionUI(this.id);
{% endblock block_onLoadFinalize %}

{% block block_customFunctions %}
	{{ parent() }}
	this._updateConditionUI=function(iId){
		if(!iId)iId=this.id;
		var oCondition=objM.getObj(iId);
		var jContainerSx=$(this.getScopeSelector()).find('#obj'+oCondition.id+'-condition-against-item-sx_line');
		var jContainerDx=$(this.getScopeSelector()).find('#obj'+oCondition.id+'-condition-against-item-dx_line');
		{# Showing Containers #}
		if(oCondition.isInterval()){
			jContainerSx.show();
			jContainerDx.show();
		}
		else{
			jContainerSx.hide();
			jContainerDx.show();
		}
	}
{% endblock %}
