{% extends "scope.editobject.generic.tpl" %}

{% block block_includeJsCustom %}
	{{ html_includejs("jquery.encoding.sha1.js","js") }}
	{{ html_includejs("jquery.base64.js","js") }}
	{{ html_includejs("jquery.phppack.js","js") }}
{% endblock %}

{% block block_customFunctions %}
{{ parent() }}

this.validate_pwd=function(){
	var _sCurrentPwd = $(this.getScopeSelector()).find('#obj' + this.id + '_msp').val();
	var _sOriginalPwd = $(this.getScopeSelector()).find('#obj' + this.id + '_msp').get(0).getAttribute('value');
	var _sRepeatedPwd = $(this.getScopeSelector()).find('#obj' + this.id + '_msp_repeat').val();
	if( _sCurrentPwd=='' || _sRepeatedPwd=='' ){
		themeManager.showMessage('{{ getConstant("_DPAD_SYSTEM_USERLOGIN_PWDEMPTY")|encode4jscript }}','warning');
		return false;
	}
	if( _sCurrentPwd!='' && _sCurrentPwd==_sRepeatedPwd && _sOriginalPwd!=_sCurrentPwd ){
		return true;
	} else {
		themeManager.showMessage('{{ getConstant("_DPAD_SYSTEM_OBJECT_USER_VALIDATIONFAILED")|encode4jscript }}','warning');
		return false;
	}
}

{% endblock %}
