{# RADIO HTML #}
{% macro radio(params) %}
{% if not items_per_row %}{% set _items_per_row=3 %}{% endif %}
<fieldset {% if params.id %}id="{{ params.id }}" name="{{ params.id }}"{% endif %} style="border: none;">
	<table>
	{% if not params.options %}{% set options={'1':getConstant("_DPAD_SYSTEM_OBJECT_DETAILS_VISIBLE_YES"),'0':getConstant("_DPAD_SYSTEM_OBJECT_DETAILS_VISIBLE_NO")} %}{% else %}{% set options=params.options %}{% endif %}
	{% set _items_per_row_counter=0 %}
	{% for option_key,option_value in options %}
		{% if _items_per_row_counter==0 %}<tr>{% endif %}
		<td style="padding: 0px; vertical-align:top">
			<input type="radio" {% if params.id %}id="{{ params.id }}_{{ _items_per_row_counter }}" name="{{ params.id }}"{% endif %} value={{ option_key }} {% if params.onChange %}onChange="{{ params.onChange }}" {% endif %}{% if params.onClick %}onClick="{{ params.onClick }}" {% endif %}{% if option_key==params.value %}checked {% endif %}{% if params.disabled %}disabled {% endif %}>
		</td>
		<td style="padding: 0px; vertical-align:top">
			{{ option_value }}
		</td>
		{% set _items_per_row_counter=(_items_per_row_counter+1) %}{% if _items_per_row_counter==_items_per_row %}{% set _items_per_row_counter=0 %}{% endif %}
		{% if _items_per_row_counter==0 %}</tr>{% endif %}
	{% endfor %}
</table></fieldset>
{% endmacro %}