{# SELECT HTML #}
{% macro select(params) %}
{% set _has_options=params.has_options %}
{% if params.options is null %}{% set _has_options=0 %}{% else %}{% set _has_options=1 %}{% endif %}
<select {% if params.is_multiselect %}multiple{% endif %} {% if params.id %}id="{{ params.id }}{% if params.is_multiselect %}[]{% endif %}" name="{{ params.id }}" {% endif %}{% if params.is_multiselect %}size="{% if params.tot_options %}{% if params.tot_options <= getConstant("_DPAD_CONSTANT_MULTISELECT_MAX_ITEMS") %}{{ params.tot_options }}{% else %}{{ getConstant("_DPAD_CONSTANT_MULTISELECT_MAX_ITEMS") }}{% endif %}{% else %}{{ getConstant("_DPAD_CONSTANT_MULTISELECT_MAX_ITEMS") }}{% endif %}" {% endif %}{% if params.class %}class="{{ params.class }}" {% endif %}{% if params.style %}style="{{ params.style }}" {% endif %}{% if params.onChange %}onChange="{{ params.onChange }}" {% endif %}{% if params.onClick %}onClick="{{ params.onClick }}" {% endif %}{% if params.disabled %}disabled {% endif %}>
	{% if _has_options %}
	{% for option_key,option_value in params.options %}
		<option value="{{ option_key }}" {% if option_key==params.value %}selected{% endif %}>{{ option_value }}</option>
	{% endfor %}
	{% endif %}
</select>
{% endmacro %}