{% extends "externalframe.tpl" %}

{# HTML HEAD Scripts #}
{% block head_scripts %}
	{{ html_includejs("jsDpadThemeManagerCore.js") }}
	{{ html_includejs("jsDpadThemeManager.js") }}
	{{ html_includejs("jsDpadResourcesManager.js") }}
	{{ html_includejs("jquery.js") }}
	{{ html_includejs("jquery.log.js") }}
	<script type="text/javascript">
		var _oGlobals = {};
		var themeManager = new jsDpadThemeManager();
		var rM = new resourcesManager();
		$(document).ready(function(){
			{# Disabling button #}
			$('button:not(:disabled)').attr('disabled',true);
			{# Starting Ajax call #}
			rM.ajax({
				url:'./include/update_module_step5.inc.php',
				data:{
					update_software: 1,
					update_only_db: 0,
					submit: 1
				},
				success: function( jqXHR,textStatus ){
console.error( '1) Complete: %o %o',jqXHR,textStatus );
					rM.ajax({
						url:'./update_module.php',
						data:{
							step: 6,
							format: 'json',
							reboot: true
						},
						success: function( jqXHR,textStatus ){
console.error( '2) Complete: %o %o',jqXHR,textStatus );
							{# Enabling button #}
							$('button:disabled').attr('disabled',null);
						},
						error: function( jqXHR, textStatus, errorThrown ){
console.error( '2) Error: %o %o %o',jqXHR,textStatus,errorThrown );
						}
					});
				},
				error: function( jqXHR, textStatus, errorThrown ){
console.error( '1) Error: %o %o %o',jqXHR,textStatus,errorThrown );
				}
			});
		});
	</script>
{% endblock head_scripts %}

{# HTML BODY #}
{% block body %}
	<div>{{ getConstant('_DPAD_UPDATE_NOT_COMPLETED') }}</div>
	<div>{{ getConstant('_DPAD_UPDATE_LOG') }}</div>
	<div id="updateLog"></div>
	<div><button type="button" disabled >{{ getConstant('_DPAD_GENERAL_NEXT') }}</button></div>
{% endblock body %}

{# Others #}
{% block debuggingTools %}{# This must be Empty !#}{% endblock debuggingTools %}
{% block voip %}{# This must be Empty !#}{% endblock voip %}
{% block HTML5_applicationCache %}{# This must be Empty !#}{% endblock HTML5_applicationCache %}