--Theme: CORE update

--Updating jQuery libraries
UPDATE DPAD_WEB_JSCRIPT SET INCLUDE_PATH=replace(INCLUDE_PATH,'jquery-1.8.1.min.js','jquery.js') WHERE MODULE='core' AND JSNAME LIKE'%jquery.min.js%';
UPDATE DPAD_WEB_JSCRIPT SET INCLUDE_PATH=replace(INCLUDE_PATH,'/UI-1.8.23','/UI') WHERE MODULE='core' AND INCLUDE_PATH LIKE'%/UI-1.8.23%';

--Removing min.js tags from jQuery UI scripts
UPDATE DPAD_WEB_JSCRIPT SET INCLUDE_PATH=replace(INCLUDE_PATH,'.min.js','.js') WHERE INCLUDE_PATH LIKE '%min.js%' AND INCLUDE_PATH LIKE '%UI%';
UPDATE DPAD_WEB_JSCRIPT SET JSNAME=replace(JSNAME,'.min.js','.js'), DEPENDENCIES==replace(DEPENDENCIES,'.min.js','.js');

--Adding keyboard plugin
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jquery.keyboard.js','core','theme','./themes/core/script/jquery/plugins/jquery.keyboard.js','jquery.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.italian.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/italian.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.albanian.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/albanian.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.arabic.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/arabic.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.belarusian.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/belarusian.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.bengali.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/bengali.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.bulgarian.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/bulgarian.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.catalan.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/catalan.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.danish.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/danish.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.french.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/french.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.german.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/german.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.hebrew.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/hebrew.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.hungarian.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/hungarian.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.hungarianansi.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/hungarianansi.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.japanese.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/japanese.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.polish.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/polish.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.russian.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/russian.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.spanish.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/spanish.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.swedish.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/swedish.js','jquery.keyboard.js');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'keyboard.layout.turkish.js','core','theme','./themes/core/script/jquery/plugins/keyboard-layouts/turkish.js','jquery.keyboard.js');

--Adding a setting which enables or not keyboard
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'onscreen_keyboard_enable_if_local', '_DPAD_THEME_ADMIN_CONFIG_SETTINGS_KEYBOARD_ENABLE_IF_LOCAL', '0', 'display', 0, '', 'yesno', 1,'');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'onscreen_keyboard_enable_if_not_local', '_DPAD_THEME_ADMIN_CONFIG_SETTINGS_KEYBOARD_ENABLE_IF_NOT_LOCAL', '0', 'display', 0, '', 'yesno', 2,'');

--Adding a setting enabling or not screen cleaning
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'display_cleaning_enable_if_local', '_DPAD_THEME_ADMIN_CONFIG_SETTINGS_DISPLAY_CLEANING_ENABLE_IF_LOCAL', '0', 'display', 0, '', 'yesno', 3,'');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'display_cleaning_enable_if_not_local', '_DPAD_THEME_ADMIN_CONFIG_SETTINGS_DISPLAY_CLEANING_ENABLE_IF_NOT_LOCAL', '0', 'display', 0, '', 'yesno', 4,'');

--Versioning
UPDATE DPAD_WEB_THEME SET VERSION='0.0.21' WHERE NAME='core';