--Theme: CORE update

-- Adding jquery mobile library
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jquery.mobile.js','core','theme','./themes/core/script/jquery/jquery.mobile.js','jquery.js');

--Adding modernizr.js library
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'modernizr.js','core','theme','./themes/core/script/jquery/modernizr.js','');

--Adding jquery migrate plugin
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jquery-migrate.js','core','theme','./themes/core/script/jquery/jquery-migrate.js','jquery.js');

--Adding indexeddb plugin
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME='jquery.indexeddb.js';
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jquery.indexeddb.js','core','theme','./themes/core/script/jquery/plugins/jquery.indexeddb.js','jquery.js');

--Adding jeditable plugin
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jquery.jeditable.js','core','theme','./themes/core/script/jquery/plugins/jquery.jeditable.js','jquery.js');

--Clearing or updating javascript libraries not used anymore
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME='jquery.overscrollIphone.js';
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME LIKE 'jquery.effects.%';
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME='jquery.ui.mouse.touchevents.js';

--Updating homepage web configuration
DELETE FROM DPAD_WEB_CONFIGURATION WHERE NAME='homepage_navigator';

--Adding jquery cookies plugins
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jquery.cookie.js','core','theme','./themes/core/script/jquery/plugins/jquery.cookie.js','jquery.js');

--Versioning
UPDATE DPAD_WEB_THEME SET VERSION='1.0.0' WHERE NAME='core';