#!/bin/sh
#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
LOW_LVL_SRV_NAME=dpadcmd
#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Checking low level services environment and Creating it if necessary
echo "if [ ! -e ../low_lvl_srv_links ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo "mkdir ../low_lvl_srv_links" >> ${SCRIPT_FILE}
echo "chown -R dpadweb:dlabusers ../low_lvl_srv_links" >> ${SCRIPT_FILE}
echo "chmod -R 750 ../low_lvl_srv_links" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}
echo "if [ ! -s ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cd ../low_lvl_srv_links" >> ${SCRIPT_FILE}
echo " ln -sf /usr/local/bin/${LOW_LVL_SRV_NAME} ${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo " cd ../${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Copying low level service
echo "cp ${LOW_LVL_SRV_NAME} ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} " >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}
