#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
REBOOT_SCRIPT_FILE=/home/dpadweb/.reboot-script.sh
REBOOT_SCRIPT_FILE_INITD_NAME=reboot-script.sh
LOW_LVL_SRV_NAME=dpadws
#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Checking low level services environment and Creating it if necessary
echo "if [ ! -s ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cd ../low_lvl_srv_links" >> ${SCRIPT_FILE}
echo " ln -sf /usr/local/bin/${LOW_LVL_SRV_NAME} ${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo " cd ../${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}
#Updating rc.d to execute a script before reboot or shutdown
echo "/usr/sbin/update-rc.d -f ${REBOOT_SCRIPT_FILE_INITD_NAME} start 12 0 6 ." >> ${SCRIPT_FILE}
#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Cleaning .reboot-script.sh file
echo "#Insert lines to exec operations as root before the machine will reboot" > ${REBOOT_SCRIPT_FILE}
#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${REBOOT_SCRIPT_FILE}
#Disabling reboot script after the first execute
echo "/usr/sbin/update-rc.d -f ${REBOOT_SCRIPT_FILE_INITD_NAME} remove" >> ${REBOOT_SCRIPT_FILE}
#Mounting RO
echo "/usr/local/sbin/remountro" >> ${REBOOT_SCRIPT_FILE}
#Disabling Lighttpd
echo "/etc/init.d/lighttpd stop" >> ${REBOOT_SCRIPT_FILE}
#Mounting RW2
echo "/usr/local/sbin/remountrw2" >> ${REBOOT_SCRIPT_FILE}
#Copying dpadws
LOL_LVL_SRV_PATH="`echo | pwd`"
echo "cp -f ${LOL_LVL_SRV_PATH}/${LOW_LVL_SRV_NAME} ${LOL_LVL_SRV_PATH}/../low_lvl_srv_links/${LOW_LVL_SRV_NAME} " >> ${REBOOT_SCRIPT_FILE}
#Copying dpadws.wsdl
echo "cp -f ${LOL_LVL_SRV_PATH}/dpadws.wsdl /etc/dpadd/dpadws.wsdl " >> ${REBOOT_SCRIPT_FILE}
#Mouting RO2
echo "/usr/local/sbin/remountro2" >> ${REBOOT_SCRIPT_FILE}
#Re-enabling Lighttpd
echo "/etc/init.d/lighttpd start" >> ${REBOOT_SCRIPT_FILE}


#Executing sudo operations
sudo ${SCRIPT_FILE}

