--Module: EIB update_1.0.2_to_1.0.3.sql

--Prototypes ( Thermostat, ChronoThermostat Gewiss ):
DELETE FROM DPAD_WEB_CONTAINER_SUPPORT_TABLE;
INSERT INTO DPAD_WEB_CONTAINER_SUPPORT_TABLE ( ID, TYPE, LABEL, DESCRIPTION, TPL_EDIT, TPL_VIEW, FILTER_WITH_TIMESET_MANAGEMENT, LISTVIEW_HTML_SCHEMA, PLANVIEW_HTML_SCHEMA, GRIDVIEW_HTML_SCHEMA ) VALUES ( NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_GEWISS_OPERATING_MODE', '_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_GEWISS_OPERATING_MODE', '', 'chrono_thermostat_gewiss.tpl', '3', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '' );
INSERT INTO DPAD_WEB_CONTAINER_SUPPORT_TABLE ( ID, TYPE, LABEL, DESCRIPTION, TPL_EDIT, TPL_VIEW, FILTER_WITH_TIMESET_MANAGEMENT, LISTVIEW_HTML_SCHEMA, PLANVIEW_HTML_SCHEMA, GRIDVIEW_HTML_SCHEMA ) VALUES ( NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_GEWISS_TEMPERATURE', '_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_GEWISS_TEMPERATURE', '', 'chrono_thermostat_gewiss.tpl', '1', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '' );
INSERT INTO DPAD_WEB_CONTAINER_SUPPORT_TABLE ( ID, TYPE, LABEL, DESCRIPTION, TPL_EDIT, TPL_VIEW, FILTER_WITH_TIMESET_MANAGEMENT, LISTVIEW_HTML_SCHEMA, PLANVIEW_HTML_SCHEMA, GRIDVIEW_HTML_SCHEMA ) VALUES ( NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_OPERATING_MODE', '_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_OPERATING_MODE', '', 'chrono_thermostat_gewiss.tpl', '3', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '' );
INSERT INTO DPAD_WEB_CONTAINER_SUPPORT_TABLE ( ID, TYPE, LABEL, DESCRIPTION, TPL_EDIT, TPL_VIEW, FILTER_WITH_TIMESET_MANAGEMENT, LISTVIEW_HTML_SCHEMA, PLANVIEW_HTML_SCHEMA, GRIDVIEW_HTML_SCHEMA ) VALUES ( NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_TEMPERATURE', '_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_TEMPERATURE', '', 'chrono_thermostat_gewiss.tpl', '1', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '<table align=\"center\"><tr><td><a href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>', '' );

--ReAdding container's rules to handle thermostat ( GEWISS )
DELETE FROM DPAD_WEB_CONTAINER_CONTENT_RULES;
--Rules:
--Gewiss Chrono Thermostat
--INPUT
--Time (3 byte)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME', 'VALUES_TYPE IN ( ''3'', ''4'' )', 0, 'thermostat_time', 1);
--Type (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_type', 2);
--Operating Mode ( single 1 byte; values from 0 to 4 )
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE', '_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE', 'VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )', 1, 'thermostat_operating_mode', 3);
--Off Mode (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_OFF', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_OFF', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_mode_off', 4);
--Eco Mode (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_ECO', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_ECO', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_mode_eco', 5);
--Off Mode (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_PRECOMF', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_PRECOMF', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_mode_precomf', 6);
--Off Mode (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_COMF', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_COMF', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_mode_comf', 7);
--Off Mode (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_AUTO', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_MODE_AUTO', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_mode_auto', 8);
--Setp OFF Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_off_risc', 9);
--Setp ECO Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_eco_risc', 10);
--Setp PRECOMF Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_precomf_risc', 11);
--Setp COMF Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_comf_risc', 12);
--Setp OFF Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_off_cond', 13);
--Setp ECO Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_eco_cond', 14);
--Setp PRECOMF Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_precomf_cond', 15);
--Setp COMF Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_comf_cond', 16);
--OUTPUT
--Info Temperatura (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_temperature_current', 17);
--Info Mode (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_operating_mode_current', 18);
--Info Type (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'CHRONO_THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_type_current', 19);

--Gewiss Thermostat
--INPUT
--Time (3 byte)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME', 'VALUES_TYPE IN ( ''3'', ''4'' )', 0, 'thermostat_time', 1);
--Type (1 bit)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE', 'VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )', 0, 'thermostat_type', 2);
--Operating Mode ( single 1 byte; values from 0 to 4 )
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE', '_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE', 'VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )', 1, 'thermostat_operating_mode', 3);
--Setpoint (2 byte)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETPOINT', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETPOINT', 'VALUES_TYPE IN ( ''5'', ''10'' )', 1, 'thermostat_setpoint', 4);
--Setp OFF Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_off_risc', 5);
--Setp ECO Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_eco_risc', 6);
--Setp PRECOMF Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_precomf_risc', 7);
--Setp COMF Risc (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_comf_risc', 8);
--Setp OFF Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_off_cond', 9);
--Setp ECO Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_eco_cond', 10);
--Setp PRECOMF Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_precomf_cond', 11);
--Setp COMF Cond (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_setp_comf_cond', 12);
--OUTPUT
--Info Temperatura (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_temperature_current', 13);
--Info Mode (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_operating_mode_current', 14);
--Info Type (2 byte Floating Point)
INSERT INTO DPAD_WEB_CONTAINER_CONTENT_RULES ( ID, TYPE, LABEL, DESCRIPTION, FILTER_QUERY, WITH_TIMESET_MANAGEMENT, TEMPLATE_VAR_LABEL, ORDER_NUM )VALUES (NULL, 'THERMOSTAT_GEWISS', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE', '_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE', 'VALUES_TYPE IN ( ''5'' )', 0, 'thermostat_type_current', 15);

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '1.0.3' WHERE NAME = 'eib';


