--Module: EIB update_3.0.6_to_3.0.7.sql

--Rendering for thermostat "1" and relations with simple renderings
--$EIB_RENDERING_CONTAINER_THERMOSTAT_1$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_THERMOSTAT_1',0,'','','','ico_thermo.png','','','','','dpadContainer ','thermostat',1,'SYSTEM','','');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_TEMPERATURE$,'temperature','',1,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_HVAC_AUTO$,'operating_mode','',2,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'heating_comfort_setpoint','',3,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'heating_precomfort_setpoint','',4,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'heating_economy_setpoint','',5,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'heating_off_setpoint','',6,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'cooling_comfort_setpoint','',7,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'cooling_precomfort_setpoint','',8,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'cooling_economy_setpoint','',9,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_SETPOINT$,'cooling_off_setpoint','',10,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_HEATINGCOOLING$,'heating_cooling','',11,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_HEATING_ONOFF$,'heating_onoff','',12,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_COOLING_ONOFF$,'cooling_onoff','',13,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_VENTILATION_SPEED$,'fan_speed','',14,'GENERIC_RELATION');

--Adding hidden setting for selective ETS import
INSERT INTO "DPAD_WEB_CONFIGURATION" (NAME,LABEL,VALUE,TIPOLOGY,DRAW_AS) VALUES('ets_import_enable_selective_import','_DPAD_EIB_ETS_IMPORT_SELECTIVE_IMPORT_ENABLE',0,'hidden','yesno');

--Changing names of communication sections
UPDATE DPADD_COMMUNICATION_SECTION SET DESCRIPTION='Integrated KNX interface (TPUART)' WHERE NAME='DISCHTPUART';
UPDATE DPADD_COMMUNICATION_SECTION SET DESCRIPTION='KNXNet/IP Routing' WHERE NAME='SIEMENSIPR';
UPDATE DPADD_COMMUNICATION_SECTION SET DESCRIPTION='EIBNet/IP' WHERE NAME='ABBIGS';

--Updating setpoint by extending limits
--UPDATE DPADD_RENDERING SET MIN_STATE='0',MAX_STATE='40',STEP_STATE='0.1' WHERE ID='$EIB_RENDERING_THERMOSTAT_SETPOINT$';

--Updating KNX scenario Max value to 1 byte
UPDATE DPADD_RENDERING SET MAX_STATE='255' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_KNXSCENARIO';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.0.7' WHERE NAME = 'eib';