--Module: EIB update

--Adding new renderings and relations for thermostat
--$EIB_RENDERING_THERMOSTAT_MANUAL_AUTO$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_MANUAL_AUTO',0,0,1,1,'ico_thermo_auto_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_MANUAL",1=>"_DPAD_DBCONSTANT_RENDERING_AUTO"','0=>"ico_thermo_auto_off.png",1=>"ico_thermo_auto_on.png"','0=>"button_label_O.png",1=>"button_label_I.png"','','dpadEibObject ','1',1,'SYSTEM','','');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_THERMOSTAT_MANUAL_AUTO$,'manual_auto','',19,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_VENTILATION_ON_OFF$,'fan_speed_1','',20,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_VENTILATION_ON_OFF$,'fan_speed_2','',21,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$EIB_RENDERING_CONTAINER_THERMOSTAT_1$,$EIB_RENDERING_VENTILATION_ON_OFF$,'fan_speed_3','',22,'GENERIC_RELATION');

--Adding rendering relations details for EIB-specific containers
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_TEMPERATURE_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_TEMPERATURE_DESCRIPTION' WHERE RELATION_CONDITION='temperature' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_OPERATING_MODE_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_OPERATING_MODE_DESCRIPTION' WHERE RELATION_CONDITION='operating_mode' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_COMFORT_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_COMFORT_DESCRIPTION' WHERE RELATION_CONDITION='heating_comfort_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_PRECOMFORT_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_PRECOMFORT_DESCRIPTION' WHERE RELATION_CONDITION='heating_precomfort_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_ECONOMY_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_ECONOMY_DESCRIPTION' WHERE RELATION_CONDITION='heating_economy_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_OFF_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_HEATING_OFF_DESCRIPTION' WHERE RELATION_CONDITION='heating_off_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_COMFORT_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_COMFORT_DESCRIPTION' WHERE RELATION_CONDITION='cooling_comfort_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_PRECOMFORT_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_PRECOMFORT_DESCRIPTION' WHERE RELATION_CONDITION='cooling_precomfort_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_ECONOMY_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_ECONOMY_DESCRIPTION' WHERE RELATION_CONDITION='cooling_economy_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_OFF_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_SETPOINT_COOLING_OFF_DESCRIPTION' WHERE RELATION_CONDITION='cooling_off_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_HEATING_COOLING_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_HEATING_COOLING_DESCRIPTION' WHERE RELATION_CONDITION='heating_cooling' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_HEATING_ONOFF_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_HEATING_ONOFF_DESCRIPTION' WHERE RELATION_CONDITION='heating_onoff' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_ONOFF_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_ONOFF_DESCRIPTION' WHERE RELATION_CONDITION='cooling_onoff' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_DESCRIPTION' WHERE RELATION_CONDITION='fan_speed' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_1_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_1_DESCRIPTION' WHERE RELATION_CONDITION='fan_speed_1' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_2_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_2_DESCRIPTION' WHERE RELATION_CONDITION='fan_speed_2' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_3_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_COOLING_FAN_SPEED_3_DESCRIPTION' WHERE RELATION_CONDITION='fan_speed_3' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_ACTUAL_SETPOINT_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_THERMOSTAT_ACTUAL_SETPOINT_DESCRIPTION' WHERE RELATION_CONDITION='actual_setpoint' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';

--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_UPDOWN_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_UPDOWN_DESCRIPTION' WHERE RELATION_CONDITION='up/down' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_SHUTTER_UP_DOWN_STOP$';
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_STOP_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_STOP_DESCRIPTION' WHERE RELATION_CONDITION='stop' AND PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_SHUTTER_UP_DOWN_STOP$';

--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_DIMMER_ONOFF_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_DIMMER_ONOFF_DESCRIPTION' WHERE RELATION_CONDITION='on/off' AND PARENTOBJ_ID IN ('$EIB_RENDERING_CONTAINER_DIMMER_GENERIC$','$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$');
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_DIMMER_VALUE_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_DIMMER_VALUE_DESCRIPTION' WHERE RELATION_CONDITION='value' AND PARENTOBJ_ID IN ('$EIB_RENDERING_CONTAINER_DIMMER_GENERIC$','$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$');
--UPDATE "DPADD_RENDERING_RELATION" SET LABEL='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_DIMMER_DIMMING_LABEL',DESCRIPTION='_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_DIMMER_DIMMING_DESCRIPTION' WHERE RELATION_CONDITION='dimming' AND PARENTOBJ_ID IN ('$EIB_RENDERING_CONTAINER_DIMMER_GENERIC$','$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$');


--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.1.0' WHERE NAME = 'eib';