--Module: EIB update

--Adding new rendering for weather station
--$EIB_RENDERING_METEOROLOGY_WIND_DIRECTION$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION',1,0,100,25,'ico_weather_wind_direction.png','0=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_N",13=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_NE",25=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_E",38=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_SE",50=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_S",68=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_SW",75=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_W",88=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_NW",100=>"_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_DIRECTION_N"','0=>"ico_weather_wind_direction_n.png",13=>"ico_weather_wind_direction_ne.png",25=>"ico_weather_wind_direction_e.png",38=>"ico_weather_wind_direction_se.png",50=>"ico_weather_wind_direction_s.png",68=>"ico_weather_wind_direction_sw.png",75=>"ico_weather_wind_direction_w.png",88=>"ico_weather_wind_direction_nw.png",100=>"ico_weather_wind_direction_n.png"','','','dpadEibObject ','2V','','SYSTEM','','');

--$EIB_RENDERING_CONTAINER_WEATHER_STATION$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_WEATHER_STATION',0,'','','','ico_weather_station.png','','','','','dpadContainer ','weather_station',1,'SYSTEM','','');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_METEOROLOGY_WIND$,'wind_alarm','forbid-schedule=1',1,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_WIND_ALARM_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_WIND_ALARM_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_METEOROLOGY_RAIN$,'rain_alarm','forbid-schedule=1',2,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_RAIN_ALARM_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_RAIN_ALARM_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_METEOROLOGY_WIND_SPEED$,'wind_speed','forbid-schedule=1',3,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_WIND_SPEED_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_WIND_SPEED_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_METEOROLOGY_WIND_DIRECTION$,'wind_direction','forbid-schedule=1',4,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_WIND_ALARM_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_WIND_ALARM_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_BRIGHTNESS_VALUE$,'brightness','forbid-schedule=1',5,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_BRIGHTNESS_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_BRIGHTNESS_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_BRIGHTNESS_VALUE$,'twilight','forbid-schedule=1',6,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_TWILIGHT_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_TWILIGHT_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_DAYNIGHT$,'day_night','forbid-schedule=1',7,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_DAYNIGHT_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_DAYNIGHT_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_METEOROLOGY_WIND$,'temperature','forbid-schedule=1',8,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_TEMPERATURE_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_TEMPERATURE_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_WEATHER_STATION$,$EIB_RENDERING_HUMIDITY_SHOW$,'humidity','forbid-schedule=1',9,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_HUMIDITY_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_WEATHER_STATION_HUMIDITY_DESCRIPTION');

--Fixing options on OFF/ON/AUTO selector rendering
--UPDATE DPADD_RENDERING SET HAS_OPTIONS='1',OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_AUTO",2=>"_DPAD_DBCONSTANT_RENDERING_OFF",3=>"_DPAD_DBCONSTANT_RENDERING_ON"',OPTION_IMAGES='0=>"ico_mode_auto.png",2=>"ico_mode_off.png",3=>"ico_mode_on.png"',OPTION_SYMBOLS='0=>"button_label_auto.png",2=>"button_label_O.png",3=>"button_label_I.png"' WHERE ID='$EIB_RENDERING_SELECTOR_OFF_ON_AUTO$';
--UPDATE DPADD_RENDERING SET HAS_OPTIONS='1' WHERE ID='$EIB_RENDERING_SELECTOR_OFF_ON_AUTO$';

--Changing labels for certain renderings
--UPDATE DPADD_RENDERING SET OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_AUTO",1=>"_DPAD_DBCONSTANT_RENDERING_COMFORT_SHORT",2=>"_DPAD_DBCONSTANT_RENDERING_PRECOMFORT_SHORT",3=>"_DPAD_DBCONSTANT_RENDERING_ECONOMY_SHORT",4=>"_DPAD_DBCONSTANT_RENDERING_OFF"' WHERE ID='$EIB_RENDERING_THERMOSTAT_HVAC_AUTO$';

--Changing formatting schema for certain renderings
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.1f&#176' WHERE ID='$EIB_RENDERING_THERMOSTAT_SETPOINT$';
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.0f Lux' WHERE ID='$EIB_RENDERING_BRIGHTNESS_VALUE$';
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.1f&#176' WHERE ID='$EIB_RENDERING_THERMOSTAT_TEMPERATURE$';
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.0f m/s' WHERE ID='$EIB_RENDERING_METEOROLOGY_WIND_SPEED$';
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.0f W' WHERE ID IN('$EIB_RENDERING_ELECTRICAL_POWER_EIS5$','$EIB_RENDERING_ELECTRICAL_POWER_EIS9$','$EIB_RENDERING_ELECTRICAL_POWER_EIS10$','$EIB_RENDERING_ELECTRICAL_POWER_EIS11$');
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.0f Wh' WHERE ID IN('$EIB_RENDERING_ELECTRICAL_ENERGY_EIS5$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS9$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS10$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS11$');
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.0f mc/h' WHERE ID IN('$EIB_RENDERING_WATER_CONSUMPTION_EIS5$','$EIB_RENDERING_WATER_CONSUMPTION_EIS9$','$EIB_RENDERING_WATER_CONSUMPTION_EIS10$','$EIB_RENDERING_WATER_CONSUMPTION_EIS11$');
--UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%0.0f mc/h' WHERE ID IN('$EIB_RENDERING_GAS_CONSUMPTION_EIS5$','$EIB_RENDERING_GAS_CONSUMPTION_EIS9$','$EIB_RENDERING_GAS_CONSUMPTION_EIS10$','$EIB_RENDERING_GAS_CONSUMPTION_EIS11$');

--Creating new rendering for pump
--$EIB_RENDERING_PUMP_ON_OFF$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'climate',NULL,'_DPAD_DBCONSTANT_RENDERING_PUMP_ON_OFF',1,0,1,1,'ico_pump_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"','0=>"ico_pump_off.png",1=>"ico_pump_on.png"','0=>"button_label_O.png",1=>"button_label_I.png"','','dpadEibObject ','1','','SYSTEM','','');

--Creating new rendering for HVAC without AUTO
--$EIB_RENDERING_THERMOSTAT_HVAC$ = INSERT INTO "DPADD_RENDERING" (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,'climate',NULL,'_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_HVAC',1,'1','4','1','ico_thermo_disabled_on.png','1=>"_DPAD_DBCONSTANT_RENDERING_COMFORT_SHORT",2=>"_DPAD_DBCONSTANT_RENDERING_PRECOMFORT_SHORT",3=>"_DPAD_DBCONSTANT_RENDERING_ECONOMY_SHORT",4=>"_DPAD_DBCONSTANT_RENDERING_OFF"','1=>"ico_thermo_com_on.png",2=>"ico_thermo_precom_on.png",3=>"ico_thermo_eco_on.png",4=>"ico_thermo_disabled_on.png"','1=>"button_label_thermo_com.png",2=>"button_label_thermo_pre.png",3=>"button_label_thermo_eco.png",4=>"button_label_thermo_off.png"',NULL,'dpadEibObject ','6',1,'LOCAL','','<{state|imagelist|setvalue}>');

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.1.6' WHERE NAME = 'eib';