--Module: EIB update

--Adding new EIB DEVICE class definitions
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES(NULL, 'dpadEibDevice', 'eib', 'dpadeibdevice.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIBDEVICE', 'ico_din_device_on.png', '', '', '', '1','0','1');
INSERT INTO "DPADD_OBJECT_TYPES" VALUES(NULL,'EIBDEVICE','_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIBDEVICE','dpadEibDevice','SETVALUE');

--Adding new rendering for EIB DEVICE
--$EIB_RENDERING_KNX_DEVICE_DIN$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'system',NULL,'_DPAD_DBCONSTANT_RENDERING_KNX_DEVICE_DIN',1,0,3,1,'ico_din_device_ok.png','0=>"_DPAD_DBCONSTANT_RENDERING_KNX_DEVICE_DIN_NA",1=>"_DPAD_DBCONSTANT_RENDERING_KNX_DEVICE_DIN_OK",2=>"_DPAD_DBCONSTANT_RENDERING_KNX_DEVICE_DIN_RETRY",3=>"_DPAD_DBCONSTANT_RENDERING_KNX_DEVICE_DIN_KO"','0=>"ico_din_device_na.png",1=>"ico_din_device_ok.png",2=>"ico_din_device_retry.png",3=>"ico_din_device_ko.png"','','','dpadEibDevice ','1','1','SYSTEM','','');

--Adding a new device for each previously imported device in EIB temporary import table
--INSERT INTO DPADD_OBJECT (NAME,DESCRIPTION,TYPE,CURRENT_VALUE,RENDERING_ID,IS_READABLE,IS_WRITABLE,IS_VISIBLE,ENABLE_FLAG,MSP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) SELECT PHADDR || ' ' || ETS_NAME,MANUFACTURER,'EIBDEVICE',0,'$EIB_RENDERING_KNX_DEVICE_DIN$',0,1,1,1,PHADDR,'dpadEibDevice','$EIB_EIBD_COMMUNICATION_SECTION$','LOCAL' FROM DPADD_EIB_IMPORT_DEVICE;

--Adding a new video notification for each imported EIB device
INSERT INTO DPADD_OBJECT (NAME,TYPE,VALUES_TYPE,IS_VISIBLE,IS_WRITABLE,MSP,OPTIONALP,PHPCLASS,OWNED_BY) SELECT '_DPAD_DBCONSTANT_EIB_DEVICE_FAILURE_VIDEO_NOTIFICATION_DEFAULT_NAME ' || PHADDR || ' ' || ETS_NAME,'NOTIFY_VIDEO',0,1,1,'_DPAD_DBCONSTANT_EIB_DEVICE_FAILURE_VIDEO_NOTIFICATION_DEFAULT_MSG1 ' || PHADDR || ' _DPAD_DBCONSTANT_EIB_DEVICE_FAILURE_VIDEO_NOTIFICATION_DEFAULT_MSG2','phaddr=' || PHADDR,'dpadNotifyVideo','LOCAL' FROM DPADD_EIB_IMPORT_DEVICE;

--Creating relations among EIB devices and notifications
INSERT INTO DPADD_OBJECT_RELATION (PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,ACTION,ACTION_VALUE,ORDER_NUM,RELATION_WEB_TIPOLOGY) SELECT D.ID,N.ID,'3','INSERT','','1','LOGIC_IMPLICIT_RELATION' FROM DPADD_OBJECT D INNER JOIN DPADD_OBJECT N ON N.OPTIONALP LIKE '%' || D.MSP || '%' WHERE D.TYPE='EIBDEVICE';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.3.0' WHERE NAME = 'eib';