--Module: EIB update

--Adding query for EIB device monitoring
CREATE VIEW DPAD_EIBDMONITOR_DEVICES AS SELECT O.ID AS DEVICE_ID, O.MSP AS ADDRESS, O.CURRENT_VALUE AS CURRENT_STATE FROM DPADD_OBJECT AS O WHERE O.TYPE='EIBDEVICE' AND O.ENABLE_FLAG=1;

--Adding rendering for Conditioning operating mode
--$EIB_RENDERING_COOLING_OPERATING_MODE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'system',NULL,'_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE',1,0,14,1,'ico_thermo_cooling_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_AUTO_SHORT",1=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_HEATING_SHORT",3=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_COOLING_SHORT",9=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_FAN_SHORT",14=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_DRY_SHORT"','0=>"ico_thermo_auto_on.png",1=>"ico_thermo_heating_on.png",3=>"ico_thermo_cooling_on.png",9=>"ico_fan_on.png",14=>"ico_water_drop_on.png"','0=>"button_label_thermo_auto.png",1=>"button_label_thermo_heating.png",3=>"button_label_thermo_cooling.png",9=>"button_label_thermo_fan.png",14=>"button_label_thermo_dry.png"','','dpadEibObject ','6','1','SYSTEM','','');

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.3.2' WHERE NAME = 'eib';