{% extends "scope.messagecenter.tpl" %}

{% block block_messagecenterTab %}blackboard{% endblock block_messagecenterTab %}

{% block block_jsIncludesCustom %}
{{ html_includejs("jsDpadBlackBoard.js","js") }}
{% endblock %}

{% block block_scopeCustomDeclarations %}
    this.blackboard=null;
    this.msgPresent=false;
{% endblock block_scopeCustomDeclarations %}

{% block block_scopeMessageInit %}
	{{ parent() }}
	this.messageFinalize();
{% endblock block_scopeMessageInit %}

{% block block_scopeOnLoad %}
if(!this.is_initialized)
{
    this.blackboardHasMessage(false);
}
{{ parent() }}
{% endblock block_scopeOnLoad %}

{% block block_scopeOnTransitionDone %}
    if(!this.blackboard)this.blackboard=new jsDpadBackBoard({
            selector: this.getScopeSelector()+' #blackboard_containing_div',
            resourceManager:rM,
            endCallback : $.proxy(this.blackboardNewMsg,this)
    });
    themeManager.popup_showhide(true,this.popup_width);
{% endblock block_scopeOnTransitionDone %}

{% block block_scopeMessageButtonClearPressed %}
    this.blackboard.pencil.clear.apply(this.blackboard);
    this.blackboardHasMessage(false);
{% endblock block_scopeMessageButtonClearPressed %}

{% block block_scopeCustomFunctions %}

    this.blackboardNewMsg = function()
    {
        this.blackboardHasMessage(true);
    }
    
    this.blackboardHasMessage = function(msgPresent)
    {
        if(msgPresent==true)
        {
            var now = new Date();
            $(this.getScopeSelector()).find("#messagecenter-header-info").html($.sprintf('{{ getConstant("_DPAD_THEME_MESSAGECENTER_BLACKBOARD_HEADER_MESSAGE_CREATED_AT")|encode4jscript }}',rM.date2str(now,'date'),rM.date2str(now,'time')));
            $("[id='messagecenter-unread-blackboard']").html('<label value="1">1</label>');
        }
        else
        {
            $(this.getScopeSelector()).find("#messagecenter-header-info").html('{{ getConstant("_DPAD_THEME_MESSAGECENTER_BLACKBOARD_HEADER_NOMESSAGE")|encode4jscript }}');        
            $("[id='messagecenter-unread-blackboard']").html('');
        }
        this.msgPresent = msgPresent;
    }
    
{% endblock block_scopeCustomFunctions %}

{% block block_scopeMessageUpdateCounter %}
    return (this.msgPresent == true ? 1 : 0);    
{% endblock block_scopeMessageUpdateCounter %}

