{# Including core template #}
{% block block_jsScopeInclude %}
{% include "scope.energymanager.tpl" %}
{% endblock block_jsScopeInclude %}
<div id="energy_container" class="template-energy-container">
	<div id="energy-tabs-caption">
		<ul id="energy-tabs-caption-intervals">
			{% block block_energyManager_tabs_intervals %}
			<li id="energymanager-timeline-today" onclick="iM.getScope(this).chartsUpdateByPeriod('today')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_TODAY") }}</li>
			<li id="energymanager-timeline-yesterday" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('yesterday')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_YESTERDAY") }}</li>
			<li id="energymanager-timeline-week" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('week')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_WEEK") }}</li>
			<li id="energymanager-timeline-week-prev" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('week-prev')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_WEEK_PREV") }}</li>
			<li id="energymanager-timeline-month" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('month')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_MONTH") }}</li>
			<li id="energymanager-timeline-month-prev" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('month-prev')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_MONTH_PREV") }}</li>
			<li id="energymanager-timeline-year" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('year')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_YEAR") }}</li>
			<li id="energymanager-timeline-year-prev" class="off" onclick="iM.getScope(this).chartsUpdateByPeriod('year-prev')">{{ getConstant("_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_TIMELINE_YEAR_PREV") }}</li>
			{% endblock block_energyManager_tabs_intervals %}
		</ul>
		{#
		<ul id="energy-tabs-caption-dimensions">
			{% block block_energyManager_tabs_dimensions %}
			<li id="energymanager-dimension-power" onclick="iM.getScope(this).chartsUpdateByDimension('power')">{{ getConstant("_DPAD_THEME_BATTERY_TAB_POWER") }}</li>
			<li id="energymanager-dimension-energy" class="off" onclick="iM.getScope(this).chartsUpdateByDimension('energy')">{{ getConstant("_DPAD_THEME_BATTERY_TAB_ENERGY") }}</li>
			{% endblock block_energyManager_tabs_dimensions %}
		</ul>
		#}
	</div>
	<div id="energy-tabs" class="template-nopadding">
		<div id="energymanager-area-battery" class="energy-area-battery">
		{% block block_energyManager_batteryContent %}
		{% endblock block_energyManager_batteryContent %}
		</div>
		{% block block_energyManager_batteryPrototype %}
		<div id="energymanager-area-battery-prototypes" style="display:none">
			<div id="energymanager-area-battery-prototype-container">
				<div id="{{ jsHtmlBlock('name') }}_container_results"></div>
			</div>
			<div id="energymanager-area-battery-prototype-item">
				<div id="{{ jsHtmlBlock('name') }}_item_{{ jsHtmlObj('id') }}" class="battery-area{% block block_energyManager_batteryPrototypeOrientation %}-H{% endblock %}">
					<div onclick="iM.openInstance('../system/loadtemplate.php?tpl=container|id={{jsHtmlObj('id')}}',null,null,'popup_panel')">
						{% set _renderBattery %}render('{% block block_energyManager_batteryPrototypeQuantity %}energy{% endblock %}'){% endset %}
						{{ jsHtmlObj(_renderBattery~'') }}
					</div>
					{% block block_energyManager_batteryPrototype_custom %}
					{% endblock block_energyManager_batteryPrototype_custom %}
				</div>
			</div>
		</div>
		<div class="template-clear"></div>
		{% endblock block_energyManager_batteryPrototype %}
		{% block block_energyManager_charts %}
		<div id="energymanager-area-chart" class="energy-area-chart">
			<div id="energy-chart-legend-container">
				<div id="energy-chart-legend">
				{% block block_energyManager_chartsLegend %}
				{% endblock block_energyManager_chartsLegend %}
				</div>
				<div class="template-clear"></div>
			</div>
			
			<div id="energy-chart" class="energy-tabs-container">
				{% block block_energyManager_chartsContent %}
				{% endblock block_energyManager_chartsContent %}
			</div>
		</div>
		<div id="energy-chart-footer"></div>
		{% endblock block_energyManager_charts %}
	</div>
</div>

