{% block scope %}
{# Including core template #}
{% include "scope.intercom.tpl" %}
{% endblock %}

<div id="intercom_body">
	<div id="popup-content" class="template-nopadding">
		<div id="popup-tabs" >
			<ul>
				<li>
					<div id="intercomTabs" class="voip-intercom-camera-container tabs-bottom"><ul></ul></div>
				</li>
			</ul>
		</div>
		<div class="object-action">
			<ul>
				<li style="width:25%" class="objButtonStandard" id="voip-button-green" onclick="pbxM.onGreenButton(this,iM.getScope(this).getNumberInput().val())"><div class="button_label_O_png">{{ getConstant('_DPAD_PBX_WEBPHONE_BUTTONS_GREEN') }}</div></li>
				<li style="width:25%" class="objButtonStandard" id="voip-button-opengate-1" onclick="iM.getScope(this).openGate(1)"><div class="button_label_IGNORE_png off">{{ getConstant('_DPAD_VOIP_BUTTONS_OPEN_GATE') }} 1</div></li>
				<li style="width:25%" class="objButtonStandard" id="voip-button-opengate-2" onclick="iM.getScope(this).openGate(2)"><div class="button_label_IGNORE_png off">{{ getConstant('_DPAD_VOIP_BUTTONS_OPEN_GATE') }} 2</div></li>
				<li style="width:25%" class="objButtonStandard" id="voip-button-red" onclick="pbxM.onRedButton()"><div class="button_label_I_png">{{ getConstant('_DPAD_PBX_WEBPHONE_BUTTONS_RED') }}</div></li>
			</ul>
		</div>
	</div>
	<div id="popup-voip-keypad" style="display:none">
		<div class="voip-intercom-keypad-container">
			<div class="voip-intercom-keypad-display">
				<input type="text" name="voip-number-input" id="voip-number-input" value="" {# onchange="pbxM.onGreenButton(this,iM.getScope(this).getNumberInput().val())" #}>
			</div>
			<div class="voip-intercom-keypad-numpad">
				<ul>
				{% for key in voip.keypad_elements %}
					<li class="objButtonStandard" onclick="pbxM.onKeypressed('{{ key }}',this);" >{{ key }}</li>
				{% endfor %}
				</ul>
			</div>
		</div>
	</div>
	{% block intercom_tabs_structure %}
	<div id="popup-voip-volume" style="display:none">
		<div class="voip-intercom-volume-container">
			<div class="popup-tabs-element">
				<div class="popup-tabs-element-caption">{{ getConstant('_DPAD_THEME_INTERCOM_POPUP_VOLUME_SPEAKER') }}</div>
				<div class="popup-tabs-element-action">
					<div class="object-action">
						<ul>
							<li onclick="pbxM.changeVolume('-10','out');" style="width:30%" class="objButtonStandard" ><div class="button_label_IGNORE_png off"><div class="objButtonMinus"></div></div></li>
							<li style="width:40%;" class="objLabelStandard objButtonStandard">
								<div class="objLabelBorderRight objLabelBorderLeft">
									<label id="volume_out" ></label>
								</div>
							</li>
							<li onclick="pbxM.changeVolume('+10','out');" style="width:30%" class="objButtonStandard" ><div class="button_label_IGNORE_png off"><div class="objButtonPlus"></div></div></li>
						</ul>
					</div>
				</div>
				<div class="template-clear"></div>
			</div>
			<div class="popup-tabs-element">
				<div class="popup-tabs-element-caption">{{ getConstant('_DPAD_THEME_INTERCOM_POPUP_VOLUME_MIC') }}</div>
				<div class="popup-tabs-element-action">
					<div class="object-action">
						<ul>
							<li onclick="pbxM.changeVolume('-10','in');" style="width:30%" class="objButtonStandard" ><div class="button_label_IGNORE_png off"><div class="objButtonMinus"></div></div></li>
							<li style="width:40%;" class="objLabelStandard objButtonStandard">
								<div class="objLabelBorderRight objLabelBorderLeft">
									<label id="volume_in" ></label>
								</div>
							</li>
							<li onclick="pbxM.changeVolume('+10','in');" style="width:30%" class="objButtonStandard" ><div class="button_label_IGNORE_png off"><div class="objButtonPlus"></div></div></li>
						</ul>
					</div>
				</div>
				<div class="template-clear"></div>
			</div>
		</div>
	</div>
	<div id="popup-tabs-caption">
	    <ul>
		<li id="popup-tabs-caption-shortcommands" class="">{{ getConstant("_DPAD_DBCONSTANT_INTERCOM_TAB_COMMANDS") }}</li>
	    </ul>
	</div>
	<div id="popup-tabs">
	    <ul>
		<li id="popup-tabs-container-shortcommands" class="template-hide popup-tabs-container">
			<div id="shortcommands-container" class="voip-intercom-shortcommands-container"></div>
		</li>
	    </ul>
	</div>
	{% endblock intercom_tabs_structure %}
	<div style="display:none">
	    <div id="shortcommands_container_prototype">
		<div id="{{ jsHtmlBlock('name') }}_container_results"></div>
	    </div>
	    <div id="shortcommands_item_prototype">
		{% set _renderLabel %}render('grid',{prototype:'<{field:options.label|jselement:dbfield|origin:relation|complexChildTag:label|complexParentId:{{ jsHtmlRowRelation('parentobj_id') }}}>'}){% endset %}
		{% set _renderField %}render('grid'){% endset %}
		<div id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRowRelation('id') }}" relation="{{jsHtmlRowRelation('id')}}" shortcommand="{{ jsHtmlData('id') }}" class="popup-main-element"><div class="popup-main-element-caption">{{ jsHtmlObj(_renderLabel~'') }}</div><div class="popup-main-element-content">{{ jsHtmlObj(_renderField~'') }}</div><div class="template-clear"></div></div>
	    </div>
	</div>
</div>