{% extends "core/templates/manifest.tpl" %}

{% block _cache_description %}HTML5 application cache manifest for Ivory theme{% endblock _cache_description %}

{% block _cache_prototypes %}
{{ parent() }}
#	Specific prototypes
../modules/system/loadtemplate.php?tpl=home&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=menu&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=grid&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=plan&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=plan.edit&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=container&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=rgb&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=category&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=pin&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=security&context={{ theme.datas.current_context }}
{% if checkModulePresence('bentel') %}../modules/system/loadtemplate.php?tpl=security.bentel&context={{ theme.datas.current_context }}{% endif %}
{% if checkModulePresence('networx-nx') %}../modules/system/loadtemplate.php?tpl=security.networx-nx&context={{ theme.datas.current_context }}{% endif %}
{% if checkModulePresence('securforce') %}../modules/system/loadtemplate.php?tpl=security.securforce&context={{ theme.datas.current_context }}{% endif %}
{% if checkModulePresence('siemens-edp') %}../modules/system/loadtemplate.php?tpl=security.siemens-edp&context={{ theme.datas.current_context }}{% endif %}
{% if checkModulePresence('tecnoalarm') %}../modules/system/loadtemplate.php?tpl=security.tecnoalarm&context={{ theme.datas.current_context }}{% endif %}

../modules/system/loadtemplate.php?tpl=schedule&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=notifications&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=intercom&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=camera&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=weather&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=rss&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=browser&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=energymanager_summary&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=energymanager_loads&context={{ theme.datas.current_context }}
{% endblock _cache_prototypes %}

{% block _cache_images %}
../products/K3/images/logo.png
../themes/{{ theme.datas.current_path }}/images/structure/BgBody.jpg
../themes/{{ theme.datas.current_path }}/images/structure/BgHeader.png
../themes/{{ theme.datas.current_path }}/images/structure/BgFooter.png
../themes/{{ theme.datas.current_path }}/images/structure/BgMenu.png
../themes/{{ theme.datas.current_path }}/images/structure/IconMenuClose.png
{% endblock _cache_images %}

{% block _cache_css %}
{{ parent() }}
{% block _cache_css_ThemeSpecific %}
{{ parent() }}
../themes/{{ theme.datas.current_path }}/include/template.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/menu.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/object.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/form.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/datepicker.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/voip.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/energy.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/weather.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/rss.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/browser.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/messagecenter.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/keyboard.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/security.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/multimedia.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/mobile.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/mobile.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/mobile.android.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/mobile.osx.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/mobile.osx.5.0.css?version={{ jscript.most_recent_revision }}
{% endblock _cache_css_ThemeSpecific %}
{% endblock _cache_css %}
