{# Including core template #}
{% block block_jsScopeInclude %}
{% include "scope.messagecenter.tpl" %}
{% endblock block_jsScopeInclude %}

<div id="messagecenter_container" class="template-messagecenter-container">
	<div id="messagecenter-tabs-caption">
		<ul>
			{% block block_messagecenterTabCaptions %}
			<li id="messagecenter-tab-notifications" onclick="iM.openInstance('../system/loadtemplate.php?tpl=notifications',null,null,'popup_panel')">{{ getConstant("_DPAD_THEME_MESSAGECENTER_TABS_NOTIFICATIONS" )}} <div id="messagecenter-unread-notifications" class="red-badge"></div></li>
		{% if not browser.isMobile %}
			<li id="messagecenter-tab-blackboard" onclick="iM.openInstance('../system/loadtemplate.php?tpl=blackboard',null,null,'popup_panel')" class="off">{{ getConstant("_DPAD_THEME_MESSAGECENTER_TABS_BLACKBOARD" )}} <div id="messagecenter-unread-blackboard" class="red-badge"></div></li>
		{% endif %}
		{% if checkModulePresence('tecnoalarm') %}
			<li id="messagecenter-tab-notifications-tecnoalarm" onclick="iM.openInstance('../system/loadtemplate.php?tpl=notifications.tecnoalarm',null,null,'popup_panel')">{{ getConstant("_DPAD_THEME_MESSAGECENTER_TABS_NOTIFICATIONS-TECNOALARM") }} <div id="messagecenter-unread-notifications-tecnoalarm" class="red-badge"></div></li>
		{% endif %}
		{% if checkModulePresence('pess') %}
			<li id="messagecenter-tab-notifications-pess" onclick="iM.openInstance('../system/loadtemplate.php?tpl=notifications.pess',null,null,'popup_panel')">{{ getConstant("_DPAD_THEME_MESSAGECENTER_TABS_NOTIFICATIONS-PESS") }} <div id="messagecenter-unread-notifications-pess" class="red-badge"></div></li>
		{% endif %}
		{% if checkModulePresence('siemens-edp') %}
			<li id="messagecenter-tab-notifications-siemens-edp" onclick="iM.openInstance('../system/loadtemplate.php?tpl=notifications.siemens-edp',null,null,'popup_panel')">{{ getConstant("_DPAD_THEME_MESSAGECENTER_TABS_NOTIFICATIONS-SIEMENS-EDP") }} <div id="messagecenter-unread-notifications-siemens-edp" class="red-badge"></div></li>
		{% endif %}
			{# <li class="off">{{getConstant("_DPAD_THEME_MESSAGECENTER_TABS_VOICE_MESSAGES")}}</li> #}
			{% endblock block_messagecenterTabCaptions %}
		</ul>
	</div>
	<div class="messagecenter-header">
		{% block block_messagecenterHeader %}
		<div id="messagecenter-header-info" class="messagecenter-header-info"></div>
		<div class="schedule-button delete messagecenter-header-button" id="messagecenter-notifications-delete" onclick="iM.getScope(this).messageButtonClearPressed()">{{getConstant("_DPAD_THEME_MESSAGECENTER_BUTTON_CLEAR")}}</div>

		<div class="template-clear"></div>
		{% endblock block_messagecenterHeader %}
	</div>
	<div id="messagecenter-tabs">
		{% block block_messagecenterTabs %}
		{% endblock block_messagecenterTabs %}
	</div>
</div>
