{% extends "core/templates/module.voip.webphone.tpl" %}

{% block events %}
pbxM.events.onKeyPress=function(key,button){
	iM.getScope(button).numberKeyPressed(key);
};
pbxM.events.onGreenButton=function(){
	var oPopUp = nM.getScopeFromActiveView('popup_priority_panel');
	if( oPopUp && oPopUp.clearNumber ){
		oPopUp.clearNumber();
	}
        if( oPopUp && oPopUp.getIntercomCaller ){
            oPopUp.selectIntercom( ( oPopUp.getIntercomCaller() ? oPopUp.getIntercomCaller() : null ) );
        }
};
pbxM.events.onRedButton=function(){
	nM.getNavigator('navigator_popup_priority_panel').setActive(false);
};
pbxM.events.onOpenCall=function(){
	iM.openInstance('../system/loadtemplate.php?tpl=intercom',null,null,'popup_priority_panel');
};
pbxM.events.onCloseCall=function(){
	nM.getNavigator('navigator_popup_priority_panel').setActive(false);
};
pbxM.events.onShowOnScreenMessage=function(message){
};
pbxM.events.onChangeVolume=function(iVolume,sType){
	var _oPopUp = nM.getScopeFromActiveView('popup_priority_panel');
	if( _oPopUp && _oPopUp.updateVolume ){
		_oPopUp.updateVolume(iVolume,sType);
	}
};
pbxM.events.onChangeStatus=function(sStatus){
	var _oPopUp = nM.getScopeFromActiveView('popup_priority_panel');
	if( _oPopUp && _oPopUp._updateVoIPStatus ){
		_oPopUp._updateVoIPStatus(sStatus);
	}
};
pbxM.events.onChangeNetwork=function(bIsPresent){
	var _oPopUp = nM.getScopeFromActiveView('popup_priority_panel');
	if( _oPopUp && _oPopUp._updateVoIPStatus ){
		_oPopUp._updateVoIPStatus(null,bIsPresent);
	}
};

{% endblock events %}