{# Container template scope #}
{% extends "container.tpl" %}

{% block scope %}
{# Including core template #}
{% include "scope.rgb.tpl" %}
{% endblock %}

{% block block_body %}
<div id="popup_body"></div>
<div id="rgb_presets"></div>

<div style="display:none">
    <div id="rgb_presets_container_prototype">
        <div id="{{ jsHtmlBlock('name') }}_container_results"></div>
    </div>
    <div id="rgb_presets_item_prototype">
        <div id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRowRelation('id') }}" relation="{{ jsHtmlRowRelation('id') }}" preset="{{ jsHtmlData('id') }}" class="rgb_preset" onclick="iM.getScope(this).rgbPresetSelect({{ jsHtmlData('id') }},true);"><div id="preview" style="background-color:{{ jsHtmlObj( 'current_value' ) }}" ></div></div>
    </div>
</div>
{% endblock %}

{% block block_schedule %}
<div class="template-clear"></div>
<div class="object-action" id="popup-schedule"><ul>
    <li id="buttonAdd" class="objButtonStandard" style="width:33%" onclick="iM.getScope(this).rgbPresetAdd()"><div class="button_label_IGNORE_png off"><div class="objButtonPlus"></div></div></li>	
    <li id="buttonMemo" class="objButtonStandard off" style="width:34%" onclick="iM.getScope(this).rgbPresetMemo()"><div class="button_label_IGNORE_png off">{{ getConstant('_DPAD_DBCONSTANT_RENDERING_LIGHTING_RGB_BUTTON_MEMO') }}</div></li>	
    <li id="buttonRemove" class="objButtonStandard off" style="width:33%" onclick="iM.getScope(this).rgbPresetRemove()"><div class="button_label_I_png off"><div class="objButtonTrash"></div></div></li>	
</ul></div>
<div class="template-clear"></div>
{% endblock %}
