{% block scope %}
{# Including core template #}
{% include "scope.schedule.tpl" %}
{% endblock %}

{% block head %}
<div id="schedule-header">
	<div id="schedule-title"></div>
	<div id="schedule-close"></div>
</div>
{% endblock %}

{% block body %}
<div id="schedule-slide-intro">
	<div id="schedule-content-scroll">
		<div id="schedule-content">
			<div id="schedule_container_list" style="width:100%;height:100%;"></div>
			{# Block Prototypes #}
			<div style="display:none;" >
				<div id="schedule_list_container_prototype">
					<ul id="{{ jsHtmlBlock('name') }}_container_results"></ul>
				</div>
				<div id="schedule_list_row_prototype">
					<li id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRowRelation('id') }}" class="schedule-list-element">
						<div class="schedule-list">
							<div class="schedule-action edit" onclick="iM.reloadInstance('../system/loadtemplate.php?tpl=schedule_edit|id={{ jsHtmlData('id') }}',null,null,'schedule_panel')"></div>
							<div class="schedule-action delete" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).schedule_remove('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlData('id') }},{{ jsHtmlRowRelation('id') }});event.stopPropagation();}"></div>
							<div class="schedule-name {{ jsHtmlIf(jsHtmlRowRelation('enable_flag')~"==1","on","off") }}">{{ jsHtmlData('name') }}<div id="abstract">{{ jsHtmlScope("schedule_get_abstract('"~jsHtmlRowRelation('relation_web_tipology')~"','"~jsHtmlRowRelation('relation_condition')~"')") }}</div></div>
							<div class="schedule-action {{ jsHtmlIf(jsHtmlRowRelation('enable_flag')~"==1","active-on","active-off") }}" enabled="{{ jsHtmlRowRelation('enable_flag') }}" onclick="iM.getScope(this).schedule_enable($(this),{{ jsHtmlRowRelation('id') }},{{jsHtmlData('id')}});"></div>
							<div class="schedule-type {{ jsHtmlIf(jsHtmlRowRelation('enable_flag')~"==1","on","off") }}">{{ jsHtmlIf("'"~jsHtmlRowRelation('relation_web_tipology')~"'=='DAILYSCHEDULE_WEEKLY_RELATION'",getConstant("_DPAD_THEME_SCHEDULE_CALENDAR_WEEKLY"),getConstant("_DPAD_THEME_SCHEDULE_CALENDAR_YEARLY")) }}</div>
							<div class="template-clear">
						</div>
					</li>
				</div>
			</div>
			{# End Block Prototypes #}
		</div>
	</div>
	<div id="schedule-button-addnew" class="object-action"><ul><li class="objButtonStandard" style="width:100%" onclick="iM.getScope(this).schedule_add_new();"><div class="button_label_IGNORE_png off"><div class="objButtonPlus"></div></div></li></ul></div>
</div>
{% endblock %}
