{# Importing Macro #}
{% import "tool.html.tpl" as draw %}
{# Including core template #}
{% include "scope.user_login.tpl" %}
{# Login box #}
<div id="template-login-background">
	<div id="template-login-container">
		<div id="template-login-header"><div id="template-login-title">LOGIN</div></div>
		<div id="externalframe_login_panel_container" class="externalframe_login_containing_div">
			<form name="form_user_login" id="form_user_login" action="#" method="post">
				<div class="form-caption">{{ getConstant('_DPAD_THEME_USER_LOGIN_USERNAME') }}</div>
				<div class="form-input-line"><div class="form-input-container"><input type='text' name='username' id='username' {% if browser.isMobile %}autocapitalize="off" autocorrect="off"{% endif %} /></div></div>
				<div class="form-caption">{{ getConstant('_DPAD_THEME_USER_LOGIN_PASSWORD') }}</div>
				<div class="form-input-line"><div class="form-input-container"><input type='password' name='password' id='password' {% if browser.isMobile %}autocapitalize="off" autocorrect="off"{% endif %} onKeyPress="var oScope=iM.getScope(this);if(oScope.detectEnterOnKeypress(event))oScope.loginRequest();" /></div></div>
				<div class="form-input-line">{{ draw.html({
						'draw_as': 'checkbox',
						'id': 'remember_me',
						'value': 1
					}) }}
					<div id="remember_me_label" class="form-caption">{{ getConstant('_DPAD_THEME_USER_REMEMBER_ME') }}</div>
				</div>
				<div class="object-action"><ul><li id="button-login" class="objButtonStandard" style="width:100%" onclick="iM.getScope(this).loginRequest()"><div class="button_label_IGNORE_png">Login</div></li></ul></div>
				<div class="form-caption" id="message"></div>
				<div class="form-caption">
					<div id="trusted_login_timer"></div>
				</div>
			</form>
		</div>
		<div class="template-clear"></div>
	</div>
</div>