#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
REBOOT_SCRIPT_FILE=.reboot-script.sh
REBOOT_SCRIPT_FILE_INITD_NAME=reboot-script.sh
RW_PARTITION=/var/RWdlabs
RW_PARTITION_TAG=RWdlabs
if [ -d /var/RWmrd ]
then
 RW_PARTITION=/var/RWmrd
 RW_PARTITION_TAG=RWmrd
fi
PATH_DIR_SOURCE_FILES=$1

#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}

#Updating permissions
echo "chown dpadsrv:dlabusers  ${RW_PARTITION}/bin/dpadfreecachedmemory.sh" >> ${SCRIPT_FILE}
echo "chmod 774 ${RW_PARTITION}/bin/dpadfreecachedmemory.sh" >> ${SCRIPT_FILE}
echo "chown guest:dlabusers /mnt/storage/RWdlabs/guest/launchBrowser.sh" >> ${SCRIPT_FILE}
echo "chmod 751 /mnt/storage/RWdlabs/guest/launchBrowser.sh" >> ${SCRIPT_FILE}
echo "chown guest:root /mnt/storage/RWdlabs/cron/crontabs/guest" >> ${SCRIPT_FILE}
echo "chmod 600 /mnt/storage/RWdlabs/cron/crontabs/guest" >> ${SCRIPT_FILE}

#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
