#!/bin/bash
###############################################################################
#
#   Domuspad FSM Daemon Server.
#   Copyright (C) 2004 Domotica Labs. All Rights Reserved.
#   See http://www.domoticalabs.com/ for more information.
#
###############################################################################
#
#   description: boot time konnect script for Domuspad FSM Daemon Server
#   parameters: none
#
#   under debian:
#   update-rc.d zkonnect start 99 2 3 4 5 . 
#
#
###############################################################################
#                            CUSTOMIZABLE VARIABLES
###############################################################################
#
. /lib/lsb/init-functions
#
###############################################################################
#                            FIXED VARIABLES
###############################################################################
#
ECHONAME="update service"
BASENAME=konnect
#
###############################################################################
#
echo -n "Starting ${ECHONAME}: ${BASENAME}"
# Wait time to let system's boot end
sleep 30
if [ -e /web/html/smartdomuspad/modules/konnect/clikonnect.sh ]
then
 # Ask business server for updates
 /web/html/smartdomuspad/modules/konnect/clikonnect.sh > /dev/null
 RETVAL=$?
else
 # Do nothing
 RETVAL=1
fi
log_end_msg ${RETVAL}
exit ${RETVAL}
#
###############################################################################
#                            END SCRIPT
###############################################################################
