#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}

#Setting Permissions and Owners
echo "chown dpadweb:dlabusers ./clikonnect.sh"  >> ${SCRIPT_FILE}
echo "chmod 774 ./clikonnect.sh"  >> ${SCRIPT_FILE}
echo "chown dpadweb:dlabusers ./knx_test.sh"  >> ${SCRIPT_FILE}
echo "chmod 774 ./knx_test.sh"  >> ${SCRIPT_FILE}

#Installing Crontab Root line
echo "crontab -u root -l | grep -v clikonnect > /tmp/crontab_root.txt" >> ${SCRIPT_FILE}
echo "echo \"*/1 * * * * /web/html/smartdomuspad/modules/konnect/clikonnect.sh > /dev/null\" >> /tmp/crontab_root.txt" >> ${SCRIPT_FILE}
echo "crontab -u root /tmp/crontab_root.txt 2> /tmp/crontab_root.log" >> ${SCRIPT_FILE}

#Adding dpadkonnect.sh script after boot
echo "cp ./dpadkonnect.sh /usr/local/bin/dpadkonnect.sh" >> ${SCRIPT_FILE}
echo "chown root:dlabusers /usr/local/bin/dpadkonnect.sh"  >> ${SCRIPT_FILE}
echo "chmod 774 /usr/local/bin/dpadkonnect.sh"  >> ${SCRIPT_FILE}
echo "if [ ! -e /etc/init.d/zkonnect ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " ln -s /usr/local/bin/dpadkonnect.sh /etc/init.d/zkonnect" >> ${SCRIPT_FILE}
echo " update-rc.d zkonnect start 99 2 3 4 5 ." >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
