--Module: ENERGY

--Adding new class for lighting RGB preset
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES ( NULL, 'dpadLightingRgbPreset', 'lighting', 'dpadlightingrgbpreset.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADLIGHTINGRGBPRESET', 'ico_rgb.png', '', '', '', '1', '1', '0');

--Adding a new rendering for color temperature control
--$LIGHTING_RENDERING_CONTAINER_COLOR_TEMPERATURE$ = INSERT INTO "DPADD_RENDERING"(ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA)  VALUES(NULL,'lighting',NULL,'_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE',0,'','','','ico_color_temperature.png','','','','','dpadContainer ','',1,'SYSTEM','','');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$LIGHTING_RENDERING_CONTAINER_COLOR_TEMPERATURE$,$EIB_RENDERING_LIGHT_DIMMER$,'cold','',1,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_COLD_RELATION_LABEL','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_COLD_RELATION_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$LIGHTING_RENDERING_CONTAINER_COLOR_TEMPERATURE$,$EIB_RENDERING_LIGHT_DIMMER$,'hot','',2,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_HOT_RELATION_LABEL','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_HOT_RELATION_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$LIGHTING_RENDERING_CONTAINER_COLOR_TEMPERATURE$,$EIB_RENDERING_VALUE_NUMERIC_0_255$,'min_value','',3,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_MIN_VALUE_RELATION_LABEL','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_MIN_VALUE_RELATION_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$LIGHTING_RENDERING_CONTAINER_COLOR_TEMPERATURE$,$EIB_RENDERING_VALUE_NUMERIC_0_255$,'max_value','',4,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_MAX_VALUE_RELATION_LABEL','_DPAD_DBCONSTANT_RENDERING_CONTAINER_COLOR_TEMPERATURE_MAX_VALUE_RELATION_DESCRIPTION');

--Adding a new rendering for RGB preset
--$LIGHTING_RENDERING_RGB_PRESET$ = INSERT INTO "DPADD_RENDERING"(ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA)  VALUES(NULL,'lighting',NULL,'_DPAD_DBCONSTANT_RENDERING_LIGHTING_RGB_PRESET',0,'','','','ico_rgb.png','','','','','dpadLightingRgbPreset ','',1,'SYSTEM','','');

--Linking rendering with RGB complex container
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_RGB$,$LIGHTING_RENDERING_RGB_PRESET$,'preset','',5,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_CONTAINER_RGB_PRESET_RELATION_LABEL','_DPAD_DBCONSTANT_RENDERING_CONTAINER_RGB_PRESET_RELATION_LABEL');

--Module version
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE,REVISION,BRANCH,IS_VISIBLE ) VALUES (NULL,"lighting","_DPAD_DBCONSTANT_WEBMODULE_LIGHTING", "0.0.1", 1,'','Main',1);