--Module: LOGIC update_0.0.0_to_0.0.1.sql

INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES( NULL, 'dpadLogic', 'logic', 'dpadlogic.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADLOGIC', 'logic_verified.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES( NULL, 'dpadCondition', 'logic', 'dpadcondition.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADCONDITION', 'condition_verified.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES( NULL, 'dpadClock', 'logic', 'dpadclock.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADCLOCK', 'clock.png', '', '', '../supervision/viewobjectdetails.php', '1');

INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "LOGIC", "_DPAD_DBCONSTANT_TYPE_LOGIC", "dpadLogic", "EVALUATE" );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "CONDITION", "_DPAD_DBCONSTANT_TYPE_CONDITION", "dpadCondition", "CALCULATE" );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "CLOCK", "_DPAD_DBCONSTANT_TYPE_CLOCK", "dpadClock", "SETVALUE" );

--Groups concerning events and logics into administration
-- $LOGIC_GROUP_LOGIC$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_LOGIC', NULL, 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'logics.png', 0, 0, 1, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $LOGIC_URL_NEW_LOGIC$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_LOGIC', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/editobject.php?mode=new&phpclass=dpadLogic&context=configuration', NULL, 'dpadUrl', NULL);
-- $LOGIC_URL_LIST_LOGIC$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_LOGIC', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'logics.png', 0, 0, 1, '../system/search.php?id=9&keywords=&parent_id=&is_visible=1&phpclass=dpadLogic&submit=submit', NULL, 'dpadUrl', NULL);
-- $LOGIC_URL_NEW_CLOCK$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_CLOCK', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/editobject.php?mode=new&phpclass=dpadClock&context=configuration', NULL, 'dpadUrl', NULL);
-- $LOGIC_URL_LIST_CLOCK$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_CLOCK', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'clock.png', 0, 0, 1, '../system/search.php?id=9&keywords=&parent_id=&is_visible=1&phpclass=dpadClock&submit=submit', NULL, 'dpadUrl', NULL);

--Relations
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_PERSONALIZATION$', '$LOGIC_GROUP_LOGIC$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$LOGIC_GROUP_LOGIC$', '$LOGIC_URL_NEW_LOGIC$', 'NO-CONDITION', NULL, '1', '1', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$LOGIC_GROUP_LOGIC$', '$LOGIC_URL_LIST_LOGIC$', 'NO-CONDITION', NULL, '1', '1', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$LOGIC_GROUP_LOGIC$', '$LOGIC_URL_NEW_CLOCK$', 'NO-CONDITION', NULL, '1', '1', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$LOGIC_GROUP_LOGIC$', '$LOGIC_URL_LIST_CLOCK$', 'NO-CONDITION', NULL, '1', '1', NULL, NULL);

--Rendering
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_CLOCK_ON_OFF', 1, '0', '1', '1', 'clock_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_INACTIVE_TIMER",1=>"_DPAD_DBCONSTANT_RENDERING_ACTIVE_TIMER"', '0=>"clock_disabled.png",1=>"clock.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadClock ');

--Schedule specific table
CREATE TABLE "DPADD_SCHEDULE_TIMERSET" (ID INTEGER PRIMARY KEY AUTOINCREMENT, OBJECT_ID INTEGER, DESCRIPTION TEXT, MONTHS TEXT, DAYS TEXT, DAYSOFWEEK TEXT, TIME1_START TEXT, TIME1_END TEXT, TIME2_START TEXT, TIME2_END TEXT, TIME3_START TEXT, TIME3_END TEXT, TIME4_START TEXT, TIME4_END TEXT, TIME5_START TEXT, TIME5_END TEXT, TIME6_START TEXT, TIME6_END TEXT, CRONTAB TEXT);

INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE ) VALUES ( NULL, "logic", "_DPAD_DBCONSTANT_WEBMODULE_LOGIC", "0.0.1", 1 );
