--Module: LOGIC update

--Updating view from daily schedules
DROP VIEW DPAD_SCHEDULEMANAGER_TODAYSCHEDULES;
CREATE VIEW DPAD_SCHEDULEMANAGER_TODAYSCHEDULES AS SELECT R.CHILDOBJ_ID AS OBJECT_ID, P.ID AS SCHEDULE_ID, P.MSP AS SCHEDULE, R.RELATION_WEB_TIPOLOGY AS TIPOLOGY, R.RELATION_CONDITION AS ENABLED_DATES FROM DPADD_OBJECT_RELATION AS R JOIN DPADD_OBJECT AS P ON R.PARENTOBJ_ID=P.ID WHERE P.TYPE='DAILYSCHEDULE'  AND P.ENABLE_FLAG=1 AND (R.ID IN (SELECT R1.ID FROM DPADD_OBJECT_RELATION AS R1 WHERE R1.RELATION_WEB_TIPOLOGY='DAILYSCHEDULE_WEEKLY_RELATION' AND R1.RELATION_CONDITION LIKE '%'||strftime('%w', 'now')||'%' ) OR R.ID IN (SELECT R2.ID  FROM DPADD_OBJECT_RELATION AS R2 WHERE R2.RELATION_WEB_TIPOLOGY='DAILYSCHEDULE_YEARLY_RELATION' AND R2.RELATION_CONDITION LIKE '%'||strftime('%m-%d', 'now')||'%')) ORDER BY R.CHILDOBJ_ID;

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "3.1.0" WHERE NAME = "logic";