#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
REBOOT_SCRIPT_FILE=.reboot-script.sh
REBOOT_SCRIPT_FILE_INITD_NAME=reboot-script.sh
RW_PARTITION=/var/RWdlabs
if [ -d /var/RWmrd ]
then
 RW_PARTITION=/var/RWmrd
fi
PATH_DIR_SOURCE_FILES=$1

#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Copying Images and Tpl for Glassy Theme
echo "if [ -d /web/html/smartdomuspad/themes/glassy ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " if [ -d ./themes/glassy ]" >> ${SCRIPT_FILE}
echo " then" >> ${SCRIPT_FILE}
echo "  cp -fr ./themes/glassy/* /web/html/smartdomuspad/themes/glassy" >> ${SCRIPT_FILE}
echo "  chown -R dpadweb:dlabusers /web/html/smartdomuspad/*" >> ${SCRIPT_FILE}
echo "  chmod -R 750 /web/html/smartdomuspad/*" >> ${SCRIPT_FILE}
echo " fi" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Copying Images and Tpl for Core Theme
echo "if [ -d /web/html/smartdomuspad/themes/core ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " if [ -d ./themes/core ]" >> ${SCRIPT_FILE}
echo " then" >> ${SCRIPT_FILE}
echo "  cp -fr ./themes/core/* /web/html/smartdomuspad/themes/core" >> ${SCRIPT_FILE}
echo "  chown -R dpadweb:dlabusers /web/html/smartdomuspad/*" >> ${SCRIPT_FILE}
echo "  chmod -R 750 /web/html/smartdomuspad/*" >> ${SCRIPT_FILE}
echo " fi" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}


#Copying Images and Tpl for Optima Theme
echo "if [ -d /web/html/smartdomuspad/themes/optima ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " if [ -d ./themes/optima ]" >> ${SCRIPT_FILE}
echo " then" >> ${SCRIPT_FILE}
echo "  cp -fr ./themes/optima/* /web/html/smartdomuspad/themes/optima" >> ${SCRIPT_FILE}
echo "  chown -R dpadweb:dlabusers /web/html/smartdomuspad/*" >> ${SCRIPT_FILE}
echo "  chmod -R 750 /web/html/smartdomuspad/*" >> ${SCRIPT_FILE}
echo " fi" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}


#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}