--Module: PBX update_2.2.0_to_2.2.1.sql

--Clearing Menu Administration
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'PBX%URL%' OR VAR_NAME LIKE 'PBX%LIST%' OR ( VAR_NAME LIKE 'PBX%GROUP%' AND VAR_NAME NOT LIKE 'PBX%USERGROUP%' ) ) );
DELETE FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'PBX%URL%' OR VAR_NAME LIKE 'PBX%LIST%' OR ( VAR_NAME LIKE 'PBX%GROUP%' AND VAR_NAME NOT LIKE 'PBX%USERGROUP%' ) ) );

--Updating Administration Elements with all the encessary data
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-ROOT' FROM DPADD_OBJECT WHERE ID = '$PBX_GROUP_ADMIN_PBX$' ) WHERE ID = '$PBX_GROUP_ADMIN_PBX$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadPbxExtension' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_EXTENSION_NEW$' ) WHERE ID = '$PBX_URL_ADMIN_EXTENSION_NEW$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadPbxExtension' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_EXTENSION_LIST$' ) WHERE ID = '$PBX_URL_ADMIN_EXTENSION_LIST$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadPbxDoorOpener' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_DOOROPENER_NEW$' ) WHERE ID = '$PBX_URL_ADMIN_DOOROPENER_NEW$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadPbxDoorOpener' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_DOOROPENER_LIST$' ) WHERE ID = '$PBX_URL_ADMIN_DOOROPENER_LIST$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadPbxQueue' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_QUEUE_NEW$' ) WHERE ID = '$PBX_URL_ADMIN_QUEUE_NEW$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadPbxQueue' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_QUEUE_LIST$' ) WHERE ID = '$PBX_URL_ADMIN_QUEUE_LIST$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadPbxTrunk' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_TRUNK_NEW$' ) WHERE ID = '$PBX_URL_ADMIN_TRUNK_NEW$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadPbxTrunk' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_TRUNK_LIST$' ) WHERE ID = '$PBX_URL_ADMIN_TRUNK_LIST$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadSysCmdPbxCall' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_CALL_NEW$' ) WHERE ID = '$PBX_URL_ADMIN_CALL_NEW$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=pbx|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadSysCmdPbxCall' FROM DPADD_OBJECT WHERE ID = '$PBX_URL_ADMIN_CALL_LIST$' ) WHERE ID = '$PBX_URL_ADMIN_CALL_LIST$';

--Transforming old groups to searchfolders
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.OPTIONALP LIKE [PERIOD]%menu_data_module_owner=pbx%[PERIOD] AND D_O.OPTIONALP NOT LIKE [PERIOD]%menu_data_type=MENU-ROOT%[PERIOD] )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$PBX_GROUP_ADMIN_PBX$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$PBX_GROUP_ADMIN_PBX$';

--Versioning
UPDATE "DPAD_WEB_MODULE" SET VERSION = '2.2.1' WHERE NAME='pbx';

-- $PBX_URL_CONFIG_MODULE$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY ) VALUES( NULL, '_DPAD_PBX_DIAGNOSTIC_PBX_CONFIG_TITLE', '_DPAD_PBX_DIAGNOSTIC_PBX_CONFIG_TITLE', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'admin_module_pbx.png', 0, 0, 1, '../system/config_modules.php?op=edit&navigator_id=$SYSTEM_URL_MODULE_CONFIG$&id=' || (SELECT ID FROM DPAD_WEB_MODULE WHERE NAME='pbx'), 'menu_data_module_owner=pbx', 'dpadUrl', NULL, 'SYSTEM' );
