--Module: PBX update

--Removing dpadSysCmdPbxCall
DELETE FROM DPAD_WEB_PHPCLASS WHERE CLASSNAME='dpadSysCmdPbxCall';
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE PHPCLASS='dpadSysCmdPbxCall') OR CHILDOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE PHPCLASS='dpadSysCmdPbxCall');
DELETE FROM DPADD_OBJECT WHERE PHPCLASS='dpadSysCmdPbxCall';

--Creating PBX_ELEMENT type object
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PBXELEMENT", "_DPAD_DBCONSTANT_TYPE_PBX_ELEMENT", "dpadPbxDoorOpener|dpadPbxExtension|dpadPbxTrunk|dpadPbxQueue", "VOIPCALL" );
UPDATE DPADD_OBJECT SET TYPE='PBXELEMENT' WHERE PHPCLASS IN ('dpadPbxDoorOpener','dpadPbxExtension','dpadPbxTrunk','dpadPbxQueue');

--Updating DPAD_WEB_PHPCLASS
UPDATE DPAD_WEB_PHPCLASS SET IS_EXECUTABLE=1 WHERE CLASSNAME IN ('dpadPbxDoorOpener','dpadPbxExtension','dpadPbxQueue');
UPDATE DPAD_WEB_PHPCLASS SET IS_EVENT=1 WHERE CLASSNAME IN ('dpadPbxDoorOpener','dpadPbxExtension');

--Adding values_type to all PBX ELEMENTS
UPDATE DPADD_OBJECT SET VALUES_TYPE='Local' WHERE TYPE='PBXELEMENT';

--Versioning
UPDATE "DPAD_WEB_MODULE" SET VERSION = '3.0.5' WHERE NAME='pbx';