#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
LOW_LVL_SRV_NAME=resourcemonitor
#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Stopping Service
echo "if [ -s ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " /etc/init.d/${LOW_LVL_SRV_NAME} stop" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Checking low level services environment and Creating it if necessary
echo "if [ ! -s ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cd ../low_lvl_srv_links" >> ${SCRIPT_FILE}
echo " ln -sf /usr/local/bin/${LOW_LVL_SRV_NAME} ${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo " cd ../${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Copying low level service
echo "cp ${LOW_LVL_SRV_NAME} ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} " >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} " >> ${SCRIPT_FILE}
echo "chmod 774 ../low_lvl_srv_links/${LOW_LVL_SRV_NAME} " >> ${SCRIPT_FILE}

#Creating start script shell environment
echo "cp ${LOW_LVL_SRV_NAME}.sh /etc/dpadd/" >> ${SCRIPT_FILE}
echo "chmod 774 /etc/dpadd/${LOW_LVL_SRV_NAME}.sh" >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers /etc/dpadd/${LOW_LVL_SRV_NAME}.sh" >> ${SCRIPT_FILE}
echo "cp ${LOW_LVL_SRV_NAME}.conf /etc/dpadd/" >> ${SCRIPT_FILE}
echo "chmod 664 /etc/dpadd/${LOW_LVL_SRV_NAME}.conf" >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers /etc/dpadd/${LOW_LVL_SRV_NAME}.conf" >> ${SCRIPT_FILE}
echo "if [ ! -s /etc/init.d/${LOW_LVL_SRV_NAME} ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " ln -s /etc/dpadd/${LOW_LVL_SRV_NAME}.sh /etc/init.d/${LOW_LVL_SRV_NAME}" >> ${SCRIPT_FILE}
echo " update-rc.d ${LOW_LVL_SRV_NAME} start 98 2 3 4 5 . stop 9 0 1 6 . " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Starting Service
echo "/etc/init.d/${LOW_LVL_SRV_NAME} start" >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

