--Module: SCENARIO update_2.1.0_to_2.1.1.sql

--Clearing Menu Administration
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'SCENARIO%URL%' OR VAR_NAME LIKE 'SCENARIO%LIST%' OR ( VAR_NAME LIKE 'SCENARIO%GROUP%' AND VAR_NAME NOT LIKE 'SCENARIO%USERGROUP%' ) ) );
DELETE FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'SCENARIO%URL%' OR VAR_NAME LIKE 'SCENARIO%LIST%' OR ( VAR_NAME LIKE 'SCENARIO%GROUP%' AND VAR_NAME NOT LIKE 'SCENARIO%USERGROUP%' ) ) );

--Updating Administration Elements with all the encessary data
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=scenario|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadScenario' FROM DPADD_OBJECT WHERE ID = '$SCENARIO_URL_NEW_SCENARIO$' ) WHERE ID = '$SCENARIO_URL_NEW_SCENARIO$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=scenario|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadScenario' FROM DPADD_OBJECT WHERE ID = '$SCENARIO_URL_LIST_SCENARIO$' ) WHERE ID = '$SCENARIO_URL_LIST_SCENARIO$' ;

--Transforming old groups to searchfolders
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.PHPCLASS = [PERIOD]dpadUrl[PERIOD] AND ( D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-NEW%[PERIOD] OR D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-LIST%[PERIOD] ) AND ( D_O.OPTIONALP LIKE [PERIOD]%menu_data_phpclasses=%dpadScenario%[PERIOD] OR D_O.OPTIONALP LIKE [PERIOD]%menu_data_phpclasses=%dpadSysCmdWait%[PERIOD] ) )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=scenario|menu_data_type=MENU-ROOT|default_view=viewgrid|condition_is_visibile=0' FROM DPADD_OBJECT WHERE ID = '$SCENARIO_GROUP_SCENARIO$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SCENARIO_GROUP_SCENARIO$';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "2.1.1" WHERE NAME = "scenario";