<?php
 class dpadObject { var $id = 0; var $name = ""; var $description = ""; var $type = ""; var $min_value = null; var $max_value = null; var $current_value = null; var $values_type = null; var $status_id = -1; var $rendering_id = -1; var $image_path = ""; var $is_visible = 0; var $is_readable = 0; var $is_writable = 0; var $is_stoppable = 0; var $is_boolean = 0; var $track_flag = 0; var $msp = null; var $communicationsection_id = -1; var $owned_by = _DPAD_DB_OWNED_BY_LOCAL; var $optionalp = null; var $options = array(); var $with_permission = 0; var $has_grant = 0; var $grant_hashcode = null; var $phpclass = "dpadObject"; var $is_loaded = false; var $require_state_refresh = false; var $refresh_timeout; var $waiting_for_setvalue_callback = 0; var $waiting_for_setstate_callback = 0; var $previous_state = null; var $previous_value = null; var $is_complex = false; var $require_service_restart_on_update = false; var $require_service_restart_on_insert = false; var $require_service_restart_on_delete = false; function dpadObject( $id = null ) { } function initialize() { $result = $this->load_rendering(); return $result; } function fill_by_array($fields_array) { reset($fields_array); while($result_field = each($fields_array)) { switch($field_name = strtolower($result_field["key"])) { case "optionalp": $arr_options = explode("|", $result_field["value"] ); foreach($arr_options as $option) { list($option_name,$option_value) = explode("=",$option,2); if ( !$option_name ) continue; if(strpos($option_value,"'")===0)$option_value=substr($option_value,1,strlen($option_value)-2); $this->options[$option_name]=$option_value; } break; default: break; } $this->$field_name = $result_field["value"]; } $this->is_loaded = true; return _DPAD_RESULT_NOERROR; } function get_html_msp() { $html = ""; if ( is_null( $this->msp ) || ( $this->msp == "" ) ) { $html .= "&nbsp;"; } else { $html .= $this->msp; } return $html; } function get_html_text_set_to( $set_to = null, $show_header = true, $optional = false, $action_type = null ) { $html = ""; if ( is_null( $this->rendering ) ) { $html = "&nbsp;"; } else { $arr_options = explode( "," , $this->rendering->option_labels ); $arr_labels = array(); foreach($arr_options as $option) { list( $option_name , $option_value) = explode( "=>", $option ); $option_value = str_replace("\"","", $option_value); $arr_labels[$option_name] = $option_value; } if ( $show_header ) { if ( is_null( $action_type ) ) $html .= _DPAD_SYSTEM_OBJECTS_LIST_HEADER_SETTO . " "; else { $constant = "_DPAD_SYSTEM_MANAGER_RELATION_ACTION_" . strtoupper( $action_type ); $html .= ( defined( $constant )?constant( $constant ):$constant) . " "; } } if ( strcmp( $action_type, "GETVALUE" ) ) { if ( ( strcmp( $set_to, _DPAD_DB_VAL ) != 0 ) && ( strcmp( $set_to, _DPAD_DB_NVAL ) != 0 ) ) { if ( isSet( $arr_labels[ $set_to ] ) ) { if ( defined( $arr_labels[ $set_to ] ) ) $html .= constant($arr_labels[ $set_to ]); else $html .= $arr_labels[ $set_to ]; } else $html .= $set_to; } else { $arr_action_value = array(); $arr_action_value[ _DPAD_DB_VAL ] = sprintf( constant( "_DPAD_LOGIC_\$VAL" ), $optional ); $arr_action_value[ _DPAD_DB_NVAL ] = sprintf( constant( "_DPAD_LOGIC_\$NVAL" ), $optional ); $html .= $arr_action_value[ $set_to ]; } } } return $html; } function load_rendering($rendering_id = null) { if(is_null($rendering_id)) $rendering_id = $this->rendering_id; if($rendering_id<=0) return _DPAD_RESULT_NOERROR; $this->rendering =& dpadManager::rendering_get_by_id($rendering_id); if(is_null($this->rendering)) return _DPAD_RESULT_DBERROR; return _DPAD_RESULT_NOERROR; } function load_childs($iterate = false, $condition = null, $skip_objects_creating = false, $skip_renderings_loading = false, $order = null, $limit = null, $count_only = false, $is_visible = 1, $skip_parent_relation = false) { $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; if(is_null($condition)) $condition = "1 "; else $condition = stripslashes($condition); if(!is_null($is_visible)&&strcasecmp($is_visible,"all")) { $condition .= "AND D_O.IS_VISIBLE = '" . ($is_visible?$is_visible="1":$is_visible="0") . "' "; } if ( $count_only == true ) { $query = "SELECT " . " COUNT(D_O.ID) " . "FROM " . "DPADD_OBJECT AS D_O " . (!$skip_parent_relation ? "INNER JOIN ":"LEFT OUTER JOIN " ) . "DPADD_OBJECT_RELATION AS D_OR " . (!$skip_parent_relation ? "ON (D_O.ID = D_OR.CHILDOBJ_ID) ":"ON ( D_OR.PARENTOBJ_ID = '".$this->id."' AND (D_O.ID = D_OR.CHILDOBJ_ID) ) " ) . "WHERE " . (!$skip_parent_relation ? "( D_OR.PARENTOBJ_ID = '".$this->id."' AND " : "(") . "$condition )"; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace("DB",_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_CHILDS_LOADING,_DPAD_GENERAL_ERROR_OBJECT_LOADCHILDS,"","dpadObject::load_childs()"); return $result; } $result_row = $dbClient->fetch_next_row($result_id); if ( is_null($result_row["COUNT(D_O.ID)"]) ) $result_row["COUNT(D_O.ID)"] = -1; return $result_row["COUNT(D_O.ID)"]; } dpadObject::load_childs_renderings(); if(is_null($order) || trim($order)=="" ) $order = (!$skip_parent_relation ?"D_OR.ORDER_NUM ASC":"D_O.NAME ASC"); if ( ( $skip_parent_relation ) && strpos($order,"D_OR")!==false ) $order="D_O.NAME ASC"; if(is_null($limit)) $limit = ""; else $limit = "LIMIT " . $limit; $query = "SELECT " . "D_O.*, " . "D_OR.ACCESS_MODE, D_OR.ACTION, D_OR.ACTION_VALUE, D_OR.ORDER_NUM, " . "D_OR.ID AS RELATION_ID, " . "D_OR.CATEGORY_ID AS CATEGORY_ID, " . "D_OR.ORDER_NUM AS ORDER_NUM, " . "D_OR.OPTIONAL AS CHILD_OPTIONS, " . "D_OR.RELATION_CONDITION AS RELATION_CONDITION " . "FROM " . "DPADD_OBJECT AS D_O " . (!$skip_parent_relation ? "INNER JOIN ":"LEFT OUTER JOIN " ) . "DPADD_OBJECT_RELATION AS D_OR " . (!$skip_parent_relation ? "ON (D_O.ID = D_OR.CHILDOBJ_ID) ":"ON ( D_OR.PARENTOBJ_ID = '".$this->id."' AND (D_O.ID = D_OR.CHILDOBJ_ID) ) " ) . "WHERE " . (!$skip_parent_relation ? "( D_OR.PARENTOBJ_ID = '".$this->id."' AND " : "(") . "$condition ) " . "ORDER BY $order " . $limit; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace("DB",_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_CHILDS_LOADING,_DPAD_GENERAL_ERROR_OBJECT_LOADCHILDS,"","dpadObject::load_childs()"); return $result; } $this->childs = array(); $errors=0; while($result_row = $dbClient->fetch_next_row($result_id)) { $childObj =& dpadManager::object_get_by_id($result_row["ID"],$result_row["PHPCLASS"],$skip_objects_creating,true); if(is_null($childObj)) { $errors++; continue; } $child_options = array(); $tmp_array = explode("|",strtolower($result_row["CHILD_OPTIONS"])); foreach($tmp_array as $option) { list($option_name,$option_value) = explode("=",$option); if(!$option_name||!$option_value) continue; $child_options[$option_name] = $option_value; } $child_options["object_id"] = $result_row["ID"]; unset($result_row["CHILD_OPTIONS"]); unset($tmp_array); $childObj->fill_by_array($result_row); $childObj->relation_id=$result_row["RELATION_ID"]; $childObj->action=$result_row["ACTION"]; $childObj->action_value=$result_row["ACTION_VALUE"]; $childObj->access_mode = $result_row["ACCESS_MODE"]; $childObj->order_num=$result_row["ORDER_NUM"]; $childObj->relation_condition=$result_row["RELATION_CONDITION"]; $childObj->stop_flag=$result_row["STOP_FLAG"]; $childObj->enable_flag=$result_row["ENABLE_FLAG"]; $childObj->with_permission=$result_row["WITH_PERMISSION"]; if(!$skip_renderings_loading) $childObj->load_rendering(); if(!$childObj->url) $childObj->url = $childObj->get_url(); global $global_objects_array; $global_objects_array[$childObj->id] = $childObj; $this->childs[] = $childObj; $this->childs_options[] = $child_options; } $this->childs_num = count($this->childs); if($errors!=0) { return _DPAD_RESULT_DBERROR; } return _DPAD_RESULT_NOERROR; } function load_childs_renderings($condition = null) { $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; if(is_null($condition)) $condition = "1"; $query = "SELECT " . "DPADD_RENDERING.* " . "FROM " . "DPADD_RENDERING "; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { $error_msg = sprintf("Cannot load childs rendering for object with ID %s. Please check configuration.",$this->id); dpadErrorManager::error_trace("DB",_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_CHILDS_RENDERING_LOADING,$error_msg,"","dpadObject::load_childs_rendering()"); return $result; } $errors=0; while($result_row = $dbClient->fetch_next_row($result_id)) { $renderingObj =& dpadManager::rendering_get_by_id($result_row["ID"],false,true); if(is_null($renderingObj)) { $errors++; continue; } } if($errors!=0) return _DPAD_RESULT_DBERROR; return _DPAD_RESULT_NOERROR; } function &child_get_by_id($id) { for($i=0;$i<count($this->childs);$i++) { if($this->childs[$i]->id==$id) return $this->childs[$i]; } return null; } function load_parents($iterate = false, $condition = null, $skip_objects_loading = false, $skip_objects_creating = false, $order = null, $limit = null, $count_only = false, $is_visible = null) { $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; if(is_null($condition)) $condition = "1 "; else $condition = stripslashes($condition); if(is_null($is_visible)) $is_visible = "1"; if(isSet($is_visible)&&strcasecmp($is_visible,"all")) { $condition .= "AND D_O.IS_VISIBLE = '$is_visible' "; } if ( $count_only == true ) { $query = "SELECT " . "COUNT(D_O.ID) " . "FROM " . "DPADD_OBJECT AS D_O " . "INNER JOIN " . "DPADD_OBJECT_RELATION AS D_OR " . "ON (D_O.ID = D_OR.PARENTOBJ_ID) " . "WHERE " . "( D_OR.CHILDOBJ_ID = '".$this->id."'AND " . "$condition )"; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace("DB",_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_CHILDS_LOADING,_DPAD_GENERAL_ERROR_OBJECT_LOADPARENTS,"","dpadObject::load_parents()"); return $result; } $result_row = $dbClient->fetch_next_row($result_id); if ( is_null($result_row["COUNT(D_O.ID)"]) ) $result_row["COUNT(D_O.ID)"] = -1; return $result_row["COUNT(D_O.ID)"]; } if(is_null($order) || trim($order)=="") $order = "D_OR.ORDER_NUM ASC"; if(is_null($limit)) $limit = ""; else $limit = "LIMIT " . $limit; $query = "SELECT " . "D_O.*, " . "D_OR.ID AS RELATION_ID, " . "D_OR.ACCESS_MODE, D_OR.ACTION_VALUE, D_OR.ORDER_NUM, " . "D_OR.RELATION_CONDITION AS RELATION_CONDITION, " . "D_OR.OPTIONAL AS PARENT_OPTIONS " . "FROM " . "DPADD_OBJECT AS D_O " . "INNER JOIN " . "DPADD_OBJECT_RELATION AS D_OR " . "ON (D_O.ID = D_OR.PARENTOBJ_ID) " . "WHERE " . "( D_OR.CHILDOBJ_ID = '".$this->id."' AND " . "$condition )" . "ORDER BY $order " . $limit; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace("DB",_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_PARENTS_LOADING,_DPAD_GENERAL_ERROR_OBJECT_LOADPARENTS,"","dpadObject::load_parents()"); return $result; } $this->parents = array(); $errors=0; while($result_row = $dbClient->fetch_next_row($result_id)) { $parentObj =& dpadManager::object_get_by_id($result_row["ID"],$result_row["PHPCLASS"],$skip_objects_creating,true); if(is_null($parentObj)) { $errors++; continue; } $parent_options = array(); $tmp_array = explode("|",strtolower($result_row["PARENT_OPTIONS"])); foreach($tmp_array as $option) { list($option_name,$option_value) = explode("=",$option); if(!$option_name||!$option_value) continue; $parent_options[$option_name] = $option_value; } $parent_options["object_id"] = $result_row["ID"]; unset($result_row["PARENT_OPTIONS"]); unset($tmp_array); if(!$parentObj->is_loaded) { $result = $parentObj->fill_by_array($result_row); } $parentObj->relation_id=$result_row["RELATION_ID"]; $parentObj->relation_condition=$result_row["RELATION_CONDITION"]; $parentObj->stop_flag=$result_row["STOP_FLAG"]; $parentObj->enable_flag=$result_row["ENABLE_FLAG"]; if(!$skip_renderings_loading) $parentObj->load_rendering(); if(!$parentObj->url) $parentObj->url = $parentObj->get_url(); global $global_objects_array; $global_objects_array[$parentObj->id] = $parentObj; $this->parents[] = $parentObj; $this->parents_options[] = $parent_options; } $this->parents_num = count($this->parents); if($errors!=0) return _DPAD_RESULT_DBERROR; return _DPAD_RESULT_NOERROR; } function render_image($view="list", $skip_image_load_by_rendering = false) { global $templateManager; if(is_null($this->rendering) || $skip_image_load_by_rendering) { if(empty($this->image_path)) $this->image_path = "blank.gif"; $image_width = dpadManager::setting_get_by_name($view . "view_icon_width","32"); $image_height = dpadManager::setting_get_by_name($view ."view_icon_height","32"); $image_relative_path = $templateManager->variables["theme"]["properties"]["IMAGEPATH_" . strtoupper($view) . "VIEW"]; $image_full_path = $templateManager->variables["theme"]["theme_images_basedir"] . $image_relative_path . "/"; return dpadFunctions::html_output_image($this->image_path,$image_full_path,$image_width,$image_height); } return $this->render_html($view,"inline",null, $this->current_value, "", _DPAD_SOAP_OPERATION_SETVALUE, false, false, null, "image" ); } function render_name($view="list",$id_parent=0) { return $this->name; } function render_current_value( $view = "list" ) { if(empty($this->rendering)) { return null; } return $this->render_html($view,"inline",null, $this->current_value, "", _DPAD_SOAP_OPERATION_SETVALUE, false, false, null, "status"); } function render_html($view="plan",$positioning="inline",$options=null, $render_value = null , $setvalue_newvalue = "", $setvalue_operation = _DPAD_SOAP_OPERATION_SETVALUE, $force_image_view=false, $skip_image_load_by_rendering = false, $forced_link_href=null, $rendering_schema_type = null) { global $templateManager; if ( is_array($options) ) { while( $var = each($options) ) { $var_name = $var["key"]; $var_value = $var["value"]; $$var_name = stripslashes($var_value); } } if(is_null($setvalue_newvalue)) $setvalue_newvalue = _DPAD_SOAP_PARAMETERS_NOPAYLOAD; if (is_null( $render_value )) $render_value = $this->current_value; if($force_image_view || is_null($this->rendering)) { $image_relative_path = $templateManager->variables["theme"]["properties"]["IMAGEPATH_" . strtoupper($view) . "VIEW"]; $image_full_path = $templateManager->variables["theme"]["theme_images_basedir"] . $image_relative_path; if ( !is_null( $this->rendering ) && !$skip_image_load_by_rendering) { $this->image_path = $this->rendering->options[0]->image; foreach( $this->rendering->options as $rendering_options) { if ( $rendering_options->value == $this->current_value ) { $this->image_path = $rendering_options->image; break; } } } $image_width = dpadManager::setting_get_by_name(strtolower($view)."view_icon_width",null); $image_height = dpadManager::setting_get_by_name(strtolower($view)."view_icon_height",null); $html_image = dpadFunctions::html_output_image($this->image_path,$image_full_path,$image_width,$image_height, "object" . $this->id . "_action_img"); if ( !is_null( $this->rendering ) || !empty( $setvalue_newvalue ) ) { if(!is_null($forced_link_href)) $link_href = $forced_link_href; else $link_href = "javascript:object" . $this->id . ".setValue('" . $setvalue_newvalue . "','" . str_replace("'","",$setvalue_operation) . "');"; $html .= "<a " . "title=\"" . $this->description . "\" " . "id=\"object" . $this->id . "_action\" " . "href=\"" . $link_href . "\">" . $html_image . "</a>"; } else $html .= $html_image; } else { $rendering_schema = $this->rendering->rendering_schema_get_by_view( ( empty( $rendering_schema_type )?$view:$rendering_schema_type ) ); $html = $rendering_schema; while($tag=dpadFunctions::extract_tag_from_rendering_schema($rendering_schema)) { list($tag_element,$tag_rendering,$tag_operation) = explode("|",$tag); if(!$tag_element||!$tag_rendering) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_WARNING,sprintf(_DPAD_OBJECT_RENDERING_TAGNOTVALID,$this->name,$this->id),"","dpadObject::render_html()"); continue; } if(!$tag_operation) $tag_operation = _DPAD_SOAP_OPERATION_SETVALUE; $tag_statusbyte_pos = null; if ( strpos( $tag_element, "/" ) != false ) { list( $tag_element, $tag_statusbyte_pos ) = explode("/", $tag_element ); } $tag_element = ( !strcmp("state",$tag_element)?"current_value":$tag_element); $render_value = $this->$tag_element; $tag_element = ( !strcmp("state",$tag_element)?"current_value":$tag_element); eval( "\$render_value = \$this->$tag_element;"); $tag_html = $this->rendering->render_html_input($view,$tag_rendering,$this->id,$render_value,strtoupper($tag_operation),$this->is_writable, $tag_statusbyte_pos ); $html = str_replace("<\{$tag}>",$tag_html,$html); } } if(is_null($hsize)) $hsize = $this->rendering->planview_hsize; if(is_null($vsize)) $vsize = $this->rendering->planview_vsize; switch($view) { case "plan": $html = "<table>" . "<tr valign='top'>" . "<td>" . $html . "</td>" . "<td class=\"viewplan_rendering_label\">" . "<span id=\"object" . $this->id . "_label\" " . "style=\"" . (($show_label==1?"":"display:none;")) . ($options["fontsize"]?"font-size: " . $options["fontsize"] . "px;":"") . ($options["color"]?"color: " . $options["color"] . ";":"") . "\">" . $this->name . "</span>" . "</td>" . "</tr>" . "</table>"; break; case "list": $html = "<table align=\"center\">" . "<tr valign='top'>" . "<td style=\"border: 0px\">" . $html . "</td>" . "</tr>" . "</table>"; break; case "grid": if(empty($html)) { $html = $this->render_image($view); } break; case "menu": break; default: break; } switch($positioning) { case "absolute": case "relative": $html = "<div class='viewplan_object_containing_div' id=\"object" . $this->id . "_container\" style=\"" . ( empty( $this->category_id )?"":"display:none; " ) . "position: $positioning; top: " . $ypos . "px; left: " . $xpos . "px; width: " . $hsize . "px; height: " . $vsize . "px; z-index: " . $options["zindex"] . "\">" . $html . "</div>\n"; break; case "inline": default: break; } return $html; } function _get_jscript_separator_from_value($value){ $value_separator=null; $value_separator=((is_numeric($value)||is_bool($value))?"":"'"); if(is_null($value)||$value=="")$value_separator="'"; return $value_separator; } function _parse_jscript_value($value){ if(is_bool($value)){ if($value)$value="true"; else $value="false"; } return dpadFunctions::string_encode_for_JScript($value); } function render_jscript_class($phpclass=null) { if(is_null($phpclass)) $phpclass = "dpadObject"; $html = ""; $jsclass=$phpclass; $html .= "function js" . ucfirst($jsclass) . "(){\n"; $html .= dpadFunctions::string_add_prefix("\"use strict\";\n","\t ",true); global $global_class_array; $parentclass=$global_class_array[$phpclass]["parentclass"]; if (empty($parentclass)){ eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_parameters($phpclass),\"\\t \",true);"); $html .= dpadFunctions::string_add_prefix("this.statistics={visits:0,timestamp_access:new Date().getTime(),allocations:0};","\t ",true); } else{ $html .= "js".ucfirst($parentclass).".call(this);\n"; $arr_object_vars = get_object_vars($this); dpadManager::load_class($parentclass); $arr_parentobject_vars = get_object_vars(new $parentclass()); foreach($arr_object_vars as $key=>$value){ if(is_array($value)){ if(is_array($arr_parentobject_vars[$key]))$_aDiff=array_diff_assoc($value,$arr_parentobject_vars[$key]); else $_aDiff=null; if(empty($_aDiff))$html.=dpadFunctions::string_add_prefix("this.$key=".dpadFunctions::encode_for_json($value).";","\t ",true); } if(is_object($value)){ $html.=dpadFunctions::string_add_prefix("this.$key=".dpadFunctions::encode_for_json($value).";","\t ",true); } elseif($arr_parentobject_vars[$key]!=$value){ $value_separator=$this->_get_jscript_separator_from_value($value); $html.=dpadFunctions::string_add_prefix("this.$key=$value_separator".$this->_parse_jscript_value($value)."$value_separator;","\t ",true); } } $html.=dpadFunctions::string_add_prefix("this.is_event=".(empty($global_class_array[$phpclass]["is_event"])?0:$global_class_array[$phpclass]["is_event"]).";","\t ",true); $html.=dpadFunctions::string_add_prefix("this.is_executable=".(empty($global_class_array[$phpclass]["is_executable"])?0:$global_class_array[$phpclass]["is_executable"]).";","\t ",true); if( $parentclass->is_complex!=$this->is_complex ){ $html .= dpadFunctions::string_add_prefix("this.is_complex=".(empty($this->is_complex)?0:$this->is_complex).";","\t ",true); } if( !empty($this->msp) ){ $html .= dpadFunctions::string_add_prefix("this.msp='".$this->msp."';","\t ",true); } if( $parentclass->is_stoppable!=$this->is_stoppable ){ $html .= dpadFunctions::string_add_prefix("this.is_stoppable=".$this->is_stoppable.";","\t ",true); } $sOptionalp=$this->render_jscript_optionalp(); if(!empty($sOptionalp))$html .= dpadFunctions::string_add_prefix("this.optionalp=\"$sOptionalp\";","\t ",true); } if (empty($parentclass)){ eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_callSoap($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set_callback($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set_value($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set_state($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_get_formatted_msp($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_update($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_update_value($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_refresh($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_update_state($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_rendering($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_hasPermission($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getParents($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getChildren($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getSurroundings($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_insert_after($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_update_after($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_before($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_after($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_add_relation_before($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_add_relation_after($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_update_relation_after($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_relation_before($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_relation_after($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_is_output($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_tools($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_customScrips($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getActionValues($phpclass),\"\\t \",true);"); eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getRelationConditions($phpclass),\"\\t \",true);"); } else { eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_callSoap($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_callSoap($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_set($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set_callback($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_set_callback($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set_value($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_set_value($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_set_state($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_set_state($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_get_formatted_msp($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_get_formatted_msp($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_update($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_update($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_update_value($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_update_value($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_refresh($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_refresh($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_update_state($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_update_state($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_rendering($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_rendering($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getParents($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_getParents($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getChildren($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_getChildren($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getSurroundings($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_getSurroundings($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_insert_after($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_insert_after($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_update_after($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_update_after($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_before($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_remove_before($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_after($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_remove_after($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_add_relation_before($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_add_relation_before($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_add_relation_after($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_add_relation_after($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_update_relation_after($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_update_relation_after($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_relation_before($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_remove_relation_before($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_remove_relation_after($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_remove_relation_after($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_is_output($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_is_output($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_tools($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_tools($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_customScrips($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_customScrips($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getActionValues($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_getActionValues($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; eval("\$tmp_html_obj = dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getRelationConditions($phpclass),\"\\t \",true);"); eval("\$tmp_html_parent = dpadFunctions::string_add_prefix($parentclass::render_jscript_class_getRelationConditions($phpclass),\"\\t \",true);"); if (strcmp($tmp_html_obj,$tmp_html_parent)!=0) $html.=$tmp_html_obj; } eval("\$html .= dpadFunctions::string_add_prefix($phpclass::render_jscript_class_getActions($phpclass),\"\\t \",true);"); $html .= "}\n"; return $html; } function render_jscript_class_getRelationConditions($phpclass) { $html="this.getRelationConditions=function(data_struct,params){
			var label=this.name;
			if(params){
				if (isNaN(params))label=params;
				else label=(this.objManager?this.objManager.getObj(params).name:null);
			}
			var relationconditions=new Array();
			var relationcondition=new Array();
			relationcondition['VALUE']='".dpadFunctions::string_encode_for_JScript(_DPAD_DB_NO_CONDITION)."';
			relationcondition['LABEL']='".dpadFunctions::string_encode_for_JScript(_DPAD_LOGIC_NO_CONDITION)."';
			relationconditions.push(relationcondition);
			var tmp=this.getRenderOptions();
			for(var i in tmp){
				tmp[i]['LABEL']=$.sprintf('".dpadFunctions::string_encode_for_JScript(_DPAD_LOGIC_OBJECTS_LIST_HEADER_LOGIC_RESULT)." ',tmp[i]['LABEL'],label);
				relationconditions.push(tmp[i]);
			}
			switch(data_struct){
				case 'string':
					var tmp=new Array();
					for(var i in relationconditions){
						var relationcondition=relationconditions[i];
						tmp.push('\"'+relationcondition['VALUE']+'\":\"'+relationcondition['LABEL']+'\"');
					}
					relationconditions=tmp.join(',');
				break;
				case 'associative':
					var oTmp={};
					for(var i in relationconditions){
						var relationcondition=relationconditions[i];
						oTmp[relationcondition['VALUE']]=relationcondition['LABEL'];
					}
					relationconditions=oTmp;
				break;
				default:
				break;
			}
			return {
				options:relationconditions
			};
		}"; return $html; } function render_jscript_class_getActions($phpclass) { $html=""; $dbClient =& dpadManager::dbclient_get_reference(); $query = "SELECT ALLOWED_ACTIONS FROM DPADD_OBJECT_TYPES WHERE TYPE='".$this->type."';"; $result = $dbClient->query($query,$result_id); $result_row = $dbClient->fetch_next_row($result_id); $actions=explode("|",$result_row["ALLOWED_ACTIONS"]); $html="this.getActions=function(data_struct){\n\tvar actions=new Array();\n"; foreach($actions as $action){ $constant="_DPAD_SYSTEM_MANAGER_RELATION_ACTION_".strtoupper($action); if(!empty($action)){ $html.="\tvar action=new Array();\n\taction['VALUE']='$action';\n\taction['LABEL']='".(defined($constant)?constant($constant):$action)."';\n\tactions.push(action);\n"; } } $html.="\t
			switch(data_struct){
				case 'string':
					var tmp=new Array();
					for(var i in actions){
						var action=actions[i];
						tmp.push('\"'+action['VALUE']+'\":\"'+action['LABEL']+'\"');
					}
					actions=tmp.join(',');
				break;
				case 'associative':
					var oTmp={};
					for(var i in actions){
						var action=actions[i];
						oTmp[action['VALUE']]=action['LABEL'];
					}
					actions=oTmp;
				break;
				default:
				break;
			}
			return actions;\n}"; return $html; } function render_jscript_class_getActionValues($phpclass) { $html="this.getActionValues=function(data_struct,params){
			if(!params)params={};
			var sLabel=this.name;
			if(params.iObjId){
				if(isNaN(params.iObjId))sLabel=params.iObjId;
				else sLabel=(this.objManager?this.objManager.getObj(params.iObjId).name:null);
			}
			var actionValues=new Array();
			var aTmp=this.getRenderOptions();
			var oRendering=this.getRendering();
			for(var i in aTmp)actionValues.push(aTmp[i]);
			if((params.bAddValValues==true)&&(actionValues.length>0)){
				var actionValue=new Array();". (defined("_DPAD_LOGIC_\$VAL")?"
				actionValue['VALUE']='".dpadFunctions::string_encode_for_JScript(_DPAD_DB_VAL)."';
				actionValue['LABEL']=$.sprintf('".dpadFunctions::string_encode_for_JScript(constant("_DPAD_LOGIC_\$VAL"))."',sLabel);
				actionValues.push(actionValue);":""). (defined("_DPAD_LOGIC_\$NVAL")?"
				var actionValue=new Array();
				actionValue['VALUE']='".dpadFunctions::string_encode_for_JScript(_DPAD_DB_NVAL)."';
				actionValue['LABEL']=$.sprintf('".dpadFunctions::string_encode_for_JScript(constant("_DPAD_LOGIC_\$NVAL"))."',sLabel);
				actionValues.push(actionValue);":""). "}
			switch(data_struct){
				case 'string':
					var aTmp=new Array();
					for(var i in actionValues){
						var actionValue=actionValues[i];
						aTmp.push('\"'+actionValue['VALUE']+'\":\"'+actionValue['LABEL']+'\"');
					}
					actionValues=aTmp.join(',');
				break;
				case 'associative':
					var oTmp={};
					for(var i in actionValues){
						var actionValue=actionValues[i];
						oTmp[actionValue['VALUE']]=actionValue['LABEL'];
					}
					actionValues=oTmp;
				break;
				default:
				break;
			}
			return {
				min:oRendering.min_state,
				max:oRendering.max_state,
				step:oRendering.step_state,
				options:actionValues
			};
		}"; return $html; } function render_jscript_class_hasPermission($phpclass) { $html="this.has_permission=function(){
			if(this.with_permission==0) return true;
			if(this.objManager){
				return (this.objManager?this.objManager.has_permission(null,this.id):false);
			}
			return false;
		}"; return $html; } function render_jscript_class_getParents($phpclass) { $html="this.getParents=function(options){
			var results=new Array();
			if(this.objManager){
				var ids=this.objManager.getRelationsFromChild(this.id,options);
				for(var i in ids)results.push(objM.getObj(ids[i]['PARENTOBJ_ID']));
			}
			return results;
		}"; return $html; } function render_jscript_class_getChildren($phpclass) { $html="this.getChildren=function(options){
			var results=new Array();
			if(this.objManager){
				var ids=this.objManager.getRelationsFromParent(this.id,options);
				for(var i in ids)results.push(objM.getObj(ids[i]['CHILDOBJ_ID']));
			}
			return results;
		}"; return $html; } function render_jscript_class_getSurroundings($phpclass) { $html="this.getSurroundings=function(fCallback,oOptions){
			if( !oOptions ){
				oOptions={};
			}
			if( this.objManager ){
				this.objManager.getObjsSurrounding(
					this.id,
					fCallback,
					oOptions
				);
			}
		}"; return $html; } function render_jscript_is_output($phpclass){ $html="this.isOutput=function(){
			return this.is_executable && this.is_writable;
		}"; return $html; } function render_jscript_class_tools($phpclass){ $html="
			this._refreshOptionalp=function(){
				var aOptionalp=new Array();
				for(var i in this.options){
					var bIsString=this.objManager.isString(this.options[i]);
					aOptionalp.push(i+'='+(bIsString==true?'\'':'')+this.options[i]+(bIsString==true?'\'':''));
				}
				this.optionalp=aOptionalp.join('|');
			}
			this.log=function(){
				var options=null;
				var msg=null;
				var args=new Array();
				var _start_for=0;
				if(typeof arguments[0]=='object'){
					options=arguments[0];
					msg=arguments[1];
					_start_for=2;
				}
				else {
					options={};
					msg=arguments[0];
					_start_for=1;
				}
				for(var i=_start_for;i<(arguments.length);i++){
					args.push(arguments[i]);
				}
				msg='[dpadObject.js object %o[%o](%o)] '+msg;
				args.unshift(options,msg,this.name,this.id,this);
				if(this.objManager)if(this.objManager.resourceManager)this.objManager.resourceManager.log.apply(this.objManager.resourceManager,args);
			}
		"; return $html; } function render_jscript_class_customScrips($phpclass){ $html=""; return $html; } function render_jscript_add_relation_before($phpclass) { $html=""; return $html; } function render_jscript_insert_after($phpclass) { $html=""; return $html; } function render_jscript_update_after($phpclass) { $html=""; return $html; } function render_jscript_remove_before($phpclass) { $html=""; return $html; } function render_jscript_remove_after($phpclass) { $html=""; return $html; } function render_jscript_add_relation_after($phpclass) { $html=""; return $html; } function render_jscript_update_relation_after($phpclass) { $html=""; return $html; } function render_jscript_remove_relation_before($phpclass) { $html=""; return $html; } function render_jscript_remove_relation_after($phpclass) { $html=""; return $html; } function render_jscript_class_get_formatted_msp($phpclass) { $html="this.getFormattedMsp=function(){
			return '';
		}"; return $html; } function render_jscript_class_rendering($phpclass) { $html="this.render=function(sView,oOptions){
			this.current_rendering_view = sView;
			var _oRendering = this.getRendering();
			if( !oOptions ){
				oOptions = {};
			}
			if( !oOptions.prototype ){
				var _oPrototype = _oRendering.getPrototype(sView);
				oOptions.prototype = ( _oPrototype ? _oPrototype.prototype : null );
			}
			return _oRendering.render( sView, oOptions.prototype, oOptions );
		}
		
		this.resetRendering=function(view){
			var oRendering=this.getRendering();
			if( oRendering && view ){
				oRendering.clearRenderingElement(null,view);
			}
			else this._rendering=null;
		}
		
		this.getRendering=function(oOptions){
			if( !oOptions ){
				oOptions={};
			}
			if( !oOptions.rendering_id ){
				oOptions.rendering_id = this.rendering_id;
			}
			var _oRenderingDefinition = ( this.objManager ? this.objManager.getRendering( oOptions.rendering_id ) : null );
			if( oOptions.rendering_id && oOptions.rendering_id!=-1 && !_oRenderingDefinition ){
				this.log({type:'error'},'getRendering: failed in getting rendering from id: %o; no rendering loaded. Missing prototype, view, or rendering definition entry on db.',oOptions.rendering_id);
			}
			if( !this._rendering ){
				this.objManager.resourceManager.includeJs('jsDpadRendering.js', this.objManager.jsClassDefinitionPath + '/jsDpadRendering.js' );
				this.objManager.loadJsObjClass('jsDpadRenderingOption');
				this._rendering = new jsDpadRendering({
					data: _oRenderingDefinition,
					ownerObject: this
				});
			}
			var _oResult = null;
			if( oOptions.field && this._rendering ){
				_oResult = this._rendering[oOptions.field.toLowerCase()];
			} else {
				_oResult = this._rendering;
			}
			return _oResult;
		}
		
		this.getRenderOptions=function(data_struct){
			return this.getRendering().getOptions(data_struct);
		}
		
		this.getRenderingElement=function(id,view){
			if(!view)view=this.current_rendering_view;
			return this.getRendering().getRenderingElement(id,view);
		}
		
		this.updateRendering=function(field,value,view){
			this.getRendering().updateRenderingElements(field,value,view);
		}
		"; return $html; } function render_jscript_optionalp(){ $aOptionalp=$this->editpage_optionalp_detailsform_array(); $aTmp=array(); if(count($aOptionalp)>0){ foreach( $aOptionalp as $item){ $value=$item["optional_default"]; if( !empty($value) || $value==0 ){ $key = $item["optional_name"]; ( is_numeric($value) ) || ( is_bool($value) || ($value===null) ) ? $value_separator="" : $value_separator="'"; if( is_bool($value) ){ if( $value ){ $value="true"; } else { $value="false"; } } array_push($aTmp,"$key=".$value_separator.$value.$value_separator); } } } return implode("|",$aTmp); } function render_jscript_class_parameters($phpclass) { $html = ""; $arr_class_vars = get_class_vars($phpclass); while($var=each($arr_class_vars)){ if($var["key"]=="class") continue; if(is_array($var["value"])||is_object($var["value"])){ $value_separator=""; $var["value"]=dpadFunctions::encode_for_json($var["value"]); } else{ switch($var["key"]){ case "optionalp": $var["value"]=$this->render_jscript_optionalp(); break; default: break; } (is_numeric($var["value"]))||(is_bool($var["value"])||($var["value"]===null))?$value_separator="":$value_separator="\""; if(is_bool($var["value"])){ if($var["value"])$var["value"]="true"; else $var["value"]="false"; } elseif($var["value"]===null)$var["value"]="null"; } $html .= "this." . $var["key"] . " = $value_separator" . addslashes($var["value"]) . "$value_separator; \n"; } $html .= "this.current_rendering_view=null;\n"; $html .= "this.rendering_elements=null;\n"; $html .= "this.objManager=null;\n"; global $global_class_array; $html .= "this.is_event=".(empty($global_class_array[$phpclass]["is_event"])?0:$global_class_array[$phpclass]["is_event"]).";\n"; $html .= "this.is_executable=".(empty($global_class_array[$phpclass]["is_executable"])?0:$global_class_array[$phpclass]["is_executable"]).";\n"; return $html; } function render_jscript_class_update($phpclass, $handle_status_id=false ) { $html="this.update=function(field,newValue,view){
			if(field){
				if(this.objManager && !this.objManager.isString(newValue))newValue=Number(newValue);
				this.log('update field:%o value:%o for view:%o.',field,newValue,view);
				this[field]=newValue;
				this.updateRendering(field,newValue,view);
			}
		}"; return $html; } function render_jscript_class_update_state($phpclass, $handle_status_id=false ){ $html="this.updateState=function(newState,view){
			this.update('status_id',newState,view);
		}"; return $html; } function render_jscript_class_update_value($phpclass, $handle_status_id=false ){ $html="this.updateValue=function(newValue,view){
			this.update('current_value',newValue,view);
		}"; return $html; } function render_jscript_class_callSoap($phpclass){ $html="this.callSoap=function(value,operation,hashcode,optional,oAjaxParams){
			if(value==0)value=value+'';
			if(!value)value='"._DPAD_SOAP_PARAMETERS_NOPAYLOAD."';
			if(!hashcode)hashcode='"._DPAD_SOAP_PARAMETERS_NOHASHCODE."';
			if(!optional)optional='"._DPAD_SOAP_PARAMETERS_NOOPTIONAL."';". dpadObject::render_jscript_class_soap_call(_DPAD_SOAP_METHOD_RUNONELEMENT,"this.id|operation|value|hashcode|optional","oAjaxParams" ,"true","callback_params") . "}"; return $html; } function render_jscript_class_set($phpclass,$timeout_require_state_refresh=1000){ $html="this.set=function(field,newValue,operation,hashcode,optional,oEvent) {
			if( ( this.has_grant==1 ) && ( !hashcode ) ){
				themeManager.numpadOpen({
						sField: field,
						value: newValue,
						sOperation: operation,
						sOptional: optional
					}, {
						iObjectID: this.id,
						sMethod: 'set',
						bHashing: true,
						oEvent: oEvent
					});
				return;
			}
			if( this.waiting_for_setvalue_callback==1 ){
				return;
			}
			if( !operation ){
				var operations=this.getActions();
				if(operations.length==0)return;
				operation=operations[0]['VALUE'];
			}
			if( typeof this._bPreviousStateRefresh == 'undefined' ){
				this._bPreviousStateRefresh=this.require_state_refresh;
			}
			this.waiting_for_setvalue_callback=1;
			this.callSoap(newValue,operation,hashcode,optional,{
				success:$.proxy(this._setCallbackSuccess,this,field,this[field]),
				error:$.proxy(this._setCallbackError,this,field,this[field])
			});
			if( field ){
				this.update(field,newValue);
			}
			this.require_state_refresh=0;
			themeManager.changeCursor('wait');
			themeManager.waitplease_display(true,'waitplease_input');
		}
		"; return $html; } function render_jscript_class_set_callback($phpclass, $timeout_require_state_refresh = 1000 ){ $html="this._setCallbackSuccess=function(sPreviousField,previousValue,sXML){
			themeManager.changeCursor('auto');
			themeManager.waitplease_display(false,'waitplease_input');
			this.waiting_for_setvalue_callback=0;
			var _sResult = this.objManager.resourceManager.XML(sXML).get('result').split('-');
			var _sResultType = _sResult[0];
			var _iResultCode = parseFloat(_sResult[1]);
			if( _iResultCode!=0 ){
				if( sPreviousField ){
					this.update(sPreviousField,previousValue);
				}
				themeManager.showMessage($.sprintf('"._DPAD_OBJECT_SETVALUE_ERROR_MESSAGE."',_sResult.join('-'),this.name,this.objManager.resourceManager.getErrorMessage(_iResultCode,_sResultType),'error'));
			}
			this._setCallbackRefresh();
		}
		this._setCallbackError=function(sPreviousField,previousValue){
			this.waiting_for_setvalue_callback=0;
			if( sPreviousField ){
				this.update(sPreviousField,previousValue);
			}
			this._setCallbackRefresh();
			themeManager.showMessage($.sprintf('"._DPAD_OBJECT_SETVALUE_ERROR_MESSAGE."','DPAD-999',this.name,this.objManager.resourceManager.getErrorMessage(999,'DPAD'),'error'));
		}
		this._setCallbackRefresh=function(){
			if( this.require_state_refresh_timeout ){
				clearTimeout(this.require_state_refresh_timeout);
			}
			this.require_state_refresh_timeout=setTimeout($.proxy(this._setCallbackRefreshCallback,this),$timeout_require_state_refresh);
		}
		this._setCallbackRefreshCallback=function(){
			this.require_state_refresh=this._bPreviousStateRefresh;
			delete this._bPreviousStateRefresh;
		}"; return $html; } function render_jscript_class_set_state($phpclass) { $html="this.setState=function(newState,operation){
			this.set('status_id',newState,operation);
		}"; return $html; } function render_jscript_class_set_value($phpclass) { $html="this.setValue=function(newValue,operation){
			this.set('current_value',newValue,operation);
		}"; return $html; } function render_jscript_class_refresh($phpclass){ $html="this.refresh=function(){
			if(this.objManager){
				var query='SELECT * FROM DPADD_OBJECT WHERE ID =('+this.id+');';
				dbManager.executeSQL(query,Math.random(),$.proxy(this._refreshCalback,this));
			}
		}
		this._refreshCalback=function(aResults){
			if( this.objManager ){
				this.objManager.fillByArray(this,aResults[0]);
			}
		}"; return $html; } function render_jscript_class_soap_call($method, $parameters = "", $sAjaxParams = "", $async = "true", $callback_params="null") { $html = ""; $parameters = explode("|", $parameters ); $parameters_array = array(); switch( $method ) { case _DPAD_SOAP_METHOD_ELEMENTHASCHANGED: if ( is_null( $parameters[3] ) ) $parameters[3] = 30; $parameters_array["'idobject'"] = $parameters[0]; $parameters_array["'idcaller'"] = $parameters[1]; $parameters_array["'currentvalue'"] = $parameters[2]; $parameters_array["'waittime'"] = $parameters[3]; break; case _DPAD_SOAP_METHOD_RUNONELEMENT: default: if ( is_null( $parameters[2] ) ) $parameters[2] = "'" . _DPAD_SOAP_PARAMETERS_NOPAYLOAD . "'"; if ( is_null( $parameters[3] ) ) $parameters[3] = "'" . _DPAD_SOAP_PARAMETERS_NOHASHCODE . "'"; if ( is_null( $parameters[4] ) ) $parameters[4] = "'" . _DPAD_SOAP_PARAMETERS_NOOPTIONAL . "'"; if ( is_null( $parameters[5] ) ) $parameters[5] = "'" . _DPAD_SOAP_PARAMETERS_CALLSOURCE_WEBDOMUSPAD . "'"; if ( is_null( $parameters[6] ) ) $parameters[6] = _DPAD_SOAP_PARAMETERS_WAITTIME_DEFAULT; $parameters_array["'idobject'"] = $parameters[0]; $parameters_array["'operation'"] = $parameters[1]; $parameters_array["'payload'"] = $parameters[2]; $parameters_array["'hashcode'"] = $parameters[3]; $parameters_array["'optionals'"] = $parameters[4]; $parameters_array["'callsource'"] = $parameters[5]; $parameters_array["'waittime'"] = $parameters[6]; break; } $html.="this.objManager.resourceManager.callSoap('$method',{"; end($parameters_array); $_aLastKey=each($parameters_array); $_sLastKey=$_aLastKey["key"]; reset($parameters_array); while($parameter_element=each($parameters_array)){ $html.="".$parameter_element["key"].":" . $parameter_element["value"] . (($_sLastKey==$parameter_element["key"])?"":",") . "\n"; } $html.="},$sAjaxParams);"; return $html; } function get_url($operation="view") { $url = ""; switch($operation) { case "details": $url = dpadFunctions::add_parameter_to_url(dpadManager::class_get_parameter($this->phpclass,"DETAILSOBJPATH"),"id",$this->id); break; case "edit": $url = dpadFunctions::output_string(dpadManager::class_get_parameter($this->phpclass,"EDITOBJPATH"), _DPAD_RELATIVE_PATH_EDIT_OBJECT); break; case "view": default: $url = dpadFunctions::add_parameter_to_url(dpadFunctions::output_string(dpadManager::class_get_parameter($this->phpclass,"VIEWOBJPATH"),_DPAD_RELATIVE_PATH_EDIT_OBJECT),"id",$this->id); break; } return $url; } function validating_new_pin() { $pin_old = $_POST["grant_hashcode_old"]; if ( !strcmp( $this->grant_hashcode, _DPAD_DB_NO_VALUE ) ) $this->grant_hashcode = null; if ( ! ( empty( $pin_old ) && empty( $this->grant_hashcode ) ) ) { if ( strcmp( md5( $pin_old ), $this->grant_hashcode ) ) { if ( strlen( $this->id ) > 0 ) { $return_url = dpadFunctions::add_parameter_to_url( $this->get_url("edit"), "id", $this->id ); } else { $return_url = dpadFunctions::add_parameter_to_url( $this->get_url("edit"), "mode", "new" ); $return_url = dpadFunctions::add_parameter_to_url( $return_url, "phpclass", $this->phpclass ); } dpadErrorManager::redirect_header( $return_url, _DPAD_CONSTANT_TIMER_TO_READ_MESSAGE, _DPAD_SYSTEM_OBJECT_ERROR_OLD_PIN ); exit(); } } if ( $this->has_grant ) { $pin_new = $_POST["grant_hashcode_new"]; $pin_repeatnew = $_POST["grant_hashcode_repeatnew"]; if ( ! ( empty( $pin_new ) && empty( $pin_repeatnew ) ) ) { if ( strcmp( $pin_new, $pin_repeatnew ) ) { if ( strlen( $this->id ) > 0 ) { $return_url = dpadFunctions::add_parameter_to_url( $this->get_url("edit"), "id", $this->id ); } else { $return_url = dpadFunctions::add_parameter_to_url( $this->get_url("edit"), "mode", "new" ); $return_url = dpadFunctions::add_parameter_to_url( $return_url, "phpclass", $this->phpclass ); } dpadErrorManager::redirect_header( $return_url, _DPAD_CONSTANT_TIMER_TO_READ_MESSAGE, _DPAD_SYSTEM_OBJECT_ERROR_NEW_PIN ); exit(); } else $this->grant_hashcode = md5( $pin_new ); } } else $this->grant_hashcode = null; return _DPAD_RESULT_NOERROR; } function update() { $this->validating_new_pin(); $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; $query = "UPDATE " . "DPADD_OBJECT " . "SET " . "name = '" . dpadfunctions::string_encode_for_SQLite($this->name) . "'," . "description = '" . dpadfunctions::string_encode_for_SQLite($this->description) . "'," . "type = '" . dpadfunctions::string_encode_for_SQLite($this->type) . "'," . "min_value = '" . dpadfunctions::string_encode_for_SQLite($this->min_value) . "'," . "max_value = '" . dpadfunctions::string_encode_for_SQLite($this->max_value) . "'," . "current_value = '" . dpadfunctions::string_encode_for_SQLite($this->current_value) . "'," . "values_type = '" . dpadfunctions::string_encode_for_SQLite($this->values_type) . "'," . "status_id = '" . dpadfunctions::string_encode_for_SQLite($this->status_id) . "'," . "rendering_id = '" . dpadfunctions::string_encode_for_SQLite($this->rendering_id) . "'," . "image_path = '" . dpadfunctions::string_encode_for_SQLite($this->image_path) . "'," . "is_readable = '" . dpadfunctions::string_encode_for_SQLite($this->is_readable) . "'," . "is_writable = '" . dpadfunctions::string_encode_for_SQLite($this->is_writable) . "'," . "is_visible = '" . dpadfunctions::string_encode_for_SQLite($this->is_visible) . "'," . "is_stoppable = '" . dpadfunctions::string_encode_for_SQLite($this->is_stoppable) . "'," . "is_boolean = '" . dpadfunctions::string_encode_for_SQLite($this->is_boolean) . "'," . "with_permission = '" . dpadfunctions::string_encode_for_SQLite($this->with_permission) . "'," . "track_flag = '" . dpadfunctions::string_encode_for_SQLite($this->track_flag) . "'," . "msp = '" . dpadfunctions::string_encode_for_SQLite($this->msp) . "'," . "optionalp = '" . dpadfunctions::string_encode_for_SQLite($this->optionalp) . "'," . "phpclass = '" . dpadfunctions::string_encode_for_SQLite($this->phpclass) . "'," . "communicationsection_id = '" . dpadfunctions::string_encode_for_SQLite($this->communicationsection_id) . "'," . "owned_by = '" . dpadfunctions::string_encode_for_SQLite($this->owned_by) . "', " . "has_grant = '" . dpadfunctions::string_encode_for_SQLite($this->has_grant) . "', " . "grant_hashcode = '" . dpadfunctions::string_encode_for_SQLite($this->grant_hashcode) . "' " . "WHERE " . "id = '".$this->id."'"; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_DB_UPDATE,_DPAD_GENERAL_ERROR_DATABASE_UPDATE,"","dpadObject::update()"); return _DPAD_RESULT_DBERROR; } return _DPAD_RESULT_NOERROR; } function insert() { $this->validating_new_pin(); $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; $query = "INSERT INTO " . "DPADD_OBJECT " . "( " . "name," . "description," . "type," . "min_value," . "max_value," . "current_value," . "values_type," . "status_id," . "rendering_id," . "image_path," . "is_readable," . "is_writable," . "is_visible," . "is_stoppable," . "is_boolean," . "with_permission," . "track_flag," . "msp," . "optionalp," . "phpclass," . "communicationsection_id," . "owned_by," . "has_grant," . "grant_hashcode" . ") VALUES (" . "'" . dpadfunctions::string_encode_for_SQLite($this->name) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->description) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->type) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->min_value) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->max_value) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->current_value) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->values_type) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->status_id) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->rendering_id) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->image_path) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->is_readable) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->is_writable) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->is_visible) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->is_stoppable) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->is_boolean) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->with_permission) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->track_flag) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->msp) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->optionalp) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->phpclass) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->communicationsection_id) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->owned_by) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->has_grant) . "'," . "'" . dpadfunctions::string_encode_for_SQLite($this->grant_hashcode) . "'" . ")"; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_OBJECT_DB_INSERT,_DPAD_GENERAL_ERROR_DATABASE_UPDATE,"","dpadObject::insert()"); return _DPAD_RESULT_DBERROR; } $this->id = $dbClient->get_last_insert_id(); return _DPAD_RESULT_NOERROR; } function trash() { $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; $query = "DELETE FROM DPADD_OBJECT_RELATION " . "WHERE PARENTOBJ_ID=" . $this->id; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_DPADACTION_REMOVING_GROUP,_DPAD_DPADACTION_ERROR_OBJECT_REMOVING_GROUP,"dpadobject.php","trash()"); return $result; } $query = "DELETE FROM DPADD_OBJECT_RELATION " . "WHERE CHILDOBJ_ID=" . $this->id; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_DPADACTION_REMOVING_GROUP,_DPAD_DPADACTION_ERROR_OBJECT_REMOVING_GROUP,"dpadobject.php","trash()"); return $result; } $query = "DELETE FROM DPADD_OBJECT " . "WHERE ID=" . $this->id; $result = $dbClient->query($query,$result_id); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_DPADACTION_REMOVING_GROUP,_DPAD_DPADACTION_ERROR_OBJECT_REMOVING_GROUP,"dpadobject.php","trash()"); return $result; } return _DPAD_RESULT_NOERROR; } function clone_on_db() { $dbClient =& dpadManager::dbclient_get_reference(); if(is_null($dbClient)) return _DPAD_RESULT_SYSERROR; $query = "SELECT * FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" . $this->id . "'"; $result = $dbClient->query( $query, $result_id_parentlist ); if ( $result != _DPAD_RESULT_NOERROR ) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_DBCLIENT_QUERY_ERROR,_DPAD_GENERAL_ERROR_DATABASE_LOAD,"dpadobject.php","clone_on_db()"); return $result; } $query = "SELECT * FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID='" . $this->id . "'"; $result = $dbClient->query($query,$result_id_childlist); if($result!=_DPAD_RESULT_NOERROR) { dpadErrorManager::error_trace(_DPAD_ERROR_TYPE_DATABASE,_DPAD_ERROR_LEVEL_ERROR,_DPAD_ERROR_CODE_DBCLIENT_QUERY_ERROR,_DPAD_GENERAL_ERROR_DATABASE_LOAD,"dpadobject.php","clone_on_db()"); return $result; } $transaction_name="CLONE_ON_DB_TRANSACTION"; $transaction_result = $dbClient->transaction_begin( $transaction_name ); if ( $transaction_result != _DPAD_RESULT_NOERROR ) { return _DPAD_ERROR_CODE_DBCLIENT_QUERY_ERROR; } $this->name = _DPAD_GENERAL_COPY_OF . " " . $this->name; $result = $this->insert(); if ( $result != _DPAD_RESULT_NOERROR ) { $transaction_result = $dbClient->transaction_rollback( $transaction_name ); return $result; } while ( $result_row = $dbClient->fetch_next_row( $result_id_parentlist ) ) { $arr_parameters["parentobj_id"] = $this->id; $arr_parameters["childobj_id"] = $result_row["CHILDOBJ_ID"]; $arr_parameters["relation_condition"] = $result_row["RELATION_CONDITION"]; $arr_parameters["relation_web_tipology"] = $result_row["RELATION_WEB_TIPOLOGY"]; $arr_parameters["action"] = $result_row["ACTION"]; $arr_parameters["action_value"] = $result_row["ACTION_VALUE"]; $arr_parameters["order_num"] = $result_row["ORDER_NUM"]; $arr_parameters["access_mode"] = $result_row["ACCESS_MODE"]; $arr_parameters["category_id"] = $result_row["CATEGORY_ID"]; $arr_parameters["stop_flag"] = $result_row["STOP_FLAG"]; $arr_parameters["enable_flag"] = $result_row["ENABLE_FLAG"]; $arr_parameters["optional"] = $result_row["OPTIONAL"]; $result = dpadManager::DB_insert_relation( $arr_parameters ); if ( $result != _DPAD_RESULT_NOERROR ) { $transaction_result = $dbClient->transaction_rollback( $transaction_name ); return $result; } } while ( $result_row = $dbClient->fetch_next_row( $result_id_childlist ) ) { $arr_parameters["parentobj_id"] = $result_row["PARENTOBJ_ID"]; $arr_parameters["childobj_id"] = $this->id; $arr_parameters["relation_condition"] = $result_row["RELATION_CONDITION"]; $arr_parameters["relation_web_tipology"] = $result_row["RELATION_WEB_TIPOLOGY"]; $arr_parameters["action"] = $result_row["ACTION"]; $arr_parameters["action_value"] = $result_row["ACTION_VALUE"]; $arr_parameters["order_num"] = $result_row["ORDER_NUM"]; $arr_parameters["access_mode"] = $result_row["ACCESS_MODE"]; $arr_parameters["category_id"] = $result_row["CATEGORY_ID"]; $arr_parameters["stop_flag"] = $result_row["STOP_FLAG"]; $arr_parameters["enable_flag"] = $result_row["ENABLE_FLAG"]; $arr_parameters["optional"] = $result_row["OPTIONAL"]; $result = dpadManager::DB_insert_relation( $arr_parameters ); if ( $result != _DPAD_RESULT_NOERROR ) { $transaction_result = $dbClient->transaction_rollback( $transaction_name ); return $result; } } $transaction_result = $dbClient->transaction_commit( $transaction_name ); return _DPAD_RESULT_NOERROR; } function insert_relation_before( $environment_array, $counter = null ) { return _DPAD_RESULT_NOERROR; } function insert_relation_after( $environment_array, $counter = null ) { return _DPAD_RESULT_NOERROR; } function update_relation_before( $environment_array, $counter = null ) { return _DPAD_RESULT_NOERROR; } function update_relation_after( $environment_array, $counter = null ) { return _DPAD_RESULT_NOERROR; } function delete_relation_before( $environment_array, $counter = null ) { return _DPAD_RESULT_NOERROR; } function delete_relation_after( $environment_array, $counter = null ) { return _DPAD_RESULT_NOERROR; } function update_optionalp_from_options() { $arr_optionalp_tokens = array(); $this->optionalp = ""; foreach($this->options as $option_name=>$option_value) { $arr_optionalp_tokens[] = "$option_name=$option_value"; } $this->optionalp = implode("|",$arr_optionalp_tokens); } function user_has_permission( $permission_tag = null, $username = null ) { if ( ! $this->with_permission ) return true; else { return dpadManager::user_has_permission( $username, $permission_tag, $this->id ); } } function customObjUpdate() { return _DPAD_RESULT_NOERROR; } function get_order_num_by_type() { return dpadManager::setting_get_by_name( _DPAD_CONSTANT_OREDER_NUM_BY_TAG . strtolower( $this->type ), _DPAD_CONSTANT_ORDER_NUM_BY_GENERIC_TYPE ); } function runonelement($payload=null) { return _DPAD_RESULT_NOERROR; } function refresh() { return _DPAD_RESULT_NOERROR; } function editpage_toolbar() { $objects_toolbar = array(); if ( !dpadManager::setting_get_by_name( _DPAD_DB_WEB_OPTION_PALETTE_ENABLE, false ) ) return $objects_toolbar; include_once( _DPAD_RELATIVE_PATH_CLASS_FAKE ); $element_new = new fakeClass(); $element_new->id = $this->id; if(defined("_DPAD_OBJECT_DEFAULT_NAME_FOR_" . strtoupper($this->phpclass))) $element_new->name = constant("_DPAD_OBJECT_DEFAULT_NAME_FOR_" . strtoupper($this->phpclass)); else $element_new->name = _DPAD_GENERAL_NEW; $element_new->description = $element_new->name; $element_new->image_path = "list-add.png"; $element_new->url = dpadFunctions::add_parameter_to_url(dpadFunctions::add_parameter_to_url($this->get_url("edit"),"mode","new"), "phpclass", $this->phpclass); $element_list = new fakeClass(); $element_list->id = $this->id; $element_list->name = _DPAD_SYSTEM_DPADGROUP_MSP_LIST; $element_list->description = $this->name; $element_list->image_path = $this->image_path; $element_list->url = _DPAD_RELATIVE_PATH_PAGE_SEARCH . "?is_visible=1&phpclass=" . $this->phpclass . "&submit=submit"; $element_separator = new fakeClass(); $element_separator->image_path = "../block/separator.png"; $element_clone = new fakeClass(); $element_clone->id = $this->id; $element_clone->name = _DPAD_GENERAL_COPY; $element_clone->description = $this->name; $element_clone->image_path = "../block/btn_copy_norm.gif"; $element_clone->url = _DPAD_RELATIVE_PATH_DPADACTION . "?id=" . $this->id . "&op=clone"; $element_regroup = new fakeClass(); $element_regroup->id = $this->id; $element_regroup->name = _DPAD_GENERAL_REGROUP; $element_regroup->description = $this->name; $element_regroup->image_path = "../block/btn_group_norm.gif"; $element_regroup->url = _DPAD_RELATIVE_PATH_DPADADDOBJECT . "?id=" . $this->id . "&add_object_type=" . _DPAD_CLASS_TYPE_GROUP . "&relation_type=" . _DPAD_PHP_RELATION_TYPE_PARENT; $objects_toolbar[] = $element_separator; $objects_toolbar[] = $element_new; $objects_toolbar[] = $element_list; if ( !empty( $this->id ) ) { $objects_toolbar[] = $element_clone; $objects_toolbar[] = $element_regroup; } return $objects_toolbar; } function editpage_optionalp_detailsform_array() { $array_optional = array(); return $array_optional; } function editpage_detailsform_array() { $array = array(); $element = new dpadObjectElement(); $element->id = "name"; $element->label = _DPAD_SYSTEM_OBJECT_DETAILS_NAME; $element->draw_as = "textbox"; $element->value = $this->name; $element->sql_field = strtoupper($element->id); $array[$element->sql_field] = $element; $element = new dpadObjectElement(); $element->id = "description"; $element->label = _DPAD_SYSTEM_OBJECT_DETAILS_DESCRIPTION; $element->draw_as = "textarea"; $element->value = $this->description; $element->is_advanced = true; $element->sql_field = strtoupper($element->id); $array[$element->sql_field] = $element; $element = new dpadObjectElement(); $element->id = "is_visible"; $element->draw_as = "checkbox"; $element->value = $this->is_visible; $element->sql_field = strtoupper($element->id); $array[$element->sql_field] = $element; return $array; } function editpage_output_detailsform($block, $enable_disabled = false) { $optional_settings = array(); $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_NAME, dpadmanager::draw_as_get_html( "textbox", "name", "", $this->name, null, $optional_settings, $enable_disabled ) ); $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_DESCRIPTION, dpadmanager::draw_as_get_html("textarea", "description", "", $this->description, null, $optional_settings, $enable_disabled ) ); $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_VALUESTYPE, dpadmanager::draw_as_get_html("textbox", "values_type", "", $this->values_type, null, $optional_settings, $enable_disabled ) ); $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_MSP, dpadmanager::draw_as_get_html("textbox", "msp", "", $this->msp, null, $optional_settings, $enable_disabled ) ); $optional_settings["select_condition"] = "ENABLE_FLAG = '1'"; $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_COMMUNICATIONSECTION, dpadmanager::draw_as_get_html("select", "communicationsection_id", "", $this->communicationsection_id, null, $optional_settings, $enable_disabled ) ); $optional_settings["select_condition"] = "PHPCLASSES LIKE '%". $this->phpclass . "%' AND IS_VISIBLE='1'"; $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_DESCRIPTION, dpadmanager::draw_as_get_html("select", "rendering_id", "", $this->rendering_id, null, $optional_settings, $enable_disabled ) ); $block->contentRow(_DPAD_SYSTEM_OBJECT_DETAILS_OPTIONALP, dpadmanager::draw_as_get_html("textarea", "optionalp", "", $this->optionalp, null, $optional_settings, $enable_disabled ) ); return _DPAD_RESULT_NOERROR; } function editrelationpage_optional_detailsform_array() { return null; } function editrelationpage_optional_detailsform( $array_optional, $block, $enable_disabled = false ) { $arr_options = explode("|",stripslashes($arr_parameters["optional"])); foreach($arr_options as $option) { list($option_name,$option_value) = explode("=",$option); if(!$option_name||!$option_value) continue; $$option_name = $option_value; } if ( count( $options ) > 0 ) { foreach( $array_optional as $optional_element) { if ( is_null( $$optional_element["optional_name"] ) || ( $$optional_element["optional_name"] == "" ) ) $optional_element["value"] = $optional_element["optional_default"]; else $optional_element["value"] = $$optional_element["optional_name"]; $block->contentRow( $optional_element["optional_label"], dpadmanager::draw_as_get_html( $optional_element["optional_draw-as"], $optional_element["optional_name"], $optional_element["value"], $block, $optional_element["optional_settings"], $enable_disabled ) ); } } } function get_relation_web_tipology( $child_object ) { if ( is_null( $relation_web_tipology ) || ( $relation_web_tipology == "" ) ) { $relation_web_tipology = $child_object->get_relation_web_tipology_aschild(); if ( is_null( $relation_web_tipology ) ) $relation_web_tipology = $this->get_relation_web_tipology_asparent(); } return $relation_web_tipology; } function get_relation_web_tipology_asparent( ) { return _DPAD_DB_RELATION_TYPE_GENERIC; } function get_relation_web_tipology_aschild( ) { return null; } function editrelationpage_output_asparent( $block, $arr_parameters ) { switch( $arr_parameters["relation_web_tipology"] ) { default: return null; break; } return _DPAD_RESULT_NOERROR; } function editrelationpage_output_aschild( $block, $arr_parameters ) { switch( $arr_parameters["relation_web_tipology"] ) { default: return null; break; } return _DPAD_RESULT_NOERROR; } function editpage_output_paletteIcon_buttonsform( $block ) { if ( dpadManager::setting_get_by_name( _DPAD_DB_WEB_OPTION_PALETTE_ENABLE, false ) ) { $block->openPaletteIcon(); $block->customPaletteIcon(0,"back",_DPAD_GENERAL_BLOCK_ACTION_BACK,_DPAD_CONSTANT_JSCRIPT_CUSTOM_BACK); $block->paletteIcon(1,"add",_DPAD_GENERAL_BLOCK_ACTION_ADD); $block->paletteIcon(2,"remove",_DPAD_GENERAL_BLOCK_ACTION_DELETE); $block->paletteIcon(3,"edit",_DPAD_GENERAL_BLOCK_ACTION_EDIT); $block->closePaletteIcon(); } } function editpage_output_paletteScript_buttonsform( $block, $arr_parameters ) { if ( dpadManager::setting_get_by_name( _DPAD_DB_WEB_OPTION_PALETTE_ENABLE, false ) ) { $block->openPaletteScript(); $block->paletteScript(0,"back",$arr_parameters["return_url"],"true,false,false",_DPAD_GENERAL_BLOCK_ACTION_BACK,$arr_parameters["current_page"]); $block->paletteScript(2,"remove", _DPAD_RELATIVE_PATH_DPADACTION . "?op=del_relationid&relation_type=".$arr_parameters["relation_type"]."&target_id=".$this->id,"false,true,true",_DPAD_GENERAL_BLOCK_ACTION_REMOVE,$arr_parameters["current_page"],true,_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM); $children_parents_management_array = array(); $children_parents_management_array = $this->editpage_parameters[$arr_parameters["include_id"]]; if ( !isSet( $children_parents_management_array["search_is_visible"] ) ) $children_parents_management_array["search_is_visible"] = 1; if ( isSet( $children_parents_management_array["db_add_condition"] ) ) $children_parents_management_array["db_add_condition"] = dpadFunctions::string_encode_for_JScript( $children_parents_management_array["db_add_condition"] ); if ( strpos($arr_parameters["include_id"], "child" ) !== false ) { $block->paletteScript(1,"add", _DPAD_RELATIVE_PATH_PAGE_SEARCH . "?mode=ADD_TO_" . $this->type . (dpadManager::setting_get_by_name( _DPAD_DB_WEB_OPTION_SEARCH_HIDE_FORM_IN_RESULTS, false )?"":"&submit=1") . "&target_id=" . $this->id . "&relation_type=" . $arr_parameters["relation_type"] . "&phpclass=" . $children_parents_management_array["search_phpclass"] . "&is_visible=" . $children_parents_management_array["search_is_visible"] . "&filter=" . $children_parents_management_array["db_add_condition"] . "&hide_system_objects=" . ( is_null( $arr_parameters["hide_system_objects"] )?"1":$arr_parameters["hide_system_objects"] ), "true,false,false",_DPAD_GENERAL_BLOCK_ACTION_ADD,$arr_parameters["current_page"]); $block->paletteScript(3,"edit",_DPAD_RELATIVE_PATH_EDIT_OBJECT_RELATION . "?op=edit","false,true,false",_DPAD_GENERAL_BLOCK_ACTION_EDIT,$arr_parameters["current_page"]); } elseif ( strpos($arr_parameters["include_id"], "event" ) !== false ) { $block->paletteScript(1,"add", _DPAD_RELATIVE_PATH_WIZARD_AUTOMATISM . "?step=2&parents_num=1&parents_item_0=" . $this->id,"true,false,false",_DPAD_GENERAL_BLOCK_ACTION_ADD,$arr_parameters["current_page"]); $block->paletteScript(3,"edit",_DPAD_RELATIVE_PATH_EDIT_OBJECT_RELATION . "?op=edit","false,true,false",_DPAD_GENERAL_BLOCK_ACTION_EDIT,$arr_parameters["current_page"]); } else { $block->paletteScript(1,"add", _DPAD_RELATIVE_PATH_PAGE_SEARCH . "?mode=ADD_TO_" . $this->type . (dpadManager::setting_get_by_name( _DPAD_DB_WEB_OPTION_SEARCH_HIDE_FORM_IN_RESULTS, false )?"":"&submit=1") . "&target_id=" . $this->id . "&relation_type=" . $arr_parameters["relation_type"] . "&phpclass=" . $children_parents_management_array["search_phpclass"] . "&is_visible=" . $children_parents_management_array["search_is_visible"] . "&filter=" . $children_parents_management_array["db_add_condition"] . "&hide_system_objects=" . ( is_null( $arr_parameters["hide_system_objects"] )?"1":$arr_parameters["hide_system_objects"] ),"true,false,false",_DPAD_GENERAL_BLOCK_ACTION_ADD,$arr_parameters["current_page"]); $block->paletteScript(3,"edit",_DPAD_RELATIVE_PATH_EDIT_OBJECT_RELATION . "?op=edit&target_id=" . $this->id,"false,true,false",_DPAD_GENERAL_BLOCK_ACTION_EDIT,$arr_parameters["current_page"]); } $block->closePaletteScript(count($arr_parameters["arrContentIds"]),$arr_parameters["arrContentIds"]); } } function editpage_get_include_list() { $include_array=array(); $this->editpage_parameters = array(); $include_id = "editobject.parents.inc.php"; $include_array[$include_id]="../system/include/editobject.parents.inc.php"; $this->editpage_parameters[$include_id]["block_title"] = sprintf( _DPAD_SYSTEM_EDITOBJECT_PARENTLIST_TITLE, dpadFunctions::check_string_too_long( $this->name ) ); $this->editpage_parameters[$include_id]["db_condition"] = "D_O.TYPE = '" . _DPAD_CLASS_TYPE_GROUP . "'"; $this->editpage_parameters[$include_id]["db_add_condition"] = "D_O.TYPE = '" . _DPAD_CLASS_TYPE_GROUP . "' AND D_O.ID != '" . $this->id . "' AND D_O.ID NOT IN ( SELECT PARENTOBJ_ID FROM DPADD_OBJECT_RELATION WHERE ( CHILDOBJ_ID = '" . $this->id . "' AND RELATION_WEB_TIPOLOGY = '" . _DPAD_DB_RELATION_TYPE_GENERIC . "' ) )"; $this->editpage_parameters[$include_id]["db_order"] = "D_O.NAME"; $this->editpage_parameters[$include_id]["form_title"] = $this->phpclass . "_parents"; $this->editpage_parameters[$include_id]["block_order"] = 1; $this->editpage_parameters[$include_id]["block_rows_limit"] = dpadManager::setting_get_by_name( _DPAD_DB_WEB_OPTION_LIST_ELEMENTS_NUM, _DPAD_CONSTANT_LIST_ELEMENTS_NUM_DEFAULT ); $this->editpage_parameters[$include_id]["search_phpclass"] = _DPAD_SYSTEM_PHPCLASS_GROUP; return $include_array; } function default_set_rendering() { $dbClient =& dpadManager::dbclient_get_reference(); if(empty($this->rendering_id)||$this->rendering_id==-1) { $query = "SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" . $this->phpclass . "%' LIMIT 0,1"; $result = $dbClient->query($query,$result_id); if($result==_DPAD_RESULT_NOERROR && $dbClient->get_rows_num($result_id)>0) { $result_row = $dbClient->fetch_next_row($result_id); $this->rendering_id = $result_row["ID"]; return _DPAD_RESULT_NOERROR; } } return _DPAD_RESULT_DBERROR; } function default_set_communication_section($type) { $dbClient =& dpadManager::dbclient_get_reference(); if(is_array($type)) { $communication_section_types = $type; } else { $communication_section_types = array($type); } if(empty($this->communicationsection_id)||$this->communicationsection_id==-1) { foreach($communication_section_types as $type) { $query = "SELECT ID FROM DPADD_COMMUNICATION_SECTION WHERE TYPE='$type' AND ENABLE_FLAG='1'"; $result = $dbClient->query($query,$result_id); if($result==_DPAD_RESULT_NOERROR && $dbClient->get_rows_num($result_id)>0) { $result_row = $dbClient->fetch_next_row($result_id); $this->communicationsection_id = $result_row["ID"]; return _DPAD_RESULT_NOERROR; } } } return _DPAD_RESULT_DBERROR; } } $debug_msg = "Class dpadObject defined correctly"; dpadErrorManager::error_trace( _DPAD_ERROR_LANG_LEVEL_DEBUG, _DPAD_ERROR_LEVEL_DEBUG,"",$debug_msg,"dpadobject.class.php",""); ?>