<?php
 class dpadRendering { var $id = -1; var $tipology = null; var $name = ""; var $has_options = false; var $min_state = 0; var $max_state = 0; var $step_state = 0; var $image_path = ""; var $option_labels = ""; var $option_images = ""; var $option_symbols = ""; var $option_actions = ""; var $formatting_schema = ""; var $is_visible = false; var $phpclasses =null; var $values_type =null; var $owned_by = _DPAD_DB_OWNED_BY_LOCAL; var $options = array(); var $elements = array(); function render_jscript_class() { $html = ""; $html .= "function jsDpadRendering(oOptions){\n"; $html .= dpadFunctions::string_add_prefix("\"use strict\";\n","\t ",true); $arr_class_vars = get_class_vars("dpadRendering"); while($class_var=each($arr_class_vars)) { if(is_array($class_var["value"])||is_object($class_var["value"])) continue; (is_numeric($var["value"]))||(is_bool($var["value"])||($var["value"]===null))?$value_separator="":$value_separator="\""; if(is_bool($var["value"])){ if($var["value"])$var["value"]="true"; else $var["value"]="false"; } elseif($var["value"]===null)$var["value"]="null"; $html .= "\t this." . $class_var["key"] . " = $value_separator" . addslashes($class_var["value"]) . "$value_separator; \n"; } $html .= "this._rendering_schema_tag_start='<{';
		this._rendering_schema_tag_end='}>';
		this._rendering_schema_separator='|';
		this._rendering_schema_element_separator=':';
		this._rendering_elements=new Array();
		this._rendering_complex_tag='cpxObj';
		this.view_prototype=new Array();
		this._ownerObject=null;
		
		this.init=function(oOptions){
			if( oOptions.data ){
				for(var field in oOptions.data){
					var value = oOptions.data[field];
					this[field.toLowerCase()]=( rM.isNumber(value) ? parseFloat(value) : value );
				}
			}
			this.options=this.parseRenderOptions();
			this._ownerObject=( oOptions.ownerObject ? oOptions.ownerObject : null );
			
		}
		
		this.getOwnerObject=function(){
			return this._ownerObject;
		}
		
		this.getPrototype=function(sView){
			var _oObjMgr = this.getOwnerObject().objManager;
			var _iPrototypeID = ( _oObjMgr && _oObjMgr._oLoaded._aRenderingViewPrototype_byRenderingViewMatrix && _oObjMgr._oLoaded._aRenderingViewPrototype_byRenderingViewMatrix[this.id] ? _oObjMgr._oLoaded._aRenderingViewPrototype_byRenderingViewMatrix[this.id][sView] : null )
			var _oPrototypeDefinition = ( this.getOwnerObject().objManager ? this.getOwnerObject().objManager.getRenderingPrototype( _iPrototypeID ) : null );
			return _oPrototypeDefinition;
		}
		
		this.render=function(view, sPrototype, oOptions){
			var _HTML = null;
			if( !oOptions ){
				oOptions = {};
			}
			if( this.id!=-1 && sPrototype ){
				var parameters = {
					start_parse_pseudocode: this._rendering_schema_tag_start,
					stop_parse_pseudocode: this._rendering_schema_tag_end,
					element_separator_pseudocode: this._rendering_schema_separator,
					view: view,
					rendering_options: oOptions.rendering_options
				};
				_HTML = this.getOwnerObject().objManager.parsePseudoCode( sPrototype, {parseElementFunc:$.proxy(this.renderRenderingElement,this)}, parameters );
			} else {
				if( this.id!=-1 && !sPrototype ){
					this.log({type:'error'},'[render] unable to get rendering prototype for view:%o and options:%o',view,oOptions);
				}
				var _oRenderingElement=null;
				this.getOwnerObject().objManager.loadJsRendComponent('image');
				try{
					_oRenderingElement=new jsDpadRenderingImage();
				} catch(e) {
					this.log({type:'error'},'[render] error on creating simple image for object without rendering id set: %o',e.message);
				};
				_oRenderingElement.id = 0;
				_oRenderingElement.html.id = 'fakeRenderingObj_' + this.id + '_element_' + view + '_' + _oRenderingElement.id;
				_oRenderingElement.field = null;
				_oRenderingElement.image_path = this.image_path;
				_oRenderingElement.is_writable = this.is_writable;
				var _aOperations = this.getOwnerObject().getActions();
				if( _aOperations.length==0 ){
					_oRenderingElement.operation = ( _oRenderingElement.is_writable==1 ? 'SETVALUE' : null );
				} else {
					_oRenderingElement.operation = _aOperations[0]['VALUE'];
				}
				_oRenderingElement.has_options=0;
				_oRenderingElement.ownerObjectId=this.getOwnerObject().id;
				_HTML = _oRenderingElement.render(view,oOptions.rendering_options);
			}
			return _HTML;
		}
		
		this.renderRenderingElement=function(schema, oOptions){
			if( !oOptions ){
				oOptions={};
			}
			var _HTML = '';
			var view=oOptions.view;
			var element_id=( typeof oOptions.iIndex!='undefined' ? oOptions.iIndex : null );
			var schema_original=schema;
			var schema=this.parseSchema(schema);
			var _oRenderingElement = null;
			if( schema.child && this.getOwnerObject().objManager ){
				var _aChildRelations=this.getOwnerObject().objManager.getRelationsFromParent(this.getOwnerObject().id);
				for(var i in _aChildRelations){
					if( _aChildRelations[i].options.tag_complex_element==schema.child ){
						var _oChildObj = this.getOwnerObject().objManager.getObj( _aChildRelations[i]['CHILDOBJ_ID'] );
						var _oChildObjRendering = _oChildObj.getRendering();
						view = this._rendering_complex_tag+this.getOwnerObject().id+'_'+view;
						schema.complexChildTag = schema.child;
						schema.complexParentId = this._ownerObject.id;
						delete schema.child;
						_oRenderingElement = _oChildObjRendering.getRenderingElement(element_id,view,schema);
						_oChildObj.current_rendering_view = view;
						break;
					}
				}
			} else {
				_oRenderingElement = this.getRenderingElement( element_id, view, schema );
			}
			if( !_oRenderingElement ){
				this.log('[renderRenderingElement] unable to create rendering element for view:%o with schema:{%o} and id:%o',view,schema_original,this.id);
			} else {
				_oRenderingElement.id = element_id;
				_oRenderingElement.html.id = 'renderingObj_' + _oRenderingElement.ownerObjectId + '_element_' + view + '_' + _oRenderingElement.id;
			}
			if( _oRenderingElement ){
				_HTML = _oRenderingElement.render( view, oOptions.rendering_options );
			} else {
				this.log('[renderRenderingElement] unable to find rendering element %o for schema: %o',element_id,( oOptions.start_parse_pseudocode + _HTML + oOptions.stop_parse_pseudocode ) );
			}
			return _HTML;
		}
		
		this.createRenderingElement=function(view,schema){
			var _oRenderingElement=null;
			if( schema.field=='state' ){
				schema.field = 'current_value';
			}
			schema.action=( schema.action!=null ? schema.action.toUpperCase() : null );
			if( schema.jselement ){
				var jsNameComponent='jsDpadRendering'+schema.jselement.charAt(0).toUpperCase()+schema.jselement.substr(1);
				this.getOwnerObject().objManager.loadJsRendComponent(schema.jselement);
				try {
					eval('_oRenderingElement=new '+jsNameComponent+'();')
				} catch(e) {
					this.log({type:'error'},'[createRenderingElement] error on creating rendering element \'%o\':%o',jsNameComponent,e.message);
					return null;
				}
				_oRenderingElement.formattingSchema=this.formatting_schema;
				_oRenderingElement.image_path=this.image_path;
				_oRenderingElement.minVal=this.min_state;
				_oRenderingElement.maxVal=this.max_state;
				_oRenderingElement.valueInterval=this.step_state;
				_oRenderingElement.operation=schema.action;
				_oRenderingElement.field=schema.field;
				_oRenderingElement.valueDefault=this.getOwnerObject()[schema.field];
				_oRenderingElement.has_options=this.has_options;
				_oRenderingElement.renderingSchema=schema;
				if( this.has_options==1 ){
					for(var i in this.options){
						_oRenderingElement.addOption(i,this.options[i].images,this.options[i].labels,this.options[i].symbols,this.options[i].actions);
					}
				}
				_oRenderingElement.ownerObjectId=this.getOwnerObject().id;
				_oRenderingElement.is_writable=this.getOwnerObject().is_writable;
				if(schema.custom){
					try {
						var _oCustom=$.parseJSON(schema.custom);
						for(var i in _oCustom){
							_oRenderingElement[i]=_oCustom[i];
						}
					} catch(e) {
						this.log({type:'error'},'[createRenderingElement] unable to parse JSON schema.custom:%o',schema.custom);
					}
				}
			}
			return _oRenderingElement;
		}
		
		this.parseSchema=function( schema ){
			var _oTmpSchema={};
			if( typeof schema[0]=='string' && schema[0].indexOf(this._rendering_schema_element_separator)!=-1 ){
				for(var i in schema){
					var element = schema[i].split( this._rendering_schema_element_separator );
					_oTmpSchema[element[0]] = element.slice(1).join( this._rendering_schema_element_separator );
				}
			} else if( typeof schema[0]!='undefined' ){
				_oTmpSchema.field=schema[0];
				_oTmpSchema.jselement=schema[1];
				_oTmpSchema.action=schema[2];
			} else {
				_oTmpSchema=schema;
			}
			return _oTmpSchema;
		}
		
		this.parseRenderOptions=function(rend_definition){			
			var tmp_options={};
			var options=new Array();
			tmp_options.images=new Array();
			var tmp_array=this.option_images.split(',');
			for(var tmp in tmp_array) {
				var data=tmp_array[tmp].split('=>');
				if(!data[0]||!data[1])continue;
				tmp_options.images[data[0]]=data[1].replace(/\"/g,'');
			}
			tmp_options.labels=new Array();
			var tmp_array=this.option_labels.split(',');
			for(var tmp in tmp_array) {
				var data=tmp_array[tmp].split('=>');
				if(!data[0]||!data[1])continue;
				tmp_options.labels[data[0]]=data[1].replace(/\"/g,'');
			}
			tmp_options.symbols=new Array();
			var tmp_array=this.option_symbols.split(',');
			for(var tmp in tmp_array) {
				var data=tmp_array[tmp].split('=>');
				if(!data[0]||!data[1])continue;
				tmp_options.symbols[data[0]]=data[1].replace(/\"/g,'');
			}
			tmp_options.actions=new Array();
			var tmp_array=this.option_actions.split(',');
			for(var tmp in tmp_array) {
				var data=tmp_array[tmp].split('=>');
				if(!data[0]||!data[1])continue;
				tmp_options.actions[data[0]]=data[1].replace(/\"/g,'');
			}
			var index_to=Math.max(tmp_options.images.length,tmp_options.labels.length,tmp_options.symbols.length,tmp_options.actions.length);
			for(var i=0;i<index_to;i++){
				if(tmp_options.images[i]||tmp_options.labels[i]||tmp_options.symbols[i]||tmp_options.actions[i])
					options[i]={
						images:tmp_options.images[i],
						labels:tmp_options.labels[i],
						symbols:tmp_options.symbols[i],
						actions:tmp_options.actions[i]
					};
			}
			return options;
		}
		
		this.getRenderingElement=function(id,view,schemaForCreation){
			var renderingElement=null;
			if(!this._rendering_elements)this._rendering_elements=new Array();
			if(!this._rendering_elements[view])this._rendering_elements[view]=new Array();
			if(typeof id == undefined)id=this._rendering_elements[view].length;
			renderingElement=this._rendering_elements[view][id];
			if(!renderingElement){
				if(schemaForCreation){
					this._rendering_elements[view][id]=this.createRenderingElement(view,schemaForCreation);
					renderingElement=this._rendering_elements[view][id];
				}
				else this.log({type:'error'},'[getRenderingElement] Unable to get rendering element with id:%o from view:%o',id,view);
			}
			return renderingElement;
		}
		
		this.clearRenderingElement=function(id,view){
			if(id && view){
				if(this._rendering_elements && this._rendering_elements[view])this._rendering_elements[view].splice(id,1);
			}
			else if(view){
				for(var i in this.rendering_elements[view]){
					delete this.rendering_elements[view][i];
				}
				this.rendering_elements[view]=null;
			}
		}
		
		this.getOptions=function(data_struct){
			var options=new Array();
			if(this.has_options==1){
				for(var value in this.options){
					if(!value||!this.options[value].labels)continue;
					var element=new Array();
					element['VALUE']=value;
					element['LABEL']=this.options[value].labels;
					options.push(element);
				}
			}
			switch(data_struct){
				case 'string':
					var tmp=new Array();
					for(var i in options){
						var option=options[i];
						tmp.push('\"'+option['VALUE']+'\":\"'+option['LABEL']+'\"');
					}
					options=tmp.join(',');
				break;
				case 'associative':
					var tmp=new Array();
					for(var i in options){
						var element=options[i];
						tmp[element['VALUE']]=element['LABEL'];
					}
					options=tmp;
				break;
				default:
				break;
			}
			return options;
		}
		
		this.updateRenderingElements=function(field,value,view){
			if( view ){
				if( this._rendering_elements[view] ){
					for(var i in this._rendering_elements[view]){
						this.updateRenderingElement(i,field,value,view);
					}
				}
			} else {
				for(var views in this._rendering_elements){
					for(var i in this._rendering_elements[views]){
						this.updateRenderingElement(i,field,value,views);
					}
				}
			}
		}
		this.updateRenderingElement=function(id,field,value,view){
			var renderingElement=this._rendering_elements[view][id];
			this.log('[updateRenderingElement] id: %o htmlId: %o field: %o value: %o for view: %o.',id,renderingElement.html.id,field,value,view);
			renderingElement.set(field,value);
		}
		
		this.log=function(){
			var options=null;
			var msg=null;
			var args=new Array();
			var _start_for=0;
			if(typeof arguments[0]=='object'){
				options=arguments[0];
				msg=arguments[1];
				_start_for=2;
			}
			else {
				options={};
				msg=arguments[0];
				_start_for=1;
			}
			for(var i=_start_for;i<(arguments.length);i++){
				args.push(arguments[i]);
			}
			msg='[dpadRendering.js rendering %o[%o](%o)] '+msg;
			args.unshift(options,msg,this.name,this.id,this);
			if( this.getOwnerObject() ){
				this.getOwnerObject().log.apply(this.getOwnerObject(),args);
			}
		}
		
		this.init(oOptions);
		"; $html .= "\n} \n\n "; return $html; } } $debug_msg = "Class dpadRendering defined correctly"; dpadErrorManager::error_trace(_DPAD_ERROR_LANG_LEVEL_DEBUG, _DPAD_ERROR_LEVEL_DEBUG,"",$debug_msg,"dpadrendering.class.php",""); ?>