--TODO: richiede versione 2.2.0 dpadd
--Module: SYSTEM update_1.0.1_to_1.0.2.sql

--Setting not visible Container object until it's completed
UPDATE DPAD_WEB_PHPCLASS SET IS_VISIBLE = 0 WHERE CLASSNAME = 'dpadContainer';

--Adding english language
UPDATE DPAD_WEB_CONFIGURATION SET OPTIONS = '"french"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_FRENCH","english"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_ENGLISH","german"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_GERMAN","italian"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_ITALIAN"' WHERE NAME = 'current_language';

--Creating Table to handle Container's rules
CREATE TABLE DPAD_WEB_CONTENT_RULES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, LABEL TEXT DEFAULT NULL, TYPE TEXT DEFAULT NULL, FILTER_QUERY TEXT DEFAULT NULL, TEMPLATE_LABEL TEXT DEFAULT NULL, ORDER_NUM INTEGER DEFAULT -1 );

--Adding column to handle object's tracking
ALTER TABLE DPADD_OBJECT ADD COLUMN TRACK_FLAG INTEGER DEFAULT 0;

--Modifying Link to Virtual Keyboard 
-- UPDATE DPADD_OBJECT SET MSP="javascript:keyb_change(\'{current.language}\',\'{keyb.font_color}\',\'{keyb.font_color_dead}\',\'{keyb.keyb_bg_base}\',\'{keyb.keyb_bg}\',\'{keyb.keyb_bg_switch}\',\'{keyb.keyb_bg_border}\',\'{keyb.keyb_bg_border_dead}\',\'{keyb.keyb_bg_dead}\',\'{keyb.keyb_border_dead}\')" WHERE ID = $SYSTEM_VIRTUAL_KEYBOARD_LINK$; 

--Adding new customization links
-- $SYSTEM_URL_NEW_WAITCMD$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_WAITCMD', '_DPAD_DBCONSTANT_URL_NEW_WAITCMD', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 0, '../system/editobject.php?mode=new&phpclass=dpadSysCmdWait&context=configuration', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_LIST_WAITCMD$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_WAITCMD', '_DPAD_DBCONSTANT_URL_LIST_WAITCMD', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 0, '../system/search.php?id=9&keywords=&parent_id=&is_visible=1&phpclass=dpadSysCmdWait&submit=submit', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SCENARIO_GROUP_SCENARIO$', '$SYSTEM_URL_NEW_WAITCMD$', 'NO-CONDITION', NULL, '1', '3', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SCENARIO_GROUP_SCENARIO$', '$SYSTEM_URL_LIST_WAITCMD$', 'NO-CONDITION', NULL, '1', '4', NULL, NULL);

--Adding permissions to access to some Menu Items
-- UPDATE "DPADD_OBJECT" SET WITH_PERMISSION = '1' WHERE ID=$SYSTEM_GROUP_CONFIGURATION$;
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, RELATION_WEB_TIPOLOGY, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, STOP_FLAG, ENABLE_FLAG, OPTIONAL) VALUES ( NULL, $SYSTEM_USERGROUP_ADMIN$, $SYSTEM_GROUP_CONFIGURATION$, 'NO-CONDITION', 'USERGROUP_RELATION', 'NO-ACTION', 'NO_VALUE', NULL, NULL, NULL, NULL, NULL, NULL );
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, RELATION_WEB_TIPOLOGY, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, STOP_FLAG, ENABLE_FLAG, OPTIONAL) VALUES ( NULL, $SYSTEM_USERGROUP_MANAGER$, $SYSTEM_GROUP_CONFIGURATION$, 'NO-CONDITION', 'USERGROUP_RELATION', 'NO-ACTION', 'NO_VALUE', NULL, NULL, NULL, NULL, NULL, NULL );

--Updating link to show user list
-- UPDATE "DPADD_OBJECT" SET MSP = '../system/search.php?id=$SYSTEM_URL_SEARCH$&keywords=&phpclass=dpadUser&parent_id=ALL&is_visible=ALL&target_id=&mode=&filter=&relation_type=&submit=Submit' WHERE ID = $SYSTEM_URL_LIST_USER$;
--Updating link to show user group list
-- UPDATE "DPADD_OBJECT" SET MSP = '../system/search.php?id=$SYSTEM_URL_SEARCH$&keywords=&phpclass=dpadUserGroup&parent_id=ALL&is_visible=ALL&target_id=&mode=&filter=&relation_type=&submit=Submit' WHERE ID = $SYSTEM_URL_LIST_USERGROUP$;

--Updating user and usergroups object: logged user can see only user objects owned by its user groups
UPDATE "DPADD_OBJECT" SET WITH_PERMISSION = 1 WHERE TYPE = 'USER';
-- UPDATE DPADD_OBJECT SET MSP = '_DPAD_DBCONSTANT_USERGROUP_ADMIN' WHERE ID = $SYSTEM_USERGROUP_ADMIN$;
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_USER$', '$SYSTEM_USER_DESCRIPTION_MANAGER$', 'NO-CONDITION', NULL, NULL, '1', NULL, NULL);

--Change View dpad_web_navigator_items: this way it will show only relation between url/group objects; all the children objects are listed with their parent_id
DROP VIEW IF EXISTS DPAD_WEB_NAVIGATOR_ITEMS;
CREATE VIEW DPAD_WEB_NAVIGATOR_ITEMS AS SELECT D_O.ID AS ID,D_O.NAME AS NAME,D_O.IMAGE_PATH AS IMAGE_PATH,D_O.TYPE AS TYPE, D_O.PHPCLASS AS PHPCLASS, D_O.DESCRIPTION AS DESCRIPTION, D_O.RENDERING_ID AS RENDERING_ID, D_O.IS_VISIBLE AS IS_VISIBLE, D_O.MSP AS MSP, D_OR.PARENTOBJ_ID AS PARENT_ID FROM DPADD_OBJECT AS D_O INNER JOIN DPADD_OBJECT_RELATION AS D_OR ON (D_O.ID = D_OR.CHILDOBJ_ID) WHERE ( D_O.TYPE IN ('GROUP','URL') AND PARENTOBJ_ID IN ( SELECT ID FROM DPADD_OBJECT WHERE TYPE IN ('GROUP','URL') ) );

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "1.0.2" WHERE NAME = "system";