--Module: SYSTEM update_1.1.2_to_1.1.3.sql

--Groups concerning VirtualObject into administration
-- $SYSTEM_GROUP_VIRTUALOBJECT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY ) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_VIRTUALOBJECT', NULL, 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'virtual_object.png', 0, 0, 0, '../system/viewgrid.php', NULL, 'dpadGroup', NULL, 'SYSTEM' );
-- $SYSTEM_URL_NEW_VIRTUALOBJECT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY ) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_VIRTUALOBJECT', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/editobject.php?mode=new&phpclass=dpadVirtualObject&context=configuration', NULL, 'dpadUrl', NULL, 'SYSTEM' );
-- $SYSTEM_URL_LIST_VIRTUALOBJECT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_VIRTUALOBJECT', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'virtual_object.png', 0, 0, 1, '../system/search.php?id=$SYSTEM_URL_SEARCH$&keywords=&parent_id=&is_visible=1&phpclass=dpadVirtualObject&submit=submit', NULL, 'dpadUrl', NULL, 'SYSTEM' );
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_NEW_OBJECT$', '$SYSTEM_GROUP_VIRTUALOBJECT$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_VIRTUALOBJECT$', '$SYSTEM_URL_NEW_VIRTUALOBJECT$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_VIRTUALOBJECT$', '$SYSTEM_URL_LIST_VIRTUALOBJECT$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);

--Adding dpadVirtualObject phpclass
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadVirtualObject', 'system', 'general/dpadvirtualobject.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADVIRTUALOBJECT', 'virtual_object.png', '', '', '../supervision/viewobjectdetails.php', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "VIRTUALOBJECT", "_DPAD_DBCONSTANT_TYPE_VIRTUALOBJECT", "dpadVirtualObject", "SETVALUE" );

--Change View dpad_web_navigator_items: this way it will show also elementsa without a parent
DROP VIEW DPAD_WEB_NAVIGATOR_ITEMS;
CREATE VIEW DPAD_WEB_NAVIGATOR_ITEMS AS SELECT D_O.ID AS ID,D_O.NAME AS NAME,D_O.IMAGE_PATH AS IMAGE_PATH,D_O.TYPE AS TYPE, D_O.PHPCLASS AS PHPCLASS, D_O.DESCRIPTION AS DESCRIPTION, D_O.RENDERING_ID AS RENDERING_ID, D_O.IS_VISIBLE AS IS_VISIBLE, D_O.MSP AS MSP, D_OR.PARENTOBJ_ID AS PARENT_ID FROM DPADD_OBJECT AS D_O LEFT OUTER JOIN DPADD_OBJECT_RELATION AS D_OR ON (D_O.ID = D_OR.CHILDOBJ_ID) WHERE ( D_O.TYPE IN ('GROUP','URL') AND (PARENTOBJ_ID IN ( SELECT ID FROM DPADD_OBJECT WHERE TYPE IN ('GROUP','URL') ) OR PARENTOBJ_ID IS NULL ));

--Show Clone on ViewList
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'enable_list_clone', '_DPAD_DBCONSTANT_WEBCONFIGURATION_ENABLE_LIST_CLONE', '1', 'hidden', 0, '', 'yesno', 1, NULL );

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "1.1.3" WHERE NAME = "system";