--Module: SYSTEM update_2.1.8_to_2.1.9.sql

--Updating System User Relation with System User group
-- UPDATE DPADD_OBJECT_RELATION SET RELATION_WEB_TIPOLOGY='USERGROUP_RELATION' WHERE PARENTOBJ_ID='$SYSTEM_USERGROUP_SYSTEM$' AND CHILDOBJ_ID='$SYSTEM_USER_DESCRIPTION_SYSTEM$';

UPDATE DPAD_WEB_CONFIGURATION SET VALUE='sudo /etc/dpadd/dpadd.sh saferestart' WHERE NAME='dpadd_restart_script';

--Show Move on ViewList
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'enable_list_move', '_DPAD_DBCONSTANT_WEBCONFIGURATION_ENABLE_LIST_MOVE', '0', 'hidden', 0, '', 'yesno', 1, NULL );

--DpadWebConfiguration Order Num
UPDATE DPAD_WEB_CONFIGURATION SET ORDER_NUM='13' WHERE NAME='autorefresh_enable';
UPDATE DPAD_WEB_CONFIGURATION SET ORDER_NUM='15' WHERE NAME='logo_relative_path';

--Toolbar search enable
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'toolbar_search_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_TOOLBAR_SEARCH_ENABLE', '1', 'theme', 0, '', 'yesno', 27, NULL );

--Add to event button enable
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'enable_list_add2event', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LIST_ADD2EVENT_ENABLE', '0', 'hidden', 0, '', 'yesno', 24, NULL );

--Add dpadSearchFolder class definition
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES(NULL, 'dpadSearchFolder', 'system', 'general/dpadsearchfolder.class.php', 'dpadObject', '_DPAD_SYSTEM_PHPCLASS_SEARCHFOLDER', 'searchfolder.png', '', '', '', '1','0','0');

-- Modifying navigator view by adding search folders
DROP VIEW DPAD_WEB_NAVIGATOR_ITEMS;
CREATE VIEW DPAD_WEB_NAVIGATOR_ITEMS AS SELECT D_O.ID AS ID,D_O.NAME AS NAME,D_O.IMAGE_PATH AS IMAGE_PATH,D_O.TYPE AS TYPE, D_O.PHPCLASS AS PHPCLASS, D_O.DESCRIPTION AS DESCRIPTION, D_O.RENDERING_ID AS RENDERING_ID, D_O.IS_VISIBLE AS IS_VISIBLE, D_O.MSP AS MSP, D_O.WITH_PERMISSION AS WITH_PERMISSION, D_OR.PARENTOBJ_ID AS PARENT_ID FROM DPADD_OBJECT AS D_O LEFT OUTER JOIN DPADD_OBJECT_RELATION AS D_OR ON (D_O.ID = D_OR.CHILDOBJ_ID) WHERE ( D_O.TYPE IN ('GROUP','URL','SEARCHFOLDER') AND (PARENTOBJ_ID IN ( SELECT ID FROM DPADD_OBJECT WHERE TYPE IN ('GROUP','URL','SEARCHFOLDER') ) OR PARENTOBJ_ID IS NULL ));
--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "2.1.9" WHERE NAME = "system";
