--Module: SYSTEM update_3.0.3_to_3.0.4.sql
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.crypt.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.crypt.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.jeditable.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.jeditable.min.js', 'jquery.min.js');
DELETE FROM DPAD_WEB_JSCRIPT WHERE MODULE='system' AND INCLUDE_PATH LIKE '../system/script/components%';

--Deleting all relations with permission except for "edit_plan" used into Eyeone theme (for now)
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE TYPE='USERPERMISSION' AND NAME!='edit_plan') OR CHILDOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE TYPE='USERPERMISSION' AND NAME!='edit_plan');

UPDATE DPAD_WEB_JSCRIPT SET DEPENDENCIES='LibCrossBrowser.js' WHERE JSNAME='EventHandler.js';

--Web Category Table
DROP TABLE DPAD_WEB_OBJECT_CATEGORY;
CREATE TABLE DPAD_WEB_OBJECT_CATEGORY( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, DESCRIPTION TEXT, IMAGE_PATH TEXT, ORDER_NUM INTEGER DEFAULT 0);

--Rendering Relation Table
CREATE TABLE DPADD_RENDERING_RELATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, PARENTOBJ_ID INTEGER, CHILDOBJ_ID INTEGER, RELATION_CONDITION TEXT, OPTIONAL TEXT, ORDER_NUM INTEGER DEFAULT 1,RELATION_WEB_TIPOLOGY TEXT DEFAULT 'GENERIC_RELATION');

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "3.0.4" WHERE NAME = "system";
