--Module: SYSTEM update

--Creating Prototype/Instances Cache
CREATE TABLE DPAD_WEB_CACHE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT DEFAULT '', DESCRIPTION TEXT DEFAULT '', TYPE TEXT DEFAULT 'INSTANCE', URL TEXT DEFAULT '', IS_ENV_TPL INTEGER DEFAULT 0, IS_SYNCH INTEGER DEFAULT 1, OWNED_BY TEXT DEFAULT 'SYSTEM');
INSERT INTO DPAD_WEB_CACHE (NAME,DESCRIPTION,URL,IS_SYNCH) SELECT NAME,DESCRIPTION,URL,ENABLE_PRECACHE FROM DPAD_WEB_REGISTER_INSTANCES;
DROP TABLE DPAD_WEB_REGISTER_INSTANCES;
DROP TABLE DPAD_WEB_REGISTER_NAVIGATOR_ITEMS;

--Clearing DPAD_WEB_CONFIGURATION from useless entries
DELETE FROM DPAD_WEB_CONFIGURATION WHERE NAME IN ('debug_enable','viewplan_toolbar_show','viewlist_toolbar_show','viewgrid_toolbar_show','theme_show_leftmenu','theme_show_topmenu','theme_show_rightmenu','palette_enable','planview_icon_width','planview_icon_height','listview_icon_width','listview_icon_height','gridview_icon_width','gridview_icon_height','block_icon_width','block_icon_height','block_skip_triangle','search_hide_form_in_results','block_bornes_at_top','block_bornes_use_images','block_commanddesc_newrow','custom_html_select','show_track_flag','planview_enable','listview_enable','gridview_enable','enable_list_move_items','enable_list_refresh','max_field_lenght','order_num_by_group','search_show_action','enable_list_clone','block_add_side_cells','object_show_details_enable','group_showdetails_enable','theme_show_address_bar','show_has_grant','enable_custom_editschedule','enable_edit_modules','enable_login_windows_style','show_editschedule_view_list','machine_serial_number_show','theme_show_clockdate','menuview_icon_width','menuview_icon_height','block_sorting_enable','plan_weeklyreboot_enable','enable_list_move','toolbar_search_enable','enable_list_add2event','enable_edit_preview','enable_edit_new_addgroup','show_hidden_options_to_system','plan_ntpdate_enable','radiolist_items_per_row','enable_list_add2scenario','scenario_learn_enable','olddiv_viewplanmanagement','eventwizard_redirectto_editchildobj','fullscreen_width','fullscreen_height','custom_versioning_show_only');
--Updating DPAD_WEB_CONFIGURATION for caching system
UPDATE DPAD_WEB_CONFIGURATION SET NAME='server_cache_enable',LABEL='_DPAD_DBCONSTANT_WEBCONFIGURATION_SERVER_CACHE_ENABLE' WHERE NAME='cache_enable';
UPDATE DPAD_WEB_CONFIGURATION SET NAME='server_cache_max_size',LABEL='_DPAD_DBCONSTANT_WEBCONFIGURATION_SERVER_CACHE_MAX_SIZE' WHERE NAME='cache_max_size';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='3.1.1' WHERE NAME='system';