--Module: SYSTEM update

--Adding field to DPAD_WEB_CACHE to handle different caches for different themes
ALTER TABLE DPAD_WEB_CACHE ADD THEME TEXT;

--Adding field USERNAME to DPAD_WEB_CONFIGURATION_VALUES
ALTER TABLE DPAD_WEB_CONFIGURATION_VALUES RENAME TO DPAD_WEB_CONFIGURATION_VALUES_OLD;
CREATE TABLE DPAD_WEB_CONFIGURATION_VALUES (ID INTEGER PRIMARY KEY AUTOINCREMENT, CONFIGURATION_NAME TEXT, VALUE TEXT, IS_VISIBLE INTEGER DEFAULT 1, THEME TEXT DEFAULT '*',USERNAME TEXT DEFAULT '*', UNIQUE(CONFIGURATION_NAME,THEME,USERNAME) );
INSERT INTO DPAD_WEB_CONFIGURATION_VALUES (ID, CONFIGURATION_NAME, VALUE, IS_VISIBLE, THEME) SELECT ID, CONFIGURATION_NAME, VALUE, IS_VISIBLE, THEME_NAME FROM DPAD_WEB_CONFIGURATION_VALUES_OLD;
DROP TABLE DPAD_WEB_CONFIGURATION_VALUES_OLD;

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='3.1.7' WHERE NAME='system';