--Module: SYSTEM update

--Chaing DPAD_WEB_PRODUCT table
ALTER TABLE DPAD_WEB_PRODUCT RENAME TO DPAD_WEB_PRODUCT_OLD;
CREATE TABLE DPAD_WEB_PRODUCT ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE DEFAULT '', LABEL TEXT DEFAULT '', TAG_PRODUCER TEXT DEFAULT '', VERSION TEXT DEFAULT '', BRANCH TEXT DEFAULT '',LICENSE TEXT DEFAULT '', GENERATION TEXT DEFAULT '');
INSERT INTO DPAD_WEB_PRODUCT (ID,NAME,LABEL,TAG_PRODUCER,VERSION,BRANCH,LICENSE,GENERATION) SELECT ID,NAME,LABEL,TAG_PRODUCER,VERSION,BRANCH,LICENSE,CUSTOM_VERSIONING FROM DPAD_WEB_PRODUCT_OLD;
DROP TABLE DPAD_WEB_PRODUCT_OLD;

--Removing unnecessary permissions
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP';
--DELETE FROM DPADD_OBJECT WHERE id='$LOGIC_PERMISSIONS_EDIT_TIMESET$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$LOGIC_PERMISSIONS_EDIT_TIMESET$' OR CHILDOBJ_ID='$LOGIC_PERMISSIONS_EDIT_TIMESET$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='LOGIC_PERMISSIONS_EDIT_TIMESET';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_EDIT_MODULE$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_EDIT_MODULE$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_EDIT_MODULE$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_EDIT_MODULE';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_SHOW_SEARCH_IS_VISIBLE$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_SHOW_SEARCH_IS_VISIBLE$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_SHOW_SEARCH_IS_VISIBLE$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_SHOW_SEARCH_IS_VISIBLE';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_SHOW_VALIDATED_LICENSE$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_SHOW_VALIDATED_LICENSE$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_SHOW_VALIDATED_LICENSE$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_SHOW_VALIDATED_LICENSE';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_DEBUG$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_DEBUG$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_DEBUG$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_LOG_MSG_TYPE_DEBUG';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALL$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALL$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALL$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALL';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_VIEW_TOOLBAR$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_VIEW_TOOLBAR$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_VIEW_TOOLBAR$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_VIEW_TOOLBAR';
--DELETE FROM DPADD_OBJECT WHERE id='$SYSTEM_PERMISSIONS_EDIT_SETTINGS$';
--DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_PERMISSIONS_EDIT_SETTINGS$' OR CHILDOBJ_ID='$SYSTEM_PERMISSIONS_EDIT_SETTINGS$';
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='SYSTEM_PERMISSIONS_EDIT_SETTINGS';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='3.2.2' WHERE NAME='system';