--Module: SYSTEM update

--Removing useless configurations
DELETE FROM DPAD_WEB_CONFIGURATION WHERE NAME='mobile_command_touch_event';
DELETE FROM DPAD_WEB_CONFIGURATION WHERE NAME='server_cache_enable';

--Changing the "show_menu" flag to all environments having at least one GROUP or URL in their childs ( The similar query on 4.0.0 is not completely correct )
UPDATE DPADD_OBJECT SET OPTIONALP = REPLACE(OPTIONALP,'show_menu=1','show_menu=0') WHERE OPTIONALP LIKE '%show_menu=1%' AND  ID IN (SELECT PARENTOBJ_ID FROM DPADD_OBJECT_RELATION D_OR INNER JOIN DPADD_OBJECT D_O ON D_O.ID = D_OR.CHILDOBJ_ID WHERE D_OR.PARENTOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE TYPE='GROUP') AND D_O.TYPE NOT IN ('GROUP','URL','CAMERA') AND D_O.IS_VISIBLE='1' GROUP BY PARENTOBJ_ID);
UPDATE DPADD_OBJECT SET OPTIONALP = REPLACE(OPTIONALP,'show_menu=0','show_menu=1') WHERE OPTIONALP LIKE '%show_menu=0%' AND ID IN (SELECT PARENTOBJ_ID FROM DPADD_OBJECT_RELATION D_OR INNER JOIN DPADD_OBJECT D_O ON D_O.ID = D_OR.CHILDOBJ_ID WHERE D_OR.PARENTOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE TYPE='GROUP') AND D_O.TYPE IN ('GROUP','URL','CAMERA') AND D_O.IS_VISIBLE='1' GROUP BY PARENTOBJ_ID);

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='4.0.3' WHERE NAME='system';