--Product: KNXsuperio

-------------
-- GENERAL --
-------------
--Filtering unused modules
UPDATE DPAD_WEB_MODULE SET IS_VISIBLE=0 WHERE NAME IN ('voice','tecnoalarm','bentel','networx-nx','securforce','siemens-edp','sms','pess','eibdatalog','vivaldi','tutondo','paradox-evo');

--Selectable languages
UPDATE DPAD_WEB_CONFIGURATION SET OPTIONS='"english"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_ENGLISH","german"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_GERMAN","italian"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_ITALIAN"',VALUE='english' WHERE NAME='current_language';
UPDATE DPAD_WEB_CONFIGURATION_VALUES SET VALUE='english' WHERE CONFIGURATION_NAME='current_language' AND THEME IN ('admin','ivory');

--Activating Server Cache
UPDATE DPAD_WEB_CONFIGURATION SET VALUE=1 WHERE NAME='server_cache_enable';

--Tag Producer
UPDATE "DPAD_WEB_CONFIGURATION" SET VALUE = 'd0m0t1c@L@B$1K0n' WHERE NAME = 'tag_producer';

--Updating Product's LABEL, Tag producer and PM Queue Name
UPDATE DPAD_WEB_PRODUCT SET LABEL='DIVUS KNXSUPERIO',TAG_PRODUCER='d0m0t1c@L@B$1K0n',QUEUE_NAME='KNXSuperio' WHERE NAME='K3';

--Updating VoIP caller id
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='KNX SUPERIO' WHERE NAME='pbx_callerid';

--Updating GESA idle timer
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='30' WHERE NAME='autorefresh_idle_timer';

--Showing/changing template for audio/video group
--UPDATE DPADD_OBJECT SET IS_VISIBLE=1, TYPE='GROUP',PHPCLASS='dpadGroup', MSP='../system/loadtemplate.php?tpl=grid|id={id}&header_position=none' WHERE ID='$K3_ADMINISTRATION_MENU_MULTIMEDIA$';
--Hiding Security group
--UPDATE DPADD_OBJECT SET IS_VISIBLE=0 WHERE ID='$K3_ADMINISTRATION_MENU_SECURITY$';

--Adding Trusted IP
-- UPDATE DPADD_OBJECT SET OPTIONALP='ext_number=user|ext_secret=user|ext_cid=user|trusted_ip=''127.0.0.1''' WHERE ID='$SYSTEM_USER_DESCRIPTION_USER$';

-------------------------------------------
-- PRODUCT-SPECIFIC OBJECTS AND SETTINGS --
-------------------------------------------

--Clearing objects and relations installed here (these queries should be inside a step! but to do so this should became a real product...)
-- DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN ('$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_1$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_2$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_3$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_4$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_5$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_6$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_7$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_8$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_9$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_10$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_11$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_12$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_13$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_14$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_15$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_16$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_17$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_18$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_19$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_20$','$CUSTOM_PRODUCT_ADMINISTRATION_MENU_CUSTOMIZATION_DISPLAY_URL$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_OFF$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_ON$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_TOUCH_CALIBRATE$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_INCREASE$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_DECREASE$','$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_INCREASE$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_DECREASE$') OR CHILDOBJ_ID IN ('$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_1$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_2$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_3$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_4$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_5$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_6$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_7$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_8$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_9$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_10$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_11$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_12$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_13$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_14$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_15$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_16$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_17$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_18$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_19$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_20$','$CUSTOM_PRODUCT_ADMINISTRATION_MENU_CUSTOMIZATION_DISPLAY_URL$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_OFF$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_ON$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_TOUCH_CALIBRATE$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_INCREASE$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_DECREASE$','$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_INCREASE$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_DECREASE$');
-- DELETE FROM DPADD_OBJECT WHERE ID IN ('$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_1$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_2$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_3$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_4$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_5$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_6$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_7$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_8$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_9$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_10$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_11$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_12$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_13$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_14$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_15$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_16$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_17$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_18$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_19$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_20$','$CUSTOM_PRODUCT_ADMINISTRATION_MENU_CUSTOMIZATION_DISPLAY_URL$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_OFF$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_ON$','$CUSTOM_PRODUCT_SYSCMD_DISPLAY_TOUCH_CALIBRATE$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_INCREASE$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_DECREASE$','$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_INCREASE$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_DECREASE$');

-- Adding syscommands to play ringtones
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_1$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 1','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 1','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone1.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_2$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 2','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 2','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone2.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_3$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 3','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 3','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone3.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_4$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 4','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 4','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone4.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_5$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 5','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 5','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone5.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_6$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 6','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 6','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone6.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_7$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 7','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 7','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone7.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_8$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 8','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 8','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone8.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_9$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 9','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 9','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone9.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_10$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 10','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 10','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone10.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_11$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 11','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 11','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone11.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_12$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 12','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 12','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone12.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_13$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 13','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 13','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone13.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_14$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 14','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 14','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone14.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_15$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 15','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 15','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone15.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_16$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 16','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 16','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone16.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_17$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 17','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 17','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone17.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_18$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 18','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 18','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone18.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_19$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 19','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 19','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone19.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);
-- $CUSTOM_PRODUCT_SYSCMD_RINGTONE_20$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 20','_DPAD_PRODUCT_CUSTOM_SYSCMD_RINGTONE 20','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_RINGTONE$','ico_audio_generic_on.png',0,1,1,'sudo /usr/local/bin/dpadplaysound.sh /web/html/smartdomuspad/products/K3/audio/ringtone20.wav','ask_confirm=0','dpadSysCmd',NULL,'LOCAL',0, 1);

--Adding new group containing ringtones in "advanced functions"
-- $CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_ADMINISTRATION_GROUP_RINGTONES','_DPAD_PRODUCT_CUSTOM_ADMINISTRATION_GROUP_RINGTONES','GROUP',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'','menu_data_type=MENU-ROOT|toolbar_type=SYSTEM|allowed_new_phpclasses=dpadSysCmd|allowed_new_types=SYSCMD','dpadGroup',NULL,'SYSTEM',1);
-- INSERT INTO DPADD_OBJECT_RELATION (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL, RELATION_WEB_TIPOLOGY ) VALUES(NULL, '$SYSTEM_USERGROUP_ADMIN$', '$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$', 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', NULL, NULL, 'USERGROUP_RELATION' );
-- INSERT INTO DPADD_OBJECT_RELATION (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL, RELATION_WEB_TIPOLOGY ) VALUES(NULL, '$SYSTEM_USERGROUP_SYSTEM$', '$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$', 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', NULL, NULL, 'USERGROUP_RELATION' );
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_MENU_ADVANCED$','$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$',205);

--Linking all ringtones to new group
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_1$',1);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_2$',2);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_3$',3);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_4$',4);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_5$',5);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_6$',6);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_7$',7);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_8$',8);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_9$',9);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_10$',10);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_11$',11);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_12$',12);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_13$',13);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_14$',14);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_15$',15);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_16$',16);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_17$',17);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_18$',18);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_19$',19);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_ADMINISTRATION_MENU_ADVANCED_RINGTONES_GROUP$','$CUSTOM_PRODUCT_SYSCMD_RINGTONE_20$',20);

--Adding new link in administration to manage display
-- $CUSTOM_PRODUCT_ADMINISTRATION_MENU_CUSTOMIZATION_DISPLAY_URL$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_ADMINISTRATION_URL_DISPLAY','_DPAD_PRODUCT_CUSTOM_ADMINISTRATION_URL_DISPLAY','URL',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'../system/config_screensaver.php','reload=true','dpadUrl',NULL,'SYSTEM',0);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_CUSTOMIZATION_GROUP$','$CUSTOM_PRODUCT_ADMINISTRATION_MENU_CUSTOMIZATION_DISPLAY_URL$',205);

--Adding new syscommands to control display
-- $CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_OFF$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_DISPLAY_SWITCH_OFF','_DPAD_PRODUCT_CUSTOM_SYSCMD_DISPLAY_SWITCH_OFF','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_DISPLAY_SWITCH_OFF$','ico_tv_off.png',0,1,1,'sudo /usr/local/bin/dpadsleepmonitor.sh','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_SYSCMD_DISPLAY_SWITCH_ON$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_DISPLAY_SWITCH_ON','_DPAD_PRODUCT_CUSTOM_SYSCMD_DISPLAY_SWITCH_ON','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_DISPLAY_SWITCH_ON$','ico_tv_on.png',0,1,1,'sudo /usr/local/bin/dpadwakemonitor.sh','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_SYSCMD_DISPLAY_TOUCH_CALIBRATE$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_DISPLAY_TOUCH_CALIBRATE','_DPAD_PRODUCT_CUSTOM_SYSCMD_DISPLAY_TOUCH_CALIBRATE','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_DISPLAY_TOUCH_CALIBRATE$','ico_tv_on.png',0,1,1,'sudo /usr/local/bin/dpadtouchcalibration.sh','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);

--Adding new syscommands to control volume, and joining them into a specific containing group and adding to multimedia homepage
-- $CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_INCREASE$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_AUDIO_INCREASE','_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_AUDIO_INCREASE','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_AUDIO_VOLUME_INCREASE$','ico_audio_volume_up.png',0,1,1,'sudo /usr/local/bin/dpadspeakervolume.sh 5%+ > /dev/null','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_DECREASE$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_AUDIO_INCREASE','_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_AUDIO_INCREASE','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_AUDIO_VOLUME_DECREASE$','ico_audio_volume_down.png',0,1,1,'sudo /usr/local/bin/dpadspeakervolume.sh 5%- > /dev/null','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_INCREASE$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_AUDIO_INCREASE','_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_MIC_INCREASE','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_AUDIO_VOLUME_INCREASE$','ico_audio_volume_up.png',0,1,1,'sudo /usr/local/bin/dpadmicrophonevolume.sh 5%+ > /dev/null','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_DECREASE$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_AUDIO_INCREASE','_DPAD_PRODUCT_CUSTOM_SYSCMD_VOLUME_MIC_INCREASE','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_AUDIO_VOLUME_DECREASE$','ico_audio_volume_down.png',0,1,1,'sudo /usr/local/bin/dpadmicrophonevolume.sh 5%- > /dev/null','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_SYSCMD_AUDIO_SAVE$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_SYSCMD_AUDIO_SAVE','_DPAD_PRODUCT_CUSTOM_SYSCMD_AUDIO_SAVE','SYSCMD',NULL,NULL,NULL,NULL,1,'$SYSTEM_RENDERING_SYSCMD_AUDIO_SAVE$','ico_audio_volume_down.png',0,1,1,'sudo /usr/sbin/alsactl store > /dev/null;/usr/local/bin/dpadswapconfiguration.sh > /dev/null','ask_confirm=0','dpadSysCmd',NULL,'SYSTEM',0);
-- $CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION, IS_PROTECTED) VALUES (NULL,'_DPAD_PRODUCT_CUSTOM_CONTAINER_AUDIOBOARD','_DPAD_PRODUCT_CUSTOM_CONTAINER_AUDIOBOARD','CONTAINER',NULL,NULL,NULL,NULL,-1,'$SYSTEM_RENDERING_CONTAINER_AUDIOBOARD$','ico_audio_volume.png',0,1,1,'','','dpadContainer',NULL,'LOCAL',0, 1);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,OPTIONAL,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_DECREASE$','tag_complex_element=''volume_down''',1);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,OPTIONAL,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_VOLUME_INCREASE$','tag_complex_element=''volume_up''',2);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,OPTIONAL,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_DECREASE$','tag_complex_element=''mic_down''',3);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,OPTIONAL,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_MIC_VOLUME_INCREASE$','tag_complex_element=''mic_up''',4);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,OPTIONAL,ORDER_NUM) VALUES (NULL,'$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$','$CUSTOM_PRODUCT_SYSCMD_AUDIO_SAVE$','tag_complex_element=''audio_save''',5);
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_MENU_MULTIMEDIA$','$CUSTOM_PRODUCT_CONTAINER_AUDIOBOARD$',200);

--Enabling keyboard and screen cleaning on local
UPDATE "DPAD_WEB_CONFIGURATION" SET VALUE='1' WHERE NAME='onscreen_keyboard_enable_if_local';
UPDATE "DPAD_WEB_CONFIGURATION" SET VALUE='1' WHERE NAME='display_cleaning_enable_if_local';

--Hiding administration links unwanted on this product
--UPDATE DPADD_OBJECT_RELATION SET ENABLE_FLAG='0' WHERE PARENTOBJ_ID='$K3_ADMINISTRATION_USERS_GROUP$' AND CHILDOBJ_ID='$K3_ADMINISTRATION_SYSLOG_USERS$';
--UPDATE DPADD_OBJECT_RELATION SET ENABLE_FLAG='0' WHERE PARENTOBJ_ID='$K3_ADMINISTRATION_MENU_ADVANCED_NOTIFICATIONS_GROUP$' AND CHILDOBJ_ID='$K3_ADMINISTRATION_SYSLOG_NOTIFY$';

--Disabling imported KNX devices by default
INSERT OR REPLACE INTO DPAD_WEB_CONFIGURATION ( NAME, LABEL, VALUE, TIPOLOGY, DRAW_AS ) VALUES( 'ets_import_imported_devices_enable', '_DPAD_EIB_ETS_IMPORT_IMPORTED_DEVICES_ENABLE', 0, 'hidden', 'yesno');