--Product K3 update

--Refactoring Triggers on DPAD_LOG (too many triggers are slowing down sqlite...)
-- DROP TRIGGER TR_$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$_0;
-- DROP TRIGGER TR_$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$_1;
-- DROP TRIGGER TR_$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$_2;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_ALERT$_0;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_ALERT$_1;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_ALERT$_2;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_WARNING$_0;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_WARNING$_1;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_WARNING$_2;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_INFO$_0;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_INFO$_1;
-- DROP TRIGGER TR_$K3_TRIGGEROBJECT_NOTIFYCOUNTER_INFO$_2;

-- CREATE TRIGGER MESSAGECENTER_0 AFTER DELETE ON DPAD_LOG WHEN (OLD.TYPE='NOTIFY_VIDEO') BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0') WHERE ID=$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='0') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_ALERT$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='3') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_WARNING$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='4') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_INFO$;END;
-- CREATE TRIGGER MESSAGECENTER_1 AFTER INSERT ON DPAD_LOG WHEN (NEW.TYPE='NOTIFY_VIDEO') BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0') WHERE ID=$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='0') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_ALERT$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='3') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_WARNING$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='4') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_INFO$;END;
-- CREATE TRIGGER MESSAGECENTER_2 AFTER UPDATE ON DPAD_LOG WHEN (OLD.TYPE='NOTIFY_VIDEO') BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0') WHERE ID=$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='0') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_ALERT$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='3') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_WARNING$;UPDATE DPADD_OBJECT SET CURRENT_VALUE=(SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE='NOTIFY_VIDEO' AND IS_HANDLED='0' AND LEVEL='4') WHERE ID=$K3_TRIGGEROBJECT_NOTIFYCOUNTER_INFO$;END;

--Adding Tecnoalarm Entry to Technology
-- $K3_ADMINISTRATION_TECNOALARM_GROUP$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_TECNOALARM','_DPAD_PRODUCT_K3_ADMINISTRATION_TECNOALARM','GROUP',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'','menu_data_module_owner=tecnoalarm|menu_data_type=MENU-ROOT|toolbar_type=SYSTEM','dpadGroup',NULL,'SYSTEM',1);
-- INSERT INTO DPADD_OBJECT_RELATION (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL, RELATION_WEB_TIPOLOGY ) VALUES(NULL, '$SYSTEM_USERGROUP_ADMIN$', '$K3_ADMINISTRATION_TECNOALARM_GROUP$', 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', NULL, NULL, 'USERGROUP_RELATION' );
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_TECHNOLOGIES_GROUP$','$K3_ADMINISTRATION_TECNOALARM_GROUP$',70);

--Adding Url Link Entry to Supervision
-- $K3_ADMINISTRATION_SUPERVISION_URL_GROUP$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY,WITH_PERMISSION) VALUES (NULL,'_DPAD_PRODUCT_K3_ADMINISTRATION_SUPERVISION_LINKS','_DPAD_PRODUCT_K3_ADMINISTRATION_SUPERVISION_LINKS','GROUP',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'','menu_data_module_owner=system|menu_data_type=MENU-ROOT|toolbar_type=GROUP|allowed_new_phpclasses=dpadUrl|allowed_new_types=URL','dpadGroup',NULL,'SYSTEM',1);
-- INSERT INTO DPADD_OBJECT_RELATION (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL, RELATION_WEB_TIPOLOGY ) VALUES(NULL, '$SYSTEM_USERGROUP_ADMIN$', '$K3_ADMINISTRATION_SUPERVISION_URL_GROUP$', 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', NULL, NULL, 'USERGROUP_RELATION' );
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_SUPERVISION_GROUP$','$K3_ADMINISTRATION_SUPERVISION_URL_GROUP$',20);

--Adding Tecnoalarm Central entry to Tecnoalarm Technology
-- $K3_ADMINISTRATION_MENU_TECNOALARM_CENTRALS$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_PRODUCT_K3_MENU_TECNOALARM_CENTRALS','_DPAD_PRODUCT_K3_MENU_TECNOALARM_CENTRALS','GROUP',NULL,NULL,NULL,NULL,-1,-1,'icons/tecnoalarm_centrals.png',0,1,0,'','menu_data_module_owner=tecnoalarm|menu_data_type=MENU-ROOT|toolbar_type=GROUP|allowed_new_types=TECNOALARM_TP256:dpadTecnoalarmCentral','dpadGroup',NULL,'SYSTEM');
-- INSERT INTO DPADD_OBJECT_RELATION (ID,PARENTOBJ_ID,CHILDOBJ_ID,ORDER_NUM) VALUES (NULL,'$K3_ADMINISTRATION_TECNOALARM_GROUP$','$K3_ADMINISTRATION_MENU_TECNOALARM_CENTRALS$',5);

--Modifying view for schedule manager
DROP VIEW DPAD_SCHEDULEMANAGER_TODAYSCHEDULES;
CREATE VIEW DPAD_SCHEDULEMANAGER_TODAYSCHEDULES AS SELECT R.CHILDOBJ_ID AS OBJECT_ID, P.ID AS SCHEDULE_ID, P.MSP AS SCHEDULE, R.RELATION_WEB_TIPOLOGY AS TIPOLOGY, R.RELATION_CONDITION AS ENABLED_DATES FROM DPADD_OBJECT_RELATION AS R JOIN DPADD_OBJECT AS P ON R.PARENTOBJ_ID=P.ID WHERE P.TYPE='DAILYSCHEDULE'  AND P.ENABLE_FLAG=1 AND (R.ID IN (SELECT R1.ID FROM DPADD_OBJECT_RELATION AS R1 WHERE R1.RELATION_WEB_TIPOLOGY='DAILYSCHEDULE_WEEKLY_RELATION' AND R1.RELATION_CONDITION LIKE '%'||strftime('%w', 'now', 'localtime')||'%' ) OR R.ID IN (SELECT R2.ID  FROM DPADD_OBJECT_RELATION AS R2 WHERE R2.RELATION_WEB_TIPOLOGY='DAILYSCHEDULE_YEARLY_RELATION' AND R2.RELATION_CONDITION LIKE '%'||strftime('%m-%d', 'now', 'localtime')||'%')) ORDER BY R.CHILDOBJ_ID;

--Adding new templates to cache & choice for environments
INSERT INTO DPAD_WEB_CACHE (ID,URL,NAME,DESCRIPTION,IS_ENV_TPL,THEME) VALUES (NULL,'../system/loadtemplate.php?tpl=buttons&tag=1','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_1','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_1',1,'ivory');
INSERT INTO DPAD_WEB_CACHE (ID,URL,NAME,DESCRIPTION,IS_ENV_TPL,THEME) VALUES (NULL,'../system/loadtemplate.php?tpl=buttons&tag=2','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_2','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_2',1,'ivory');
INSERT INTO DPAD_WEB_CACHE (ID,URL,NAME,DESCRIPTION,IS_ENV_TPL,THEME) VALUES (NULL,'../system/loadtemplate.php?tpl=buttons&tag=4','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_4','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_4',1,'ivory');
INSERT INTO DPAD_WEB_CACHE (ID,URL,NAME,DESCRIPTION,IS_ENV_TPL,THEME) VALUES (NULL,'../system/loadtemplate.php?tpl=buttons&tag=6','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_6','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_6',1,'ivory');
INSERT INTO DPAD_WEB_CACHE (ID,URL,NAME,DESCRIPTION,IS_ENV_TPL,THEME) VALUES (NULL,'../system/loadtemplate.php?tpl=buttons&tag=8','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_8','_DPAD_PRODUCT_K3_ADMINISTRATION_EDITOBJECT_GROUP_TEMPLATES_BUTTONS_8',1,'ivory');

--Updating custom versioning
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='1.0.1 (Rev.9791)' WHERE NAME='custom_versioning';

--Versioning
UPDATE DPAD_WEB_PRODUCT SET VERSION='0.5.1' WHERE NAME='K3';
