{% block block_customImport %}{% endblock %}

{% set pageSubmitButtonLabel %}{%block block_pageSubmitButtonLabel %}{{ getConstant('_DPAD_GENERAL_SAVE') }}{% endblock %}{% endset %}
{% set pageCloseButtonLabel %}{%block block_pageCloseButtonLabel %}{{ getConstant('_DPAD_GENERAL_CLOSE') }}{% endblock %}{% endset %}

{% block block_body %}
<div id="help" style="display:none">{% block block_help %}{{page.page_help}}{% endblock %}</div>
<div id="messages" class="field-note-container"></div>
<h1><label id="title" >{% block block_pageTitle %}{% endblock block_pageTitle %}</label>
        {% block block_pageTitleButtons %}
        <div class="field-button-action">
            <input id="button_submit" type="button" class="field-button-green" value="{{ pageSubmitButtonLabel }}" onClick="iM.getScope(this).formButtonSubmit()"/>
            <input id="button_close" type="button" class="field-button-orange" value="{{ pageCloseButtonLabel }}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
        {% endblock %}
</h1>

{% for key,form in forms %}
		<form name="{{ form.name }}" id="{{ form.name }}" {% if form.action is not empty %}action="{{ form.action }}" {% endif %}{% if form.method is not empty %}method="{{ form.method }}" {% endif %}{% if form.format is not empty %}format="{{ form.format }}" {% endif %}>
                {% if form.title %}
                <fieldset>
                        <legend>{{ form.title }}</legend>
                {% endif %}
				{{ form.body }}
                {% if form.title %}
                </fieldset>
                {% endif %}
        </form>
{% endfor %}

{% block block_formsCustomContent %}
{% endblock block_formsCustomContent %}

{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_submit" type="button" class="field-button-green" value="{{pageSubmitButtonLabel}}" onClick="iM.getScope(this).formButtonSubmit()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{pageCloseButtonLabel}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% endblock %}

{% block block_customContent %}
{% endblock %}

{% block block_scope %}
	{# Including core template #}
	{% include "scope.workspace_page.tpl" %}
{% endblock block_scope%}