{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{ getConstant('_DPAD_THEME_ADMIN_SETUP_LANGUAGE') }}{% endblock %}

{% set form0_name = "config_language_form" %}
{% set form0_action = "../system/config_theme_options.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_submitButtonLabel = getConstant('_DPAD_GENERAL_SAVE') %}
{% set form0_closeButtonLabel = getConstant('_DPAD_GENERAL_CANCEL') %}
{% set form0_body %}
<fieldset id="theme_languages">
	<legend>{{ getConstant('_DPAD_THEME_ADMIN_SETUP_LANGUAGE_TITLE') }}</legend>
</fieldset>
{% endset %}

{% set forms = {
	"config_language_form":{
		'name':form0_name,
		'action':form0_action,
		'method':form0_method,
		'title':form0_title,
		'format':form0_format,
		'submitButtonLabel':form0_submitButtonLabel,
		'closeButtonLabel':form0_closeButtonLabel,
		'body':form0_body
	}
} %}
{% block block_scope %}
{% include "scope.config_language.tpl" %}
{% endblock %}
