{% extends "core/templates/config_settings_tipology.tpl" %}

{%block block_pageTitle %}{{ getConstant("_DPAD_THEME_ADMIN_CONFIG_SETTINGS_" ~ page.tipology|upper) }}{% endblock %}
{%block block_pageCloseButtonLabel %}{{ getConstant('_DPAD_GENERAL_CLOSE') }}{% endblock %}

{% block block_config_setting_item %}
{% if setting.DRAW_AS!='hidden' %}
<div class="field-line">
    <label for="{{setting.ID}}">{{ setting.LABEL }}</label>
{# TODO: This should be a dynamic block and shouldn't use onLoad event to load correct values #}
    {{ draw.html({
		'draw_as':setting.DRAW_AS,
		'id':'setting_' ~ setting.ID,
		'value':getConstant(setting.VALUE),
		'oldvalue':getConstant(setting.VALUE),
		'has_options':setting.HAS_OPTIONS,
		'options':setting.OPTIONS|json_decode,
		'themeSrc':theme.datas.current_baseurl,
		'mask':setting.MASK,
		'onChange':onChange,
		'onFocus':onFocus,
		'onKeyPress':onKeyPress
    }) }}
    <div class="template-clear"></div>
</div>
{% endif %}
{% endblock block_config_setting_item %}

{% block block_pageTitleButtons %}
<div class="field-button-action">
    <input id="button_close" type="button" class="field-button-orange" value="{{ pageCloseButtonLabel }}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_close" type="button" class="field-button-orange" value="{{pageCloseButtonLabel}}"  onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
