{% import "tool.html.tpl" as draw %}
<div id="help" style="display:none">{% block block_help %}{{getConstant("_DPAD_DBCONSTANT_CONFIG_THEME_HELP")}}{% endblock %}</div>
<div id="messages" class="field-note-container"></div>
<h1><label id="title" >{{ getConstant("_DPAD_THEME_ADMIN_SETUP_THEME") }}</label>
        {% block block_pageTitleButtons %}
        <div class="field-button-action">
            <input id="button_submit" type="button" class="field-button-green" value="{{ getConstant('_DPAD_GENERAL_SAVE') }}" onClick="iM.getScope(this).formButtonSubmit()"/>
            <input id="button_close" type="button" class="field-button-orange" value="{{ getConstant('_DPAD_GENERAL_CANCEL') }}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
        {% endblock %}
</h1>

<fieldset id="theme">
	<legend>{{ getConstant("_DPAD_THEME_ADMIN_SETUP_THEME_TITLE") }}</legend>
	<div id="themes_container"></div>
</fieldset>

<div class="field-buttons-container">
        <input id="button_submit" type="button" class="field-button-green" value="{{ getConstant('_DPAD_GENERAL_SAVE') }}"  onClick="iM.getScope(this).formButtonSubmit()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{ getConstant('_DPAD_GENERAL_CANCEL') }}"  onClick="iM.getScope(this).formButtonClose()"/>
</div>

{# Block Prototypes #}
<div style="display:none;" >
	<div id="config_theme_container_prototype"><ul id="{{ jsHtmlBlock('name') }}_container_results"></ul></div>
	<div id="config_theme_row_prototype">
		<li id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}" class="config-theme-container {{ jsHtmlData('hilight') }}" onclick="iM.getScope(this).themeSelect($(this),'{{ jsHtmlData('name') }}')">
			{{ draw.html({
				'draw_as':'image',
				'id':'preview',
				'src':'../../themes/' ~ jsHtmlData('name') ~ '/images/preview.png'
			}) }}
			<div id="name">{{ jsHtmlData('name') }}</div>
		</li>
	</div>
</div>

{% block block_scope %}
{% include "scope.config_theme.tpl" %}
{% endblock %}