{# External Frame Scripts Custom actions #}
{% extends "core/templates/prototype.externalframe_scripts.custom.tpl" %}

{% block customScripts %}
    
{# Updating software version #}
$("#software-version").html(rM.getConfiguration("custom_versioning",{refresh: false}));

{#
	Onscreen Keyboard 
TODO: Cannot add Onscreen Keyboard; theme CSS must be revisited to allow the correct use of the keyboard...
it's not compatible with the masked input plugin!
#}
{#
if (!rM.isAppleMobileBrowser() && !rM.isAndroidMobileBrowser()){
    if((
			rM.getServerIsLocal() &&
			parseInt(rM.getConfiguration('onscreen_keyboard_enable_if_local',{refresh: false}))==1
		) || (
			!rM.getServerIsLocal() && 
			parseInt(rM.getConfiguration('onscreen_keyboard_enable_if_not_local',{refresh: false}))==1)
		){
        rM.log({type:'info'},'Enabling onscreen keyboard on all input fields');
        $(document).on('click','input[type=text],input[type=password],input[type=textbox],textarea', function(event){
            $(this).keyboard({
#}
{#
				accepted:function(e, keyboard, el){
					var _jElement=keyboard.$el;
					var _jForm=_jElement.closest('form');
					if(_jForm.length>0){
						var _jFormInputs=_jForm.children(input,textarea);
						var _bSumbmit=true;
						for(var i=0;i<_jFormInputs.length;i++){
							if(_jFormInputs.get(i).val())_bSumbmit=false;
						}
						if(_bSumbmit)_jForm.submit();
					}
				},
#}
{#
				layout:'{{ getConstant('_DPAD_DBCONSTANT_ONSCREEN_KEYBOARD_DEFAULT_LAYOUT') }}',
				position:{
					of:null,
					my:'center top',
					at:'center bottom',
					at2:'center bottom',
					collision:'flipfit',
					offset:'10px'
				},
				css:{
					input:'',
					container:''
				},
				usePreview:false,
				autoAccept:true,
				tabNavigation:true,
				repeatDelay:10000
			}).getkeyboard().reveal();
        });
    }
    else rM.log({type:'info'},'Onscreen keyboard not enabled');
}
#}
{% endblock customScripts %}
