{% extends "scope.administration_page.tpl" %}

{% block block_msgFormSubmitCallbackSuccess %}{{ getConstant("_DPAD_DBCONSTANT_ETSREMOTER_CONFIGURATION_MESSAGE_SUCCESS")|encode4jscript }}{% endblock block_msgFormSubmitCallbackSuccess %}

{% block block_customDeclarations %}
{{ parent() }}
	this.messageId = null;
{% endblock block_customDeclarations %}

{% block block_onLoad_pageInit %}{% endblock block_onLoad_pageInit %}

{% block block_formValidate %}
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formValidate %}

{% block block_formSubmitCallback %}
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
this.userInteractionEnableDisable(true);
{% endblock block_formSubmitCallback %}

{% block block_formButtonSubmit %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
this.forms[0].bModified=true;
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
this.userInteractionEnableDisable(false);

{% endblock block_formButtonSubmit %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{# Asking a confirmation if changes have not been saved #}
if(this.formHasUnsavedChanges && this.msgFormButtonCloseConfirm != ""){
	if(!confirm(this.msgFormButtonCloseConfirm))    return;
}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock block_formButtonClose %}

{% block block_formFieldChange %}
{{ parent() }}
wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock block_formFieldChange %}

{% block block_formButtonSubmitCompleted %}
{{ parent() }}
wM.tabUnsavedChangesShowHide(this.getTab(),false);
{% endblock block_formButtonSubmitCompleted %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
{% endblock block_customFunctions %}