{% extends "core/templates/scope.editobject.eibobject.tpl" %}

{% block block_valuesTypeUpdate %}
    
    {{ parent() }}
    this.valuesTypeInit(newValuesType);
    
{% endblock block_valuesTypeUpdate %}

{% block block_customFunctions %}
{{ parent() }}

this.valuesTypeInit = function(valuesType)
{
    var categorySel = $(this.getScopeSelector()).find("#obj"+this.id+"_optionalp_category");

    switch(valuesType)
    {
        case "6":
        case 6:
            categorySel.find("option[value='scenario']").removeAttr("disabled");
            break;
            
        default:
        
            categorySel.find("option[value='scenario']").attr("disabled","disabled");
            break;
    }
    
    this.scenarioInit();
}

this.scenarioInit = function()
{
    var obj = objM.getObj(this.id);
    if(obj.values_type == "6" && obj.options.category == "scenario")
    {
        this.detailShowHide("scenario_value",true);
    }
    else
    {
        this.detailShowHide("scenario_value",false);
    }
}

this.categoryChange = function(category)
{
    if(category=='0')   category='';
    objM.updateFieldObj(this.id,'options.category',category);
    this.scenarioInit();
}

{% endblock block_customFunctions %}

{% block block_onLoadFinalize %}
    
    {{ parent() }}
    this.valuesTypeInit(objM.getObj(this.id).values_type);
    
{% endblock block_onLoadFinalize %}
