{% extends "scope.editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_onLoadFinalize %}
	{{ parent() }}

        {# Hiding serial port configuration if corresponding option is present in DB (for gateways...) #}
	if(parseInt(rM.getConfiguration("pess_central_show_port_config",{refresh: false}))!=1)
        {
            $(this.getScopeSelector()).find("#CSconf_PESSSERIAL_"+this.id).hide();
            
            {# If a forced serial port option is present, forcing it #}
            var pess_forced_port_option = rM.getConfiguration("pess_central_forced_port",{refresh: false});
            if(pess_forced_port_option!='')
            {
                objM.getObj(this.id).updateCSOption("DPAD_PESS_SERIALPORT",pess_forced_port_option);
            }
        }
        
{% endblock block_onLoadFinalize %}

{% block block_showCurrentCSoptions %}
{% endblock block_showCurrentCSoptions %}