{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
{% endblock %}

{% block block_customDeclarations %}
    this.id = "{{page.scriptName}}";
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}

{% block block_formValidate %}{% endblock %}
{% block block_formButtonSubmit %}
if(!wM.enabled && skipEnableCheck != true)  return;
this.userInteractionEnableDisable(false,null);
this.forms[0].bModified=true;
{{parent()}}
{% endblock %}

{% block block_formButtonSubmitCompleted %}
this.userInteractionEnableDisable(true,null);
{{parent()}}
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_formSubmitCallback %}
{{parent()}}
//iM.reloadInstance("../scripting/editscript.php?s={{page.scriptName}}",null,null,"workspace");
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
    
    {# This function saves current script #}
    this.scriptSave = function(){
        $(this.getScopeSelector()).find("#op").val("save");
        this.formButtonSubmit(true);
    }

    {# This function reverts to original script #}
    this.scriptRevert = function(){
        $(this.getScopeSelector()).find("#op").val("revert");
        this.formButtonSubmit(true);
    }

{% endblock %}