{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_TITLE")}}{% endblock %}

{% set form0_name = "csv_import_form" %}
{% set form0_action = "../eib/csv_import.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<div id="csv_import_step_specific_content"></div>
	<input type="hidden" name="step" id="step" value="1"/>
{% endset %}

{% set forms = {"csv_import_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

	<div style="display:none">
	{% include "csv_import_step1.tpl" %}
	{% include "csv_import_step2.tpl" %}
	</div>
	
	<div class="field-buttons-container">
		{% block block_customContent_Buttons %}
		<input id="button_submit" type="button" class="field-button-green" value="{{getConstant("_DPAD_GENERAL_WIZARD_BUTTON_NEXT")}}"  onClick="iM.getScope(this).formButtonSubmit()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant("_DPAD_GENERAL_CLOSE")}}"  onClick="iM.getScope(this).formButtonClose()"/>
		<input id="button_etsrules_reload" type="button" class="field-button-yellow" value="{{getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_SECTION_ETS_RULES_BUTTON_RELOAD")}}" onclick="iM.getScope(this).buttonEtsRulesReload()" style="display:none"/>
		<input id="button_etsrules_edit" type="button" class="field-button-orange" value="{{getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_SECTION_ETS_RULES_BUTTON_EDIT")}}" onclick="iM.getScope(this).buttonEtsRulesEdit()" style="display:none"/>
		{% endblock block_customContent_Buttons %}
	</div>
	
{% endblock %}

{% block block_help %}{% endblock %}

{% block block_formsButtons %}{% endblock %}
{% block block_pageTitleButtons %}{% endblock %}

{% block block_scope %}
{% include "scope.csv_import.tpl" %}
{% endblock %}