<div id="csv_import_step2_form_content">

	<h4 id="csv_import_step2_report_title" class="template-opened-h5" step="2"><div class="menu-icon-node"></div>{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_REPORT_SUBTITLE")}}</h5>
	<div id="csv_import_step2_report_container" class="template-container-fields" step="2" style="display:block">
		
		<fieldset id="csv_import_step2_report" enabled="true" mode="base">
			<div class="field-line" enabled="true" mode="base">
				<label for="eibobjects_update_counter">{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_REPORT_UPDATE_RESULT")}}:</label>
				<label id="eibobjects_update_counter"></label>
				<div class="template-clear"></div>
			</div>
			<div class="field-line" enabled="false" mode="base" style="display:none">
				<label for="eibobjects_update_errors_desc">{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_REPORT_UPDATE_ERRORS")}}:</label>
				<label id="eibobjects_update_errors_desc"></label>
				<div class="template-clear"></div>
			</div>
			<div class="field-line" enabled="true" mode="base">
				<label for="eibobjects_insert_counter">{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_REPORT_INSERT_RESULT")}}:</label>
				<label id="eibobjects_insert_counter"></label>
				<div class="template-clear"></div>
			</div>
			<div class="field-line" enabled="false" mode="base" style="display:none">
				<label for="eibobjects_insert_errors_desc">{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_REPORT_INSERT_ERRORS")}}:</label>
				<label id="eibobjects_insert_errors_desc"></label>
				<div class="template-clear"></div>
			</div>
			<div class="field-line" enabled="false" mode="base" style="display:none">
				<label for="eibgroups_update_skipped_desc">{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_REPORT_SKIPPED_RESULT")}}:</label>
				<label id="eibgroups_update_skipped_desc"></label>
				<div class="template-clear"></div>
			</div>
		</fieldset>
	</div>
	
	<h4 id="csv_import_step2_etsrules_title" class="template-opened-h5" step="2"><div class="menu-icon-node"></div>{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_ETSRULES_SUBTITLE")}}</h5>
	<div id="csv_import_step2_etsrules_container" class="template-container-fields" step="2" style="display:block">
		<fieldset id="csv_import_step2_ets_rules" enabled="true" mode="base">
			<legend>{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_ETSRULES_LEGEND")}} (<label id="count_eibobjects_without_rendering">{{getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_ETSRULES_LEGEND_ELABORATING")}}</label>)</legend>
			<div id="ets_rules_orphans_container"></div>
			
			<div style="display:none">
		
				{% set blockColumns = {} %}
				{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"width":"40%","type":"textbox","visible":true}|pushInto(blockColumns,"name") %}
				{% set blockColumns = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_MSP"),"width":"5%","type":"label","visible":true,"align":"center"}|pushInto(blockColumns,"msp") %}
				{% set blockColumns = {"dbField":"values_type","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_VALUES_TYPE"),"width":"30%","type":"select","align":"center","visible":true,"onChange":"iM.getScope(this).rulesOrphanValuesTypeUpdate(" ~ jsHtmlData('id') ~ ",this.value)","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getEisTypes('" ~ jsHtmlData('values_type') ~ "')")}|pushInto(blockColumns,"values_type") %}
				{% set blockColumns = {"dbField":"options.category","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_CATEGORY"),"width":"20%","type":"select","align":"center","visible":true,"options":page.categories}|pushInto(blockColumns,"category") %}
				{% set blockColumns = {"dbField":"rendering_id","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_RENDERING_ID"),"width":"5%","type":"rendering_picker","align":"center","visible":true}|pushInto(blockColumns,"rendering_id") %}
		
				<div id="block_ets_rules_orphans_container_prototype">
					<div class="grid-table">
						<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0"></table>
					</div>
				</div>
				<table id="block_ets_rules_orphans_header_prototype">
					<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
						<th class="grid-line-action"></th>
						{#<th class="grid-line-action"></th>#}
						{% for key,column in blockColumns %}
						<th style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
						{% endfor %}
					</tr>
				</table>
				<table id="block_ets_rules_orphans_item_prototype">
					<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
						{#<td class="grid-line-action"><a id="sortable_handler"><div class="grid-action-mod"></div></a></td>#}
						<td class="grid-line-action"><div class="grid-action-del" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).rulesOrphanRemoveFromBlock('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlData('id') }});event.stopPropagation();}"></div></td>
						{% for key,column in blockColumns %}
							{% if column.visible == "true" %}
								<td style='{% if column.align %}text-align:{{column.align}};{% endif %}' enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">
									{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlData('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField %}
									{% if column.value is not empty %}
										{% set columnFieldValue = column.value %}
									{% else %}
										{% if column.origin == "db" %}
											{% set columnFieldValue = jsHtmlData(column.dbField) %}
										{% elseif column.origin == "relation" %}
											{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
										{% endif %}
									{% endif %}
									{% if column.type == "checkbox" %}
										{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
									{% else %}
										{% set columnFieldValueJs = "this.value" %}
									{% endif %}
									{% if column.onChange is not empty %}
										{% set columnFieldOnChange = column.onChange %}
									{% elseif column.origin == "db" %}
										{% set columnFieldOnChange = "objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
									{% elseif column.origin == "relation" %}
										{% set columnFieldOnChange = "objM.updateFieldRelation(" ~ jsHtmlRowRelation('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
									{% endif %}
									{% if column.type == "rendering_picker" %}
										<img id="obj{{ jsHtmlData('id') }}_rendering_preview" rendering_id="{{ jsHtmlData('rendering_id') }}" src="../../themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/{{ jsHtmlData('image_path') }}" onclick="iM.openInstance('../system/loadtemplate.php?tpl=rendering_picker|id={{ jsHtmlData('id') }}',null,null,'main_body');" class="rendering-picker-preview" alt="" style="width:30px;"/>
									{% else %}
										{{ jsHtml({
											"as":column.type,
											"id":columnFieldName,
											"options":column.options,
											"value":columnFieldValue,
											"onChange":columnFieldOnChange,
											"onKeyPress":"if(themeManager.detectEnter(event))" ~ columnFieldOnChange
										}) }}
									{% endif %}
								</td>
							{% endif %}
						{% endfor %}
					</tr>
				</table>
			</div>			
		</fieldset>
		
	</div>

</div>