{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_CLIENTBROWSER_DPADCLIENTBROWSER_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":
			"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_MSP"),
			"mode":"base",
			"category":
			"general",
			"visible":true,
			"onChange":"iM.getScope(this).validateField($(this),'CBIPaddress',function(field,objId){objM.updateFieldObj(objId,'msp',field.val())})"
		},
		'description':{
			"type":"textbox",
			"dbField":
			"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'is_visible':{
			"type":"checkbox",
			"dbField":"is_visible",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),
			"mode":"expert",
			"category":"flags",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}

{% block block_details_header_actionButtons_customButtons %}
	{% if checkModulePresence('pbx') %}
	<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
	{% else %}
		{{ parent() }}
	{% endif %}
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
	{% if checkModulePresence('pbx') %}
	<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
	{% else %}
		{{ parent() }}
	{% endif %}
{% endblock block_details_actionButtons_customButtons %}