{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_NOTIFY_EMAIL_DPADNOTIFYEMAIL_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"enable_flag":{
			"type":"checkbox",
			"dbField":"enable_flag",
			"label":getConstant("_DPAD_OBJECT_DETAILS_ENABLE_FLAG"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		"address_to":{
			"type":"textarea",
			"value":jsHtmlObj('getAddressTo()'),
			"onChange":"iM.getScope(this).updateMsp(" ~ jsHtmlData('id') ~ ");",
			"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this).updateMsp(" ~ jsHtmlData('id') ~ "]);",
			"label":getConstant("_DPAD_LOGIC_DPADNOTIFYEMAIL_DETAILS_ADDRESS_TO"),
			"mode":"base",
			"category":"general",
			"visible":true,
                        "validate":"email"
		},
		"address_cc":{
			"type":"textarea",
			"value":jsHtmlObj('getAddressCc()'),
			"onChange":"iM.getScope(this).updateMsp(" ~ jsHtmlData('id') ~ ");",
			"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this).updateMsp(" ~ jsHtmlData('id') ~ "]);",
			"label":getConstant("_DPAD_LOGIC_DPADNOTIFYEMAIL_DETAILS_ADDRESS_CC"),
			"mode":"expert",
			"category":"general",
			"visible":true,
                        "validate":"email"
		},
		"address_ccn":{
			"type":"textarea",
			"value":jsHtmlObj('getAddressBcc()'),
			"onChange":"iM.getScope(this).updateMsp(" ~ jsHtmlData('id') ~ ");",
			"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this).updateMsp(" ~ jsHtmlData('id') ~ ");",
			"label":getConstant("_DPAD_LOGIC_DPADNOTIFYEMAIL_DETAILS_ADDRESS_CCN"),
			"mode":"expert",
			"category":"general",
			"visible":true,
                        "validate":"email"
		},
		"description":{
			"type":"textbox",
			"value":jsHtmlObj('getSubject()'),
			"onChange":"iM.getScope(this).updateSubject(" ~ jsHtmlData('id') ~ ");",
			"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this).updateSubject(" ~ jsHtmlData('id') ~ ");",
			"label":getConstant("_DPAD_LOGIC_DPADNOTIFYEMAIL_DETAILS_OBJECT"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"current_value":{
			"type":"textarea",
			"dbField":"current_value",
			"label":getConstant("_DPAD_LOGIC_NOTIFYVIDEO_DETAILS_MESSAGE"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
{% endblock %}
{% block block_layout_children %}
{% endblock %}
{% block block_layout_activeEvents %}
{% endblock %}

{% block block_parents %}
{% endblock block_parents %}
{% block block_children %}
{% endblock block_children %}
{% block block_activeEvents %}
{% endblock block_activeEvents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("events_active") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}