{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_NOTIFY_VIDEO_DPADNOTIFYVIDEO_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"msp":{
			"type":"textarea",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_NOTIFYVIDEO_FIELD_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"values_type":{
			"type":"select",
			"dbField":"values_type",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_NOTIFYVIDEO_FIELD_VALUES_TYPE"),
			"mode":"base",
			"category":"general",
                        "options":{
                                "":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_NOTIFYVIDEO_FIELD_VALUES_TYPE_CHOOSE"),
                                (getConstant('_DPAD_ERROR_LEVEL_ALERT')):getConstant('_DPAD_ERROR_LANG_LEVEL_ALERT'),
                                (getConstant('_DPAD_ERROR_LEVEL_WARNING')):getConstant('_DPAD_ERROR_LANG_LEVEL_WARNING'),
                                (getConstant('_DPAD_ERROR_LEVEL_INFO')):getConstant('_DPAD_ERROR_LANG_LEVEL_INFO')
                            },
			"visible":true
		}
	} %}
	{{parent()}}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
{% endblock %}
{% block block_layout_children %}
{% endblock %}
{% block block_layout_activeEvents %}
{% endblock %}

{% block block_parents %}
{% endblock block_parents %}
{% block block_children %}
{% endblock block_children %}
{% block block_activeEvents %}
{% endblock block_activeEvents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("events_active") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}