{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_URL_DPADURL_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'image_path':{
			"type":"image_picker",
			"dbField":"image_path",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GROUP_FIELD_IMAGE_PATH"),
			"mode":"base",
			"category":"behaviour",
			"visible":true
		},
		'msp':{
			"type":"customOrTextbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_URL_FIELD_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true,
			"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this)._updateOnTextChange($(this));",
			"value":jsHtmlObj('msp'),
			"customAs":"drop"
		},
		'is_visible':{
			"type":"checkbox",
			"dbField":"is_visible",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),
			"mode":"expert",
			"category":"flags",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_parents %}
	{% block block_parents_scenes %}{% endblock %}
	{{ parent() }}
{% endblock block_parents %}

{% block block_activeEvents %}
{% endblock block_activeEvents %}
	
{% block block_passiveEvents %}
{% endblock block_passiveEvents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}