{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_EDITSCRIPT_TITLE")}}{% endblock %}

{% set form0_name = "edit_script_form" %}
{% set form0_action = "../scripting/editscript.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_body %}
	<div class="field-line">
		<label id="name_label" for="name">{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_EDITSCRIPT_DETAILS_NAME")}}</label>
		<div><label id="name">{{page.scriptName}}</label></div>
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<label id="content_label" for="content">{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_EDITSCRIPT_DETAILS_CONTENT")}}</label>
		<div>
			<textarea id="header" name="header" class="edit-script-content" style="height:12px" readonly>&lt;?php</textarea>
			<textarea id="content" name="content" class="edit-script-content" {% if page.scriptFolder == 'samples' %}readonly{% endif %}>{{page.scriptContent}}</textarea>
			<textarea id="footer" name="footer" class="edit-script-content" style="height:12px" readonly>?&gt;</textarea>

		</div>
		<div class="template-clear"></div>
	</div>
	<input type='hidden' name='s' id='s' value='{{page.scriptName}}'/>
	<input type='hidden' name='op' id='op' value=''/>
	<input type='hidden' name='parameter' id='parameter' value=''/>
{% endset %}
{% set forms = {"edit_script_form":{'name':form0_name,'title':form0_title,'format':form0_format,'method':form0_method,'action':form0_action,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}{% endblock %}

{% block block_help %}{{getConstant("_DPAD_DBCONSTANT_SCRIPTING_EDITSCRIPT_HELP")}}{% endblock %}
{% block block_formsButtons %}
<div class="field-buttons-container">
        {% if page.scriptFolder != 'samples' %}<input id="button_save" type="button" class="field-button-green" value="{{getConstant('_DPAD_GENERAL_SAVE')}}" onClick="iM.getScope(this).scriptSave()"/>{% endif %}
        <input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		{% if page.scriptFolder != 'samples' %}<input id="button_save" type="button" class="field-button-green" value="{{getConstant('_DPAD_GENERAL_SAVE')}}" onClick="iM.getScope(this).scriptSave()"/>{% endif %}
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.editscript.tpl" %}
{% endblock %}