{% import "tool.html.image.tpl" as htmlImage %}
{% import "tool.html.button.action.tpl" as htmlButtonAction %}

{# Including scope template #}
{% include "scope.file_picker.tpl" %}

<div id="header"></div>
<div class="image-picker-container">
	<fieldset>
	<div id="file_uploaded_list" class="image-picker-scrolling-content" ></div>
	</fieldset>
    <div style="display:none"></div>
    <div class="field-buttons-container">
		<form id="file_form" name="file_form" method="post" action="../system/file_picker.php">
			<div id="custom_button_upload" style="float:left;position:relative;margin-left:-10px;margin-right:5px;" class="field-button-green field-file-green-fake" >
				<label>{{ getConstant("_DPAD_GENERAL_UPLOAD") }}</label>
				<input id="upload_file" name="upload_file" type="file" class="field-file-green" multiple/>
			</div>
			<div style="float:left;position:relative;">
				<div id="button_cancel" type="button" class="field-button-orange" style="height:100%;" value="{{ getConstant("_DPAD_GENERAL_CANCEL") }}" onclick="iM.getScope(this).back()">{{ getConstant("_DPAD_GENERAL_CANCEL") }}</div>
			</div>
			{% if page.show_action_upload or page.show_action_remove %}
				<input type="hidden" id="upload_path_to" name="upload_path_to" value=""/>
				{% if page.show_action_upload %}
					<input type="hidden" id="upload" name="upload" value="0"/>
				{% endif %}
				<input type="hidden" id="upload_local" name="upload_local" value="0"/>
				<input type="hidden" id="upload_local_file" name="upload_local_file" value="0"/>
				<input type="hidden" id="upload_local_path_from" name="upload_local_path_from" value="0"/>
				{% if page.show_action_remove %}
					<input type="hidden" id="delete" name="delete" value="0"/>
					<input type="hidden" id="delete_file_name" name="delete_file_name" value="0"/>
				{% endif %}
			{% endif %}
		</form>
    </div>
</div>
<div id="upload-confirm" title="{{ getConstant('_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_ALERT_TITLE') }}">
	<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>{{getConstant('_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_ALERT_DESCRIPTION')}}</p>
</div>
<div id="block_prototypes" style="display:none;" >
	<div id="block_file_container_prototype" >
		<div class="table" id="{{ jsHtmlBlock('name') }}_container_results"></div>
	</div>
	<div id="block_file_toupload_row_prototype" >
		<div class="cell" id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
			<a id="{{ jsHtmlBlock('name') }}_file_{{ jsHtmlData('id') }}_label" class="element_idle" onClick="iM.getScope(this).clickElement($(this),'{{ jsHtmlBlock('name') }}',{{ jsHtmlData('id') }});" href="#" >{{ jsHtmlData('name') }}</a>
			{% if page.show_action_remove %}
			</br>
			{{ htmlButtonAction.buttonAction({
				'description':getConstant('_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_TRASH'),
				'image_path':(theme.baseurl ~ 'image/IconDEL.png'),
				'onClick':"iM.getScope(this).deleteFile('{{ jsHtmlBlock('name') }}',{{ jsHtmlData('id') }});"
			}) }}
			{% endif %}
		</div>
	</div>
	<div id="block_file_uploaded_row_prototype" >
		{% if page.mode == "image_path" %}
		{{ jsHtmlRowIterator(['<div>','','','','','','','','']) }}
		{% else %}
		{{ jsHtmlRowIterator(['<div>','','','','']) }}
		{% endif %}
			<div class="cell" id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
				{{ htmlImage.image({
					'id':'image_picker_preview_image_' ~ jsHtmlData('id'),
					'href':'#',
					'title':jsHtmlData('name'),
					'htmlClass':'image_picker_preview_image ' ~ page.mode,
					'onClick':"iM.getScope(this).clickElement($(this),'" ~ jsHtmlBlock('name') ~ "'," ~ jsHtmlData('id') ~ ");",
					'alt':jsHtmlData('name'),
					'src':jsHtmlData('path_url')
				}) }}
				{% if page.show_action_remove and page.mode != "image_path" %}
				<div class="image_picker_delete_image">
					{{ htmlButtonAction.buttonAction({
						'description':getConstant('_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_TRASH'),
						'image_path':(theme.baseurl ~ 'image/IconDEL.png'),
						'onClick':"iM.getScope(this).deleteFile('" ~ jsHtmlBlock('name') ~ "'," ~ jsHtmlData('id') ~ ");"
					}) }}
				</div>
				{% endif %}
			</div>			
		{% if page.mode == "image_path" %}
		{{ jsHtmlRowIterator(['','','','','','','','','</div>']) }}
		{% else %}
		{{ jsHtmlRowIterator(['','','','','</div>']) }}
		{% endif %}
	</div>
</div>