{% extends "core/templates/manifest.tpl" %}

{% block _cache_description %}HTML5 application cache manifest for Admin theme{% endblock _cache_description %}

{% block _cache_prototypes %}
{{ parent() }}
#	Specific prototypes
../modules/system/loadtemplate.php?tpl=search&context={{ theme.datas.current_context }}
../modules/system/loadtemplate.php?tpl=navigation_tree&context={{ theme.datas.current_context }}
#	Specific prototypes EDIT page
{% for phpclass,class_infos in _global.global_class_array %}
{% if checkModulePresence(class_infos.module) and class_infos.cache_editobject == '1' %}
../modules/system/editobject.php?type={{ getConstant('_DPAD_CLASS_TYPE_' ~ class_infos.classname|upper|replace({'DPAD':''}) ) }}&phpclass={{ class_infos.classname }}&context={{ theme.datas.current_context }}
{% endif %}
{% endfor %}
{% endblock _cache_prototypes %}

{% block _cache_css %}
{{ parent() }}
../themes/{{ theme.datas.current_path }}/include/template.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/menu.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/tagfield.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/search.css?version={{ jscript.most_recent_revision }}
../themes/{{ theme.datas.current_path }}/include/grid.css?version={{ jscript.most_recent_revision }}
{% endblock _cache_css %}