{# Including core template #}
{% include "scope.rendering_picker.tpl" %}
<div id="header">{{getConstant("_DPAD_THEME_ADMIN_RENDERING_PICKER_TITLE")}} <label id="title_category"></label></div>
<div class="rendering-picker-container">
    <fieldset>
	<div id="rendering-picker-content" class="rendering-picker-scrolling-content">
	</div>
    </fieldset>

    <div style="display:none">
	<div id="rendering-picker-prototype-container">
	    <div class="table" id="{{ jsHtmlBlock('name') }}_container_results"></div>
	</div>

	<div id="rendering-picker-prototype-item">
		{{ jsHtmlRowIterator(['<div>','']) }}
    	    <div class="cell {{jsHtmlIf(jsHtmlData('id') ~ '==' ~ jsHtmlData('current_rendering_id'),'hilight','')}}" id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}" onclick="iM.getScope(this).renderingSelect($(this),{{ jsHtmlData('id') }},'{{ jsHtmlData('image_path') }}')">
		<img src="../../themes/{{ jsHtmlBlock('theme') }}/images/rendering/{{ jsHtmlData('image_path') }}" alt="{{ jsHtmlData('name') }}"/>
		<b>{{ jsHtmlData('name') }}</b><br/>
		{{ jsHtmlIf(
			jsHtmlData('has_options') ~ "==1",
			jsHtmlFunc("iM.getScopeFromActiveView('main_body').optionLabelsToString('" ~ jsHtmlData('option_labels') ~ "',5)"),
			jsHtmlFunc("iM.getScopeFromActiveView('main_body').optionRangeToString(" ~ jsHtmlData('min_state') ~ "," ~ jsHtmlData('max_state') ~ "," ~ jsHtmlData('step_state') ~ ")")
		) }}
	    </div>
		{{ jsHtmlRowIterator(['','</div>']) }}
	</div>
    </div>
    
    <div class="field-buttons-container">
	<input id="button_cancel" type="button" class="field-button-orange" value="{{getConstant("_DPAD_GENERAL_CANCEL")}}" onclick="iM.getScope(this).buttonClose()"/>
	<input id="filter" type="textbox" value="{{getConstant("_DPAD_THEME_ADMIN_RENDERING_PICKER_FILTER_LABEL")}}" onClick="iM.getScope(this).filterInit()" onChange="iM.getScope(this).filterUpdate()"/>
    </div>
</div>
