{% include "scope.search.tpl" %}

<div class="menu-group-title">
	<div class="menu-icon-group"></div>
	<div id="search-title" class="menu-group-title-text">{{getConstant("_DPAD_THEME_SEARCH_TITLE")}} <label id="search_results_num"></label>
		<div></div>
	</div>
	<div class="template-clear"></div>
</div>
<div id="search-results-container" class="menu-group-content template-hide">
	<div id="search-results-area">
		<div id="search-results" class="menu-group-content template-hide">
			<div id="search-results-toolbar" class="menu-group-toolbar">
				<div id="toolbar-button-edit" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('edit')">
					<img src="{{theme.baseurl}}image/IconToolbarEdit.png" alt="{{ getConstant('_DPAD_SYSTEM_GENERAL_MODIFY') }}"/>
				</div>
				<div id="toolbar-button-delete" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('delete')">
					<img src="{{theme.baseurl}}image/IconToolbarDelete.png" alt="{{ getConstant('_DPAD_GENERAL_DELETE') }}"/>
				</div>
				<div id="toolbar-button-clone" class="toolbar-button" onclick="iM.getScope(this).toolbarButtonPressed('clone')">
					<img src="{{theme.baseurl}}image/IconToolbarCopy.png" alt="{{ getConstant('_DPAD_DBCONSTANT_GENERAL_DUPLICATE') }}"/>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="search_cover" class="menu-group-content-cover"></div>

{# Block Prototypes #}
<div style="display:none;" >
	<div id="search_results_container_prototype"><ul id="{{ jsHtmlBlock('name') }}_container_results"></ul></div>
	<div id="search_results_row_prototype">
		<li id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlObj('id') }}" class="menu-object {{ jsHtmlIf(jsHtmlData('is_visible') ~ "==1",'visible','hidden') }}" tag="{{ jsHtmlData('id') }}" onclick="iM.getScope(this).searchItemPressed(event,{{ jsHtmlData('id') }})">
			<div id="name" title="{{ jsHtmlData('name') }}">{{ jsHtmlData('name') }}</div>
			<label id="msp">{{ jsHtmlObj('getFormattedMsp()') }}</label>
			<label id="type">{{ jsHtmlFunc("rM.getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_'+String('" ~ jsHtmlObj('phpclass') ~ "').toUpperCase())") }} (ID: {{ jsHtmlData('id') }})</label>
			<div class="menu-node-mark-open" onclick="event.stopPropagation();"></div>
			<div class="menu-node-inline-edit" onclick="iM.getScope(this).searchItemEdit({{ jsHtmlData('id') }});event.stopPropagation();"></div>
		</li>
	</div>
</div>
