{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{getConstant("_DPAD_DBCONSTANT_GROUP_MAINTENANCE")}}{% endblock %}
{% set pageSubmitButtonLabel %}{%block block_pageSubmitButtonLabel %}{{ getConstant('_DPAD_GENERAL_EXECUTE') }}{% endblock %}{% endset %}

{% set form0_name = "system_operations_form" %}
{% set form0_action = "../system/dpadaction.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_body %}
	<fieldset enabled="true" mode="base" step="1">
		<div class="field-line">
			<label for="restart_dpadd" class="large">{{getConstant('_DPAD_DBCONSTANT_GROUP_MAINTENANCE_RESTART_DPADD')}}</label>
			<input id="button_submit" type="button" class="field-button-yellow" value="{{getConstant("_DPAD_DBCONSTANT_GENERAL_RESTART")}}"  onClick="if(confirm('{{getConstant('_DPAD_DBCONSTANT_GROUP_MAINTENANCE_CONFIRM')|encode4jscript}}')){iM.getScope(this).setOperation('restart_dpadd');iM.getScope(this).formButtonSubmit();}"/>
			<div class="template-clear"></div>
		</div>
		<div class="field-line">
			<label for="restart_dpadd" class="large">{{getConstant('_DPAD_DBCONSTANT_GROUP_MAINTENANCE_REBOOT')}}</label>
			<input id="button_submit" type="button" class="field-button-yellow" value="{{getConstant("_DPAD_DBCONSTANT_GENERAL_RESTART")}}"  onClick="if(confirm('{{getConstant('_DPAD_DBCONSTANT_GROUP_MAINTENANCE_CONFIRM')|encode4jscript}}')){iM.getScope(this).setOperation('reboot');iM.getScope(this).formButtonSubmit();}"/>
			<div class="template-clear"></div>
		</div>
		<input type="hidden" name="op" id="op"/>
	</fieldset>
{% endset %}

{% set forms = {"system_operations_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_help %}{% endblock %}

{% block block_scope %}
{% include "scope.system_operations.tpl" %}
{% endblock %}