/* Albanian keyboard layouts
 * contains layout: 'albanian-qwertz' & 'albanian-qwerty'
 *
 * To use:
 *  Point to this js file into your page header: <script src="layouts/albanian.js" type="text/javascript"></script>
 *  Initialize the keyboard using: $('input').keyboard({ layout: 'albanian-qwertz' });
 *
 * To do: add combos appropriate to the Albanian language
 *  missing caron, breve, ring, ogonek, double acute accent, diaeresis and cedilla accents.
 *
 * license for this file: WTFPL, unless the source layout site has a problem with me using them as a reference
 *//* qwertz-albanian
 combined from http://en.wikipedia.org/wiki/File:Albanian_keyboard_layout.jpg,
 http://ascii-table.com/keyboard.php/448 & http://www.google.com/webelements/ */$.keyboard.layouts["albanian-qwertz"]={"default":["\\ 1 2 3 4 5 6 7 8 9 0 - = {bksp}","{tab} q w e r t z u i o p ç '","a s d f g h j k l ë [ ] {enter}","{shift} < y x c v b n m , . / {shift}","{accept} {alt} {space} {alt} {cancel}"],shift:['| ! " # $ % ^ & * ( ) _ + {bksp}',"{tab} Q W E R T Z U I O P Ç @","A S D F G H J K L Ë { } {enter}","{shift} > Y X C V B N M ; : ? {shift}","{accept} {alt} {space} {alt} {cancel}"],alt:["\\ ~ ˇ ^ ˘ ° ˛ ` ˙ ´ ˝ ¨ ¸ {bksp}","{tab} q w € r t z u i o p ÷ ×","ä đ:Shortcut_(/d) Đ:Shortcut_(/D) f g h j ł:Shortcut_(/l) Ł:Shortcut_(/L) $ ß ¤ {enter}","{shift} < y x c @ { } § < > / {shift}","{accept} {alt} {space} {alt} {cancel}"]},$.keyboard.layouts["albanian-qwerty"]={"default":["` 1 2 3 4 5 6 7 8 9 0 - = {bksp}","{tab} q w e r t y u i o p ë '","a s d f g h j k l ; ç # {enter}","{shift} \\ z x c v b n m , . / {shift}","{accept} {alt} {space} {alt} {cancel}"],shift:['¬ ! " § $ % ^ & * ( ) _ + {bksp}',"{tab} Q W E R T Y U I O P Ë @","A S D F G H J K L : Ç ~ {enter}","{shift} ¦ Z X C V B N M < > ? {shift}","{accept} {alt} {space} {alt} {cancel}"],alt:["| 1 2 3 4 5 6 { } [ ] - = {bksp}","{tab} q w € r t y u i o p ÷ ×","a s d f g h j k l ; ç # {enter}","{shift} \\ z x c v b n m , . / {shift}","{accept} {alt} {space} {alt} {cancel}"],"alt-shift":['| ! " § $ % ^ & * ( ) _ + {bksp}',"{tab} Q W € R T Y U I O P Ë @","A S D F G H J K L : Ç ~ {enter}","{shift} ¦ Z X C V B N M < > ? {shift}","{accept} {alt} {space} {alt} {cancel}"]};if(typeof language=="undefined")var language={};language.albanian={display:{a:"✔:Prano (Shift-Enter)",accept:"Prano:Prano (Shift-Enter)",alt:"Alt:Alternativ",b:"←:Hapësirën Mbrapa",bksp:"Bksp:Hapësirën Mbrapa",c:"✖:Anuloj (Arratisjes)",cancel:"Anuloj:Anuloj (Arratisjes)",clear:"C:Qartë",combo:"ö:Kombinimi",dec:".:Decimal",e:"↵:Shkruani",enter:"Shkruani:Shkruani",lock:"⇪ Bllokoj:Caps Lock",s:"⇧:Ndryshim",shift:"Ndryshim:Ndryshim",sign:"±:Ndryshimi Regjistrohu",space:"&nbsp;:Hapësirë",t:"⇥:Tab",tab:"⇥ Tab:Tab"},wheelMessage:"Përdorimi mousewheel për të parë çelësat e tjera"},$.extend(!0,$.keyboard.defaultOptions,language.albanian),$.extend(!0,$.keyboard.defaultOptions.combos,{"¨":{a:"ä",A:"Ä",e:"ë",E:"Ë",i:"ï",I:"Ï",o:"ö",O:"Ö",u:"ü",U:"Ü",y:"ÿ",Y:"Ÿ"},"¸":{c:"ç",C:"Ç"},"/":{d:"đ",D:"Đ",l:"ł",L:"Ł"}}),$.keyboard.comboRegex=/([`\'~\^\"ao\/\u00a8\u00b8])([a-z])/gim;