/* Portuguese (pt) keyboard layout
 * contains layout: 'portuguese-qwerty'
 *
 * To use:
 *  Point to this js file into your page header: <script src="layouts/portuguese-pt.js" type="text/javascript"></script>
 *  Initialize the keyboard using: $('input').keyboard({ layout: 'portuguese-pt' });
 *
 * license for this file: WTFPL, unless the source layout site has a problem with me using them as a reference

 * Portuguese-pt layout by Luiz Castelo-Branco ( translations at Castelo-Branco . org ), based on: 
 * http://ascii-table.com/keyboard.php/163 and/with
 * Unicode 6.2 from http://www.unicode.org/Public/6.2.0/charts/CodeCharts.pdf

*/// portuguese-pt
$.keyboard.layouts["portuguese-qwerty"]={"default":["\\ 1 2 3 4 5 6 7 8 9 0 ' « {bksp}","{tab} q w e r t y u i o p + ´","a s d f g h j k l ç º ~ {enter}","{shift} < z x c v b n m , . - {shift}","{cancel} {space} {alt} {combo} {accept}"],shift:['| ! " # $ % & / ( ) = ? » {bksp}',"{tab} Q W E R T Y U I O P * `","A S D F G H J K L Ç ª ^ {enter}","{shift} > Z X C V B N M ; : _ {shift}","{cancel} {space} {alt} {combo} {accept}"],alt:["\\ 1 @ £ § € 6 { [ ] } ' « {bksp}","{tab} q w € r t y u i o p ̈ ´","a s d f g h j k l ç º ~ {enter}","{shift} < z x c v b n m , . - {shift}","{cancel} {space} {alt} {combo} {accept}"],"alt-shift":['| ! " # $ % & / ( ) = ? » {bksp}',"{tab} Q W € R T Y U I O P ̈ `","A S D F G H J K L Ç ª ^ {enter}","{shift} > Z X C V B N M ; : _ {shift}","{cancel} {space} {alt} {combo} {accept}"]},$.extend(!0,$.keyboard.defaultOptions.combos,{"´":{a:"á",A:"Á",e:"é",E:"É",i:"í",I:"Í",o:"ó",O:"Ó",u:"ú",U:"Ú",y:"ý",Y:"Ý"}}),$.keyboard.defaultOptions.combos["'"]={},$.keyboard.comboRegex=/([`\'~\^\"ao\u00b4])([a-z])/mig;if(typeof language=="undefined")var language={};language.portuguese={display:{a:"✔:Aceitar (Shift-Enter)",accept:"Aceitar:Concluir (Shift-Enter)",alt:"AltGr:Carateres Adicionais/CTRL+ALT",b:"←:Retroceder",bksp:"← Bksp:Retroceder",c:"✖:Cancelar/Escape (Esc)",cancel:"Cancel:Cancelar/Escape(Esc)",clear:"C:Limpar",combo:"ö:Acentuação Automática",dec:".:Decimal",e:"↵:Introduzir/Mudar de Linha",enter:"Enter↵:Introduzir/Mudar de Linha",lock:"⇪ Lock:CapsLock/Maiúsculas",s:"⇧:Shift/Maiúsculas",shift:"⇪ Shift:Maiúsculas-Minúsculas",sign:"±:Mudar Sinal",space:"&nbsp;:Espaço",t:"⇥:Tab/Tabela/Avançar",tab:"⇥ Tab:Tabela/Avançar"},wheelMessage:"Use a roda do rato/navegador para ver mais teclas"},$.extend(!0,$.keyboard.defaultOptions,language.portuguese);