/* Spanish keyboard layouts
 * contains layouts: 'spanish-qwerty' and 'spanish-qwerty-sp'
 *
 * To use:
 *  Point to this js file into your page header: <script src="layouts/spanish.js" type="text/javascript"></script>
 *  Initialize the keyboard using: $('input').keyboard({ layout: 'spanish-qwerty' });
 *
 * license for this file: WTFPL, unless the source layout site has a problem with me using them as a reference
 *
 * Spanish layouts by Paco Alcantara (https://github.com/pacoalcantara)  
 * Based on: http://ascii-table.com/keyboard.php/171 and http://ascii-table.com/keyboard.php/071-2
 */$.keyboard.layouts["spanish-qwerty"]={"default":["| 1 2 3 4 5 6 7 8 9 0 ' ¿ {bksp}","{tab} q w e r t y u i o p ́ +","a s d f g h j k l ñ { } {enter}","{shift} < z x c v b n m , . - {shift}","{accept} {alt} {space} {alt} {cancel}"],shift:['° ! " # $ % & / ( ) = ? ¡ {bksp}',"{tab} Q W E R T Y U I O P ̈ *","A S D F G H J K L Ñ [ ] {enter}","{shift} > Z X C V B N M ; : _ {shift}","{accept} {alt} {space} {alt} {cancel}"],alt:["¬ 1 2 3 4 5 6 7 8 9 0 \\ ¿ {bksp}","{tab} @ w e r t y u i o p ́ ̃","a s d f g h j k l ñ ̂ ̀ {enter}","{shift} < z x c v b n m , . - {shift}","{accept} {alt} {space} {alt} {cancel}"],"alt-shift":['° ! " # $ % & / ( ) = ? ¡ {bksp}',"{tab} Q W E R T Y U I O P ̈ *","A S D F G H J K L Ñ [ ] {enter}","{shift} > Z X C V B N M ; : _ {shift}","{accept} {alt} {space} {alt} {cancel}"]},$.keyboard.layouts["spanish-qwerty-sp"]={"default":["º 1 2 3 4 5 6 7 8 9 0 ' ¡ {bksp}","{tab} q w e r t y u i o p ̀ +","a s d f g h j k l ñ ́ ç {enter}","{shift} < z x c v b n m , . - {shift}","{accept} {alt} {space} {alt} {cancel}"],shift:['ª ! " · $ % & / ( ) = ? ¿ {bksp}',"{tab} Q W E R T Y U I O P ^ *","A S D F G H J K L Ñ ̈ Ç {enter}","{shift} > Z X C V B N M ; : _ {shift}","{accept} {alt} {space} {alt} {cancel}"],alt:["\\ | @ # 4 5 ¬ 7 8 9 0 ' ¡ {bksp}","{tab} q w e r t y u i o p [ ]","a s d f g h j k l ñ { } {enter}","{shift} | z x c v b n m , . - {shift}","{accept} {alt} {space} {alt} {cancel}"],"alt-shift":['ª ! " · $ % & / ( ) = ? ¿ {bksp}',"{tab} Q W E R T Y U I O P [ ]","A S D F G H J K L Ñ { } {enter}","{shift} > Z X C V B N M ; : _ {shift}","{accept} {alt} {space} {alt} {cancel}"]};if(typeof language=="undefined")var language={};language.spanish={display:{a:"✔:Accept (Shift-Enter)",accept:"Accept:Accept (Shift-Enter)",alt:"AltGr:Alternate Graphemes",b:"←:Backspace",bksp:"Bksp:Backspace",c:"✖:Cancel (Esc)",cancel:"Cancel:Cancel (Esc)",clear:"C:Clear",combo:"ö:Toggle Combo Keys",dec:".:Decimal",e:"↵:Enter",enter:"Enter:Enter",lock:"⇪ Lock:Caps Lock",s:"⇧:Shift",shift:"Shift:Shift",sign:"±:Change Sign",space:"&nbsp;:Space",t:"⇥:Tab",tab:"⇥ Tab:Tab"},wheelMessage:"Utilice la rueda del mouse para ver otras teclas"},$.extend(!0,$.keyboard.defaultOptions,language.spanish);