/* Swedish keyboard layouts
 * contains layout: 'swedish-qwerty' & 'swedish-dvorak'
 *
 * To use:
 *  Point to this js file into your page header: <script src="layouts/scandinavian.js" type="text/javascript"></script>
 *  Initialize the keyboard using: $('input').keyboard({ layout: 'swedish-qwerty' });
 *
 * license for this file: WTFPL, unless the source layout site has a problem with me using them as a reference
 *//* qwerty by Mika Perreri Korhonen (https://github.com/jouk0) -  */$.keyboard.layouts["swedish-qwerty"]={"default":["§ 1 2 3 4 5 6 7 8 9 0 + ́ {bksp}","{tab} q w e r t y u i o p å ̈","a s d f g h j k l ö ä ' {enter}","{shift} < z x c v b n m , . - {shift}","{accept} {alt} {space} {alt} {cancel}"],shift:['½ ! " # ¤ % & / ( ) = ? ̀ {bksp}',"{tab} Q W E R T Y U I O P Å ̂","A S D F G H J K L Ö Ä * {enter}","{shift} > Z X C V B N M ; : _ {shift}","{accept} {alt} {space} {alt} {cancel}"],alt:["§ 1 @ £ $ 5 6 { [ ] } \\ ́ {bksp}","{tab} q w € r t y u i o p å ̃","a s d f g h j k l ö ä ' {enter}","{shift} | z x c v b n µ , . - {shift}","{accept} {alt} {space} {alt} {cancel}"]},$.keyboard.layouts["swedish-dvorak"]={"default":["§ 1 2 3 4 5 6 7 8 9 0 + ́ {bksp}","{tab} ö å ä p y f g c r l q ¨","a o e u i d h t n s - < {enter}","{shift} ' , . j k x b m w v z {shift}","{accept} {alt} {space} {alt} {cancel}"],shift:['½ ! " # ¤ % & / ( ) = ? ` {bksp}',"{tab} Ö Å Ä P Y F G C R L Q ^","A O E U I D H T N S _ > {enter}","{shift} * ; : J K X B M W V Z {shift}","{accept} {alt} {space} {alt} {cancel}"],alt:["§ 1 @ £ $ 5 6 { [ ] } \\ ´ {bksp}","{tab} ö å ä p y f g c r l q ~","a o e u i d h t n s - | {enter}","{shift} ' , . j k x b m w v z {shift}","{accept} {alt} {space} {alt} {cancel}"]};if(typeof language=="undefined")var language={};language.swedish={display:{a:"✔:Accept (Shift-Enter)",accept:"Accept:Accept (Shift-Enter)",alt:"AltGr:Alternate Graphemes",b:"←:Backspace",bksp:"Bksp:Backspace",c:"✖:Cancel (Esc)",cancel:"Cancel:Cancel (Esc)",clear:"C:Clear",combo:"ö:Toggle Combo Keys",dec:".:Decimal",e:"↵:Enter",enter:"Enter:Enter",lock:"⇪ Lock:Caps Lock",s:"⇧:Shift",shift:"Shift:Shift",sign:"±:Change Sign",space:"&nbsp;:Space",t:"⇥:Tab",tab:"⇥ Tab:Tab"},wheelMessage:"Use mousewheel to see other keys"},$.extend(!0,$.keyboard.defaultOptions,language.swedish);