{# Gateway/Process configuration list #}
{% set _elementConfigurationList ={
	'PESSGateway':{
		'table':'DPAD_PESS_CONFIGURATION',
		'CSs':{
			'PESSSERIAL':{
				'name':'PESSSERIAL',
				'type':'PESS',
				'description':getConstant('_DPAD_DBCONSTANT_PESS_CS_PESSSERIAL')|encode4jscript,
				'options':{
					'DPAD_PESS_SERIALPORT':{
						'as':'select',
						'name':'DPAD_PESS_SERIALPORT',
						'description':getConstant('_DPAD_DBCONSTANT_PESS_CONFIGURATION_SERIALDEVICE')|encode4jscript,
						'defaultValue':getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL')|encode4jscript,
						'options':{
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL_LABEL'))|encode4jscript,
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_0'))|encode4jscript,
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_1')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_1'))|encode4jscript
						}
					}
				}
			}
		}
	}
} %}
{{ _elementConfigurationList|json_encode() }}