{# Gateway/Process configuration list #}
{% set _elementConfigurationList ={
	'SECURFORCEGateway':{
		'table':'DPAD_SECURFORCE_CONFIGURATION',
		'CSs':{
			'SECURFORCESERIAL':{
				'name':'SECURFORCESERIAL',
				'type':'SECURFORCE',
				'description':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CS_SECURFORCESERIAL')|encode4jscript,
				'options':{
					'DPAD_SECURFORCE_SERIALPORT':{
						'as':'select',
						'name':'DPAD_SECURFORCE_SERIALPORT',
						'description':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CONFIGURATION_SERIALDEVICE')|encode4jscript,
						'defaultValue':getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript,
						'options':{
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL_LABEL'))|encode4jscript,
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_0'))|encode4jscript,
							(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_1')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_1'))|encode4jscript
						}
					},
					'DPAD_SECURFORCE_ENABLEPOLLING':{
						'as':'checkbox',
						'name':'DPAD_SECURFORCE_ENABLEPOLLING',
						'description':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CONFIGURATION_ENABLEPOLLING')|encode4jscript,
						'defaultValue':1
					}
				}
			},
			'SECURFORCEETHERNET':{
				'name':'SECURFORCEETHERNET',
				'type':'SECURFORCE',
				'description':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CS_SECURFORCEETHERNET')|encode4jscript,
				'options':{
					'DPAD_SECURFORCE_ETHERNET_ADDRESS':{
						'as':'textbox',
						'name':'DPAD_SECURFORCE_ETHERNET_ADDRESS',
						'description':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CONFIGURATION_ETHERNET_ADDRESS')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CONFIGURATION_ETHERNET_ADDRESS_DEFAULTVALUE')|encode4jscript,
					},
					'DPAD_SECURFORCE_ETHERNET_PORT':{
						'as':'textbox',
						'name':'DPAD_SECURFORCE_ETHERNET_PORT',
						'description':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CONFIGURATION_ETHERNET_PORT')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SECURFORCE_CONFIGURATION_ETHERNET_PORT_DEFAULTVALUE')|encode4jscript,
					}
				}
			}
		}
	}
} %}
{{ _elementConfigurationList|json_encode() }}