{# Gateway/Process configuration list #}
{% set _elementConfigurationList ={
	'EDPGateway':{
		'table':'DPAD_EDP_CONFIGURATION',
		'CSs':{
			'EDPETHERNET':{
				'name':'EDPETHERNET',
				'type':'EDP',
				'description':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CS_EDPETHERNET')|encode4jscript,
				'options':{
					'DPAD_EDP_PANEL_ID':{
						'as':'textbox',
						'name':'DPAD_EDP_PANEL_ID',
						'description':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_PANEL_ID')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_PANEL_ID_DEFAULTVALUE')|encode4jscript
					},
					'DPAD_EDP_ETHERNET_PANEL_ADDRESS':{
						'as':'textbox',
						'name':'DPAD_EDP_ETHERNET_PANEL_ADDRESS',
						'description':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_ETHERNET_PANEL_ADDRESS')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_ETHERNET_PANEL_ADDRESS_DEFAULTVALUE')|encode4jscript
					},
					'DPAD_EDP_ETHERNET_PANEL_PORT':{
						'as':'textbox',
						'name':'DPAD_EDP_ETHERNET_PANEL_PORT',
						'description':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_ETHERNET_PANEL_PORT')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_ETHERNET_PANEL_PORT_DEFAULTVALUE')|encode4jscript
					},
					'DPAD_EDP_GATEWAY_ID':{
						'as':'textbox',
						'name':'DPAD_EDP_GATEWAY_ID',
						'description':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_GATEWAY_ID')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_GATEWAY_ID_DEFAULTVALUE')|encode4jscript
					},
					'DPAD_EDP_ETHERNET_GATEWAY_PORT':{
						'as':'textbox',
						'name':'DPAD_EDP_ETHERNET_GATEWAY_PORT',
						'description':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_GATEWAY_PORT')|encode4jscript,
						'defaultValue':getConstant('_DPAD_DBCONSTANT_SIEMENSEDP_CONFIGURATION_GATEWAY_DEFAULTVALUE')|encode4jscript
					}
				}
			}
		}
	}
} %}
{{ _elementConfigurationList|json_encode() }}