{% extends "debug.window.tpl" %}
{% block title %}{{ template_name }}{% endblock %}
{% block body %}
<h1>Twig Debug Console  - {{ template_name }}</br>Total Time {{ execution_time|number_format }} seconds</h1>
<h2>Assigned template variables</h2>
<table id="table_assigned_vars">
	{% for key,value in assigned_vars %}
       <tr class="{% if (loop.index%2)==0 %}odd{% else %}even{% endif %}">   
       <th>${{ key|escape }}</th>
       <td>{{ value }}</td></tr>
    {% endfor %}
</table>

<h2>TPL Actions (load time in seconds)</h2>
<div>
{% for key,debug in debug_output %}
  {{ debug.date }}
  <span class="exectime">
	({{ debug.execution_time }})
  </span>
  -
  {{ debug.message }}
  <br>
{% endfor %}
</div>
{% endblock %}