{# TAB Title #}
{% set debug_tab_title %}{% block title %}{% endblock %}{% endset %}
{# TAB html #}
{% set debug_tab_html %}{% block body %}{% endblock %}{% endset %}
<script type="text/javascript">
	$(document).ready(function(){
		var _oDebuggingScope = ( iM ? iM.getScope($('div#debuggingTools')) : null );
		if( _oDebuggingScope ){
			_oDebuggingScope.refreshTabsData("{{ debug_tab_title|escape('js') }}","{{ debug_tab_html|escape('js') }}","{{ tab_type }}");
		} else if( rM ){
			if( !rM.__debuggingTabsToHandle ){
				rM.__debuggingTabsToHandle=new Array();
			}
			rM.__debuggingTabsToHandle.push({
				title:'{{ debug_tab_title|escape('js') }}',
				html:'{{ debug_tab_html|escape('js') }}',
				tab_type:'{{ tab_type }}'
			});
		} else {
			console.error('Unable to log data for title:"{{ debug_tab_title|escape('js') }}" Type:[{{ tab_type }}]\nHTML:"{{ debug_tab_html|escape('js') }}"');
		}
	});
</script>
