{% include file="externalframe.doctype.tpl" %}
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset={{page.charset}}" />
		<meta http-equiv="content-language" content="{{page.language}}" />
		<meta name="robots" content="{{page.meta_robots}}" />
		<meta name="keywords" content="{{page.meta_keywords}}>" />
		<meta name="description" content="{{page.meta_description}}>" />
		<meta name="rating" content="{{page.meta_rating}}" />
		<meta name="author" content="{{page.meta_author}}" />
		<meta name="copyright" content="{{page.meta_copyright}}" />
		<meta name="generator" content="{{page.meta_generator}}" />
		<title>{{page.title}}</title>
		<link href="{{page.baseurl}}/images/favicon.ico" rel="SHORTCUT ICON" />
		<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/style.css" />
		{# Client-side scripts #}
		{# Script_Includes: Begin #}
		{{page.script_includes}}
		{# Script_Includes: End #}
		<script type='text/javascript' src='{{ theme.datas.current_baseurl }}include/theme.js'></script>
		<script type='text/javascript'>
			function page_redirect(){
				window.location = '{{page.return_url}}';
			}
			function page_load(){
				setTimeout('page_redirect()',{{page.timeout}}*1000);
			}
		</script>
	</head>
	{# Body container #}
	<body onLoad="page_load();">
	<table>
		<tr>
			<td>
				{{page.message}}
			</td>
		</tr>
		<tr>
			<td>
				<a href="{{page.return_url}}" style="color: black;"><b>{{page.link}}</b></a>
			</td>
		</tr>
	</table>
	</body>
</html>