{# Theme Options Configurations #}
<jsIncludes>
{{html_includejs("jquery.ui.dialog.min.j","js")}}
{{html_includejs("jquery.scrollTo.js","js")}}
{{html_includejs("jquery.overscroll.js","js")}}
{{html_includejs("jquery.form.js","js")}}
</jsIncludes>
<jsScopeScripts>
	var page_title='{{page.page_title}}';
	this.return_url=null;
	this.onLoad=function(){
		var jTables=$(this.getScopeSelector()).find('input[id^=\'enable_\']');
		for (var i=0;i<jTables.length;i++){
			var jTable=jTables.eq(i);
			var bEnabled=((jTable.attr('checked')||parseInt(jTable.val()))?1:0);
			var sSelector='#'+jTable.parents('table[id$=\'_table\']').attr('id');
			this.enableEthernetPort(sSelector,bEnabled);
		}
{#
		//TODO: cambiare maskedinput affinch mascheri dei field e non solo un elenco fisso di caratteri
		$.mask.definitions['@']='^([01]?[0-9]?[0-9]|2[0-4][0-9]|25[0-5])$';
		$.mask.type='field';
		$(this.getScopeSelector()).find('input[type=\'text\']').each(function(){
			$(this).mask('@.@.@');
		});
#}
		this.getNetworkForm().ajaxForm({ 
			beforeSubmit:$.proxy(this.checkNetwork,this),
			success:$.proxy(this.updateNetworkSuccess,this),
			dataType:'xml'
		});
        themeManager.title_show(page_title);
		if( !this.return_url ){
			$(this.getScopeSelector()).find('#back_button').hide();
		} else {
			$(this.getScopeSelector()).find('#back_button').show();
		}
		themeManager.waitplease_display(false);
	}
	
	this.onTransitionDone=function(){
			this._setScrollable();
	}
		
	this._setScrollable=function(){
		$(this.getScopeSelector()).find('div#network_container').height(results_height);
	}
	
	this.getNetworkDialog=function(){
		if(!this.jNetworkDialog){
			this.jNetworkDialog=$(this.getScopeSelector()).find('#network_message').dialog({
				autoOpen:false,
				draggable:false,
				resizable:false,
				title:'{{getConstant("_DPAD_GENERAL_WARNING")}}',
				buttons:{
					'{{getConstant("_DPAD_GENERAL_SAVE")}}':$.proxy(this.updateNetworkIgnoringCheckDNS,this),
					'{{getConstant("_DPAD_GENERAL_CANCEL")}}':function(){$(this).dialog('close');}
				},
				modal:true
			});
		}
		return this.jNetworkDialog;
	}
	this.getNetworkForm=function(){
		return $(this.getScopeSelector()).find('#network_form');
	}
	this.getNetworkFormSubmit=function(){
		return $(this.getScopeSelector()).find('#submit');
	}
	this.getNetworkFormCheckDNS=function(){
		return $(this.getScopeSelector()).find('#check_dns');
	}
	this.enableEthernetPort=function(sSelector,bEnable){
		var jElement=$(this.getScopeSelector()).find(sSelector);
		if(bEnable==true){
			jElement.find('input').removeAttr('disabled');
			jElement.fadeTo('slow',1.0);
		}
		else{
			jElement.fadeTo('slow',0.2);
			jElement.find('input').attr('disabled', 'disabled');
		}
	}
	this.enableCheckDNS=function(bEnable){
		this.getNetworkFormCheckDNS().val(bEnable);
	}
	this.checkNetwork=function(){
		var dns_servers=$(this.getScopeSelector()).find('input[id^=\'dns_server_\'][type=\'text\']');
		var test_dns=true;
		if(this.getNetworkFormCheckDNS().val()==true){
			test_dns=false;
			for(var i=0;i<dns_servers.length;i++){
				test_dns=test_dns||(dns_servers.eq(i).val()?true:false);
			}
		}
		if(test_dns==true){	
			themeManager.waitplease_display(true);
			return true;
		}
		this.getNetworkDialog().dialog('open');
		themeManager.waitplease_display(false);
		return false;
	}
	this.updateNetworkIgnoringCheckDNS=function(){
		this.enableCheckDNS(false);
		this.updateNetwork();
	}
	this.updateNetwork=function(){
		this.getNetworkDialog().dialog('close');
		this.getNetworkFormSubmit().val(1);
		this.getNetworkForm().trigger('submit');
	}
	this.updateNetworkSuccess=function(responseText,statusText,xhr,form){
		this.getNetworkFormSubmit().val(0);
		this.enableCheckDNS(true);
		themeManager.waitplease_display(false);
		var oXML=rM.XML(xml);
		var result=parseFloat(oXML.get('result'));
		var message=oXML.get('message');
		if(result!={{ getConstant("_DPAD_RESULT_NOERROR") }}){
			themeManager.showMessage(message,'error');
		}
		else{
			themeManager.showMessage(message,'info');
		}
	}
	this.back = function(){
		if(this.return_url)iM.openInstance(this.return_url);
	}
</jsScopeScripts>
