{# Theme Options Configurations #}
<jsIncludes>
{{html_includejs("jsDpadBlock.js","js")}}
{{html_includejs("jquery.selectboxes.js","js")}}
{{html_includejs("jquery.overscroll.js","js")}}
</jsIncludes>
<jsScopeScripts>
	var arr_theme_options=new Array();
	this.onLoad=function(){
		$(this.getScopeSelector()).find('table#theme_options').html("");
		var query='SELECT DWV.*,DW.LABEL,DW.DRAW_AS,DW.HAS_OPTIONS,DW.OPTIONS,DW.OPTIONS_EXTERNAL_FUNCTION FROM DPAD_WEB_CONFIGURATION_VALUES AS DWV INNER JOIN DPAD_WEB_CONFIGURATION AS DW ON (DWV.CONFIGURATION_NAME=DW.NAME) WHERE DWV.THEME_NAME=\''+themeManager.getName()+'\' AND DWV.IS_VISIBLE=1;';
		dbManager.executeSQL(query,Math.random(),$.proxy(this.loadConfigurationsCallback,this));
	}
	this.loadConfigurationsCallback=function(result_array){
		arr_theme_options = new Array();
		for(var i in result_array){
			var data=result_array[i];
			if(data['HAS_OPTIONS']==1){
				data['OPTIONS']=data['OPTIONS'].replace(/=>/g,':');
			}
			arr_theme_options.push({"ID":data['ID'],"VALUE":data['VALUE']});
			var row_html='<tr><td style=\'padding:2px\'>'+data['LABEL']+':'+drawM.draw(data['DRAW_AS'],{
					id:'theme_option_'+data['ID'],
					htmlClass:'wizard_select',
					value:data['VALUE'],
					options:((data['HAS_OPTIONS']==1)?data['OPTIONS']:null),
					onChange:this.getScope(true)+'.updateThemeOption('+i+',this.id.replace(\'theme_option_\',\'\'),this.value);',
					onlyHTML:true
				})+'</td></tr>';
			$(this.getScopeSelector()).find('table#theme_options').append(row_html);
		}
	}
	this.updateThemeOption=function(index,id,value){
		if(arr_theme_options[index]["ID"]==id)arr_theme_options[index]["VALUE"]=value;
	}
	this.updateThemeOptions=function(){
		themeManager.waitplease_display(true);
		for(var i=0;i<arr_theme_options.length;i++){
			var query='UPDATE DPAD_WEB_CONFIGURATION_VALUES SET VALUE=\''+arr_theme_options[i]["VALUE"]+'\' WHERE ID='+arr_theme_options[i]["ID"]+';';
			dbManager.executeSQL(query,Math.random(),$.proxy(this.updateThemeOptions_callback,this,i));
		}
	}
	this.updateThemeOptions_callback=function(current_index,result_array){
		if(!current_index)	current_index=0;
		if(current_index==arr_theme_options.length-1)this.reloadWindowCallback();
	}
	this.reloadWindowCallback=function(){
		$.post(
			'../system/dpadaction.php',
			{op:'clear_all_and_swap',output_format:"xml"},
			function(xml){
				themeManager.waitplease_display(false);
				//Identifying result and message
				var oXML=rM.XML(xml);
				var result=oXML.get('result');
				var message=oXML.get('message');
				//Handling result
				if(result != '{{ getConstant("_DPAD_RESULT_NOERROR") }}'){
					themeManager.showMessage(message,'error');
				}
				else{
					window.location='../system/externalframe.php?url=' + themeManager.administration_url;
				}
			}
		);
	}
	this.back = function(){
		iM.openInstance(themeManager.administration_url);
	}
</jsScopeScripts>
