{% extends "scope.editobject.generic.tpl" %}

{% block block_includeJsCustom %}
	{{ html_includejs("jquery.encoding.sha1.js","js") }}
	{{ html_includejs("jquery.base64.js","js") }}
	{{ html_includejs("jquery.phppack.js","js") }}
{% endblock %}

{% block block_customFunctions %}
{{ parent() }}

this._charEnter='[CRLF]';

this._getObjTagSelector=function(objId){
	return '#obj'+objId;
}

this._buildMsp=function(sTo,sCc,sBcc){
	var resultMsp='';
	if(sTo)resultMsp+='To: '+sTo;
	if(sCc)resultMsp+=this._charEnter+'Cc: '+sCc;
	if(sBcc)resultMsp+=this._charEnter+'Bcc: '+sBcc;
	resultMsp+=this._charEnter;
	return resultMsp;
}

this.updateSubject=function(objId){
	var sSubject=$(this.getScopeSelector()).find(this._getObjTagSelector(objId)+'_description').val();
	objM.updateFieldObj(objId,'description','Subject: '+sSubject+'[CRLF]');
}

this.updateMsp=function(objId){
	var objTagSelector=this._getObjTagSelector(objId);
	var msp=this._buildMsp(
		$(this.getScopeSelector()).find(objTagSelector+'_address_to').val(),
		$(this.getScopeSelector()).find(objTagSelector+'_address_cc').val(),
		$(this.getScopeSelector()).find(objTagSelector+'_address_ccn').val()
	);
	objM.updateFieldObj(objId,'msp',msp);
}

{% endblock %}
