{% extends "scope.editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_reloadCSService %}
	this.userInteractionEnableDisable(false);
	this._updateSMStooldConfiguration(
		$.proxy(this.userInteractionEnableDisable,this,true)
	);
{% endblock block_reloadCSService %}


{% block block_customFunctions %}
	{{ parent() }}
	
	this._updateSMStooldConfiguration=function(fCallback){
		rM.ajax({
			url: '../sms/dpadaction.php',
			data: {op:'updateConfiguration'},
			timeout:false,
			success:$.proxy(this._updateSMStooldConfigurationSuccess,this,
				$.proxy(this._restartDpadd,this,fCallback)
			)
		});
	}
	
	this._updateSMStooldConfigurationSuccess=function(fCallback,xml){
		var _oXMLresponse=rM.XML(xml);
		var result=_oXMLresponse.get('result');
		var message=_oXMLresponse.get('message');
		if(result!=0){
			themeManager.showMessage(message,'warning');
		}
		else if(message!='')themeManager.showMessage(message,'info');
		if(fCallback)fCallback();
	}
	
{% endblock block_customFunctions %}