{* Grid Manager content containing table *}
<jsIncludes>
{html_includejs name="jquery.js" type="js" }
{html_includejs name="jquery.soapclient.js" type="js" }
{html_includejs name="jquery.effects.slide.js" type="js" }
{html_includejs name="jsDpadBlock.js" type="js" }
</jsIncludes>
<jsScopeScripts>
{literal}
    this.id=null;
	this.registered_ids=new Array();
    this.is_initialized=false;
    this.search_index=0;
	{/literal}{* If Tpl Tag is not numeric like the "Meteo" Tag, 6 are the items to look for *}{literal}
    this.search_items_for_search={/literal}{if is_numeric($template.tag)}{$template.tag}{else}6{/if}{literal};
    this.block_grid=new jsDpadBlock(objM,drawM);
    this.block_grid._objVarName='block_grid';
    this.block_grid.form_name='form_block_grid';
	this.block_grid.render_container_selector=this.getScopeSelector()+' #block_grid_div';
    this.block_grid.prototype_item='{/literal}{include_core_func file="grid_`$template.tag`_item.tpl" default_file="grid_item.tpl"  isPrototype=true}{literal}';
    this.block_grid.prototype_container='{/literal}{include_core_func file="grid_`$template.tag`_container.tpl" isPrototype=true}{literal}';
	this.block_grid.results_filter_func=function(datas){ 
		return parseInt(datas.obj.is_visible) == 1 && !(datas.obj.type=="SEARCHFOLDER" || datas.obj.type=="CLIENTBROWSER" || datas.obj.type=="DAILYSCHEDULE" || datas.obj.type=="USER" || datas.obj.type=="USERGROUP" || datas.obj.type=="USERPERMISSION" || datas.obj.type=="EIBGROUP");
		if(datas.obj.is_visible==1) return true;
		else return false;
	}
	
    this.onLoad=function() {
		themeManager.window_resizable_element_register('grid_scrollable_containing_div',this.getScopeSelector());
		{/literal}{* Setting containing div's height according to screen size (only in MSIE) *}{literal}
        if(rM.isIEBrowser()){
			themeManager.window_size_update();
		}
		{/literal}{* Managing missing ID *}{literal}
		if(!this.id){
            themeManager.showMessage('{/literal}{$smarty.const._DPAD_GENERAL_ERROR_OBJECT_IDNOTVALID|replace:"'":"\'"}{literal}','alarm');
            return;
        }
		{/literal}{* Initialization *}{literal}
		if( !this.is_initialized ){
			themeManager.waitplease_display(true);
			objM.getObjsFromId(this.id,$.proxy(this.init_environment,this));
		} else {
			themeManager.title_show(objM.getObj(this.id).name);
			for(var i in this.registered_ids)objM.addAllocatedObj(this.registered_ids[i]);
		}
    }
	
	this.onUnload=function() {
		for(var i in this.registered_ids)objM.freeAllocatedObj(this.registered_ids[i]);
	}
	
	this.init_environment=function(){
		objM.getObj(this.id).getSurroundings(
			$.proxy(this.block_grid_render,this),{
				index: this.search_index,
				offset: (this.search_items_for_search+1)
			}
		);
	}
	
    this.block_grid_render=function(result_array) {
		{/literal}{* Checking Permission *}{literal}
		if(objM.getObj(this.id).has_permission()!=true){
			themeManager.showMessage('{/literal}{$smarty.const._DPAD_SYSTEM_PERMISSIONS_ERROR_VIEWLIST_GROUP_PERMISSION_NOT_OWNED|replace:"'":"\'"}{literal}','alarm');
			return;
		}
	    this.is_initialized=true;
	    var relation_array=objM.getRelationsFromParent(this.id);
	    this.block_grid.row_array=result_array.slice(0);
	    this.block_grid.row_relation_array=relation_array;
	    //this.block_grid.render(0,({/literal}parseInt(String('{$template.tag}').replace(/^[0]+/g,''))-1{literal}));
		this.block_grid.render(0,({/literal}this.search_items_for_search-1{literal}));
		$(this.getScopeSelector()).find('#form_block_grid_background_image').attr('src','../supervision/images/background/'+objM.getObj(this.id).options.background_image_path).disableSelection();
		themeManager.title_show(objM.getObj(this.id).name);
		for(var i in relation_array){
			var id=relation_array[i]['CHILDOBJ_ID'];
			this.registered_ids.push(id);
			objM.addAllocatedObj(id);
		}
		themeManager.waitplease_display(false);
    }
    {/literal}
</jsScopeScripts>