{* Logger Manager content containing table *}
<jsIncludes>
{html_includejs name="jquery.js" type="js" }
{html_includejs name="jquery.scrollTo.js" type="js" }
{html_includejs name="jquery.overscroll.js" type="js" }
{html_includejs name="jsDpadBlock.js" type="js" }
{html_includejs name="jquery.form.js" type="js"}
{html_includejs name="jquery.table2CSV.js" type="js" }
</jsIncludes>
<jsScopeScripts>
{literal}
	this._initiliazed=false;
	this._scrollOffset=100;
	this._searchNextCounter=0;
	this._searchOffset=30;
	this._scrollTimeoutHandler=null;
	this._dbTable=null;
	this._dbWhere=1;
	this._dbOrder=null;
	this._title=null;
	
	{/literal}
	{include_core_func 
		file="prototype.block.tpl"
		include_mode="declaration"
		block_name="block_logger"
		block_render_container_selector="this.getScopeSelector()+' #logger_container'"
		prototype_container="$(this.getScopeSelector()).find('div#logger_container_prototype').html();"
	}
	{literal}

    this.onLoad=function(){
		if(!this._initiliazed){
			switch(this._dbTable){
				case 'DPADD_TRACK':
					if(!this._dbOrder)this._dbOrder='ID DESC';
				break;
				default:
					this._dbTable='DPAD_LOG';
					if(!this._dbOrder)this._dbOrder='POST_TIMESTAMP DESC';
				break;
			}
			if(this._title)$(this.getScopeSelector()).find('#page_title').html(rM.getConstant(this._title));
			var sTag=this._dbTable.toLowerCase();
			this.block_logger.prototype_header=$(this.getScopeSelector()).find('table#logger_'+sTag+'_header_prototype > tbody').html();
			this.block_logger.prototype_item=$(this.getScopeSelector()).find('table#logger_'+sTag+'_row_prototype > tbody').html();
			if(!this.return_url)$(this.getScopeSelector()).find('#back_button').hide();
			else $(this.getScopeSelector()).find('#back_button').show();
			var _iHeight = themeManager.getWindowSize().height - 36;
			var _jWindow = this.getResultsContainer();
			_jWindow.height( _iHeight );
			this._setScrollable();
			_jWindow.scroll(
				function(e){
					var target = $(this);
					var inner = $(this).children();
					if( ( target.offset().top + target.height() )==( inner.offset().top + inner.outerHeight() ) ){
						iM.getScope(e.target).getNextSearch();
					}
				}
			);
			this._initiliazed = true;
		}
		this.refresh();
    }
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable(this.getResultsContainer(),{direction:'vertical'});
	}
	
	this.back=function(){
		if(this.return_url)iM.openInstance(this.return_url);
	}
	
	this.lookForLogs=function(dbParams){
		if(!dbParams)dbParams={};
		if(!dbParams.order)dbParams.order=this._dbOrder;
		if(!dbParams.limit)dbParams.limit={
			index:this._searchNextCounter,
			offset:this._searchOffset
		};
		if(!dbParams.limit.index && dbParams.limit.index!=0)dbParams.limit.index=this._searchNextCounter;
		if(!dbParams.limit.offset && dbParams.limit.offset!=0)dbParams.limit.offset=this._searchOffset;
		themeManager.waitplease_display(true);
		var query='SELECT * FROM '+this._dbTable+' WHERE ('+this._dbWhere+(dbParams.where?' AND ('+dbParams.where+')':'')+') '+(dbParams.order?'ORDER BY '+dbParams.order+' ':'')+'LIMIT '+dbParams.limit.index+','+dbParams.limit.offset+';';
		dbManager.executeSQL(query,Math.random(),$.proxy(this.lookForLogsCallback,this));
	}
	
	this.lookForLogsCallback=function(result_array){
		switch(this._dbTable){
			case 'DPADD_TRACK':
				var ids=new Array();
				for(var i in result_array){
					var bFound=false;
					for(var j in ids){
						if(ids[j]==result_array[i]['TRACKED_OBJID']){
							bFound=true;
							break;
						}
					}
					if(!bFound)ids.push(result_array[i]['TRACKED_OBJID']);
				}
				ids=ids.join(',');
				objM.getObjsSurrounding(ids,$.proxy(this._lookForLogsCallbackCallback,this,result_array));
			break;
			default:
				this.renderBlock(null,result_array);
			break;
		}
	}
	this._lookForLogsCallbackCallback=function(query_result_array,objects_result_array){
		this.renderBlock(objects_result_array,query_result_array);
	}
	
	this.mergingResults=function(query_result_array){
		if(!this.block_logger.row_array)this.block_logger.row_array=new Array();
		var result_array=query_result_array.slice(0);
		if(result_array)for(var i in result_array)this.block_logger.row_array.push(result_array[i]);
	}
	
	this.renderBlock=function(objects_result_array,query_result_array){
		this.mergingResults(query_result_array);
		var tot=Math.min(this._searchNextCounter+this._searchOffset,this.block_logger.row_array.length);
		this.block_logger.render(0,tot);
		if(query_result_array.length<this._searchOffset)this._searchNextCounter-=(this._searchOffset-query_result_array.length);
		themeManager.waitplease_display(false);
	}
	
	this.getNextSearch=function(){
		this._searchNextCounter+=this._searchOffset;
		switch(this._dbTable){
			case 'DPADD_TRACK':
				this.lookForLogs({
					where:'ID<'+this.block_logger.row_array[this.block_logger.row_array.length-1]['ID'],
					limit:{index:0}
				});
			break;
			case 'DPADD_LOG':
				this.lookForLogs({
					where:'POST_TIMESTAMP<'+this.block_logger.row_array[this.block_logger.row_array.length-1]['POST_TIMESTAMP'],
					limit:{index:0}
				});
			break;
			default:
				this.lookForLogs();
			break;
		}
	}
	
	this.getForm=function(){
		return $(this.getScopeSelector()).find('#file_form');
	}
	
	this.getLoggerTableSelector=function(){
		return '#block_logger_container_results';
	}
	
	this.getResultsContainer=function(){
		return $(this.getScopeSelector()).find('.grid_external_payload_scrollable_div');
	}
	this.refresh=function(){
		this._searchNextCounter=0;
		this.getResultsContainer().scrollTo(0);
		this.lookForLogs();
	}
	
	this.export=function(){
		this.getForm().ajaxSubmit({
			url:'../system/dpadaction.php',
			iframe:true,
			data:{op:'export_track',whereDb:this._dbWhere}
		});
	}
	
	this.exportLocal=function(){
		var csv=$(this.getScopeSelector()).find(this.getLoggerTableSelector()).table2CSV({delivery:'value'});
		this.getForm().ajaxSubmit({
			iframe:true,
			data:{op:'saveas',filename:'log_export.csv',content:csv}
			/*
			//The library is unable to handle correctly the success function when iframe is set to true and a file is not uploaded...
			,
			beforeSubmit:function(formData,jqForm,options){
				themeManager.waitplease_display(true);
			},
			success:function(responseText,statusText,xhr,form){
				themeManager.waitplease_display(false);
			}
			*/
		});
	}
	
	this.scrollUp=function(){
		this.scroll('-='+this._scrollOffset+'px');
		if(!this._scrollTimeoutHandler)this._scrollTimeoutHandler=setTimeout('iM.getScopeFromActiveView().scrollUp()',250);
	}
	
	this.scrollDown=function(){
		this.scroll('+='+this._scrollOffset+'px');
		if(!this._scrollTimeoutHandler)this._scrollTimeoutHandler=setTimeout('iM.getScopeFromActiveView().scrollDown()',250);
	}
	
	this.scrollStop=function(){
		clearTimeout(this._scrollTimeoutHandler);
		this._scrollTimeoutHandler=null;
	}
	
	this.scroll=function(sDelta){
		this.getResultsContainer().scrollTo(sDelta,'100',{axis:'y'});
	}
	
    {/literal}
</jsScopeScripts>
<form id="file_form" name="file_form" method="post" action="../system/dpadaction.php"></form>
{*
<iframe id="log_download_iframe" style="display:none" src=""></iframe>
*}