--Theme: CORE update_0.0.4_to_0.0.5.sql

--Toggle Symbol Core component
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES ( NULL,'jsDpadRenderingTogglesymbolCore.class.js','core','theme','../../themes/core/script/components/togglesymbol/jsDpadRenderingTogglesymbolCore.class.js','jsDpadRenderingImageCore.class.js');

--Jquery Libs
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME='jquery.farbtastic.js';
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.farbtastic.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.farbtastic.js', 'jquery.min.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.fileupload-ui.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.fileupload-ui.js', 'jquery.min.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.fileupload.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.fileupload.js', 'jquery.fileupload-ui.js');

--Moving Jquery Libs from system to core (in the future core libs will be overwritten by specific theme libs!)
UPDATE DPAD_WEB_JSCRIPT SET MODULE='core',MODULE_TYPE='theme',INCLUDE_PATH=replace(replace(replace(replace(INCLUDE_PATH,'../system/','../../themes/core/'),'/1.4.2',''),'/lib',''),'plugin','plugins') WHERE MODULE='system' AND JSNAME LIKE'%jquery%';
--Adding Plugin to handle iPhone/iPad touch event on dragging
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.mouse.touchevents.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.ui.mouse.touchevents.js', 'jquery.ui.core.min.js');
--Adding UI Effects
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.core.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.core.min.js', 'jquery.ui.core.min.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.highlight.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.highlight.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.transfer.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.transfer.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.blind.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.blind.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.bounce.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.bounce.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.clip.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.clip.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.drop.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.drop.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.explode.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.explode.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.fade.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.fade.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.fold.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.fold.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.pulsate.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.pulsate.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.scale.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.scale.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.shake.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.shake.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.slide.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.slide.min.js', 'jquery.effects.core.js');

--Updating Renderings
UPDATE DPADD_RENDERING SET OPTION_SYMBOLS='0=>"button_label_prio.png",2=>"button_label_arrow_up.png",3=>"button_label_arrow_down.png' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_CONTROL_2BIT_UP_DOWN';
UPDATE DPADD_RENDERING SET OPTION_SYMBOLS='0=>"button_label_stop.png",1=>"button_label_arrow_down.png",9=>"button_label_arrow_up.png' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_AUDIO_DIMMING_4BIT';

UPDATE DPAD_WEB_THEME SET VERSION = "0.0.5" WHERE NAME = "core";