--Theme: CORE update_0.0.5_to_0.0.6.sql

--Moving Jquery Libs from system to core (in the future core libs will be overwritten by specific theme libs!)
UPDATE DPAD_WEB_JSCRIPT SET MODULE='core',MODULE_TYPE='theme',INCLUDE_PATH=replace(replace(replace(replace(INCLUDE_PATH,'../system/','../../themes/core/'),'/1.4.2',''),'/lib',''),'plugin','plugins') WHERE MODULE='system' AND JSNAME LIKE'%jquery%';

--Deleting previously eventually created scripts that we are going to re-insert
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME IN('jquery.ui.mouse.touchevents.js','jquery.effects.core.js','jquery.effects.highlight.js','jquery.effects.transfer.js','jquery.effects.blind.js','jquery.effects.bounce.js','jquery.effects.clip.js','jquery.effects.drop.js','jquery.effects.explode.js','jquery.effects.fade.js','jquery.effects.fold.js','jquery.effects.pulsate.js','jquery.effects.scale.js','jquery.effects.shake.js','jquery.effects.slide.js','jquery.farbtastic.js','jquery.fileupload-ui.js','jquery.fileupload.js') AND MODULE='core' AND MODULE_TYPE='theme';

--Adding Plugin to handle iPhone/iPad touch event on dragging
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.mouse.touchevents.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.ui.mouse.touchevents.js', 'jquery.ui.core.min.js');

--Adding UI Effects (please note that many were already inserted in 0.0.5 but we need to re-create them for certain products)
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.farbtastic.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.farbtastic.js', 'jquery.min.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.fileupload-ui.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.fileupload-ui.js', 'jquery.min.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.fileupload.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.fileupload.js', 'jquery.fileupload-ui.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.core.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.core.min.js', 'jquery.ui.core.min.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.highlight.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.highlight.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.transfer.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.transfer.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.blind.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.blind.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.bounce.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.bounce.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.clip.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.clip.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.drop.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.drop.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.explode.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.explode.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.fade.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.fade.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.fold.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.fold.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.pulsate.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.pulsate.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.scale.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.scale.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.shake.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.shake.min.js', 'jquery.effects.core.js');
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.effects.slide.js', 'core','theme', '../../themes/core/script/jquery/UI-1.8.2/jquery.effects.slide.min.js', 'jquery.effects.core.js');

--Adding jquery plugin Masked Input
INSERT OR IGNORE INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, MODULE_TYPE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.maskedinput.js', 'core','theme', '../../themes/core/script/jquery/plugins/jquery.maskedinput.min.js', 'jquery.min.js');

--Removing core jquery base library
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME='jquery.min.js' AND INCLUDE_PATH='../../themes/core/script/jquery/jquery-1.6.min.js';

--Updating Renderings
UPDATE DPADD_RENDERING SET OPTION_SYMBOLS='0=>"button_label_prio.png",2=>"button_label_arrow_up.png",3=>"button_label_arrow_down.png' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_CONTROL_2BIT_UP_DOWN';
UPDATE DPADD_RENDERING SET OPTION_SYMBOLS='0=>"button_label_stop.png",1=>"button_label_arrow_down.png",9=>"button_label_arrow_up.png' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_AUDIO_DIMMING_4BIT';
UPDATE DPADD_RENDERING SET OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_NO_WIND",1=>"_DPAD_DBCONSTANT_RENDERING_WIND"',OPTION_IMAGES='0=>"ico_weather_wind_off.png",1=>"ico_weather_wind_on.png"',OPTION_SYMBOLS='0=>"button_label_O.png",1=>"button_label_I.png"' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND'; 
UPDATE DPADD_RENDERING SET OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_NO_RAIN",1=>"_DPAD_DBCONSTANT_RENDERING_RAIN"',OPTION_IMAGES='0=>"ico_weather_rain_off.png",1=>"ico_weather_rain_on.png"',OPTION_SYMBOLS='0=>"button_label_O.png",1=>"button_label_I.png"' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_RAIN'; 

UPDATE DPAD_WEB_THEME SET VERSION = "0.0.6" WHERE NAME = "core";