--Module: EIB update_2.1.0_to_2.1.1.sql

--Updating IGS to be configurable
-- INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_SOURCE_ADDRESS_ZONE', '1', 'ABB IG/S Source physical address (zone)', '$EIB_ABBGWIP$' );
-- INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_SOURCE_ADDRESS_LINE', '1', 'ABB IG/S Source physical address (line)', '$EIB_ABBGWIP$' );
-- INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_SOURCE_ADDRESS_DEVICE', '151', 'ABB IG/S Source physical address (device)', '$EIB_ABBGWIP$');
-- INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IPR_SOURCE_ADDRESS_ZONE', '1', 'SIEMENS IPRouter Source physical address (zone)', '$EIB_SIEMENSGWIP$' );
-- INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IPR_SOURCE_ADDRESS_LINE', '1', 'SIEMENS IPRouter Source physical address (line)', '$EIB_SIEMENSGWIP$' );
-- INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IPR_SOURCE_ADDRESS_DEVICE', '2', 'SIEMENS IPRouter Source physical address (device)', '$EIB_SIEMENSGWIP$' );

--Updating Rolling Shutters Percentage Rendering
UPDATE DPADD_RENDERING SET OPTION_IMAGES='0=>"shutters_moveup.png|shutters_moveup_selected.png",1=>"shutters_movedown.png|shutters_movedown_selected.png"' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_UP_DOWN';
UPDATE DPADD_RENDERING SET OPTION_IMAGES='0=>"shutters_manual.png",1=>"shutters_auto.png"' WHERE NAME = '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_MANUAL_AUTO';

--Updating Gewiss Chrono Thermostat and Gewiss Thermostat
--Info Mode (1 byte)
UPDATE DPAD_WEB_CONTAINER_CONTENT_RULES SET FILTER_QUERY='VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )' WHERE ( TYPE = 'THERMOSTAT_GEWISS' AND ORDER_NUM = '14' );
UPDATE DPAD_WEB_CONTAINER_CONTENT_RULES SET FILTER_QUERY='VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )' WHERE ( TYPE = 'CHRONO_THERMOSTAT_GEWISS' AND ORDER_NUM = '18' );
--Info Type (1 bit)
UPDATE DPAD_WEB_CONTAINER_CONTENT_RULES SET FILTER_QUERY='VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )' WHERE ( TYPE = 'THERMOSTAT_GEWISS' AND ORDER_NUM = '15' );
UPDATE DPAD_WEB_CONTAINER_CONTENT_RULES SET FILTER_QUERY='VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )' WHERE ( TYPE = 'CHRONO_THERMOSTAT_GEWISS' AND ORDER_NUM = '19' );

--Adding new renderings
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, GRIDVIEW_SCHEMA ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROOFLIGHTS', 1, '0', '1', '1', 'rooflights.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF_F",1=>"_DPAD_DBCONSTANT_RENDERING_ON_F"', '0=>"rooflights_off.png",1=>"rooflights_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1','<{state|toggle|setvalue}>');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, GRIDVIEW_SCHEMA ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HEATING_ONOFF', 1, '0', '1', '1', 'heating.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_OFF"', '0=>"heating_off.png",1=>"heating_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1','<{state|toggle|setvalue}>');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, GRIDVIEW_SCHEMA ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_COOLING_ONOFF', 1, '0', '1', '1', 'heating.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_OFF"', '0=>"cooling_off.png",1=>"cooling_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1','<{state|toggle|setvalue}>');

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '2.1.1' WHERE NAME = 'eib';