--Module: EIB update_2.2.0_to_2.2.1.sql

--Clearing Menu Administration
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'EIB%URL%' OR VAR_NAME LIKE 'EIB%LIST%' OR ( VAR_NAME LIKE 'EIB%GROUP%' AND VAR_NAME NOT LIKE 'EIB%USERGROUP%' ) ) );
DELETE FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'EIB%URL%' OR VAR_NAME LIKE 'EIB%LIST%' OR ( VAR_NAME LIKE 'EIB%GROUP%' AND VAR_NAME NOT LIKE 'EIB%USERGROUP%' ) ) );

--Updating Administration Elements with all the encessary data
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-WIZARD' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_IMPORT_ETS$' ) WHERE ID = '$EIB_URL_IMPORT_ETS$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadEibObject' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_NEW_EIBOBJECT$' ) WHERE ID = '$EIB_URL_NEW_EIBOBJECT$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadEibObject' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_LIST_EIBOBJECT$' ) WHERE ID = '$EIB_URL_LIST_EIBOBJECT$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-MAINTENANCE' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_ETS_CONFIG_RULES$' ) WHERE ID = '$EIB_URL_ETS_CONFIG_RULES$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadEibGroup' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_NEW_EIBGROUP$' ) WHERE ID = '$EIB_URL_NEW_EIBGROUP$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadEibGroup' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_LIST_EIBGROUP$' ) WHERE ID = '$EIB_URL_LIST_EIBGROUP$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadEibScenario' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_NEW_EIB_SCENARIO$' ) WHERE ID = '$EIB_URL_NEW_EIB_SCENARIO$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=eib|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadEibScenario' FROM DPADD_OBJECT WHERE ID = '$EIB_URL_LIST_EIB_SCENARIO$' ) WHERE ID = '$EIB_URL_LIST_EIB_SCENARIO$';

--Adding search folders
-- $EIB_GROUP_MENU_EIB$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY ) VALUES( NULL, '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIB', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIB', 'SEARCHFOLDER', NULL, NULL, NULL, NULL, -1, -1, 'admin_module_eib.png', 0, 0, 0, '( D_O.OPTIONALP LIKE [PERIOD]%menu_data_module_owner=eib%[PERIOD] AND D_O.OPTIONALP NOT LIKE [PERIOD]%menu_data_type=MENU-ROOT%[PERIOD] )', 'menu_data_module_owner=eib|menu_data_type=MENU-ROOT|default_view=viewgrid|condition_is_visibile=all', 'dpadSearchFolder', NULL, 'SYSTEM' );

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '2.2.1' WHERE NAME = 'eib';

-- $EIB_URL_CONFIG_MODULE$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY ) VALUES( NULL, '_DPAD_EIB_DIAGNOSTIC_EIB_SPECIFIC_TITLE', '_DPAD_EIB_DIAGNOSTIC_EIB_SPECIFIC_TITLE', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'admin_module_eib.png', 0, 0, 1, '../system/config_modules.php?op=edit&navigator_id=$SYSTEM_URL_MODULE_CONFIG$&id=' || (SELECT ID FROM DPAD_WEB_MODULE WHERE NAME='eib'), 'menu_data_module_owner=eib', 'dpadUrl', NULL, 'SYSTEM' );