--Module: EIB update_3.0.8_to_3.0.9.sql

--Deleting and re-creating EIB process
DELETE FROM "DPADD_PROCESS_CONFIGURATION" WHERE PROCESS_NAME='EIBGateway';
--$EIB_EIBGATEWAY_PROCESS$ = INSERT INTO "DPADD_PROCESS_CONFIGURATION"( ID, PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP, PROCESS_LASTKEEPALIVETIMESTAMP) VALUES (NULL,'EIBGateway','DomoticaLabs - Gateway for EIB/KNX plants',7,3000,'0');

--Adding EIBD communication section
--$EIB_EIBD_PROCESS$ = INSERT INTO DPADD_PROCESS_CONFIGURATION (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ("EIBDGateway","_DPAD_DBCONSTANT_PROCESS_CONFIG_EIBD",-1, 1000);
--$EIB_EIBD_COMMUNICATION_SECTION$ = INSERT INTO DPADD_COMMUNICATION_SECTION (NAME, TYPE, DESCRIPTION, ENABLE_FLAG, PROCESS_ID) VALUES ("EIBEIBD","EIB","_DPAD_EIB_COMMUNICATION_SECTION_EIBD",0,$EIB_EIBGATEWAY_PROCESS$);

--Adding communication section between EIBDGATEWAY and EIBD
--$EIB_EIBDGATEWAY_COMMUNICATION_SECTION$ = INSERT INTO DPADD_COMMUNICATION_SECTION (NAME, TYPE, DESCRIPTION, ENABLE_FLAG, PROCESS_ID) VALUES ('EIBDTPUART','EIBD','',0,'$EIB_EIBD_PROCESS$');

--Adding EIBD specific settings into EIB configuration table
--INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ("DPAD_EIBGROUPS_ADDRESSLEVEL_NOTATION", "3-Level", "_DPAD_DBCONSTANT_EIB_CONFIGURATION_IPR_ADDRESSLEVEL_NOTATION", $EIB_EIBD_COMMUNICATION_SECTION$);
--INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ("DPAD_EIB_EIBDTPUART_LOCATIONIP", "127.0.0.1", "_DPAD_DBCONSTANT_EIB_CONFIGURATION_EIBDTPUART_LOCATION_IP", $EIB_EIBD_COMMUNICATION_SECTION$);
--INSERT INTO DPAD_EIB_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ("DPAD_EIB_EIBDTPUART_LOCATIONPORT", "45221", "_DPAD_DBCONSTANT_EIB_CONFIGURATION_EIBDTPUART_LOCATION_PORT", $EIB_EIBD_COMMUNICATION_SECTION$);

--Creating and populating EIBD configuration table
CREATE TABLE DPAD_EIBD_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);
--INSERT INTO DPAD_EIBD_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ("DPAD_EIBD_EIBDTPUART_LOCATIONURL", "local:/tmp/eib", "", $EIB_EIBDGATEWAY_COMMUNICATION_SECTION$);

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.0.9' WHERE NAME = 'eib';