--Module: EIB update

--Correcting prototype for complex shutters
--UPDATE DPADD_RENDERING_PROTOTYPE SET PROTOTYPE='<div class="object-header"><div class="object-header-content"><div class="object-header-icon"><{child:up/down|field:current_value|jselement:image}></div><div class="object-header-title"><{field:name|jselement:label}></div><div class="object-header-action"><{child:up/down|field:has_schedules|jselement:objectflag|flagnumber:1}><{child:up/down|field:has_charts|jselement:objectflag|flagnumber:2}><{child:up/down|field:has_scenes|jselement:objectflag|flagnumber:3}><div class="template-clear"></div></div></div><div class="object-action"><ul><{child:up/down|field:current_value|jselement:labellist|action:setvalue|optionsfilter:1|optionwidth:30%}><{child:stop|field:current_value|jselement:labellist|action:setvalue|optionsfilter:1|ignorestate:1|optionwidth:40%}><{child:up/down|field:current_value|jselement:labellist|action:setvalue|optionsfilter:0|optionwidth:30%}></ul></div>' WHERE ID='$THEME_IVORY_RENDERING_PROTOTYPE_GRID_COMPLEX_SHUTTER$';

--Removing duplicate renderings
DELETE FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_VENTILATION_SPEED' AND ID NOT IN (SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='EIB_RENDERING_VENTILATION_SPEED');

--Fixing renderings without tagged ID
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_ENERGY_EIS5',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_ENERGY' AND VALUES_TYPE='5';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_ENERGY_EIS9',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_ENERGY' AND VALUES_TYPE='9';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_ENERGY_EIS10',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_ENERGY' AND VALUES_TYPE='10';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_ENERGY_EIS11',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_ENERGY' AND VALUES_TYPE='11';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_POWER_EIS5',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_POWER' AND VALUES_TYPE='5';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_POWER_EIS9',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_POWER' AND VALUES_TYPE='9';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_POWER_EIS10',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_POWER' AND VALUES_TYPE='10';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_ELECTRICAL_POWER_EIS11',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_POWER' AND VALUES_TYPE='11';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_WATER_CONSUMPTION_EIS5',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_WATER_CONSUMPTION' AND VALUES_TYPE='5';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_WATER_CONSUMPTION_EIS9',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_WATER_CONSUMPTION' AND VALUES_TYPE='9';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_WATER_CONSUMPTION_EIS10',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_WATER_CONSUMPTION' AND VALUES_TYPE='10';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_WATER_CONSUMPTION_EIS11',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_WATER_CONSUMPTION' AND VALUES_TYPE='11';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_GAS_CONSUMPTION_EIS5',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_GAS_CONSUMPTION' AND VALUES_TYPE='5';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_GAS_CONSUMPTION_EIS9',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_GAS_CONSUMPTION' AND VALUES_TYPE='9';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_GAS_CONSUMPTION_EIS10',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_GAS_CONSUMPTION' AND VALUES_TYPE='10';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_GAS_CONSUMPTION_EIS11',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_GAS_CONSUMPTION' AND VALUES_TYPE='11';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_HUMIDITY_SHOW',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_HUMIDITY_SHOW';
INSERT INTO DPAD_WEB_UPDATE_VARLIST (VAR_NAME,VALUE) SELECT 'EIB_RENDERING_HUMIDITY_SETPOINT',ID FROM DPADD_RENDERING WHERE NAME='_DPAD_DBCONSTANT_RENDERING_HUMIDITY_SETPOINT';

--Updating base images and tipology for renderings
--UPDATE DPADD_RENDERING SET TYPE='lighting',IMAGE_PATH='ico_light_normal_on.png' WHERE ID='$EIB_RENDERING_LIGHT_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_valve_open.png' WHERE ID='$EIB_RENDERING_VALVE_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_fan_on.png' WHERE ID='$EIB_RENDERING_VENTILATION_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='security',IMAGE_PATH='ico_alarm_generic_on.png' WHERE ID='$EIB_RENDERING_ALARM_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='multimedia',IMAGE_PATH='ico_audio_generic_on.png' WHERE ID='$EIB_RENDERING_AUDIO_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='multimedia',IMAGE_PATH='ico_audio_hifi_on.png' WHERE ID='$EIB_RENDERING_HI_FI_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='generic',IMAGE_PATH='ico_timer_on.png' WHERE ID='$EIB_RENDERING_CLOCK_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='shutters',IMAGE_PATH='ico_awning_down.png' WHERE ID='$EIB_RENDERING_AWNING_UP_DOWN$';
--UPDATE DPADD_RENDERING SET TYPE='shutters',IMAGE_PATH='ico_door_open.png' WHERE ID='$EIB_RENDERING_DOOR_OPEN_CLOSE$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_frost_on.png' WHERE ID='$EIB_RENDERING_THERMOSTAT_DE_ICER_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_alarm_water_on.png' WHERE ID='$EIB_RENDERING_FLOODING_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='shutters',IMAGE_PATH='ico_shutter_closed.png' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_ADJUSTABLE$';
--UPDATE DPADD_RENDERING SET TYPE='shutters',IMAGE_PATH='ico_shutter_down.png' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_UP_DOWN$';
--UPDATE DPADD_RENDERING SET TYPE='shutters',IMAGE_PATH='ico_shutter_auto.png' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_MANUAL_AUTO$';
--UPDATE DPADD_RENDERING SET TYPE='multimedia',IMAGE_PATH='ico_tv_on.png' WHERE ID='$EIB_RENDERING_TV_MONITOR_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_night_on.png' WHERE ID='$EIB_RENDERING_THERMOSTAT_NIGHT_MODE$';
--UPDATE DPADD_RENDERING SET TYPE='generic',IMAGE_PATH='ico_generic_on.png' WHERE ID='$EIB_RENDERING_GENERIC_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='access',IMAGE_PATH='ico_alarm_motion_on.png' WHERE ID='$EIB_RENDERING_PRESENCE_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='weather',IMAGE_PATH='ico_weather_wind_on.png' WHERE ID='$EIB_RENDERING_METEOROLOGY_WIND$';
--UPDATE DPADD_RENDERING SET TYPE='weather',IMAGE_PATH='ico_weather_rain_on.png' WHERE ID='$EIB_RENDERING_METEOROLOGY_RAIN$';
--UPDATE DPADD_RENDERING SET TYPE='shutters',IMAGE_PATH='ico_window_open.png' WHERE ID='$EIB_RENDERING_WINDOW_OPEN_CLOSE$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_disabled_on.png' WHERE ID='$EIB_RENDERING_GEWISS_THERMOSTAT_OPERATING_MODE_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_eco_on.png' WHERE ID='$EIB_RENDERING_GEWISS_THERMOSTAT_OPERATING_MODE_ECO$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_precom_on.png' WHERE ID='$EIB_RENDERING_GEWISS_THERMOSTAT_OPERATING_MODE_PRECOMFORT$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_com_on.png' WHERE ID='$EIB_RENDERING_GEWISS_THERMOSTAT_OPERATING_MODE_COMFORT$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_auto_on.png' WHERE ID='$EIB_RENDERING_GEWISS_THERMOSTAT_OPERATING_MODE_AUTO$';
--UPDATE DPADD_RENDERING SET TYPE='lighting',IMAGE_PATH='ico_light_standardlamp_on.png' WHERE ID='$EIB_RENDERING_STADLIGHT_ONOFF$';
--UPDATE DPADD_RENDERING SET TYPE='lighting',IMAGE_PATH='ico_light_lamp_on.png' WHERE ID='$EIB_RENDERING_LAMPLIGHT_ONOFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_at_home.png' WHERE ID='$EIB_RENDERING_HOUSE_INOUT$';
--UPDATE DPADD_RENDERING SET TYPE='generic',IMAGE_PATH='ico_irrigation_on.png' WHERE ID='$EIB_RENDERING_IRRIGATION$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_weather_sun_on.png' WHERE ID='$EIB_RENDERING_DAYNIGHT$';
--UPDATE DPADD_RENDERING SET TYPE='generic',IMAGE_PATH='ico_button_on.png' WHERE ID='$EIB_RENDERING_PUSHBUTTON_ONOFF$';
--UPDATE DPADD_RENDERING SET TYPE='generic',IMAGE_PATH='ico_outlet_on.png' WHERE ID='$EIB_RENDERING_PLUG_ONOFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_heating.png' WHERE ID='$EIB_RENDERING_HEATINGCOOLING$';
--UPDATE DPADD_RENDERING SET TYPE='lighting',IMAGE_PATH='ico_light_spot_on.png' WHERE ID='$EIB_RENDERING_ROOFLIGHTS$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_heating_on.png' WHERE ID='$EIB_RENDERING_HEATING_ONOFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate',IMAGE_PATH='ico_thermo_cooling_on.png' WHERE ID='$EIB_RENDERING_COOLING_ONOFF$';

--UPDATE DPADD_RENDERING SET TYPE='access' WHERE ID='$EIB_RENDERING_ACCESS$';
--UPDATE DPADD_RENDERING SET TYPE='multimedia' WHERE ID='$EIB_RENDERING_AUDIO_DIMMING$';
--UPDATE DPADD_RENDERING SET TYPE='multimedia' WHERE ID='$EIB_RENDERING_AUDIO_DIMMING_4BIT$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_AWNING_PERCENT$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_BRIGHTNESS_VALUE$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_CHAR_READONLY$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_CHAR_READWRITE$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_GENERIC_CONTROL$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_CONTROL_2BIT$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_GENERIC_CONTROL_UP_DOWN$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_CONTROL_2BIT_UP_DOWN$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_COUNTER_1BYTE$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_COUNTER_2BYTE$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_COUNTER_4BYTE$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_DATE$';
--UPDATE DPADD_RENDERING SET TYPE='weather' WHERE ID='$EIB_RENDERING_DAYNIGHT$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_DIMMER_INCREASE_DECREASE$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_DIMMING_4BIT$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_DIMMING_4BIT_STOP$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_DOOR_OPEN$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_DOOR_OPEN_CLOSE$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_DOOR_OPEN_CLOSE_INVERTED$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_GENERIC$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_CONTAINER_SHUTTER_UP_DOWN_STOP$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_CONTAINER_THERMOSTAT_1$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_ELECTRICAL_ENERGY$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_ELECTRICAL_POWER$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_FLOODING_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_GAS_CONSUMPTION$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_GENERIC_ALWAYS_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_GENERIC_ALWAYS_ON$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_GENERIC_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_LIGHT_DIMMER$';
--UPDATE DPADD_RENDERING SET TYPE='weather' WHERE ID='$EIB_RENDERING_METEOROLOGY_RAIN$';
--UPDATE DPADD_RENDERING SET TYPE='weather' WHERE ID='$EIB_RENDERING_METEOROLOGY_WIND$';
--UPDATE DPADD_RENDERING SET TYPE='weather' WHERE ID='$EIB_RENDERING_METEOROLOGY_WIND_SPEED$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_NUMERIC_4BYTE$';
--UPDATE DPADD_RENDERING SET TYPE='lighting' WHERE ID='$EIB_RENDERING_PLUG_ONOFF$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_ADJUSTABLE$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_DOWN$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_MANUAL_AUTO$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_PERCENTAGE$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_STOP$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_UP$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_ROLLING_SHUTTERS_UP_DOWN$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_STRING_14BYTE$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_STRING$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_HVAC_AUTO$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_SETPOINT$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_TEMPERATURE$';
--UPDATE DPADD_RENDERING SET TYPE='time' WHERE ID='$EIB_RENDERING_TIME$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_VALUE_ADJUSTEMENT$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_VALUE_INCREASE_DECREASE$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_VALUE_NUMERIC$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_VALUE_NUMERIC_0_255$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_VALVE_ON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_VENTILATION_SPEED$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_WATER_CONSUMPTION$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_PUSHBUTTON_OFF$';
--UPDATE DPADD_RENDERING SET TYPE='generic' WHERE ID='$EIB_RENDERING_PUSHBUTTON_ON$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_COMFORT_STANDBY$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_CRONO$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_MANUAL_AUTO$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_WINDOW_CLOSE$';
--UPDATE DPADD_RENDERING SET TYPE='shutters' WHERE ID='$EIB_RENDERING_WINDOW_OPEN$';
--UPDATE DPADD_RENDERING SET TYPE='climate',VALUES_TYPE='2V' WHERE ID='$EIB_RENDERING_VENTILATION_SPEED$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_ELECTRICAL_POWER$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_ELECTRICAL_ENERGY$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_WATER_CONSUMPTION$';
--UPDATE DPADD_RENDERING SET TYPE='energy' WHERE ID='$EIB_RENDERING_GAS_CONSUMPTION$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_HUMIDITY_SHOW$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_HUMIDITY_SETPOINT$';
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_THERMOSTAT_MANUAL_AUTO$';

--Removing unnecessary renderings
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ALARM_ON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_ALARM_GAS$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_ALARM_GAS$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ALARM_ON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_ALARM_WIND$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_ALARM_WIND$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ALARM_ON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_ALARM_CHARGE$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_ALARM_CHARGE$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_PUSHBUTTON_ON$' WHERE RENDERING_ID='$EIB_RENDERING_STADLIGHT_ON$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_STADLIGHT_ON$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_PUSHBUTTON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_STADLIGHT_OFF$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_STADLIGHT_OFF$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_PUSHBUTTON_ON$' WHERE RENDERING_ID='$EIB_RENDERING_LAMPLIGHT_ON$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_LAMPLIGHT_ON$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_PUSHBUTTON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_LAMPLIGHT_OFF$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_LAMPLIGHT_OFF$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ALARM_ON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_ANTIINTRUSION_ENGAGEMENT_STATE$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_ANTIINTRUSION_ENGAGEMENT_STATE$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ALARM_ON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_ANTIINTRUSION_ALARM_STATE$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_ANTIINTRUSION_ALARM_STATE$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_GENERIC_ON_OFF$' WHERE RENDERING_ID='$EIB_RENDERING_FORBIDDEN_ACCESS$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_FORBIDDEN_ACCESS$';

--Adding off/on/auto rendering
--$EIB_RENDERING_SELECTOR_OFF_ON_AUTO$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'generic',NULL,'_DPAD_DBCONSTANT_RENDERING_SELECTOR_OFF_ON_AUTO',0,0,2,1,'ico_mode_auto.png','0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON",2=>"_DPAD_DBCONSTANT_RENDERING_AUTO"','0=>"ico_mode_off.png",1=>"ico_mode_on.png",2=>"ico_mode_auto.png"','0=>"button_label_O.png",1=>"button_label_I.png",2=>"button_label_auto.png"','','dpadEibObject ','8C',1,'SYSTEM','','');

--Adding category to ETS rules
ALTER TABLE DPADD_EIB_IMPORT_RULE ADD CATEGORY TEXT DEFAULT 'generic';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.1.1' WHERE NAME = 'eib';