--Module: EIB update

--Removing unnecessary complex object renderings
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$';
--DELETE FROM DPADD_RENDERING WHERE ID='$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$';
--UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_CONTAINER_DIMMER_GENERIC$' WHERE RENDERING_ID IN ('$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$');
--DELETE FROM DPADD_RENDERING_VIEW_PROTOTYPE WHERE RENDERING_ID IN ('$EIB_RENDERING_CONTAINER_DIMMER_STADLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_LAMPLIGHT$','$EIB_RENDERING_CONTAINER_DIMMER_SPOTLIGHT$');

--Fixing cooling/heating renderings
--UPDATE DPADD_RENDERING SET OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"' WHERE ID='$EIB_RENDERING_HEATING_ONOFF$';
--UPDATE DPADD_RENDERING SET OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"' WHERE ID='$EIB_RENDERING_COOLING_ONOFF$';

--Fixing category for brightness rendering
--UPDATE DPADD_RENDERING SET TYPE='weather' WHERE ID='$EIB_RENDERING_BRIGHTNESS_VALUE$';

--Creating rendering for alarm
--$EIB_RENDERING_ALARM_LOCK_ONOFF$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'security',NULL,'_DPAD_DBCONSTANT_RENDERING_ALARM_LOCK_ONOFF',1,0,1,1,'ico_alarm_lock_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_DISENGAGED_M",1=>"_DPAD_DBCONSTANT_RENDERING_ENGAGED_M"','0=>"ico_alarm_lock_off.png",1=>"ico_alarm_lock_on.png"','0=>"button_label_O.png",1=>"button_label_I.png"','','dpadEibObject ','1',1,'SYSTEM','','');

--Fixing category for energy renderings
UPDATE DPADD_RENDERING SET TYPE='energy' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_POWER';
UPDATE DPADD_RENDERING SET TYPE='energy' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_ENERGY';
UPDATE DPADD_RENDERING SET TYPE='energy' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_WATER_CONSUMPTION';
UPDATE DPADD_RENDERING SET TYPE='energy' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_GAS_CONSUMPTION';

--Fixing label for energy renderings
UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%s W/h' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_ENERGY';
UPDATE DPADD_RENDERING SET FORMATTING_SCHEMA='%s W' WHERE NAME='_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_POWER';

--Fixing step for rendering
--UPDATE DPADD_RENDERING SET STEP_STATE='5' WHERE ID='$EIB_RENDERING_LIGHT_DIMMER$';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.1.4' WHERE NAME = 'eib';