--Module: EIB update

--Adding new renderings for 2bit (only ON and OFF)
--$EIB_RENDERING_CONTROL_2BIT_ONLY_ON$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'generic',NULL,'_DPAD_DBCONSTANT_RENDERING_CONTROL_2BIT_ONLY_ON',1,0,3,1,'ico_generic_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_NORMAL",3=>"_DPAD_DBCONSTANT_RENDERING_ON"','0=>"ico_generic_off.png",3=>"ico_generic_on_lock.png"','0=>"button_label_prio.png",3=>"button_label_I.png"','','dpadEibObject ','8C','1','SYSTEM','','');
--$EIB_RENDERING_CONTROL_2BIT_ONLY_OFF$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'generic',NULL,'_DPAD_DBCONSTANT_RENDERING_CONTROL_2BIT_ONLY_OFF',1,0,3,1,'ico_generic_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_NORMAL",2=>"_DPAD_DBCONSTANT_RENDERING_OFF"','0=>"ico_generic_off.png",2=>"ico_generic_on_lock.png"','0=>"button_label_prio.png",2=>"button_label_O.png"','','dpadEibObject ','8C','1','SYSTEM','','');

--Updating control 2bit rendering by changing icons for locked states
--UPDATE DPADD_RENDERING SET OPTION_IMAGES='0=>"ico_generic_off.png",2=>"ico_generic_off_lock.png",3=>"ico_generic_on_lock.png"' WHERE ID='$EIB_RENDERING_CONTROL_2BIT$';

--Creating new rendering for inverted heating/cooling
--$EIB_RENDERING_COOLINGHEATING$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'system',NULL,'_DPAD_DBCONSTANT_RENDERING_COOLING_HEATING',1,0,1,1,'ico_thermo_cooling.png','0=>"_DPAD_DBCONSTANT_RENDERING_HEATING_SHORT",1=>"_DPAD_DBCONSTANT_RENDERING_COOLING_SHORT','0=>"ico_thermo_heating.png",1=>"ico_thermo_cooling.png"','0=>"button_label_O.png",1=>"button_label_I.png"','','dpadEibObject ','1','1','SYSTEM','','');

--Fixing generic percentage rendering
--UPDATE DPADD_RENDERING SET STEP_STATE='5',OPTION_LABELS='0=>"_DPAD_DBCONSTANT_RENDERING_0_PERC",5=>"_DPAD_DBCONSTANT_RENDERING_5_PERC",10=>"_DPAD_DBCONSTANT_RENDERING_10_PERC",15=>"_DPAD_DBCONSTANT_RENDERING_15_PERC",20=>"_DPAD_DBCONSTANT_RENDERING_20_PERC",25=>"_DPAD_DBCONSTANT_RENDERING_25_PERC",30=>"_DPAD_DBCONSTANT_RENDERING_30_PERC",35=>"_DPAD_DBCONSTANT_RENDERING_35_PERC",40=>"_DPAD_DBCONSTANT_RENDERING_40_PERC",45=>"_DPAD_DBCONSTANT_RENDERING_45_PERC",50=>"_DPAD_DBCONSTANT_RENDERING_50_PERC",55=>"_DPAD_DBCONSTANT_RENDERING_55_PERC",60=>"_DPAD_DBCONSTANT_RENDERING_60_PERC",65=>"_DPAD_DBCONSTANT_RENDERING_65_PERC",70=>"_DPAD_DBCONSTANT_RENDERING_70_PERC",75=>"_DPAD_DBCONSTANT_RENDERING_75_PERC",80=>"_DPAD_DBCONSTANT_RENDERING_80_PERC",85=>"_DPAD_DBCONSTANT_RENDERING_85_PERC",90=>"_DPAD_DBCONSTANT_RENDERING_90_PERC",95=>"_DPAD_DBCONSTANT_RENDERING_95_PERC",100=>"_DPAD_DBCONSTANT_RENDERING_100_PERC"',OPTION_IMAGES='0=>"ico_light_dimmer_0.png",5=>"ico_light_dimmer_5.png",10=>"ico_light_dimmer_10.png",15=>"ico_light_dimmer_15.png",20=>"ico_light_dimmer_20.png",25=>"ico_light_dimmer_25.png",30=>"ico_light_dimmer_30.png",35=>"ico_light_dimmer_35.png",40=>"ico_light_dimmer_40.png",45=>"ico_light_dimmer_45.png",50=>"ico_light_dimmer_50.png",55=>"ico_light_dimmer_55.png",60=>"ico_light_dimmer_60.png",65=>"ico_light_dimmer_65.png",70=>"ico_light_dimmer_70.png",75=>"ico_light_dimmer_75.png",80=>"ico_light_dimmer_80.png",85=>"ico_light_dimmer_85.png",90=>"ico_light_dimmer_90.png",95=>"ico_light_dimmer_95.png",100=>"ico_light_dimmer_100.png"' WHERE ID='$EIB_RENDERING_VALUE_ADJUSTEMENT$';

--Uniforming max value for all renderings
UPDATE DPADD_RENDERING SET MAX_STATE='999999999' WHERE MAX_STATE LIKE '1000%' OR MAX_STATE LIKE '9999%';

--Adding transparent rendering
--$EIB_RENDERING_TRANSPARENT_ON_OFF$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'*',NULL,'_DPAD_DBCONSTANT_RENDERING_TRANSPARENT_ON_OFF',1,0,1,1,'ico_transparent.png','0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"','0=>"ico_transparent.png",1=>"ico_transparent.png"','0=>"button_label_O.png",3=>"button_label_I.png"','','dpadEibObject ','1','1','SYSTEM','','');

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.2.9' WHERE NAME = 'eib';