{% extends "scope.grid.tpl" %}

{% block block_customDeclarations %}
	this.tag = "{{ template.tag }}";
	this.maxItems = parseInt(this.tag,10);
{% endblock %}

{% block block_blockRenderRender %}
{{ jsBlock({
        'operation':'render',
        'render_always': false,
        'block_name':'block_grid',
        'block_relation_type':'parent_child',
        'start_index':0,
        'end_index':'(this.maxItems-1)'
}) }}
{# Allocating objects #}
var child_relations = objM.getRelationsFromParent(this.id);
for(var i in child_relations){
        this.registered_ids.push(child_relations[i]['CHILDOBJ_ID']);
        objM.addAllocatedObj(child_relations[i]['CHILDOBJ_ID']);
}
{# Setting header title with current object name #}
themeManager.setHeaderTitle(objM.getObj(this.id).name);
{% endblock block_blockRenderRender %}

