{# Menu template scope #}
<jsIncludes>
{{html_includejs("jsDpadMenuManager.js","js")}}
</jsIncludes>
<jsScopeScripts>
	this.id=null;		{# Current plan group ID #}
	
	this.onLoad=function(){}
	
	this.editModeSave = function(){
		{# Saving edit mode in main plan template #}
		var scope=iM.getScopeFromActiveView();
		if(scope){
			scope.editModeSave();
			scope.editModeToggle(false);
		}
		this.editModeExit();
	}
	
	this.editModeCancel = function(){
		{# Saving edit mode in main plan template #}
		var scope=iM.getScopeFromActiveView();
		if( scope && scope.editModeToggle(false) ){
			this.editModeExit();
		}
	}
	
	this.editModeExit = function(){
		var scope = iM.getScopeFromActiveView();
		var obj = objM.getObj(scope.id);
		var parents = obj.getParents();
		if( parseInt(obj.options.show_menu)==1 || parents.length==0 ){
			iM.openInstance("../system/loadtemplate.php?tpl=menu|id=" + scope.id,null,null,"right_panel");
		} else {
			var parent = parents[0].id;
			iM.openInstance("../system/loadtemplate.php?tpl=menu|id=" + parent,null,null,"right_panel");
		}
	}
	
	{# This function updates by page selection #}
	this.eventSelectedItems=function(jItems,aOptions){
		{# Updating selection label#}
		var sLabel='{{ getConstant('_DPAD_SUPERVISION_EDITPLAN_SELECTION_NONE')|encode4jscript }}';
		{# Updating selection number of items #}
		if(jItems.length!=0)sLabel=$.sprintf('{{ getConstant('_DPAD_SUPERVISION_EDITPLAN_SELECTION_ITEMS')|encode4jscript }}',jItems.length);
		$(this.getScopeSelector()).find('#editplan-selected-details').text(sLabel);
		{# Updating buttons #}
		var options={
			hide_shadow:null,
			show_label:null
		};
		{# Updating hide_shadow button #}
		var one_hide_shadow=null;
		for(var i in aOptions){
			var option=aOptions[i];
			if(options.hide_shadow==null)options.hide_shadow=option.hide_shadow;
			options.hide_shadow=options.hide_shadow && option.hide_shadow;
			if(one_hide_shadow==null)one_hide_shadow=options.hide_shadow;
			if(one_hide_shadow != option.hide_shadow){
				options.hide_shadow='none';
				break;
			}
		}
		this.updateButton($(this.getScopeSelector()).find('#editplan-selected-shadow'),options.hide_shadow);
		{# Updating show_label button #}
		var one_show_label=null;
		for(var i in aOptions){
			var option=aOptions[i];
			if(options.show_label==null)options.show_label=option.show_label;
			options.show_label=options.show_label && option.show_label;
			if(one_show_label==null)one_show_label=options.show_label;
			if(one_show_label != option.show_label){
				options.show_label='none';
				break;
			}
		}
		this.updateButton($(this.getScopeSelector()).find('#editplan-selected-label'),options.show_label);
	}
	
	this.updateButton=function(jButton,value){
		jButton.removeClass('active-off').removeClass('active-on').removeClass('active-none');
		jButton.addClass('active-'+(value==true?'on':(!value?'off':'none')));
	}
	
	{# This function sets a certain option to selection #}
	this.selectedItemsSetOption=function(caller,option,value){
		var scope=iM.getScopeFromActiveView();
		if(scope)scope.editModeUpdateSelectedItemsOptionSet(option,value,false);
		this.updateButton(caller,value);
	}
	
</jsScopeScripts>