{% extends "core/templates/scope.user_login.tpl" %}

{% block onLoad %}
$(this.getScopeSelector()).find("#message").html('');
$(this.getScopeSelector()).find("#button-login").bind('tap.login',$.proxy(this.loginRequest,this,null,null,null));
{% endblock onLoad %}

{% block onUnload %}
{{parent()}}
$(this.getScopeSelector()).find("#button-login").unbind('tap.login');
{% endblock onUnload %}

{% block onTransitionDone %}
{# If we have username+password in cookies, using them to perform login #}
var _sUsername = $.cookie('USERNAME');
var _sPassword = $.cookie('PASSWORD');
if( _sUsername && _sPassword ){
	{# If we are in mobile app, requesting it to perform login automatically #}
	rM.webappShowSplashScreen('{{ getConstant('_DPAD_THEME_USER_LOGIN_MESSAGE_AUTHINPROGRESS')|encode4jscript }}');
    this.loginRequest(_sUsername,_sPassword,true);
} else {
	rM.webappHideSplashScreen();
}
{# rM.webappDoLogin(); #}
{% endblock onTransitionDone %}

{% block showMessage %}
$(this.getScopeSelector()).find("#message").html(message);
{% endblock showMessage %}

{% block _loginRequestError %}
{{ parent() }}
{# If we are in mobile app, and we got a login error, hiding splash screen #}
rM.webappHideSplashScreen();
{% endblock _loginRequestError %}

{% block _loginRequestSuccessCustom %}
rM.webappShowSplashScreen('{{ getConstant('_DPAD_THEME_USER_LOGIN_MESSAGE_AUTHSUCCESS')|encode4jscript }}');
{% endblock _loginRequestSuccessCustom %}
