{% extends "energymanager.tpl" %}
{% block block_jsScopeInclude %}
{% include "scope.energymanager_summary.tpl" %}
{% endblock block_jsScopeInclude %}

{% block block_energyManager_chartsContent %}
{% endblock block_energyManager_chartsContent %}

{% block block_energyManager_batteryPrototypeQuantity %}power{% endblock %}

{% block block_energyManager_batteryPrototype_custom %}
    {% set _batteryChartColor = jsHtmlFunc("iM.getScopeFromActiveView().getSerieColor(" ~ jsHtmlRowIndex() ~ ")") %}
    {% set _batteryChartDisplay = jsHtmlFunc("iM.getScopeFromActiveView().getBatteryChartEnable(" ~ jsHtmlObj('id') ~ ") ? 'block' : 'none' ") %}
    <div id="{{ jsHtmlBlock('name') }}_item_{{ jsHtmlObj('id') }}_chart_details" class="battery-chart-details" style="border-color:{{_batteryChartColor}};display:{{_batteryChartDisplay}}">
        <div id="background" style="background-color:{{ _batteryChartColor }};"/>
        <div id="show" class="{{ jsHtmlFunc("iM.getScopeFromActiveView().getBatteryChartSelectorClass(" ~ jsHtmlObj('id') ~ ",'show')") }}" onclick="iM.getScope(this).chartSerieToggleSelector({{ jsHtmlRowIndex() }}-1,'show')">{{getConstant("_DPAD_DBCONSTANT_ENERGY_SUMMARY_BATTERY_CHART_DETAILS_VISIBLE")}}</div>
        <div id="compare" class="{{ jsHtmlFunc("iM.getScopeFromActiveView().getBatteryChartSelectorClass(" ~ jsHtmlObj('id') ~ ",'compare')") }}" onclick="iM.getScope(this).chartSerieToggleSelector({{ jsHtmlRowIndex() }}-1,'compare')">{{getConstant("_DPAD_DBCONSTANT_ENERGY_SUMMARY_BATTERY_CHART_DETAILS_COMPARE")}}</div>
        <div id="range" class="{{ jsHtmlFunc("iM.getScopeFromActiveView().getBatteryChartSelectorClass(" ~ jsHtmlObj('id') ~ ",'range')") }}" onclick="iM.getScope(this).chartSerieToggleSelector({{ jsHtmlRowIndex() }}-1,'range')">{{getConstant("_DPAD_DBCONSTANT_ENERGY_SUMMARY_BATTERY_CHART_DETAILS_RANGE")}}</div>
    </div>
{% endblock block_energyManager_batteryPrototype_custom %}
