{# Including core template #}
{% extends "ivory/templates/plan.tpl" %}
{% block _includeScope %}
	{% include "scope.grid-dynamic.tpl" %}
{% endblock _includeScope %}

{% block _tplContainer %}
<div id="template-content-header"></div>
<div id="template-grid-dynamic-container">
	<div id="grid-dynamic_container" {#style="width:100%;height:100%;overflow:auto;"#}>
		<div id="grid-dynamic_contained" style="width:100%;height:100%;position:relative;">
			{% block _tplContainerCustom %}
			{% endblock _tplContainerCustom %}
		</div>
	</div>
</div>
{% endblock _tplContainer %}

{% block _tplPrototypes %}
<div style="display:none;" >
<div id="grid-dynamic_container_prototype"><div id="{{ jsHtmlBlock('name') }}_container_results" style="width:100%;height:100%;position:relative;" ></div></div>
<div id="grid-dynamic_header_prototype"><div id="grid-dynamic_cover" class="cover-hidden"></div></div>
<div id="grid-dynamic_row_prototype">
	{% block _tplPrototypeItem %}
	<div id="{{ jsHtmlBlock('name') }}_item_{{ jsHtmlData('id') }}" type="{{ jsHtmlData('type') }}" class="object-box {{ jsHtmlFunc('rM.getConfiguration("plan_icon_size",{refresh: false})') }} object-box-full-width" style="top:{{ jsHtmlIf(jsHtmlObj('options.ypos') ~ '>0',jsHtmlObj('options.ypos'),'50') }}px;left:{{ jsHtmlObj('options.xpos') }}px;" show_label="1" hide_shadow="0">
		{% block _tplPrototypeItemContent %}
		<div {% if not browser.isIKonWebTouch %}title="{{ jsHtmlData('name') }}" {% endif %}></div>
			{{ jsHtmlObj("render('grid')") }}
		{% block _tplPrototypesOptions %}
		<div class="object-options">
				<div class="object-action">
					<ul>
						<li class="objButtonStandard" onclick="themeManager.scheduleOpenPopup({{ jsHtmlData('id') }})"><div class="button_label_schedule_png {{ jsHtmlData('ALLOW_SCHEDULE') }}"><div class="label">{{ getConstant('_DPAD_THEME_SCHEDULE') }}</div></div></li>
						<li class="objButtonStandard" onclick="themeManager.prefs_addremove(this,{{ jsHtmlData('id') }})"><div class="button_label_prefs_png {{ jsHtmlData('PREFS') }}"><div class="label">{{ getConstant('_DPAD_THEME_FAVOURITES') }}</div></div></li>
					</ul>
				</div>
		</div>
		{% endblock _tplPrototypesOptions %}
		{% endblock _tplPrototypeItemContent %}
	</div>   
	{% endblock _tplPrototypeItem %}
</div>
{% endblock _tplPrototypes %}