{# Including core template #}
{% include "scope.home.tpl" %}

<div id="fullscreen-container">
	<div class="fullscreen-elements">
		{% block block_fullscreen_elements %}
		<div id="fullscreen-header-image-background"></div>
		<div id="fullscreen-header-image-icon">
		<div id="fullscreen-header-area-text">
			<div id="fullscreen-header-area-right">
				<div id="fullscreen-header-area-date"></div>
				<div id="fullscreen-header-area-location"></div>
				<div id="fullscreen-header-area-temperature"></div>
			</div>
			<div id="fullscreen-header-area-time"></div>
			<div id="fullscreen-header-area-prev"></div>
		</div>
		<div id="fullscreen-header-menu">
			<div id="menu-button-list"></div>
		</div>
		{% endblock block_fullscreen_elements %}
	</div>
</div>
<div style="clear:both"></div>

{# Block Prototypes #}
<div style="display:none;" >
	<div id="fullscreen_container_prototype"><ul id="{{ jsHtmlBlock('name') }}_container_results" ></ul></div>
	<div id="fullscreen_row_prototype">
		<li id="menu_item_{{ jsHtmlData('id') }}" {% if not browser.isIKonWebTouch %}title="{{ jsHtmlData('name') }}" {% endif %}tipology="{{ jsHtmlData('type') }}" onclick="iM.getScope(this).menuItemPressed({{ jsHtmlData('id') }})" show_menu="{{jsHtmlObj('options.show_menu')}}">
			<div {% if not browser.isIKonWebTouch %}title="{{ jsHtmlData('name') }}" {% endif %}class="menu-icon" style="background-image:url('{{ theme.baseurl }}images/rendering/{{ jsHtmlData('image_path') }}')"></div>
			<div id="menu-button">{{ jsHtmlData('name') }}</div>
			{{ jsHtmlData('trigger') }}{{ jsHtmlObj('options.custom_html') }}
		</li>
	</div>

</div>