{% extends "messagecenter.tpl" %}

{% block block_jsScopeInclude %}
	{% include "scope.notifications.tpl" %}
{% endblock block_jsScopeInclude %}

{# Including template #}
{% block block_messagecenterTabs %}
<div id="messagecenter-list-messages-container" style="height:100%;overflow:hidden;" >
	<div id="messagecenter-list-messages"></div>
</div>
<div id="messagecenter-prototypes" style="display:none">
	<div id="messagecenter-prototype-container">
		<ul id="{{ jsHtmlBlock('name') }}_container_results"></ul>
	</div>
	<div id="messagecenter-prototype-item">
		<li id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
			<div class="messagecenter-item {{ jsHtmlData('level') }}">
				<div class="schedule-action active-{{ jsHtmlIf(jsHtmlData('is_handled') ~ "==1","on","off") }}" onclick="if('{{ jsHtmlData('is_handled') }}'=='0'){iM.getScope(this).messageHandle({{jsHtmlData('id')}});}" {% if not browser.isIKonWebTouch %}title="{{ getConstant('_DPAD_THEME_MESSAGECENTER_VIDEO_NOTIFICATIONS_BUTTON_HANDLE') }}{% endif %}"></div>
				<div id="datetime">{{ jsHtmlData('datetime') }}</div>
				<div id="message" class="level-{{ jsHtmlData('level') }}">{{ jsHtmlData('message') }}</div>
				<div class="template-clear"></div>
			</div>
		</li>
	</div>
</div>
{% endblock block_messagecenterTabs %}
