{# Including core template #}
{% block block_jsScopeInclude %}
{% include "scope.security.tpl" %}
{% endblock block_jsScopeInclude %}
<div id="security_container">
	<div id="security-tabs-caption">
		<div id="security-tab-panels-caption-panels">
		</div>
		<div style="display:none">
		    <div id="security-tab-panels-prototype-container">
			<ul id="{{ jsHtmlBlock('name') }}_container_results"></ul>
		    </div>
		    <div id="security-tab-panels-prototype-item">
			<li id="{{ jsHtmlBlock('name') }}_item_{{ jsHtmlObj('id') }}" class="off" onclick="iM.openInstance('../system/loadtemplate.php?tpl=security.{{ jsHtmlData('module') }}|id={{ jsHtmlData('id') }}')">{{ jsHtmlObj('name') }}</li>
		    </div>
		</div>
		<ul id="security-tab-types-caption">
			{% block block_security_tabs_panel_types %}
			{% endblock block_security_tabs_panel_types %}
		</ul>
	</div>

	{#
	<div id="security-summary" class="template-nopadding">
		<div id="security-summary-areas-label">Aree</div>
		<div id="security-summary-areas"></div>
		<div style="display:none">
		    <div id="security-summary-areas-prototype-container">
			<div id="{{ jsHtmlBlock('name') }}_container_results"></div>
		    </div>
		    <div id="security-summary-areas-prototype-item">
			{{ jsHtmlObj("render('security',{prototype:'<{jselement:image|field:current_value}>'})") }}
		    </div>
		</div>

		<div id="security-summary-zones-label">Zone</div>
		<div id="security-summary-zones"></div>
		<div style="display:none">
		    <div id="security-summary-zones-prototype-container">
			<div id="{{ jsHtmlBlock('name') }}_container_results"></div>
		    </div>
		    <div id="security-summary-zones-prototype-item">
			{{ jsHtmlObj("render('security',{prototype:'<{jselement:image|field:current_value}>'})") }}
		    </div>
		</div>
	</div>
	<div id="security-items">
	</div>
	#}
	<div id="security-items" class="template-nopadding">
	</div>
	<div id="security-items-prototypes" style="display:none">
		<div id="security-items-container-prototype">
			<div id="{{ jsHtmlBlock('name') }}_container_results" style="width:100%;height:100%;" ></div>
			<div style="clear:both"></div>
		</div>
		<div id="security-items-row-prototype">
			<div id="{{ jsHtmlBlock('name') }}_item_{{ jsHtmlObj('id') }}" class="object-box" type="{{ jsHtmlData('type') }}">
				{% block block_item_render %}{{ jsHtmlObj("render('grid')") }}{% endblock block_item_render %}
				<div class="object-options">
					<div class="object-action">
						<ul>
							<li class="objButtonStandard" onclick="themeManager.scheduleOpenPopup({{ jsHtmlObj('id') }})"><div class="button_label_schedule_png {{ jsHtmlData('allow_schedule') }}">{{ getConstant('_DPAD_THEME_SCHEDULE') }}</div></li>
							<li class="objButtonStandard" onclick="themeManager.prefs_addremove(this,{{ jsHtmlObj('id') }})"><div class="button_label_prefs_png {{ jsHtmlData('prefs') }}">{{ getConstant('_DPAD_THEME_FAVOURITES') }}</div></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

