#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
REBOOT_SCRIPT_FILE=.reboot-script.sh
REBOOT_SCRIPT_FILE_INITD_NAME=reboot-script.sh
RW_PARTITION=/var/RWdlabs
RW_PARTITION_TAG=RWdlabs
if [ -d /var/RWmrd ]
then
 RW_PARTITION=/var/RWmrd
 RW_PARTITION_TAG=RWmrd
fi
PATH_DIR_SOURCE_FILES=$1

#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}

#Updating permissions
echo "chown dpadsrv:dlabusers /mnt/storage/RWdlabs/dpadd/DomusPadTrack.db-dist" >> ${SCRIPT_FILE}
echo "chmod 660 /mnt/storage/RWdlabs/dpadd/DomusPadTrack.db-dist" >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers /mnt/storage/RWdlabs/dpadd/DomusPadTrack.db-factory" >> ${SCRIPT_FILE}
echo "chmod 660 /mnt/storage/RWdlabs/dpadd/DomusPadTrack.db-factory" >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers /mnt/storage/RWdlabs/dpadd/DomusPad.db-factory" >> ${SCRIPT_FILE}
echo "chmod 660 /mnt/storage/RWdlabs/dpadd/DomusPad.db-factory" >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers  /mnt/storage/RWdlabs/bin/dpaddkillall.sh" >> ${SCRIPT_FILE}
echo "chmod 774 /mnt/storage/RWdlabs/bin/dpaddkillall.sh" >> ${SCRIPT_FILE}
echo "chown dpadsrv:dlabusers  /mnt/storage/RWdlabs/bin/eibdkillall.sh " >> ${SCRIPT_FILE}
echo "chmod 774 /mnt/storage/RWdlabs/bin/eibdkillall.sh " >> ${SCRIPT_FILE}

#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
