<?php
 dpadManager::load_class("dpadObject"); include_once( "../logic/class/dpadlogics.class.php" ); class dpadDailySchedule extends dpadObject { function dpadDailySchedule() { $this->phpclass = _DPAD_LOGIC_PHPCLASS_DAILY_SCHEDULE; $this->type = _DPAD_CLASS_TYPE_DAILYSCHEDULE; $this->is_boolean = 0; $this->require_state_refresh = false; return; } function render_jscript_update_after($phpclass) { $html="this.update_after=function(sField,oOptions){
			switch(sField){
				case 'enable_flag':
					var aChildren=this._getScheduleChildren();
					for(var i in aChildren){
						var oChild=aChildren[i];
						this.updateHasScheduleFlag(oChild);
					}
				case 'msp':
					this.reload();
				break;
				default:
				break;
			}
			if( oOptions.fCallback ){
				oOptions.fCallback();
			}
		}"; return $html; } function render_jscript_update_relation_after($phpclass) { $html="this.update_relation_after=function(relation,field,params){
			switch(field){
				case 'relation_condition':
				case 'relation_web_tipology':
					this.reload();
				break;
				default:
				break;
			}
		}"; return $html; } function render_jscript_add_relation_after($phpclass) { $html="this.add_relation_after=function(relation,params){
			if(!params)params={};
			switch(relation.RELATION_WEB_TIPOLOGY){
				case'"._DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY."':
				case'"._DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY."':
					var parentObj=(params.parentObj?params.parentObj:this.objManager.getObj(relation.PARENTOBJ_ID));
					var childObj=(params.childObj?params.childObj:this.objManager.getObj(relation.CHILDOBJ_ID));
					this.objManager.updateFieldObj(childObj.id,'has_schedules',1,{bUpdateOnlyDB:true});
					this.reload();
				break;
				default:
				break;
			}
		}"; return $html; } function render_jscript_remove_relation_after($phpclass) { $html="this.remove_relation_after=function(relation,params){
			if(!params)params={};
			switch(relation.RELATION_WEB_TIPOLOGY){
				case'"._DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY."':
				case'"._DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY."':
					var parentObj = ( params.parentObj ? params.parentObj : this.objManager.getObj(relation.PARENTOBJ_ID) );
					var childObj = ( params.childObj ? params.childObj : this.objManager.getObj(relation.CHILDOBJ_ID) );
					this.updateHasScheduleFlag(childObj);
					var _sQuery = 'DELETE FROM DPADD_OBJECT WHERE TYPE=\'" . _DPAD_CLASS_TYPE_DAILY_SCHEDULE . "\' AND ID NOT IN (SELECT PARENTOBJ_ID FROM DPADD_OBJECT_RELATION WHERE ( RELATION_WEB_TIPOLOGY=\'"._DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY."\'  OR RELATION_WEB_TIPOLOGY=\'"._DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY."\' ));';
					dbManager.executeSQL(_sQuery);
					this.reload();
				break;
				default:
				break;
			}
		}"; return $html; } function render_jscript_class_customScrips($phpclass){ $html="
		this._getScheduleChildren=function(){
			var aChildrenWeekly=this.getChildren({filters:{relation:{'RELATION_WEB_TIPOLOGY':'"._DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY."'}}});
			var aChildrenYearly=this.getChildren({filters:{relation:{'RELATION_WEB_TIPOLOGY':'"._DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY."'}}});
			var aChildren=aChildrenYearly.concat(aChildrenWeekly);
			return aChildren;
		}
		this.updateHasScheduleFlag=function(oChild){
			var _sQuery = 'SELECT MIN(1,COUNT(DISTINCT PARENTOBJ_ID)) AS HAS_SCHEDULES FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID=' + oChild.id + ' AND ENABLE_FLAG=1 AND ( RELATION_WEB_TIPOLOGY=\'"._DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY."\'  OR RELATION_WEB_TIPOLOGY=\'"._DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY."\' );';
			dbManager.executeSQL(_sQuery, Math.random(), $.proxy(this._updateHasScheduleFlagCallback,this,oChild) );
		}
		this._updateHasScheduleFlagCallback=function(oObj,aResults){
			objM.updateFieldObj(oObj.id,'has_schedules',aResults[0]['HAS_SCHEDULES'],{bUpdateOnlyDB:true});
		}
		this.reload=function(){
			var aChildren=this._getScheduleChildren();
			for(var i in aChildren){
				var oChild=aChildren[i];
				this.objManager.resourceManager.callSoap('"._DPAD_SOAP_METHOD_RELOADDAILYSCHEDULE."',{
						objectID:oChild.id+'',
						waittime:5
					},{
						success:$.proxy(this._reloadCallback,this)
					}
				);
				
			}
		}
		this._reloadCallback=function(r){
			var result=$('result',r).text().split('-');
			var result_type=result[0];
			var result_code=parseInt(result[1]);
			if(result_code>0){
				this.log({type:'error'},'Error calling SOAP function "._DPAD_SOAP_METHOD_RELOADDAILYSCHEDULE.": %o-%o',result_type,result_code);
			}
		}"; return $html; } function get_relation_web_tipologies() { $relation_web_tipologies=array(); $relation_web_tipologies[$this->phpclass]=array(); $relation_web_tipologies[$this->phpclass]["*"]=_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY; return $relation_web_tipologies; } } $debug_msg = "Class " . _DPAD_LOGIC_PHPCLASS_DAILY_SCHEDULE. " defined correctly"; dpadErrorManager::error_trace( _DPAD_ERROR_LANG_LEVEL_DEBUG, _DPAD_ERROR_LEVEL_DEBUG,"",$debug_msg,"dpaddailyschedule.class.php",""); ?>