--Module: LOGIC update_2.2.0_to_2.2.1.sql

--Clearing Menu Administration
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'LOGIC%URL%' OR VAR_NAME LIKE 'LOGIC%LIST%' OR ( VAR_NAME LIKE 'LOGIC%GROUP%' AND VAR_NAME NOT LIKE 'LOGIC%USERGROUP%' ) ) );
DELETE FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'LOGIC%URL%' OR VAR_NAME LIKE 'LOGIC%LIST%' OR ( VAR_NAME LIKE 'LOGIC%GROUP%' AND VAR_NAME NOT LIKE 'LOGIC%USERGROUP%' ) ) );

UPDATE DPAD_WEB_UPDATE_VARLIST SET VAR_NAME='LOGIC_URL_NOTIFY_VIDEO_NEW' WHERE VAR_NAME = 'LOGIC_GROUP_NOTIFY_VIDEO_NEW';
UPDATE DPAD_WEB_UPDATE_VARLIST SET VAR_NAME='LOGIC_URL_NOTIFY_VIDEO_LIST' WHERE VAR_NAME = 'LOGIC_GROUP_NOTIFY_VIDEO_LIST';
UPDATE DPAD_WEB_UPDATE_VARLIST SET VAR_NAME='LOGIC_URL_NOTIFY_MAIL_NEW' WHERE VAR_NAME = 'LOGIC_GROUP_NOTIFY_MAIL_NEW';
UPDATE DPAD_WEB_UPDATE_VARLIST SET VAR_NAME='LOGIC_URL_NOTIFY_MAIL_LIST' WHERE VAR_NAME = 'LOGIC_GROUP_NOTIFY_MAIL_LIST';


--Updating Administration Elements with all the encessary data
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-WIZARD' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_WIZARD_EVENT$' ) WHERE ID = '$LOGIC_URL_WIZARD_EVENT$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadLogic' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NEW_LOGIC$' ) WHERE ID = '$LOGIC_URL_NEW_LOGIC$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadLogic' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_LIST_LOGIC$' ) WHERE ID = '$LOGIC_URL_LIST_LOGIC$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadCondition' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NEW_CONDITION$' ) WHERE ID = '$LOGIC_URL_NEW_CONDITION$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadCondirion' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_LIST_CONDITION$' ) WHERE ID = '$LOGIC_URL_LIST_CONDITION$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadTimeset' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NEW_TIMESET$' ) WHERE ID = '$LOGIC_URL_NEW_TIMESET$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadTimeset' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_LIST_TIMESET$' ) WHERE ID = '$LOGIC_URL_LIST_TIMESET$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadIntegrator' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NEW_INTEGRATOR$' ) WHERE ID = '$LOGIC_URL_NEW_INTEGRATOR$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadIntegrator' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_LIST_INTEGRATOR$' ) WHERE ID = '$LOGIC_URL_LIST_INTEGRATOR$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadClientBrowser' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NEW_CLIENTBROWSER$' ) WHERE ID = '$LOGIC_URL_NEW_CLIENTBROWSER$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadClientBrowser' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_LIST_CLIENTBROWSER$' ) WHERE ID = '$LOGIC_URL_LIST_CLIENTBROWSER$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadNotifyVideo' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NOTIFY_VIDEO_NEW$' ) WHERE ID = '$LOGIC_URL_NOTIFY_VIDEO_NEW$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadNotifyVideo' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NOTIFY_VIDEO_LIST$' ) WHERE ID = '$LOGIC_URL_NOTIFY_VIDEO_LIST$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadNotifyMail' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NOTIFY_MAIL_NEW$' ) WHERE ID = '$LOGIC_URL_NOTIFY_MAIL_NEW$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadNotifyMail' FROM DPADD_OBJECT WHERE ID = '$LOGIC_URL_NOTIFY_MAIL_LIST$' ) WHERE ID = '$LOGIC_URL_NOTIFY_MAIL_LIST$' ;


--Transforming old groups to searchfolders
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.PHPCLASS = [PERIOD]dpadUrl[PERIOD] AND ( D_O.OPTIONALP LIKE [PERIOD]%menu_data_module_owner=logic%[PERIOD] AND ( D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-NEW%[PERIOD] OR D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-LIST%[PERIOD] ) OR D_O.OPTIONALP LIKE [PERIOD]%menu_data_phpclasses=%dpadVirtualObject%[PERIOD] ) )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-ROOT|default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$LOGIC_GROUP_LOGIC$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$LOGIC_GROUP_LOGIC$';
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.PHPCLASS = [PERIOD]dpadUrl[PERIOD] AND D_O.OPTIONALP LIKE [PERIOD]%menu_data_module_owner=logic%[PERIOD] AND D_O.OPTIONALP LIKE [PERIOD]%menu_data_phpclasses=%dpadNotify%[PERIOD] )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=logic|menu_data_type=MENU-ROOT|default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$LOGIC_GROUP_NOTIFY$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$LOGIC_GROUP_NOTIFY$';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "2.2.1" WHERE NAME = "logic";