#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
REBOOT_SCRIPT_FILE=.reboot-script.sh
REBOOT_SCRIPT_FILE_INITD_NAME=reboot-script.sh
RW_PARTITION=/var/RWdlabs
#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: modules/module_name or /themes/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}

#Activating Asterisk
#Updating /etc/default/asterisk setting RUNASTERISK=yes
echo "if [ -f /etc/default/asterisk ]" >> ${SCRIPT_FILE}
echo " then" >> ${SCRIPT_FILE}
echo "  cat /etc/default/asterisk | sed \"s/RUNASTERISK=no/RUNASTERISK=yes/g\" > /etc/default/asterisk.tmp" >> ${SCRIPT_FILE}
echo "  if [ $? -eq 0 ]" >> ${SCRIPT_FILE}
echo "   then" >> ${SCRIPT_FILE}
echo "    cp -fr /etc/default/asterisk.tmp /etc/default/asterisk" >> ${SCRIPT_FILE}
echo "   fi" >> ${SCRIPT_FILE}
echo "  rm -fr /etc/default/asterisk.tmp" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
