--Module: Pess update

--Adding new class for central warnings
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessCentralWarning', 'pess', 'dpadpesscentralwarning.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSCENTRALWARNING', 'ico_pess_central_warning.png', '', '', '', '1', '0', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_PANELFLAG", "_DPAD_DBCONSTANT_TYPE_PESS_CENTRAL_WARNING", "dpadPessCentralWarning", "" );

--Adding rendering for central warning
-- $PESS_RENDERING_CENTRAL_WARNING$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_CENTRAL_WARNING', 1, '0', '1', '1', 'ico_pess_central_ko.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_CENTRAL_WARNING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_CENTRAL_WARNING_ON"', '0=>"ico_pess_central_ok.png",1=>"ico_pess_central_ko.png"', '', '', '', 'dpadPessCentralWarning ', '');

--Adding bridge for serial/network communication
--Process (by default, DISABLED) and communication section
--$PESS_BRIDGE_PROCESS$ = INSERT INTO DPADD_PROCESS_CONFIGURATION (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ("BRIDGEPESSGateway", "Bridge for gateway PESS", -1, 4000);
--$PESS_BRIDGE_COMMUNICATION_SECTION$ = INSERT INTO DPADD_COMMUNICATION_SECTION (NAME, TYPE, DESCRIPTION, ENABLE_FLAG, PROCESS_ID) VALUES ("BRIDGEPESSSERIAL","BRIDGEPESS", "Bridge PESS serial communication", 1, '$PESS_BRIDGE_PROCESS$');

--FSM configuration for PESS bridge
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES('DPAD_BRIDGEPESSCONF_TABLE','DPAD_BRIDGEPESS_CONFIGURATION','Table of BRIDGE PESS configuration properties');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES('DPAD_BRIDGEPESSLOOP_TIMEOUT','30000','BRIDGE PESS Bus listeners idle timeout');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES('DPAD_BRIDGEPESSCOMMAND_SOCKET_FILE','/tmp/dpad_variables/sockets/dpad_bridgepessgateway.socket','Unix socket for low-level bridgepessgateway service communication');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES('DPAD_BRIDGEPESSNOTIFY_INTERNET_PORT','2101','Listening port for clients');

--PESS bridge configuration table
CREATE TABLE DPAD_BRIDGEPESS_CONFIGURATION(ID INTEGER PRIMARY KEY AUTOINCREMENT,NAME TEXT,VALUE TEXT,DESCRIPTION TEXT,SECTION_ID INTEGER DEFAULT -1);
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIALDEVICE','/dev/ttyS4','Bridge PESS port on which communicate to','$PESS_BRIDGE_COMMUNICATION_SECTION$');
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIAL_BAUDRATE','38400','Bridge PESS serial port baudrate','$PESS_BRIDGE_COMMUNICATION_SECTION$');
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIAL_DATABITS','8','Bridge PESS serial port databits','$PESS_BRIDGE_COMMUNICATION_SECTION$');
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIAL_STOPBITS','1','Bridge PESS serial port stopbits','$PESS_BRIDGE_COMMUNICATION_SECTION$');
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIAL_PARITY','N','Bridge PESS serial port parity','$PESS_BRIDGE_COMMUNICATION_SECTION$');
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIAL_HWCONTROL','0','Bridge PESS serial port HW control','$PESS_BRIDGE_COMMUNICATION_SECTION$');
--INSERT INTO "DPAD_BRIDGEPESS_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES('DPAD_BRIDGEPESS_SERIAL_SWCONTROL','0','Bridge PESS serial port SW control','$PESS_BRIDGE_COMMUNICATION_SECTION$');

--Removing all classes except central from HTML5 cache manifest
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE MODULE='pess';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='1' WHERE CLASSNAME='dpadPessCentral';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "4.0.0" WHERE NAME = "pess";