/*
Flot plugin for thresholding data. Controlled through the option
"threshold" in either the global series options

  series: {
    threshold: {
      below: number
      color: colorspec
    }
  }

or in a specific series

  $.plot($("#placeholder"), [{ data: [ ... ], threshold: { ... }}])

The data points below "below" are drawn with the specified color. This
makes it easy to mark points below 0, e.g. for budget data.

Internally, the plugin works by splitting the data into two series,
above and below the threshold. The extra series below the threshold
will have its label cleared and the special "originSeries" attribute
set to the original series. You may need to check for this in hover
events.
*/(function(a){function c(b){function c(b,c,d){if(!c.threshold)return;var e=d.pointsize,f,g,h,i,j,k=a.extend({},c);k.datapoints={points:[],pointsize:e},k.label=null,k.color=c.threshold.color,k.threshold=null,k.originSeries=c,k.data=[];var l=c.threshold.below,n=d.points,o=c.lines.show;threspoints=[],newpoints=[];for(f=0;f<n.length;f+=e){g=n[f],h=n[f+1],j=i,h<l?i=threspoints:i=newpoints;if(o&&j!=i&&g!=null&&f>0&&n[f-e]!=null){var p=(g-n[f-e])/(h-n[f-e+1])*(l-h)+g;j.push(p),j.push(l);for(m=2;m<e;++m)j.push(n[f+m]);i.push(null),i.push(null);for(m=2;m<e;++m)i.push(n[f+m]);i.push(p),i.push(l);for(m=2;m<e;++m)i.push(n[f+m])}i.push(g),i.push(h)}d.points=newpoints,k.datapoints.points=threspoints,k.datapoints.points.length>0&&b.getData().push(k)}b.hooks.processDatapoints.push(c)}var b={series:{threshold:null}};a.plot.plugins.push({init:c,options:b,name:"threshold",version:"1.0"})})(jQuery);