#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
SCRIPT_FILE=/home/dpadweb/.rscript.sh
#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}

#Installing Crontab Root line for track action and saving on persistant cron
echo "/usr/bin/crontab -u root -l | grep -v track_action.php > /tmp/crontab_root.txt" >> ${SCRIPT_FILE}
echo "echo \"0 * * * * /usr/sbin/php-cgi -q /web/html/smartdomuspad/modules/reporting/track_action.php --operation update --period hour,day > /dev/null\" >> /tmp/crontab_root.txt" >> ${SCRIPT_FILE}
echo "echo \"0 0 * * * /usr/sbin/php-cgi -q /web/html/smartdomuspad/modules/reporting/track_action.php --operation update --period hours,day,week,weekday,month,year > /dev/null\" >> /tmp/crontab_root.txt" >> ${SCRIPT_FILE}
echo "/usr/bin/crontab -u root /tmp/crontab_root.txt 2> /tmp/crontab_root.log" >> ${SCRIPT_FILE}
echo "/bin/cp -fr /tmp/RWdlabs/cron/crontabs /mnt/storage/RWdlabs/cron" >> ${SCRIPT_FILE}

#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
