--Module: REPORTING

-- Adding charts jquery library
DELETE FROM "DPAD_WEB_JSCRIPT" WHERE JSNAME IN('jquery.flot.js','jquery.flot.threshold.js','jquery.flot.selection.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.flot.js', 'reporting', '../reporting/script/jquery.flot.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.flot.threshold.js', 'reporting', '../reporting/script/jquery.flot.threshold.js', 'jquery.flot.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.flot.selection.min.js', 'reporting', '../reporting/script/jquery.flot.selection.min.js', 'jquery.flot.js');

--Adding configuration tipology for reporting
INSERT INTO "DPAD_WEB_TIPOLOGIES" (TIPOLOGY,NAME,DESCRIPTION,IMAGE_PATH) VALUES ('reporting','_DPAD_REPORTING_CONFIGURATION_TIPOLOGY_NAME','_DPAD_REPORTING_CONFIGURATION_TIPOLOGY_DESCRIPTION','admin_module_reporting_options.png');

-- Adding export syntax statement
INSERT INTO "DPAD_WEB_CONFIGURATION" (NAME,LABEL,VALUE,TIPOLOGY,DRAW_AS,ORDER_NUM) VALUES('reporting_export_record_trace','_DPAD_REPORTING_CONFIGURATION_EXPORT_RECORD_TRACE','%TRACK_DATE%\t%TRACK_TIME%\t%TRACKED_OBJVALUE%\t%TRACKED_OBJNAME%\t%TRACK_OPTIONALS%\n','reporting','textbox',1);
INSERT INTO "DPAD_WEB_CONFIGURATION" (NAME,LABEL,VALUE,TIPOLOGY,DRAW_AS,ORDER_NUM) VALUES('reporting_ftp_host','_DPAD_REPORTING_CONFIGURATION_FTP_HOST','','reporting','textbox',2);
INSERT INTO "DPAD_WEB_CONFIGURATION" (NAME,LABEL,VALUE,TIPOLOGY,DRAW_AS,ORDER_NUM) VALUES('reporting_ftp_user','_DPAD_REPORTING_CONFIGURATION_FTP_USER','','reporting','textbox',3);
INSERT INTO "DPAD_WEB_CONFIGURATION" (NAME,LABEL,VALUE,TIPOLOGY,DRAW_AS,ORDER_NUM) VALUES('reporting_ftp_password','_DPAD_REPORTING_CONFIGURATION_FTP_PASSWORD','','reporting','password',4);
INSERT INTO "DPAD_WEB_CONFIGURATION" (NAME,LABEL,VALUE,TIPOLOGY,DRAW_AS,ORDER_NUM) VALUES('reporting_ftp_path','_DPAD_REPORTING_CONFIGURATION_FTP_PATH','.','reporting','textbox',5);

-- Defining chart class and type
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES ( NULL, 'dpadChart', 'reporting', 'dpadchart.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADCHART', 'admin_phpclass_chart.png', '', '', '', '1', '0', '0');
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "CHART", "_DPAD_DBCONSTANT_TYPE_CHART", "dpadChart", "" );

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "3.0.0" WHERE NAME = "reporting";