<?php
 class PHPSonos { private $address = ""; public function __construct( $address ) { $this->address = $address; } public function ListAlarms() { $header='POST /AlarmClock/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:AlarmClock:1#ListAlarms"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?> <s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:AlarmClock xmlns:u="urn:schemas-upnp-org:service:AlarmClock:1"/>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->XMLsendPacket($content); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xmlr = new SimpleXMLElement($returnContent); $liste = array(); for($i=0,$size=count($xmlr);$i<$size;$i++) { $attr = $xmlr->Alarm[$i]->attributes(); $liste[$i]['ID'] = (string)$attr['ID']; $liste[$i]['StartTime'] = (string)$attr['StartTime']; $liste[$i]['Duration'] = (string)$attr['Duration']; $liste[$i]['Recurrence'] = (string)$attr['Recurrence']; $liste[$i]['Enabled'] = (string)$attr['Enabled']; $liste[$i]['RoomUUID'] = (string)$attr['RoomUUID']; $liste[$i]['ProgramURI'] = (string)$attr['ProgramURI']; $liste[$i]['ProgramMetaData'] = (string)$attr['ProgramMetaData']; $liste[$i]['PlayMode'] = (string)$attr['PlayMode']; $liste[$i]['Volume'] = (string)$attr['Volume']; $liste[$i]['IncludeLinkedZones'] = (string)$attr['IncludeLinkedZones']; } return $liste; } public function UpdateAlarm($id, $startzeit, $duration, $welchetage, $an, $roomid, $programm, $programmeta, $playmode, $volume, $linkedzone) { $payload = '<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/">
<s:Body><u:UpdateAlarm xmlns:u="urn:schemas-upnp-org:service:AlarmClock:1">
<ID>'.$id.'</ID>
<StartLocalTime>'.$startzeit.'</StartLocalTime>
<Duration>'.$duration.'</Duration>
<Recurrence>'.$welchetage.'</Recurrence>
<Enabled>'.$an.'</Enabled>
<RoomUUID>'.$roomid.'</RoomUUID>
<ProgramURI>'.htmlspecialchars($programm).'</ProgramURI>
<ProgramMetaData>'.htmlspecialchars($programmeta).'</ProgramMetaData>
<PlayMode>'.$playmode.'</PlayMode>
<Volume>'.$volume.'</Volume>
<IncludeLinkedZones>'.$linkedzone.'</IncludeLinkedZones>
</u:updateAlarm></s:Body></s:Envelope>'; $content='POST /AlarmClock/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: '.strlen($payload).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AlarmClock:1#UpdateAlarm"

'.$payload; $this->sendPacket($content); } public function GetAudioInputAttributes() { $header='POST /AudioIn/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:AudioIn:1#GetAudioInputAttributes"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:GetAudioInputAttributes xmlns:u="urn:schemas-upnp-org:service:AudioIn:1"/>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); $AudioInReturn = Array(); $key="CurrentName"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$AudioInReturn[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $AudioInReturn[$key] = ""; } $key="CurrentIcon"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$AudioInReturn[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $AudioInReturn[$key] = ""; } return $AudioInReturn; } public function GetZoneAttributes() { $header='POST /DeviceProperties/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:DeviceProperties:1#GetZoneAttributes"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:GetZoneAttributes xmlns:u="urn:schemas-upnp-org:service:DeviceProperties:1"/>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); $ZoneAttributes = Array(); $key="CurrentZoneName"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneAttributes[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneAttributes[$key] = ""; } $key="CurrentIcon"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneAttributes[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneAttributes[$key] = ""; } return $ZoneAttributes; } public function GetZoneInfo() { $header='POST /DeviceProperties/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:DeviceProperties:1#GetZoneInfo"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:GetZoneInfo xmlns:u="urn:schemas-upnp-org:service:DeviceProperties:1"/>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); $ZoneInfo = Array(); $key="SerialNumber"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="SoftwareVersion"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="SoftwareVersion"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="DisplaySoftwareVersion"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="HardwareVersion"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="IPAddress"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="MACAddress"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="CopyrightInfo"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } $key="ExtraInfo"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneInfo[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneInfo[$key] = ""; } return $ZoneInfo; } public function SetLEDState($state) { if($state=="On") { $state = "On"; } else { if($state=="Off") { $state = "Off"; } else { if($state) { $state = "On"; } else { $state = "Off"; } } } $content='POST /DeviceProperties/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 250
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:DeviceProperties:1#SetLEDState"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:SetLEDState xmlns:u="urn:schemas-upnp-org:service:DeviceProperties:1"><DesiredLEDState>' .$state. '</DesiredLEDState><u:SetLEDState></s:Body></s:Envelope>'; return (bool)$this->sendPacket($content); } public function GetLEDState() { $content='POST /DeviceProperties/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 250
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:DeviceProperties:1#GetLEDState"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetLEDState xmlns:u="urn:schemas-upnp-org:service:DeviceProperties:1"><InstanceID>0</InstanceID><u:GetLEDState></s:Body></s:Envelope>'; if ($this->sendPacket($content)=="On") { return(true); }else return(false); } public function SetInvisible($state) { if($state=="True") { $state = "True"; } else { if($state=="False") { $state = "False"; } else { if($state) { $state = "True"; } else { $state = "False"; } } } $content='POST /DeviceProperties/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 250
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:DeviceProperties:1#SetInvisible"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:SetInvisible xmlns:u="urn:schemas-upnp-org:service:DeviceProperties:1"><DesiredInvisible>' .$state. '</DesiredInvisible><u:SetInvisible></s:Body></s:Envelope>'; return (bool)$this->sendPacket($content); } public function GetInvisible() { $content='POST /DeviceProperties/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 250
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:DeviceProperties:1#GetInvisible"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetInvisible xmlns:u="urn:schemas-upnp-org:service:DeviceProperties:1"><InstanceID>0</InstanceID><u:GetInvisible></s:Body></s:Envelope>'; if ($this->sendPacket($content)=="1") { return(true); }else return(false); } function SubscribeZPGroupManagement($callback){ $content='SUBSCRIBE /GroupManagement/Event HTTP/1.1
HOST: '.$this->address.':1400
CALLBACK: <'.$callback.'>
NT: upnp:event
TIMEOUT: Second-300
Content-Length: 0

'; $this->sendPacket($content); } public function AddMember($MemberID) { $header='POST /GroupManagement/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:GroupManagement:1#AddMember"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?><s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body><u:AddMember xmlns:u="urn:schemas-upnp-org:service:GroupManagement:1"><MemberID>' . $MemberID . '</MemberID>
</u:AddMember></s:Body></s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); $ZoneAttributes = Array(); $key="CurrentTransportSettings"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneAttributes[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneAttributes[$key] = ""; } $key="GroupUUIDJoined"; if ( isset($index[strtoupper($key)][0]) and isset($vals[ $index[strtoupper($key)][0] ]['value'])) {$ZoneAttributes[$key] = $vals[ $index[strtoupper($key)][0] ]['value']; } else { $ZoneAttributes[$key] = ""; } return $ZoneAttributes; } public function RemoveMember($MemberID) { $header='POST /GroupManagement/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:GroupManagement:1#RemoveMember"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?><s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body><u:RemoveMember xmlns:u="urn:schemas-upnp-org:service:GroupManagement:1"><MemberID>' . $MemberID . '</MemberID>
</u:RemoveMember></s:Body></s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; return $this->sendPacket($content); } public function RampToVolume($ramp_type, $volume) { $header='POST /MediaRenderer/RenderingControl/Control HTTP/1.1
HOST: '.$this->address.':1400
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:RenderingControl:1#RampToVolume"
'; $xml='<?xml version="1.0" encoding="utf-8"?><s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body><u:RampToVolume xmlns:u="urn:schemas-upnp-org:service:RenderingControl:1"><InstanceID>0</InstanceID><Channel>Master</Channel><RampType>'.$ramp_type.'</RampType><DesiredVolume>'.$volume.'</DesiredVolume>
<ResetVolumeAfter>false</ResetVolumeAfter><ProgramURI></ProgramURI>
</u:RampToVolume></s:Body></s:Envelope>'; $content=$header . 'Content-Length: '. strlen($xml) .'

'. $xml; return (int) $this->sendPacket($content); } function SubscribeMRAVTransport($callback){ $content='SUBSCRIBE /MediaRenderer/AVTransport/Event HTTP/1.1
HOST: '.$this->address.':1400
CALLBACK: <'.$callback.'>
NT: upnp:event
TIMEOUT: Second-300
Content-Length: 0

'; $this->sendPacket($content); } public function SaveQueue($title,$id="") { $header='POST /MediaRenderer/AVTransport/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#SaveQueue"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body>
<u:SaveQueue xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><Title>'.$title.'</Title><ObjectID>'.$id.'</ObjectID></u:SaveQueue>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); } public function GetCrossfadeMode() { $header='POST /MediaRenderer/AVTransport/Control HTTP/1.1
HOST: '.$this->address.':1400
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#GetCrossfadeMode"
'; $xml='<?xml version="1.0" encoding="utf-8"?><s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body><u:GetCrossfadeMode xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID>
</u:GetCrossfadeMode></s:Body></s:Envelope>'; $content=$header . 'Content-Length: '. strlen($xml) .'

'. $xml; return (bool)$this->sendPacket($content); } public function SetCrossfadeMode($mode) { if($mode) { $mode = "1"; } else { $mode = "0"; } $header='POST /MediaRenderer/AVTransport/Control HTTP/1.1
HOST: '.$this->address.':1400
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#SetCrossfadeMode"
'; $xml='<?xml version="1.0" encoding="utf-8"?><s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body><u:SetCrossfadeMode xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><CrossfadeMode>'.$mode.'</CrossfadeMode></u:SetCrossfadeMode></u:SetCrossfadeMode></s:Body></s:Envelope>'; $content=$header . 'Content-Length: '. strlen($xml) .'

'. $xml; $this->sendPacket($content); } public function Stop() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 250
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Stop"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Stop xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:Stop></s:Body></s:Envelope>'; $this->sendPacket($content); } public function Pause() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 252
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Pause"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Pause xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:Pause></s:Body></s:Envelope>'; $this->sendPacket($content); } public function Play() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 266
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Play"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Play xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><Speed>1</Speed></u:Play></s:Body></s:Envelope>'; $this->sendPacket($content); } public function Next() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 250
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Next"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Next xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:Next></s:Body></s:Envelope>'; $this->sendPacket($content); } public function Previous() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 258
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Previous"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Previous xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:Previous></s:Body></s:Envelope>'; $this->sendPacket($content); } public function Seek($arg1,$arg2="NONE") { if ($arg2=="NONE"){ $Unit="REL_TIME"; $position=$arg1; } else {$Unit=$arg1; $position=$arg2;} $header='POST /MediaRenderer/AVTransport/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Seek"
CONTENT-TYPE: text/xml; charset="utf-8"
CONNECTION: close
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Seek xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><Unit>'. $Unit .'</Unit><Target>'.$position.'</Target></u:Seek></s:Envelope></s:Body></s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); } public function Rewind() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 296
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Seek"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Seek xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><Unit>REL_TIME</Unit><Target>00:00:00</Target></u:Seek></s:Body></s:Envelope>'; $this->sendPacket($content); } public function SetVolume($volume) { $content='POST /MediaRenderer/RenderingControl/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 32'.strlen($volume).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:RenderingControl:1#SetVolume"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:SetVolume xmlns:u="urn:schemas-upnp-org:service:RenderingControl:1"><InstanceID>0</InstanceID><Channel>Master</Channel><DesiredVolume>'.$volume.'</DesiredVolume></u:SetVolume></s:Body></s:Envelope>'; $this->sendPacket($content); } public function GetVolume() { $content='POST /MediaRenderer/RenderingControl/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 290
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:RenderingControl:1#GetVolume"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetVolume xmlns:u="urn:schemas-upnp-org:service:RenderingControl:1"><InstanceID>0</InstanceID><Channel>Master</Channel></u:GetVolume></s:Body></s:Envelope>'; return (int)$this->sendPacket($content); } public function SetMute($mute) { if($mute) { $mute = "1"; } else { $mute = "0"; } $content='POST /MediaRenderer/RenderingControl/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 314
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:RenderingControl:1#SetMute"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:SetMute xmlns:u="urn:schemas-upnp-org:service:RenderingControl:1"><InstanceID>0</InstanceID><Channel>Master</Channel><DesiredMute>'.$mute.'</DesiredMute></u:SetMute></s:Body></s:Envelope>'; $this->sendPacket($content); } public function GetMute() { $content='POST /MediaRenderer/RenderingControl/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 286
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:RenderingControl:1#GetMute"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetMute xmlns:u="urn:schemas-upnp-org:service:RenderingControl:1"><InstanceID>0</InstanceID><Channel>Master</Channel></u:GetMute></s:Body></s:Envelope>'; return (bool)$this->sendPacket($content); } public function SetPlayMode($mode) { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: '.(291+strlen($mode)).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#SetPlayMode"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:SetPlayMode xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><NewPlayMode>'.$mode.'</NewPlayMode></u:SetPlayMode></s:Body></s:Envelope>'; $this->sendPacket($content); } public function GetTransportSettings() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 282
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#GetTransportSettings"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetTransportSettings xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:GetTransportSettings></s:Body></s:Envelope>'; $returnContent = $this->sendPacket($content); if (strstr($returnContent, "NORMAL") !== false) { return Array ( "repeat" => false, "shuffle" => false ); } elseif (strstr($returnContent, "REPEAT_ALL") !== false) { return Array ( "repeat" => true, "shuffle" => false ); } elseif (strstr($returnContent, "SHUFFLE_NOREPEAT") !== false) { return Array ( "repeat" => false, "shuffle" => true ); } elseif (strstr($returnContent, "SHUFFLE") !== false) { return Array ( "repeat" => true, "shuffle" => true ); } } public function GetCurrentTransportActions() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 282
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#GetCurrentTransportActions"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetCurrentTransportActions xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:GetCurrentTransportActions></s:Body></s:Envelope>'; $returnContent = $this->sendPacket($content); $ret=preg_replace("#(.*)<Actions>(.*?)\</Actions>(.*)#is",'$2',$returnContent); return $ret; } public function GetTransportInfo() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 274
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#GetTransportInfo"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetTransportInfo xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:GetTransportInfo></s:Body></s:Envelope>'; $returnContent = $this->sendPacket($content); if (strstr($returnContent, "PLAYING") !== false) { return 1; } elseif (strstr($returnContent, "PAUSED_PLAYBACK") !== false) { return 2; } elseif (strstr($returnContent, "STOPPED") !== false) { return 3; } } public function GetMediaInfo() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 266
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#GetMediaInfo"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetMediaInfo xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:GetMediaInfo></s:Body></s:Envelope>'; $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); $mediaInfo = Array(); if (isset($vals[$index["CURRENTURI"][0]]["value"])) { $mediaInfo["CurrentURI"] = $vals[$index["CURRENTURI"][0]]["value"]; } else { $mediaInfo["CurrentURI"] = ""; } if (isset($vals[$index["CURRENTURIMETADATA"][0]]["value"])) { $mediaInfo["CurrentURIMetaData"] = $vals[$index["CURRENTURIMETADATA"][0]]["value"]; $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $mediaInfo["CurrentURIMetaData"], $vals, $index); xml_parser_free($xmlParser); if (isset($index["DC:TITLE"]) and isset($vals[$index["DC:TITLE"][0]]["value"])) { $mediaInfo["title"] = $vals[$index["DC:TITLE"][0]]["value"]; } else { $mediaInfo["title"] = ""; } } else { $mediaInfo["CurrentURIMetaData"] = ""; } return $mediaInfo; } public function GetPositionInfo() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 272
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#GetPositionInfo"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:GetPositionInfo xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:GetPositionInfo></s:Body></s:Envelope>'; $returnContent = $this->sendPacket($content); $position = substr($returnContent, stripos($returnContent, "NOT_IMPLEMENTED") - 7, 7); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "UTF-8"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); $positionInfo = Array (); $positionInfo["position"] = $position; $positionInfo["RelTime"] = $position; if (isset($index["RES"]) and isset($vals[$index["RES"][0]]["attributes"]["DURATION"])) { $positionInfo["duration"] = $vals[$index["RES"][0]]["attributes"]["DURATION"]; $positionInfo["TrackDuration"] = $vals[$index["RES"][0]]["attributes"]["DURATION"]; } else { $positionInfo["duration"] = ""; $positionInfo["TrackDuration"] = ""; } if (isset($index["RES"]) and isset($vals[$index["RES"][0]]["value"])) { $positionInfo["URI"] = $vals[$index["RES"][0]]["value"]; $positionInfo["TrackURI"] = $vals[$index["RES"][0]]["value"]; } else { $positionInfo["URI"] = ""; $positionInfo["TrackURI"] = ""; } if (isset($index["DC:CREATOR"]) and isset($vals[$index["DC:CREATOR"][0]]["value"])) { $positionInfo["artist"] = $vals[$index["DC:CREATOR"][0]]["value"]; } else { $positionInfo["artist"] = ""; } if (isset($index["DC:TITLE"]) and isset($vals[$index["DC:TITLE"][0]]["value"])) { $positionInfo["title"] = $vals[$index["DC:TITLE"][0]]["value"]; } else { $positionInfo["title"] = ""; } if (isset($index["UPNP:ALBUM"]) and isset($vals[$index["UPNP:ALBUM"][0]]["value"])) { $positionInfo["album"] = $vals[$index["UPNP:ALBUM"][0]]["value"]; } else { $positionInfo["album"] = ""; } if (isset($index["UPNP:ALBUMARTURI"]) and isset($vals[$index["UPNP:ALBUMARTURI"][0]]["value"])) { $positionInfo["albumArtURI"] = "http://" . $this->address . ":1400" . $vals[$index["UPNP:ALBUMARTURI"][0]]["value"]; } else { $positionInfo["albumArtURI"] = ""; } if (isset($index["R:ALBUMARTIST"]) and isset($vals[$index["R:ALBUMARTIST"][0]]["value"])) { $positionInfo["albumArtist"] = $vals[$index["R:ALBUMARTIST"][0]]["value"]; } else { $positionInfo["albumArtist"] = ""; } if (isset($index["UPNP:ORIGINALTRACKNUMBER"]) and isset($vals[$index["UPNP:ORIGINALTRACKNUMBER"][0]]["value"])) { $positionInfo["albumTrackNumber"] = $vals[$index["UPNP:ORIGINALTRACKNUMBER"][0]]["value"]; } else { $positionInfo["albumTrackNumber"] = ""; } if (isset($index["R:STREAMCONTENT"]) and isset($vals[$index["R:STREAMCONTENT"][0]]["value"])) { $positionInfo["streamContent"] = $vals[$index["R:STREAMCONTENT"][0]]["value"]; } else { $positionInfo["streamContent"] = ""; } if (isset($index["RES"][0]) and isset($vals[($index["RES"][0])]["value"])) { $positionInfo["trackURI"] = $vals[($index["RES"][0])]["value"]; } else { $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); } if (isset($index["TRACKURI"][0]) and isset($vals[($index["TRACKURI"][0])]["value"])) { $positionInfo["trackURI"] = $vals[($index["TRACKURI"][0])]["value"]; $positionInfo["TrackURI"] = $vals[($index["TRACKURI"][0])]["value"]; } else { $positionInfo["trackURI"] = ""; } $returnContent = $this->XMLsendPacket($content); $xmlParser = xml_parser_create("UTF-8"); xml_parser_set_option($xmlParser, XML_OPTION_TARGET_ENCODING, "ISO-8859-1"); xml_parse_into_struct($xmlParser, $returnContent, $vals, $index); xml_parser_free($xmlParser); if (isset($index["TRACK"][0]) and isset($vals[($index["TRACK"][0])]["value"])) { $positionInfo["Track"] = $vals[($index["TRACK"][0])]["value"]; } else { $positionInfo["Track"] = ""; } return $positionInfo; } public function SetRadio($radio,$Name="IP-Symcon Radio",$id="R:0/0/0",$parentID="R:0/0") { $MetaData="&lt;DIDL-Lite xmlns:dc=&quot;http://purl.org/dc/elements/1.1/&quot; xmlns:upnp=&quot;urn:schemas-upnp-org:metadata-1-0/upnp/&quot; xmlns:r=&quot;urn:schemas-rinconnetworks-com:metadata-1-0/&quot; xmlns=&quot;urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/&quot;&gt;&lt;item id=&quot;".$id."&quot; parentID=&quot;".$parentID."&quot; restricted=&quot;true&quot;&gt;&lt;dc:title&gt;".$Name."&lt;/dc:title&gt;&lt;upnp:class&gt;object.item.audioItem.audioBroadcast&lt;/upnp:class&gt;&lt;desc id=&quot;cdudn&quot; nameSpace=&quot;urn:schemas-rinconnetworks-com:metadata-1-0/&quot;&gt;SA_RINCON65031_&lt;/desc&gt;&lt;/item&gt;&lt;/DIDL-Lite&gt;"; $this->SetAVTransportURI($radio,$MetaData); } public function SetAVTransportURI($tspuri,$MetaData="") { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: '.(342+strlen(htmlspecialchars($tspuri))+strlen($MetaData)).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#SetAVTransportURI"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:SetAVTransportURI xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><CurrentURI>'.htmlspecialchars($tspuri).'</CurrentURI><CurrentURIMetaData>'.$MetaData.'.</CurrentURIMetaData></u:SetAVTransportURI></s:Body></s:Envelope>'; $this->sendPacket($content); } public function SetQueue($queue,$MetaData="") { $this->SetAVTransportURI($queue,$MetaData); } public function ClearQueue() { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: 290
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#RemoveAllTracksFromQueue"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:RemoveAllTracksFromQueue xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID></u:RemoveAllTracksFromQueue></s:Body></s:Envelope>'; $this->sendPacket($content); } public function AddToQueue($file) { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: '.(438+strlen(htmlspecialchars($file))).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#AddURIToQueue"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:AddURIToQueue xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><EnqueuedURI>'.htmlspecialchars($file).'</EnqueuedURI><EnqueuedURIMetaData></EnqueuedURIMetaData><DesiredFirstTrackNumberEnqueued>0</DesiredFirstTrackNumberEnqueued><EnqueueAsNext>1</EnqueueAsNext></u:AddURIToQueue></s:Body></s:Envelope>'; $this->sendPacket($content); } public function RemoveFromQueue($track) { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: '.(307+strlen($track)).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#RemoveTrackFromQueue"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:RemoveTrackFromQueue xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><ObjectID>Q:0/'.$track.'</ObjectID></u:RemoveTrackFromQueue></s:Body></s:Envelope>'; $this->sendPacket($content); } public function SetTrack($track) { $content='POST /MediaRenderer/AVTransport/Control HTTP/1.1
CONNECTION: close
HOST: '.$this->address.':1400
CONTENT-LENGTH: '.(288+strlen($track)).'
CONTENT-TYPE: text/xml; charset="utf-8"
SOAPACTION: "urn:schemas-upnp-org:service:AVTransport:1#Seek"

<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><s:Body><u:Seek xmlns:u="urn:schemas-upnp-org:service:AVTransport:1"><InstanceID>0</InstanceID><Unit>TRACK_NR</Unit><Target>'.$track.'</Target></u:Seek></s:Body></s:Envelope>'; $this->sendPacket($content); } public function GetCurrentPlaylist() { $header='POST /MediaServer/ContentDirectory/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:ContentDirectory:1#Browse"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:Browse xmlns:u="urn:schemas-upnp-org:service:ContentDirectory:1"><ObjectID>Q:0</ObjectID><BrowseFlag>BrowseDirectChildren</BrowseFlag><Filter></Filter><StartingIndex>0</StartingIndex><RequestedCount>1000</RequestedCount><SortCriteria></SortCriteria></u:Browse>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xml = new SimpleXMLElement($returnContent); $liste = array(); for($i=0,$size=count($xml);$i<$size;$i++) { $aktrow = $xml->item[$i]; $albumart = $aktrow->xpath("upnp:albumArtURI"); $title = $aktrow->xpath("dc:title"); $artist = $aktrow->xpath("dc:creator"); $album = $aktrow->xpath("upnp:album"); $liste[$i]['listid']=$i+1; if(isset($albumart[0])){ $liste[$i]['albumArtURI']="http://" . $this->address . ":1400".(string)$albumart[0]; }else{ $liste[$i]['albumArtURI'] =""; } $liste[$i]['title']=(string)$title[0]; if(isset($artist[0])){ $liste[$i]['artist']=(string)$artist[0]; }else{ $liste[$i]['artist']=""; } if(isset($album[0])){ $liste[$i]['album']=(string)$album[0]; }else{ $liste[$i]['album']=""; } } return $liste; } public function GetSonosPlaylists() { $header='POST /MediaServer/ContentDirectory/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:ContentDirectory:1#Browse"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:Browse xmlns:u="urn:schemas-upnp-org:service:ContentDirectory:1"><ObjectID>SQ:</ObjectID><BrowseFlag>BrowseDirectChildren</BrowseFlag><Filter></Filter><StartingIndex>0</StartingIndex><RequestedCount>100</RequestedCount><SortCriteria></SortCriteria></u:Browse>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xml = new SimpleXMLElement($returnContent); $liste = array(); for($i=0,$size=count($xml);$i<$size;$i++) { $attr = $xml->container[$i]->attributes(); $liste[$i]['id'] = (string)$attr['id']; $title = $xml->container[$i]; $title = $title->xpath('dc:title'); $liste[$i]['title'] = (string)$title[0]; $liste[$i]['typ'] = "Sonos"; $liste[$i]['file'] = urlencode((string)$xml->container[$i]->res); } return $liste; } public function GetImportedPlaylists() { $header='POST /MediaServer/ContentDirectory/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:ContentDirectory:1#Browse"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:Browse xmlns:u="urn:schemas-upnp-org:service:ContentDirectory:1"><ObjectID>A:PLAYLISTS</ObjectID><BrowseFlag>BrowseDirectChildren</BrowseFlag><Filter></Filter><StartingIndex>0</StartingIndex><RequestedCount>100</RequestedCount><SortCriteria></SortCriteria></u:Browse>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xml = new SimpleXMLElement($returnContent); $liste = array(); for($i=0,$size=count($xml);$i<$size;$i++) { $attr = $xml->container[$i]->attributes(); $liste[$i]['id'] = (string)$attr['id']; $title = $xml->container[$i]; $title = $title->xpath('dc:title'); $liste[$i]['title'] = (string)$title[0]; $liste[$i]['title']=preg_replace("/^(.+)\.m3u$/i","\\1",$liste[$i]['title']); $liste[$i]['typ'] = "Import"; $liste[$i]['file'] = (string)$xml->container[$i]->res; } return $liste; } public function GetPlaylist($value) { $header='POST /MediaServer/ContentDirectory/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:ContentDirectory:1#Browse"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:Browse xmlns:u="urn:schemas-upnp-org:service:ContentDirectory:1"><ObjectID>'.$value.'</ObjectID><BrowseFlag>BrowseDirectChildren</BrowseFlag><Filter></Filter><StartingIndex>0</StartingIndex><RequestedCount>1000</RequestedCount><SortCriteria></SortCriteria></u:Browse>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); $xmlParser = xml_parser_create(); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xml = new SimpleXMLElement($returnContent); $liste = array(); for($i=0,$size=count($xml);$i<$size;$i++) { $aktrow = $xml->item[$i]; $albumart = $aktrow->xpath("upnp:albumArtURI"); $title = $aktrow->xpath("dc:title"); $artist = $aktrow->xpath("dc:creator"); $album = $aktrow->xpath("upnp:album"); $liste[$i]['listid']=$i+1; if(isset($albumart[0])){ $liste[$i]['albumArtURI']="http://" . $this->address . ":1400".(string)$albumart[0]; }else{ $liste[$i]['albumArtURI'] =""; } $liste[$i]['title']=(string)$title[0]; if(isset($interpret[0])){ $liste[$i]['artist']=(string)$artist[0]; }else{ $liste[$i]['artist']=""; } if(isset($album[0])){ $liste[$i]['album']=(string)$album[0]; }else{ $liste[$i]['album']=""; } } return $liste; } public function Browse($value,$meta="BrowseDirectChildren",$filter="",$sindex="0",$rcount="1000",$sc="") { switch($meta){ case 'BrowseDirectChildren': case 'c': case 'child': $meta="BrowseDirectChildren"; break; case 'BrowseMetadata': case 'm': case 'meta': $meta = "BrowseMetadata"; break; default: return false; } $header='POST /MediaServer/ContentDirectory/Control HTTP/1.1
SOAPACTION: "urn:schemas-upnp-org:service:ContentDirectory:1#Browse"
CONTENT-TYPE: text/xml; charset="utf-8"
HOST: '.$this->address.':1400'; $xml='<?xml version="1.0" encoding="utf-8"?>
<s:Envelope s:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<u:Browse xmlns:u="urn:schemas-upnp-org:service:ContentDirectory:1"><ObjectID>'.htmlspecialchars($value).'</ObjectID><BrowseFlag>'.$meta.'</BrowseFlag><Filter>'.$filter.'</Filter><StartingIndex>'.$sindex.'</StartingIndex><RequestedCount>'.$rcount.'</RequestedCount><SortCriteria>'.$sc.'</SortCriteria></u:Browse>
</s:Body>
</s:Envelope>'; $content=$header . '
Content-Length: '. strlen($xml) .'

'. $xml; $returnContent = $this->sendPacket($content); $xmlParser = xml_parser_create(); $returnContent = substr($returnContent, stripos($returnContent, '&lt;')); $returnContent = substr($returnContent, 0, strrpos($returnContent, '&gt;') + 4); $returnContent = str_replace(array("&lt;", "&gt;", "&quot;", "&amp;", "%3a", "%2f", "%25"), array("<", ">", "\"", "&", ":", "/", "%"), $returnContent); $xml = new SimpleXMLElement($returnContent); $liste = array(); for($i=0,$size=count($xml);$i<$size;$i++) { if(isset($xml->container[$i])){ $aktrow = $xml->container[$i]; $attr = $xml->container[$i]->attributes(); $liste[$i]['typ'] = "container"; }else if(isset($xml->item[$i])){ $aktrow = $xml->item[$i]; $attr = $xml->item[$i]->attributes(); $liste[$i]['typ'] = "item"; }else{ return; } $id = $attr['id']; $parentid = $attr['parentID']; $albumart = $aktrow->xpath("upnp:albumArtURI"); $titel = $aktrow->xpath("dc:title"); $interpret = $aktrow->xpath("dc:creator"); $album = $aktrow->xpath("upnp:album"); if(isset($aktrow->res)){ $res = (string)$aktrow->res; $liste[$i]['res'] = urlencode($res); }else{ $liste[$i]['res'] = "leer"; } $resattr = $aktrow->res->attributes(); if(isset($resattr['duration'])){ $liste[$i]['duration']=(string)$resattr['duration']; }else{ $liste[$i]['duration']="leer"; } if(isset($albumart[0])){ $liste[$i]['albumArtURI']="http://" . $this->address . ":1400".(string)$albumart[0]; }else{ $liste[$i]['albumArtURI'] ="leer"; } $liste[$i]['title']=(string)$titel[0]; if(isset($interpret[0])){ $liste[$i]['artist']=(string)$interpret[0]; }else{ $liste[$i]['artist']="leer"; } if(isset($id) && !empty($id)){ $liste[$i]['id']=urlencode((string)$id); }else{ $liste[$i]['id']="leer"; } if(isset($parentid) && !empty($parentid)){ $liste[$i]['parentid']=urlencode((string)$parentid); }else{ $liste[$i]['parentid']="leer"; } if(isset($album[0])){ $liste[$i]['album']=(string)$album[0]; }else{ $liste[$i]['album']="leer"; } } return $liste; } public function RadiotimeGetNowPlaying() { $list["version"] = ""; $list["status"] = ""; $list["logo"] = ""; $zoneinfo=$this->GetZoneInfo($this->address); $serial=$zoneinfo['MACAddress']; $mi=$this->GetMediaInfo(); $station=preg_replace("#(.*)x-sonosapi-stream:(.*?)\?sid(.*)#is",'$2',$mi['CurrentURI']); if (($station!="")and $station[0]=="s"){ $content = @file_get_contents("http://opml.radiotime.com/Describe.ashx?c=nowplaying&id=".$station."&partnerId=IAeIhU42&serial=".$serial); $list["version"]=preg_replace('#(.*)version="(.*?)\">(.*)#is','$2',$content); $list["status"]=preg_replace('#(.*)<status>(.*?)\</status>(.*)#is','$2',$content); $list["outline"]=preg_replace('#(.*)<body>(.*)<outline type="text" text="(.*?)\" guide_id="(.*)\" key#is','$2',$content); $list["logo"]=preg_replace('#(.*)<LOGO>(.*?)\</LOGO>(.*)#is','$2',$content); } return $list; } private function XMLsendPacket( $content ) { $fp = fsockopen($this->address, 1400 , $errno, $errstr, 10); if (!$fp) throw new Exception("Error opening socket: ".$errstr." (".$errno.")"); fputs ($fp, $content); $ret = ""; $buffer = ""; while (!feof($fp)) { $buffer = fgets($fp,128); $ret.= $buffer; } fclose($fp); if(strpos($ret, "200 OK") === false) throw new Exception("Error sending command: ".$ret); $array = preg_split("/\n/", $ret); return $array[count($array) - 1]; } private function sendPacket( $content ) { $fp = fsockopen($this->address, 1400 , $errno, $errstr, 10); if (!$fp) throw new Exception("Error opening socket: ".$errstr." (".$errno.")"); fputs ($fp, $content); $ret = ""; while (!feof($fp)) { $ret.= fgetss($fp,128); } fclose($fp); if(strpos($ret, "200 OK") === false) throw new Exception("Error sending command: ".$ret); $array = preg_split("/\n/", $ret); return $array[count($array) - 1]; } } ?>