--Theme
DELETE FROM "DPAD_WEB_THEME" WHERE NAME='chorus';
INSERT INTO "DPAD_WEB_THEME" ( ID, NAME, LABEL, PATH, ICON_WIDTH, ICON_HEIGHT, IMAGEPATH_PLANVIEW, IMAGEPATH_LISTVIEW, IMAGEPATH_GRIDVIEW, IMAGEPATH_MENUVIEW, IMAGEPATH_BLOCK, IMAGEPATH_NAVIGATOR ) VALUES(NULL, 'chorus', '_DPAD_DBCONSTANT_WEBTHEME_CHORUS_BIG_ICON', 'chorus', 48, 48, '48x48', '31x31', '128x128', '48x48', 'block', '31x31');

--Changing logo
UPDATE dpad_web_configuration SET VALUE='theme/masterchorus_logo.png' WHERE NAME='logo_relative_path';

--Updating theme options
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='48' WHERE NAME='planview_icon_width';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='48' WHERE NAME='planview_icon_height';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='31' WHERE NAME='listview_icon_width';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='31' WHERE NAME='listview_icon_height';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='128' WHERE NAME='gridview_icon_width';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='128' WHERE NAME='gridview_icon_height';

--Updating categories
UPDATE DPAD_WEB_OBJECT_CATEGORY SET IMAGE_PATH = "lighting.png" WHERE type='_DPAD_DBCONSTANT_WEBCATEGORY_LIGHT';
UPDATE DPAD_WEB_OBJECT_CATEGORY SET IMAGE_PATH = "climatecontrol.png" WHERE type='_DPAD_DBCONSTANT_WEBCATEGORY_CLIMATE';
UPDATE DPAD_WEB_OBJECT_CATEGORY SET IMAGE_PATH = "shutterscontrol.png" WHERE type='_DPAD_DBCONSTANT_WEBCATEGORY_ROLLINGSHUTTER';
UPDATE DPAD_WEB_OBJECT_CATEGORY SET IMAGE_PATH = "scenario.png" WHERE type='_DPAD_DBCONSTANT_WEBCATEGORY_SCENARIO';
UPDATE DPAD_WEB_OBJECT_CATEGORY SET IMAGE_PATH = "lock.png" WHERE type='_DPAD_DBCONSTANT_WEBCATEGORY_SECURITY';

--Clearing communication section set
DELETE FROM "DPADD_COMMUNICATION_SECTION" ;
INSERT INTO "DPADD_COMMUNICATION_SECTION" (ID, NAME, TYPE, DESCRIPTION,ENABLE_FLAG) VALUES (2, 'DISCHTPUART', 'EIB', 'Master Chorus',1);
DELETE FROM "DPAD_EIB_CONFIGURATION" WHERE SECTION_ID<>2;

--Updating specific renderings
UPDATE DPADD_RENDERING SET IMAGE_PATH='climate_crono.png', LISTVIEW_SCHEMA='<table><tr><td><{state|image|setvalue}></td><td><{state|decrease|setvalue}></td><td><{state|increase|setvalue}></td></tr></table>',PLANVIEW_SCHEMA='<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr><tr><td><{state|decrease|setvalue}></td><td><{state|increase|setvalue}></td></tr></table>',FORMATTING_SCHEMA='%s'  WHERE NAME='_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_SETPOINT';

--Changing default block icon size
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'block_icon_width', '_DPAD_DBCONSTANT_WEBCONFIGURATION_BLOCK_ICON_WIDTH', '23', 'theme', 0, '', 'textbox', 10,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'block_icon_height', '_DPAD_DBCONSTANT_WEBCONFIGURATION_BLOCK_ICON_HEIGHT', '23', 'theme', 0, '', 'textbox', 10,NULL);
update dpad_web_configuration set value='31' where name='block_icon_height';
update dpad_web_configuration set value='31' where name='block_icon_width';

--Adding right icons
INSERT INTO DPAD_WEB_MENU (OBJECT_ID,CONTEXT,POSITION,ORDER_NUM) VALUES(5,'runtime','right',0);
INSERT INTO DPAD_WEB_MENU (OBJECT_ID,CONTEXT,POSITION,ORDER_NUM) VALUES(1,'runtime','right',1);
INSERT INTO DPAD_WEB_MENU (OBJECT_ID,CONTEXT,POSITION,ORDER_NUM) VALUES(9,'runtime','right',2);