--Module: SYSTEM update_0.0.7_to_0.0.8.sql

--Adding column to handle user's access to objects
ALTER TABLE DPADD_OBJECT ADD COLUMN WITH_PERMISSION INTEGER DEFAULT 0;

--Adding permissions to access to some Menu Items
-- UPDATE "DPADD_OBJECT" SET WITH_PERMISSION = '1' WHERE ID=$SYSTEM_GROUP_ADMINISTRATION$;
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, RELATION_WEB_TIPOLOGY, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, STOP_FLAG, ENABLE_FLAG, OPTIONAL) VALUES ( NULL, $SYSTEM_USERGROUP_ADMIN$, $SYSTEM_GROUP_ADMINISTRATION$, 'NO-CONDITION', 'USERGROUP_RELATION', 'NO-ACTION', 'NO_VALUE', NULL, NULL, NULL, NULL, NULL, NULL );
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, RELATION_WEB_TIPOLOGY, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, STOP_FLAG, ENABLE_FLAG, OPTIONAL) VALUES ( NULL, $SYSTEM_USERGROUP_MANAGER$, $SYSTEM_GROUP_ADMINISTRATION$, 'NO-CONDITION', 'USERGROUP_RELATION', 'NO-ACTION', 'NO_VALUE', NULL, NULL, NULL, NULL, NULL, NULL );

--Link to Import/Export Database
-- $SYSTEM_URL_DATABASE_MANAGEMENT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_DATABASE_MANAGEMENT', '_DPAD_DBCONSTANT_URL_DATABASE_MANAGEMENT', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'warehause.png', 0, 0, 0, '../system/database_management.php?id={id}', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_INSTALLATION$, $SYSTEM_URL_DATABASE_MANAGEMENT$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);

--Syscmd to stop/start SSHD on demand
-- $SYSTEM_SYSCMD_START_SSHD$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMD_START_SSHD', '_DPAD_DBCONSTANT_SYSCMD_START_SSHD', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'remote.png', 0, 0, 0, 'sudo /etc/init.d/ssh start &', NULL, 'dpadSysCmd', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_MAINTENANCE$, $SYSTEM_SYSCMD_START_SSHD$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);
-- $SYSTEM_SYSCMD_STOP_SSHD$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMD_STOP_SSHD', '_DPAD_DBCONSTANT_SYSCMD_STOP_SSHD', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'remote.png', 0, 0, 0, 'sudo /etc/init.d/ssh stop &', NULL, 'dpadSysCmd', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_MAINTENANCE$, $SYSTEM_SYSCMD_STOP_SSHD$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);

--Adding Trigger Object to check Notify Video Message in the Top Menu
-- INSERT INTO DPAD_WEB_MENU (ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL) VALUES ( NULL, '$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$', 'runtime', 'top', '9','');

--Module version
--UPDATE "DPAD_WEB_MODULE" SET VERSION = "0.0.8" WHERE NAME = "system";
UPDATE "DPAD_WEB_MODULE" SET VERSION = "1.0.0" WHERE NAME = "system";

