--Module: SYSTEM update_1.0.4_to_1.0.5.sql
-- Necessita Dpadd 2.5.0

--M2M Support
CREATE TABLE DPADD_NEIGHBOUR( ID INTEGER PRIMARY KEY AUTOINCREMENT, PRODUCTOR_TAG_ID INTEGER DEFAULT -1, SOFTWARE_VERSION TEXT, HOST_IP_ADDRESS TEXT UNIQUE, HOST_PORT INTEGER DEFAULT 0, HOST_STATUS TEXT, LAST_ACCESS INTEGER DEFAULT 0 );
--M2M Support disabled by default
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCORE_REMOTING_ENABLEFLAG', '0', 'M2M Enable Flag');
--M2M Flags
ALTER TABLE DPADD_OBJECT ADD COLUMN IS_REMOTABLE INTEGER DEFAULT 0;
ALTER TABLE DPADD_OBJECT ADD COLUMN REMOTABLE_FILTER TEXT DEFAULT '*';

--Syscmd to Turn On the display
-- $SYSTEM_SYSCMD_DISPLAY_TURN_ON$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_MONITOR_TURN_ON', '_DPAD_DBCONSTANT_MONITOR_TURN_ON', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'monitor_on.png', 0, 0, 0, 'sudo xset -display :0.0 -dpms', NULL, 'dpadSysCmd', NULL);

--Updating view log link object
-- UPDATE DPADD_OBJECT SET MSP = '../system/viewlog.php?id={id}' WHERE ID = $SYSTEM_URL_VIEWLOG$;

--Showing Container
UPDATE DPAD_WEB_PHPCLASS SET IS_VISIBLE = '1' WHERE CLASSNAME = 'dpadContainer';

--Creating Container group
-- $SYSTEM_GROUP_CONTAINER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_CONTAINER', '_DPAD_DBCONSTANT_GROUP_CONTAINER', 'GROUP', NULL, NULL, '0', NULL, -1, -1, 'complex_object.png', 0, 0, 0, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_CONTAINER_NEW_CONTAINER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_CONTAINER_NEW_CONTAINER', '_DPAD_DBCONSTANT_CONTAINER_NEW_CONTAINER', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 0, '../system/editobject.php?mode=new&phpclass=dpadContainer&context=configuration', NULL, 'dpadUrl', NULL);
-- $SYSTEM_CONTAINER_LIST_CONTAINER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_CONTAINER_LIST_CONTAINER', '_DPAD_DBCONSTANT_CONTAINER_LIST_CONTAINER', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'complex_object.png', 0, 0, 0, '../system/search.php?id=$SYSTEM_URL_SEARCH$&keywords=&parent_id=&is_visible=1&phpclass=dpadContainer&submit=submit', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, RELATION_WEB_TIPOLOGY, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_CONTAINER$, $SYSTEM_CONTAINER_NEW_CONTAINER$, 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '1', 'GENERIC_RELATION', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, RELATION_WEB_TIPOLOGY, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_CONTAINER$, $SYSTEM_CONTAINER_LIST_CONTAINER$, 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '2', 'GENERIC_RELATION', NULL, NULL);
--Adding container group to New Object Group
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, RELATION_WEB_TIPOLOGY, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_NEW_OBJECT$, $SYSTEM_GROUP_CONTAINER$, 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '7', 'GENERIC_RELATION', NULL, NULL);
--Updating icon
UPDATE DPAD_WEB_PHPCLASS SET IMAGE_PATH='complex_object.png' WHERE CLASSNAME='dpadContainer';

--Adding usergroups to admin user
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_MANAGER$', '$SYSTEM_USER_DESCRIPTION_ADMIN$', 'NO-CONDITION', NULL, NULL, '1', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_USER$', '$SYSTEM_USER_DESCRIPTION_ADMIN$', 'NO-CONDITION', NULL, NULL, '1', NULL, NULL);

--Container Tables
DROP TABLE DPAD_WEB_CONTAINER_CONTENT_RULES;
DROP TABLE DPAD_WEB_CONTAINER_SUPPORT_TABLE;
CREATE TABLE DPAD_WEB_CONTAINER_CONTENT_RULES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT DEFAULT NULL, LABEL TEXT DEFAULT NULL, DESCRIPTION TEXT DEFAULT NULL, FILTER_QUERY TEXT DEFAULT NULL, WITH_TIMESET_MANAGEMENT INTEGER DEFAULT 0, TEMPLATE_VAR_LABEL TEXT DEFAULT NULL, ORDER_NUM INTEGER DEFAULT -1 );
CREATE TABLE DPAD_WEB_CONTAINER_SUPPORT_TABLE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT DEFAULT NULL, LABEL TEXT DEFAULT NULL, DESCRIPTION TEXT DEFAULT NULL, TPL_EDIT TEXT DEFAULT NULL, TPL_VIEW TEXT DEFAULT NULL, FILTER_WITH_TIMESET_MANAGEMENT TEXT DEFAULT '', LISTVIEW_HTML_SCHEMA TEXT DEFAULT '', PLANVIEW_HTML_SCHEMA TEXT DEFAULT '', GRIDVIEW_HTML_SCHEMA TEXT DEFAULT '' );

--Updating web configuration default values
UPDATE DPAD_WEB_CONFIGURATION SET VALUE = '1' WHERE NAME = 'block_bornes_at_top' OR NAME = 'block_bornes_use_images' OR NAME = 'block_commanddesc_newrow';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE = '32' WHERE NAME = 'block_icon_width' OR NAME = 'block_icon_height';

--Update Process Configuration
DELETE FROM DPADD_PROCESS_CONFIGURATION WHERE PROCESS_NAME = 'SQLiteSwapper';
UPDATE DPADD_PROCESS_CONFIGURATION SET PROCESS_ORDER = '2' WHERE PROCESS_NAME = 'FSMCore';
UPDATE DPADD_PROCESS_CONFIGURATION SET PROCESS_ORDER = '3' WHERE PROCESS_NAME = 'EIBGateway';

--Is Visible Permission
-- $SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'show_search_is_visible', '_DPAD_DBCONSTANT_PERMISSIONS_SHOW_SEARCH_IS_VISIBLE', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_SHOW_IS_VISIBLE$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);

-- Show Track Flag Configuration
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'show_track_flag', '_DPAD_DBCONSTANT_WEBCONFIGURATION_SHOW_TRACK_FLAG', '1', 'hidden', 0, '', 'yesno', 1, NULL );
--Track Flag Permission
-- $SYSTEM_PERMISSIONS_TRACk_FLAG$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'show_track_flag', '_DPAD_DBCONSTANT_PERMISSIONS_SHOW_TRACK_FLAG', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_TRACk_FLAG$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_TRACk_FLAG$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);

--List/Plan/Grid visibility settings
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'planview_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_PLANVIEW_ENABLE', '1', 'hidden', 0, '', 'yesno', 10, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'listview_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LISTVIEW_ENABLE', '1', 'hidden', 0, '', 'yesno', 11, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'gridview_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_GRIDVIEW_ENABLE', '1', 'hidden', 0, '', 'yesno', 12, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'enable_list_move_items', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LISTVIEW_ORDER_ENABLE', '1', 'hidden', 0, '', 'yesno', 12, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'enable_list_refresh', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LISTVIEW_REFRESH', '1', 'hidden', 0, '', 'yesno', 12, NULL );

--Inserting Group new/list into customization menu
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, RELATION_WEB_TIPOLOGY, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_PERSONALIZATION$, $SYSTEM_GROUP_GROUPS$, 'NO-CONDITION', 'NO-ACTION', 'NO-VALUE', '8', 'GENERIC_RELATION', NULL, NULL);

--Updating create object permissione
-- UPDATE DPADD_OBJECT SET NAME='create_objects' WHERE ID = $SYSTEM_PERMISSIONS_CREATE_OBJECTS$;

--Updating web_configuration mail_smtp_pwd to password type
UPDATE DPAD_WEB_CONFIGURATION SET DRAW_AS='password' WHERE NAME='mail_smtp_pwd';

--Max field lenght configuration
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'max_field_lenght', '_DPAD_DBCONSTANT_WEBCONFIGURATION_MAX_FIELD_LENGHT', '30', 'hidden', 0, '', 'textbox', 1, NULL );

--Enable/Disable setKeyboardMapping
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'enable_setkeyboardmapping', '_DPAD_DBCONSTANT_WEBCONFIGURATION_ENABLE_SETKEYBOARDMAPPING', '0', 'hidden', 0, '', 'textbox', 1, NULL );

--Custom versioning
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'custom_versioning', '_DPAD_DBCONSTANT_WEBCONFIGURATION_CUSTOM_VERSIONING', '', 'hidden', 0, '', 'textbox', 1, NULL );

-- Order List configuration
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'order_num_by_group', '_DPAD_DBCONSTANT_WEBCONFIGURATION_ORDER_NUM_BY_GROUP', '-1', 'order_num_by', 0, '', 'textbox', 1, NULL );
--UPDATE DPADD_OBJECT_RELATION SET ORDER_NUM='-1' WHERE PARENTOBJ_ID=$SYSTEM_GROUP_MAIN$ AND CHILDOBJ_ID IN ( $SYSTEM_GROUP_ENVIRONMENTS$, $SYSTEM_GROUP_SYSTEMS$ )

--System USERGROUP/USER
-- $SYSTEM_USERGROUP_SYSTEM$ = INSERT INTO "DPADD_OBJECT" ( ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, WITH_PERMISSION ) VALUES( NULL, '_DPAD_DBCONSTANT_USERGROUP_SYSTEM', '_DPAD_DBCONSTANT_USERGROUP_SYSTEM', 'USERGROUP', NULL, NULL, NULL, NULL, -1, 0, 'usergroup.png', '0', '0', '0', 'SYSTEM_USERGROUP', NULL, 'dpadUserGroup', NULL, 1);
-- $SYSTEM_USER_DESCRIPTION_SYSTEM$ = INSERT INTO "DPADD_OBJECT" ( ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, WITH_PERMISSION ) VALUES( NULL, 'system', '_DPAD_DBCONSTANT_USER_DESCRIPTION_SYSTEM', 'USER', NULL, NULL, NULL, NULL, -1, 0, 'user.png', 0, 0, '0', '{SHA}RXitCCMpPMPIa7Obx83RF/AdkrI=', NULL, 'dpadUser', NULL, 1);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_SYSTEM$', '$SYSTEM_USER_DESCRIPTION_SYSTEM$', 'NO-CONDITION', NULL, NULL, '11', NULL, NULL);

--Adding Permissions to admin user
-- $SYSTEM_PERMISSIONS_VIEW_LIST_OBJECT_TYPE$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_list_object_type', '_DPAD_DBCONSTANT_VIEW_LIST_OBJECT_TYPE', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_VIEW_LIST_OBJECT_TYPE$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);

--Updating Search Link msp
-- UPDATE DPADD_OBJECT SET MSP='../system/search.php?id={id}&hide_system_objects=1' WHERE ID=$SYSTEM_URL_SEARCH$;

--Adding Column OWNED_BY and UPDATING object's ownership
ALTER TABLE DPADD_OBJECT ADD COLUMN OWNED_BY STRING DEFAULT 'LOCAL';
UPDATE DPADD_OBJECT SET OWNED_BY='SYSTEM' WHERE ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST );

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "1.0.5" WHERE NAME = "system";