--Module: SYSTEM update_1.1.1_to_1.1.2.sql

--Updating GRIDVIEW_SCHEMA from DPADD_RENDERING table
REPLACE INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, GRIDVIEW_SCHEMA ) SELECT ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, PLANVIEW_SCHEMA FROM DPADD_RENDERING;

--Deleting Wrong icon into administration menu
-- DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='$SYSTEM_GROUP_INSTALLATION$' AND CHILDOBJ_ID='$SCENARIO_GROUP_SCENARIO$';

--Updating User System
UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE TYPE='USER';
-- UPDATE DPADD_OBJECT SET OWNED_BY='SYSTEM' WHERE ID='$SYSTEM_USER_DESCRIPTION_SYSTEM$';
UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE TYPE='USERGROUP';
-- UPDATE DPADD_OBJECT SET OWNED_BY='SYSTEM' WHERE ID='$SYSTEM_USERGROUP_SYSTEM$';

--Custom Versioning
UPDATE OR IGNORE DPAD_WEB_CONFIGURATION SET VALUE='' WHERE NAME='custom_versioning';

--Creating Turn On/Turn Off Display Objects
-- UPDATE DPADD_OBJECT SET MSP='sudo /usr/local/bin/dpadxwakeup.sh' WHERE ID='$SYSTEM_SYSCMD_DISPLAY_TURN_ON$';
-- $SYSTEM_SYSCMD_DISPLAY_TURN_OFF$ = INSERT INTO "DPADD_OBJECT" ( ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, OWNED_BY ) VALUES( NULL, '_DPAD_DBCONSTANT_MONITOR_TURN_OFF', '_DPAD_DBCONSTANT_MONITOR_TURN_OFF', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'monitor_off.png', 0, 0, 0, 'sudo /usr/local/bin/dpadxfreeze.sh', NULL, 'dpadSysCmd', NULL, 'LOCAL' );

--Show action on Search
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'search_show_action', '_DPAD_DBCONSTANT_WEBCONFIGURATION_SEARCH_SHOW_ACTION', '1', 'hidden', 0, '', 'yesno', 1, NULL );

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "1.1.2" WHERE NAME = "system";