--Module: SYSTEM update_1.1.4_to_1.1.5.sql

INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'disable_loop_relation_check', '_DPAD_DBCONSTANT_WEBCONFIGURATION_DISABLE_LOOP_RELATION_CHECK', '0', 'system', 0, '', 'yesno', 8, NULL );
UPDATE DPAD_WEB_CONFIGURATION SET DRAW_AS='textbox' WHERE NAME='tag_producer';

--Handler Theme
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'block_add_side_cells', '_DPAD_DBCONSTANT_WEBCONFIGURATION_BLOCK_ADDSIDECELLS', '0', 'hidden', 0, '', 'yesno', 18, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'object_show_details_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_OBJECT_SHOWDETAILS_ENABLE', '0', 'hidden', 0, '', 'yesno', 19, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'generic_icon_name', '_DPAD_DBCONSTANT_WEBCONFIGURATION_GENERIC_ICON_NAME', 'generic.png', 'hidden', 0, '', 'textbox', 20, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'group_showdetails_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_GROUP_SHOWDETAILS_ENABLE', '0', 'hidden', 0, '', 'yesno', 21, NULL );
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'theme_show_address_bar', '_DPAD_DBCONSTANT_WEBCONFIGURATION_THEME_SHOW_ADDRESS_BAR', '0', 'theme', 0, '', 'yesno', 22, NULL );

--Updating view for navigator objects
DROP VIEW DPAD_WEB_NAVIGATOR_ITEMS;
CREATE VIEW DPAD_WEB_NAVIGATOR_ITEMS AS SELECT D_O.ID AS ID,D_O.NAME AS NAME,D_O.IMAGE_PATH AS IMAGE_PATH,D_O.TYPE AS TYPE, D_O.PHPCLASS AS PHPCLASS, D_O.DESCRIPTION AS DESCRIPTION, D_O.RENDERING_ID AS RENDERING_ID, D_O.IS_VISIBLE AS IS_VISIBLE, D_O.MSP AS MSP, D_O.WITH_PERMISSION AS WITH_PERMISSION, D_OR.PARENTOBJ_ID AS PARENT_ID FROM DPADD_OBJECT AS D_O LEFT OUTER JOIN DPADD_OBJECT_RELATION AS D_OR ON (D_O.ID = D_OR.CHILDOBJ_ID) WHERE ( D_O.TYPE IN ('GROUP','URL') AND (PARENTOBJ_ID IN ( SELECT ID FROM DPADD_OBJECT WHERE TYPE IN ('GROUP','URL') ) OR PARENTOBJ_ID IS NULL ));

--Updating Owned_by field for Main/Environment/System Group
-- UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE ID='$SYSTEM_GROUP_MAIN$';
-- UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE ID='$SYSTEM_GROUP_ENVIRONMENTS$';
-- UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE ID='$SYSTEM_GROUP_SYSTEMS$';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "1.1.5" WHERE NAME = "system";