--Module: SYSTEM update_2.2.4_to_2.2.5.sql

INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'senddatatimedgram_onmodify', '_DPAD_DBCONSTANT_WEBCONFIGURATION_SYSTEM_SENDDATATIMEDGRAM_ONMODIFY', '0', 'hidden', 0, '', 'yesno', 1, NULL );
UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE NAME LIKE'_DPAD_DBCONSTANT_SYSCMDWAIT%'

-- Container Object
DELETE FROM DPAD_WEB_CONTAINER_CONTENT_RULES;
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(1,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME','VALUES_TYPE IN ( ''3'', ''4'' )',0,'thermostat_time',1);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(2,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE','VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )',0,'thermostat_type',2);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(3,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE','_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE','VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )',1,'thermostat_operating_mode',3);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(9,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_off_risc',9);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(10,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_eco_risc',10);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(11,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_precomf_risc',11);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(12,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_comf_risc',12);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(13,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_off_cond',13);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(14,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_eco_cond',14);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(15,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_precomf_cond',15);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(16,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_comf_cond',16);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(17,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE','VALUES_TYPE IN ( ''5'' )',0,'thermostat_temperature_current',17);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(18,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE','VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )',0,'thermostat_operating_mode_current',18);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(19,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE','VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )',0,'thermostat_type_current',19);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(20,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TIME','VALUES_TYPE IN ( ''3'', ''4'' )',0,'thermostat_time',1);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(21,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_TYPE','VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )',0,'thermostat_type',2);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(22,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE','_DPAD_EIB_DPADCONTAINER_THERMOSTAT_OPERATINGMODE','VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )',1,'thermostat_operating_mode',3);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(23,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETPOINT','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETPOINT','VALUES_TYPE IN ( ''5'', ''10'' )',1,'thermostat_setpoint',4);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(24,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_off_risc',5);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(25,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_eco_risc',6);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(26,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_precomf_risc',7);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(27,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_RISC','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_comf_risc',8);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(28,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_OFF_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_off_cond',9);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(29,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_ECO_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_eco_cond',10);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(30,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_PRECOMF_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_precomf_cond',11);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(31,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_SETP_COMF_COND','VALUES_TYPE IN ( ''5'' )',0,'thermostat_setp_comf_cond',12);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(32,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TEMPERATURE','VALUES_TYPE IN ( ''5'' )',0,'thermostat_temperature_current',13);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(33,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_MODE','VALUES_TYPE IN ( ''2V'', ''6'', ''13'', ''14'' )',0,'thermostat_operating_mode_current',14);
INSERT INTO "DPAD_WEB_CONTAINER_CONTENT_RULES" VALUES(34,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE','_DPAD_EIB_DPADCONTAINER_GEWISS_THERMOSTAT_INFO_TYPE','VALUES_TYPE IN ( ''1'', ''2P'', ''7M'', ''7S'', ''8P'' )',0,'thermostat_type_current',15);

DELETE FROM DPAD_WEB_CONTAINER_SUPPORT_TABLE;
INSERT INTO "DPAD_WEB_CONTAINER_SUPPORT_TABLE" VALUES(1,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_OPERATING_MODE','_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_OPERATING_MODE','','chrono_thermostat_gewiss.tpl','3','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td><td>{html_for_label}</td></tr></table>','');
INSERT INTO "DPAD_WEB_CONTAINER_SUPPORT_TABLE" VALUES(2,'THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_TEMPERATURE','_DPAD_EIB_DPADCONTAINER_FUNCTION_THERMOSTAT_TEMPERATURE','','chrono_thermostat_gewiss.tpl','9','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td><td>{html_for_label}</td></tr></table>','');
INSERT INTO "DPAD_WEB_CONTAINER_SUPPORT_TABLE" VALUES(3,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_OPERATING_MODE','_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_OPERATING_MODE','','chrono_thermostat_gewiss.tpl','3','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td><td>{html_for_label}</td></tr></table>','');
INSERT INTO "DPAD_WEB_CONTAINER_SUPPORT_TABLE" VALUES(4,'CHRONO_THERMOSTAT_GEWISS','_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_TEMPERATURE','_DPAD_EIB_DPADCONTAINER_FUNCTION_CHRONO_THERMOSTAT_GEWISS_TEMPERATURE','','chrono_thermostat_gewiss.tpl','9','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=" . $this->id . "\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"" . $this->get_url("show_elements") . "\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td></tr></table>','<table align=\"center\"><tr><td><a id=\"container". $this->id . "schedule_lnk\" href=\""._DPAD_RELATIVE_PATH_EDIT_SCHEDULE."?id=".$this->id."\" title=\"\"><img src=\"".$image_base_path."climate_profilo.png\" alt=\"\"/></a></td><td><a id=\"container". $this->id . "show_lnk\" href=\"".$this->get_url("show_elements")."\" title=\"\"><img src=\"".$image_base_path."climate_crono.png\" alt=\"\"/></a></td><td>{html_for_label}</td></tr></table>','');

--Updating System Group
-- UPDATE DPADD_OBJECT SET OWNED_BY='SYSTEM' WHERE ID='$SYSTEM_GROUP_SEARCHFOLDERS$';


--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "2.2.5" WHERE NAME = "system";
