--Module: SYSTEM update_2.3.0_to_2.3.1.sql

--Clearing Menu Administration
DELETE FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'SYSTEM%URL%' OR VAR_NAME LIKE 'SYSTEM%LIST%' OR ( VAR_NAME LIKE 'SYSTEM%GROUP%' AND VAR_NAME NOT LIKE 'SYSTEM%USERGROUP%' ) ) );
DELETE FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID IN ( SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE ( VAR_NAME LIKE 'SYSTEM%URL%' OR VAR_NAME LIKE 'SYSTEM%LIST%' OR ( VAR_NAME LIKE 'SYSTEM%GROUP%' AND VAR_NAME NOT LIKE 'SYSTEM%USERGROUP%' ) ) );

--Updating Administration Elements with all the encessary data
--menu_data
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_ADMINISTRATION$' ) WHERE ID = '$SYSTEM_GROUP_ADMINISTRATION$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NET_CONFIG$' ) WHERE ID = '$SYSTEM_URL_NET_CONFIG$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_SYSTEM_CONFIGURATION$' ) WHERE ID = '$SYSTEM_URL_SYSTEM_CONFIGURATION$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_MODULE_CONFIG$' ) WHERE ID = '$SYSTEM_URL_MODULE_CONFIG$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_phpclasses=dpadUser dpadUserGroup' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$' ) WHERE ID = '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadUser' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_LIST_USER$' ) WHERE ID = '$SYSTEM_URL_LIST_USER$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadUserGroup' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_LIST_USERGROUP$' ) WHERE ID = '$SYSTEM_URL_LIST_USERGROUP$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadUser' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NEW_USER$' ) WHERE ID = '$SYSTEM_URL_NEW_USER$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadUserGroup' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NEW_USERGROUP$' ) WHERE ID = '$SYSTEM_URL_NEW_USERGROUP$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_DATABASE_MANAGEMENT$' ) WHERE ID = '$SYSTEM_URL_DATABASE_MANAGEMENT$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_UPDATE_SOFTWARE$' ) WHERE ID = '$SYSTEM_URL_UPDATE_SOFTWARE$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_RESTART_SERVICES$' ) WHERE ID = '$SYSTEM_GROUP_RESTART_SERVICES$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_SYSCMD_SHUTDOWN_SYSTEM$' ) WHERE ID = '$SYSTEM_SYSCMD_SHUTDOWN_SYSTEM$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_SYSCMD_RESTART_SYSTEM$' ) WHERE ID = '$SYSTEM_SYSCMD_RESTART_SYSTEM$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_VIEWLOG$' ) WHERE ID = '$SYSTEM_URL_VIEWLOG$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_REMOTE_SUPPORT$' ) WHERE ID = '$SYSTEM_GROUP_REMOTE_SUPPORT$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'ask_confirm=1|menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_REMOTE_SUPPORT$' ) WHERE ID = '$SYSTEM_SYSCMD_START_SSHD$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'ask_confirm=1|menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_REMOTE_SUPPORT$' ) WHERE ID = '$SYSTEM_SYSCMD_STOP_SSHD$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_DIAGNOSTICS$' ) WHERE ID = '$SYSTEM_URL_DIAGNOSTICS$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_EMPTY_CACHE$' ) WHERE ID = '$SYSTEM_URL_EMPTY_CACHE$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_PERSONALIZATION$' ) WHERE ID = '$SYSTEM_GROUP_PERSONALIZATION$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_OPTIONS$' ) WHERE ID = '$SYSTEM_URL_OPTIONS$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system' FROM DPADD_OBJECT WHERE ID = '$THEME_CONFIGURATION_LINK$' ) WHERE ID = '$THEME_CONFIGURATION_LINK$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadGroup' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NEW_GROUP$' ) WHERE ID = '$SYSTEM_URL_NEW_GROUP$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadGroup' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_LIST_GROUP$' ) WHERE ID = '$SYSTEM_URL_LIST_GROUP$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadSearchFolder' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NEW_SEARCHFOLDER$' ) WHERE ID = '$SYSTEM_URL_NEW_SEARCHFOLDER$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadSearchFolder' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_LIST_SEARCHFOLDER$' ) WHERE ID = '$SYSTEM_URL_LIST_SEARCHFOLDER$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadUrl' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NEW_URL$' ) WHERE ID = '$SYSTEM_URL_NEW_URL$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadUrl' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_LIST_URL$' ) WHERE ID = '$SYSTEM_URL_LIST_URL$';
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadSysCmdWait' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_SYSCMDWAIT_NEW_SYSCMDWAIT$' ) WHERE ID = '$SYSTEM_SYSCMDWAIT_NEW_SYSCMDWAIT$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadSysCmdWait' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_SYSCMDWAIT_LIST_SYSCMDWAIT$' ) WHERE ID = '$SYSTEM_SYSCMDWAIT_LIST_SYSCMDWAIT$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-NEW|menu_data_phpclasses=dpadVirtualObject' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_NEW_VIRTUALOBJECT$' ) WHERE ID = '$SYSTEM_URL_NEW_VIRTUALOBJECT$' ;
-- UPDATE DPADD_OBJECT SET OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_module_owner=system|menu_data_type=MENU-LIST|menu_data_phpclasses=dpadVirtualObject' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_URL_LIST_VIRTUALOBJECT$' ) WHERE ID = '$SYSTEM_URL_LIST_VIRTUALOBJECT$' ;
--Transforming old groups to searchfolders
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-ROOT%[PERIOD] )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_ADMINISTRATION$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SYSTEM_GROUP_ADMINISTRATION$';
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.PHPCLASS = [PERIOD]dpadUrl[PERIOD] AND ( D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-NEW%[PERIOD] OR D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-LIST%[PERIOD] ) AND ( D_O.OPTIONALP LIKE [PERIOD]%menu_data_phpclasses=%dpadUser%[PERIOD] OR D_O.OPTIONALP LIKE [PERIOD]%menu_data_phpclasses=%dpadUserGroup%[PERIOD] ) )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'default_view=viewgrid|condition_is_visibile=0' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$';
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.ID IN ( [PERIOD]$SYSTEM_SYSCMD_SHUTDOWN_SYSTEM$[PERIOD], [PERIOD]$SYSTEM_SYSCMD_RESTART_SYSTEM$[PERIOD] ) )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_RESTART_SERVICES$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SYSTEM_GROUP_RESTART_SERVICES$';
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.ID IN ( [PERIOD]$SYSTEM_SYSCMD_START_SSHD$[PERIOD], [PERIOD]$SYSTEM_SYSCMD_STOP_SSHD$[PERIOD] ) )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_REMOTE_SUPPORT$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SYSTEM_GROUP_REMOTE_SUPPORT$';
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.OPTIONALP LIKE [PERIOD]%menu_data_module_owner=supervision%[PERIOD] AND D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-CUSTOM%[PERIOD] )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'menu_data_type=MENU-ROOT|default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_PERSONALIZATION$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SYSTEM_GROUP_PERSONALIZATION$';
-- UPDATE DPADD_OBJECT SET MSP = '( D_O.OPTIONALP LIKE [PERIOD]%menu_data_type=MENU-NEW%[PERIOD] )', OPTIONALP = ( SELECT ifnull(OPTIONALP||'|','')||'default_view=viewgrid|condition_is_visibile=all' FROM DPADD_OBJECT WHERE ID = '$SYSTEM_GROUP_NEW_OBJECT$' ), TYPE = 'SEARCHFOLDER', PHPCLASS = 'dpadSearchFolder' WHERE ID = '$SYSTEM_GROUP_NEW_OBJECT$';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "2.3.1",BRANCH = "2.2.2.2749" WHERE NAME = "system";