--Module: SYSTEM update_3.0.7_to_3.0.8.sql

--Updating USERPERMISSION
UPDATE DPADD_OBJECT SET MSP=NAME WHERE TYPE='USERPERMISSION';

--Correcting DPAD_WEB_UPDATE_VARLIST
DROP TABLE IF EXISTS DPAD_WEB_UPDATE_VARLIST_OLD;
ALTER TABLE DPAD_WEB_UPDATE_VARLIST RENAME TO DPAD_WEB_UPDATE_VARLIST_OLD;
CREATE TABLE DPAD_WEB_UPDATE_VARLIST( ID INTEGER PRIMARY KEY AUTOINCREMENT, VAR_NAME TEXT UNIQUE, VALUE TEXT );
INSERT INTO DPAD_WEB_UPDATE_VARLIST (ID,VAR_NAME,VALUE) SELECT ID,VAR_NAME,VALUE FROM DPAD_WEB_UPDATE_VARLIST_OLD;
DROP TABLE DPAD_WEB_UPDATE_VARLIST_OLD;

--Adding support for license in product table
ALTER TABLE "DPAD_WEB_PRODUCT" ADD BRANCH TEXT DEFAULT '';
ALTER TABLE "DPAD_WEB_PRODUCT" ADD LICENSE TEXT DEFAULT '';
ALTER TABLE "DPAD_WEB_PRODUCT" ADD CUSTOM_VERSIONING TEXT DEFAULT '';

--Adding owned-by field to relations
ALTER TABLE "DPADD_OBJECT_RELATION" ADD OWNED_BY TEXT DEFAULT 'LOCAL';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "3.0.9" WHERE NAME = "system";