--Module: VOICE

--Creating and populating table containing keywords
CREATE TABLE DPAD_VOICE_KEYWORD (ID INTEGER PRIMARY KEY AUTOINCREMENT, "KEYWORD" TEXT, "FEEDBACK" TEXT, "LANGUAGE" TEXT);

--$VOICE_KEYWORD_ACTION_EXECUTE$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_EXECUTE','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_EXECUTE_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_INTERRUPT$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_INTERRUPT','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_INTERRUPT_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_START$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_START','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_START_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_STOP$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_STOP','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_STOP_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_SET$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SET','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SET_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_SWITCH_ON$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SWITCH_ON','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SWITCH_ON_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_SWITCH_OFF$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SWITCH_OFF','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SWITCH_OFF_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_GENERIC_ON$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_GENERIC_ON','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_GENERIC_ON_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_GENERIC_OFF$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_GENERIC_OFF','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_GENERIC_OFF_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_OPEN$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_OPEN','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_OPEN_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_CLOSE$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_CLOSE','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_CLOSE_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_MOVE_UP$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_MOVE_UP','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_MOVE_UP_FEEDBACK','*');
--$VOICE_KEYWORD_ACTION_MOVE_DOWN$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_MOVE_DOWN','_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_MOVE_DOWN_FEEDBACK','*');

--$VOICE_KEYWORD_ACTION_READ_TELLME$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_TELLME','','*');
--$VOICE_KEYWORD_ACTION_READ_WHAT$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_WHAT','','*');
--$VOICE_KEYWORD_ACTION_READ_WHAT_IS$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_WHAT_IS','','*');
--$VOICE_KEYWORD_ACTION_READ_WHICH$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_WHICH','','*');
--$VOICE_KEYWORD_ACTION_READ_WHICH_IS$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_WHICH_IS','','*');
--$VOICE_KEYWORD_ACTION_READ_HOW$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_HOW','','*');
--$VOICE_KEYWORD_ACTION_READ_HOW_IS$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_HOW_IS','','*');
--$VOICE_KEYWORD_ACTION_READ_HOWMUCH$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_HOWMUCH','','*');
--$VOICE_KEYWORD_ACTION_READ_HOWMUCH_IS$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_HOWMUCH_IS','','*');

--$VOICE_KEYWORD_ACTION_READ_MESSAGES$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_MESSAGES','','*');
--$VOICE_KEYWORD_ACTION_READ_NOTIFICATIONS$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_NOTIFICATIONS','','*');

--$VOICE_KEYWORD_TYPE_SCENARIO$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_SCENARIO','','*');
--$VOICE_KEYWORD_TYPE_LOGIC$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_LOGIC','','*');
--$VOICE_KEYWORD_TYPE_CONDITION$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_CONDITION','','*');
--$VOICE_KEYWORD_TYPE_THRESHOLD$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_THRESHOLD','','*');
--$VOICE_KEYWORD_TYPE_OBJECT$ = INSERT INTO DPAD_VOICE_KEYWORD ("KEYWORD","FEEDBACK","LANGUAGE") VALUES('_DPAD_DBCONSTANT_VOICE_ASR_KEYWORD_OBJECT','','*');

--Creating and populating table containing actions
CREATE TABLE DPAD_VOICE_ACTION (ID INTEGER PRIMARY KEY AUTOINCREMENT, "NAME" TEXT, "CATEGORY" TEXT, "CHANNEL" TEXT DEFAULT "SOCKET", "ACTION" TEXT DEFAULT NULL, "ACTION_VALUE" TEXT DEFAULT NULL, "ALLOWED_TYPES" TEXT DEFAULT NULL, "OBJECT_ID" DEFAULT NULL, "PRIORITY" DEFAULT 0);

--$VOICE_ACTION_EXECUTE$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_EXECUTE','OBJECT','SOCKET','EXECUTE',NULL,'SCENARIO');
--$VOICE_ACTION_STOPEXECUTION$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_STOPEXECUTION','OBJECT','SOCKET','STOPEXECUTION',NULL,'SCENARIO');
--$VOICE_ACTION_SETVALUE$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_SETVALUE','OBJECT','SOCKET','SETVALUE',NULL,'EIBOBJECT,VIRTUALOBJECT');
--$VOICE_ACTION_SETVALUE_1$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_SETVALUE_1','OBJECT','SOCKET','SETVALUE','1','EIBOBJECT,VIRTUALOBJECT');
--$VOICE_ACTION_SETVALUE_0$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_SETVALUE_0','OBJECT','SOCKET','SETVALUE','0','EIBOBJECT,VIRTUALOBJECT');
--$VOICE_ACTION_VALUE_ON$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_VALUE_ON','OBJECT',NULL,NULL,'1',NULL);
--$VOICE_ACTION_VALUE_OFF$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_VALUE_OFF','OBJECT',NULL,NULL,'0',NULL);
--$VOICE_ACTION_READ_VALUE$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_READ_VALUE','OBJECT','DB','READ','CURRENT_VALUE',NULL);
--$VOICE_ACTION_READ_MESSAGES$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_READ_MESSAGES','NOTIFY',NULL,NULL,NULL,NULL);

--$VOICE_ACTION_FILTER_TYPE_SCENARIO$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_FILTER_TYPE_SCENARIO','OBJECT',NULL,NULL,NULL,'SCENARIO');
--$VOICE_ACTION_FILTER_TYPE_LOGIC$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_FILTER_TYPE_LOGIC','OBJECT',NULL,NULL,NULL,'LOGIC');
--$VOICE_ACTION_FILTER_TYPE_CONDITION$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_FILTER_TYPE_CONDITION','OBJECT',NULL,NULL,NULL,'CONDITION');
--$VOICE_ACTION_FILTER_TYPE_OBJECT$ = INSERT INTO DPAD_VOICE_ACTION ("NAME","CATEGORY","CHANNEL","ACTION","ACTION_VALUE", "ALLOWED_TYPES") VALUES ('_DPAD_DBCONSTANT_VOICE_ASR_ACTION_FILTER_TYPE_OBJECT','OBJECT',NULL,NULL,NULL,'EIBOBJECT,VIRTUALOBJECT');

--Creating and populating table with links between keywords and actions
CREATE TABLE DPAD_VOICE_KEYWORD_ACTION (ID INTEGER PRIMARY KEY AUTOINCREMENT, ID_KEYWORD INTEGER, ID_ACTION INTEGER);

--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_EXECUTE$','$VOICE_ACTION_EXECUTE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_INTERRUPT$','$VOICE_ACTION_STOPEXECUTION$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_START$','$VOICE_ACTION_EXECUTE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_STOP$','$VOICE_ACTION_STOPEXECUTION$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_SET$','$VOICE_ACTION_SETVALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_SWITCH_ON$','$VOICE_ACTION_SETVALUE_1$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_SWITCH_OFF$','$VOICE_ACTION_SETVALUE_0$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_GENERIC_ON$','$VOICE_ACTION_SETVALUE_1$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_GENERIC_OFF$','$VOICE_ACTION_SETVALUE_0$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_GENERIC_ON$','$VOICE_ACTION_VALUE_ON$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_GENERIC_OFF$','$VOICE_ACTION_VALUE_OFF$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_OPEN$','$VOICE_ACTION_SETVALUE_1$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_CLOSE$','$VOICE_ACTION_SETVALUE_0$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_MOVE_UP$','$VOICE_ACTION_SETVALUE_0$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_MOVE_DOWN$','$VOICE_ACTION_SETVALUE_1$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_TYPE_SCENARIO$','$VOICE_ACTION_FILTER_TYPE_SCENARIO$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_TYPE_LOGIC$','$VOICE_ACTION_FILTER_TYPE_LOGIC$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_TYPE_CONDITION$','$VOICE_ACTION_FILTER_TYPE_CONDITION$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_TYPE_THRESHOLD$','$VOICE_ACTION_FILTER_TYPE_CONDITION$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_TYPE_OBJECT$','$VOICE_ACTION_FILTER_TYPE_OBJECT$');

--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_TELLME$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_WHAT$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_WHAT_IS$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_WHICH$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_WHICH_IS$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_HOW$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_HOW_IS$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_HOWMUCH$','$VOICE_ACTION_READ_VALUE$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_HOWMUCH_IS$','$VOICE_ACTION_READ_VALUE$');

--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_MESSAGES$','$VOICE_ACTION_READ_MESSAGES$');
--INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES ('$VOICE_KEYWORD_ACTION_READ_NOTIFICATIONS$','$VOICE_ACTION_READ_MESSAGES$');

--Creating table containing ignores
CREATE TABLE DPAD_VOICE_IGNORE (ID INTEGER PRIMARY KEY AUTOINCREMENT, "KEYWORD" TEXT,"LANGUAGE" TEXT);

--Populating ignores table for italian language
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('la','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('il','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('le','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('i','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('gli','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('lo','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('in','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('nel','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('nello','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('nella','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('negli','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('di','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('del','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('della','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('dello','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('degli','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('delle','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('a','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('al','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('alle','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('agli','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('e','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('_DPAD_DBCONSTANT_VOICE_SPECIAL_CHAR_EGRAVE','italian');
INSERT INTO DPAD_VOICE_IGNORE ("KEYWORD","LANGUAGE") VALUES ('_DPAD_DBCONSTANT_VOICE_SPECIAL_CHAR_EACUTE','italian');

--Creating table containing allowed object types for voice commands
CREATE TABLE DPAD_VOICE_ALLOWED_OBJECT_TYPES (ID INTEGER PRIMARY KEY AUTOINCREMENT, "TYPE" TEXT,"CATEGORIES" TEXT);

INSERT INTO DPAD_VOICE_ALLOWED_OBJECT_TYPES (TYPE,CATEGORIES) VALUES ('EIBOBJECT|VIRTUALOBJECT','OBJECT');
INSERT INTO DPAD_VOICE_ALLOWED_OBJECT_TYPES (TYPE,CATEGORIES) VALUES ('SCENARIO','OBJECT');
INSERT INTO DPAD_VOICE_ALLOWED_OBJECT_TYPES (TYPE,CATEGORIES) VALUES ('SYSCMD','OBJECT');
INSERT INTO DPAD_VOICE_ALLOWED_OBJECT_TYPES (TYPE,CATEGORIES) VALUES ('CSCMD','OBJECT');
INSERT INTO DPAD_VOICE_ALLOWED_OBJECT_TYPES (TYPE,CATEGORIES) VALUES ('LOGIC','OBJECT');
INSERT INTO DPAD_VOICE_ALLOWED_OBJECT_TYPES (TYPE,CATEGORIES) VALUES ('CONDITION','OBJECT');

--Creating new settings for voice module
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'voice_filter_mode','_DPAD_DBCONSTANT_VOICE_CONFIGURATION_WHITE_OR_BLACK_LIST_MODE','black','voice',1,'{"black":"_DPAD_DBCONSTANT_VOICE_CONFIGURATION_WHITE_OR_BLACK_LIST_MODE_BLACK","white":"_DPAD_DBCONSTANT_VOICE_CONFIGURATION_WHITE_OR_BLACK_LIST_MODE_WHITE"}','select',1);
INSERT INTO "DPAD_WEB_CONFIGURATION" (ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM) VALUES (NULL,'voice_asr_ext','_DPAD_DBCONSTANT_VOICE_CONFIGURATION_ASR_EXTENSION_NUMBER','*88','voice',0,'','textbox',2);

--Creating a containing group for black/white list
-- $VOICE_GROUP_BLACK_WHITE_LIST$ = INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,TYPE,MIN_VALUE,MAX_VALUE,CURRENT_VALUE,VALUES_TYPE,STATUS_ID,RENDERING_ID,IMAGE_PATH,IS_READABLE,IS_WRITABLE,IS_VISIBLE,MSP,OPTIONALP,PHPCLASS,COMMUNICATIONSECTION_ID,OWNED_BY) VALUES (NULL,'_DPAD_DBCONSTANT_VOICE_CONFIGURATION_WHITE_OR_BLACK_LIST_GROUP','_DPAD_DBCONSTANT_VOICE_CONFIGURATION_WHITE_OR_BLACK_LIST_GROUP','GROUP',NULL,NULL,NULL,NULL,-1,-1,'',0,1,0,'','menu_data_module_owner=voice|menu_data_type=MENU-ROOT|toolbar_type=SYSTEM|allow_edit=true','dpadGroup',NULL,'SYSTEM');

--Creating a new table containing log
CREATE TABLE DPAD_VOICE_LOG ("ID" INTEGER PRIMARY KEY AUTOINCREMENT, "SESSION" INTEGER, "DATETIME" TEXT, "LEVEL" TEXT,"MESSAGE" TEXT);

--Module version
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE,REVISION,BRANCH,IS_VISIBLE ) VALUES (NULL,"voice","_DPAD_DBCONSTANT_WEBMODULE_VOICE", "0.0.1", 1,'','Main',1);